<?php
/* 
 * Update help (table node, node_revision & content_type_contexthelp are filtered)
 * 
 */
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL);


ini_set('memory_limit', '400M');
require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

//array with all new help
$help_array = array();

$help_array[] = array( 'title' => 'Manage members',
                       'body' => '<div class="field-content">\r\n<div class="field field-revisions-body">\r\n<h3>Managing members</h3>\r\n<p>Only software project owners or facilitators have access to this page. If    you\'re a software project owner or facilitator, click on the &quot;Manage members&quot;   link  in the software view.</p>\r\n<h3>How do I manage members?</h3>\r\n<p>On the &quot;Manage members&quot; page, a list of all project members can be   found. Change the boxes next to the members you want to edit. Then  click  on &quot;apply these changes.&quot; The users will receive a mail to let  them  know of the changes.</p>\r\n<h3>What can I do ?</h3>\r\n<ul class="ui-accordion" role="tablist">\r\n    <li>Checking the &quot;facilitator&quot; box: Makes a member a facilitator</li>\r\n    <li>Checking the &quot;project owner&quot; box: Makes a member the project owner</li>\r\n    <li>Checking the &quot;developer&quot; box: Makes a member a developer</li>\r\n    <li>Unchecking the &quot;facilitator&quot; box: Removes facilitator rights from the member</li>\r\n    <li>Unchecking the &quot;member&quot; box: Will remove the member from the software project</li>\r\n</ul>\r\n<h3>I can\'t check or uncheck a box!</h3>\r\n<p>Sometimes, you   won\'t be able to check / uncheck boxes. This is because these members   haven\'t been approved yet. You\'ll see &quot;approve&quot; and &quot;deny&quot; links under   their name then.</p>\r\n<p>In another case, it\'s because the member you want to alter, is the software project owner. As he\'s the owner, you can\'t demote them from   facilitator, and can\'t remove them from the project. A moderator\'s   intervention is required if these changes are necessary.</p>\r\n<h3>What is the difference between &quot;member&quot; and &quot;facilitator&quot;?</h3>\r\n<ul class="ui-accordion" role="tablist">\r\n    <li>A member is a regular member of the project. He can create any contents, but it has to be approved.</li>\r\n    <li>Facilitators are also members of a project, with all rights of   a  regular member. They can also approve submitted contents and manage    users.</li>\r\n</ul>\r\n</div>\r\n</div>',
                       'url' => '%/%/members/edit',
                       'tid' => '568');

$help_array[] = array( 'title' => 'Members list',
                       'body' => '<div class="field-content">\r\n<div class="field field-revisions-body">\r\n<h3>What can I&nbsp;find on this page?</h3>\r\n<p>On the Members list of a project, you can see everybody who\'s a   member. The owner of the project and the facilitators are marked in   this list as well. That way, you know who to contact in case you have   any questions or remarks about this project.</p>\r\n</div>\r\n</div>',
                       'url' => '%/%/members',
                       'tid' => '568');

$help_array[] = array( 'title' => 'Add members',
                       'body' => '<div class="field-content">\r\n<div class="field field-revisions-body">\r\n<h3>Adding members</h3>\r\n<p>Only project owners or facilitators have access to this page. If  you\'re a project owner or facilitator, click on the &quot;Add members&quot; link  in the project view.</p>\r\n<h3>How do I&nbsp;add members?</h3>\r\n<p>On the &quot;Add members&quot; page, a list of all users not yet in the project can be found. Check the box next to all users you want to add  their name and click the &quot;Add these users&quot; button. These users will be  notified that they were added to the project.</p>\r\n<h3>What is the difference between &quot;member&quot; and &quot;facilitator&quot;?</h3>\r\n<ul>\r\n    <li>A member is a regular member of the project. They can create any contents, but it has to be approved.</li>\r\n    <li>Facilitators are also members of a project, with all rights of a  regular member. They can also approve submitted contents and manage  users.</li>\r\n</ul>\r\n</div>\r\n</div>',
                       'url' => '%/%/members/add',
                       'tid' => '568');

$help_array[] = array( 'title' => 'View a software',
                       'body' => '<div class="field-content">\r\n<div class="field field-revisions-body">\r\n<h3>What can I find on this page?</h3>\r\n<div>On an OSS&nbsp;project\'s page, you can find the following:</div>\r\n<div>&nbsp;</div>\r\n<div>At top left:</div>\r\n<div>- generic information about the software (title, logo, creation date, owner and some generic taxonomies)</div>\r\n<div>- a link to download the last release project and, if you are member, the information &quot;I\'m a member&quot;</div>\r\n<div>&nbsp;</div>\r\n<div>At top right:</div>\r\n<div>- links to all content types related to the projects (News &amp; Blogs, Documents, Forums, Wikis and Issues)</div>\r\n<div>- a link to member\'s list</div>\r\n<div>- a link to leave the project</div>\r\n<div>- a link to highlight the project</div>\r\n&nbsp;\r\n<div>In the main section:</div>\r\n<div>- a description of the software project</div>\r\n<div>- main information about the project (feautres, future plans, ...)</div>\r\n<div>- a list of the 5 last items published or highlighted in this project</div>\r\n- a list of the 5 last documents published or highlighted in this community\r\n<div>- a list of the 3 last members joining the community</div>\r\n<div>- a list of the 3 last issues</div>\r\n<div>- a list of projects required by the current one</div>\r\n</div>\r\n</div>',
                       'url' => 'software/%/home',
                       'tid' => '568');

$help_array[] = array( 'title' => 'View related projects',
                       'body' => '<div class="field-content">\r\n<div class="field field-revisions-body">\r\n<h3>What does this page show ?</h3>\r\n<div>On this page, you can see a list of all other projects having a relation with the project user or member is viewing.&nbsp;</div>\r\n<div>Possible relations are:</div>\r\n<ul>\r\n    <li><strong>Depends on:</strong> Current software project requires all theses projects to work</li>\r\n    <li><strong>Required by: </strong>All listed projects require current project to work</li>\r\n</ul>\r\n<h3>Which filters exist in this page ?</h3>\r\n<ul class="ui-accordion" role="tablist">\r\n    <li><strong>Recently registered:</strong> This filter is based on the creation date of the software project.&nbsp;</li>\r\n    <li><strong>Most active:</strong> This filter is based on posts created on the listed projects (taken from comments on different tools as blogs, topics... but also the number of contents published in the project)</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n</div>\r\n</div>',
                       'url' => 'software/%/related_projects/%',
                       'tid' => '568');

$help_array[] = array( 'title' => 'Create a new issue',
                       'body' => '<h3><strong>Main Information</strong></h3>\r\n<div><strong>Title </strong>: The title of your issue.</div>\r\n<div><strong>Description</strong> : A complete and detailled description of the issue.</div>\r\n<h3><strong>Project Information</strong></h3>\r\n<p>This part contains informations about the related project.</p>\r\n<div><strong>Project</strong> : Name of the project.</div>\r\n<div><strong>Version</strong> : Release version of the project.</div>\r\n<div><strong>Component</strong> : The component concerned by the issue (code, documentation, ...).</div>\r\n<div>\r\n<h3><strong><strong>Issue Information</strong></strong></h3>\r\n<p>This part contains detailled informations about the issue.</p>\r\n<div><strong><strong>Category </strong></strong>: The category of the issue (bug, improvement, ...).</div>\r\n<div>&nbsp;</div>\r\n<div><strong>Priority</strong> : The priority of the issue (minor, normal, major).</div>\r\n<div>&nbsp;</div>\r\n<div><strong>Assigned :</strong> The developper in charge of the issue.</div>\r\n<div>If you are project owner or developper, you can assign the issue to every member of the OSS.\r\n<div>If you are a simple member of the project, you can only assign an issue to yourself.</div>\r\n<div>&nbsp;</div>\r\n</div>\r\n<div><strong>Status :</strong> The status of the issue (active, resolved, closed, ...).</div>\r\n</div>',
                       'url' => 'node/add/project-issue/%',
                       'tid' => '568');

$help_array[] = array( 'title' => 'Profile creation form',
                       'body' => '<h3>Privacy settings</h3>\r\n<p>The user has the capability to authorise other regular user to accede to its profile information or not.</p>\r\n<p>These choices are:</p>\r\n<ul>\r\n    <li>Email Visibility : choose&nbsp;the visibility for the field Email,</li>\r\n    <li>Profile Visibility : choose the visibility for fields domains and languages,</li>\r\n</ul>\r\n<p>The moderators and the administrators are not affected by these options.</p>\r\n<p>&nbsp;</p>',
                       'url' => 'user/%/edit/profile',
                       'tid' => '184');

$help_array[] = array( 'title' => 'Create a new Release',
                       'body' => '<h3>Version number elements</h3>\r\n<div>Define here your version number.</div>\r\n<h3>File information</h3>\r\n<p>Attach here your release file in one of the following formats :<em> zip gz tar bz2 rar tgz tar.gz dmg rpm deb exe</em>.</p>\r\n<h3>Release note</h3>\r\n<p>Describe here your release evolutions : bug corrections, improvements, new features, ...</p>',
                       'url' => 'node/add/project-release/%',
                       'tid' => '568');

$help_array[] = array( 'title' => 'View of an issue',
                       'body' => '<h3>What is displayed in this page ?</h3>\r\n<div>Issue details and related informations.</div>\r\n<div>\r\n<table style="width: 359px; height: 190px;">\r\n    <tbody>\r\n        <tr class="odd">\r\n            <td>Project:</td>\r\n            <td>Name of the project</td>\r\n        </tr>\r\n        <tr class="even">\r\n            <td>Version:</td>\r\n            <td>Project version</td>\r\n        </tr>\r\n        <tr class="odd">\r\n            <td>Component:</td>\r\n            <td>The concerned component type</td>\r\n        </tr>\r\n        <tr class="even">\r\n            <td>Category:</td>\r\n            <td>The category of the issue</td>\r\n        </tr>\r\n        <tr class="odd">\r\n            <td>Priority:</td>\r\n            <td>The priority of the issue</td>\r\n        </tr>\r\n        <tr class="even">\r\n            <td>Assigned:</td>\r\n            <td>The software member assigned to this issue</td>\r\n        </tr>\r\n        <tr class="odd">\r\n            <td>Status:</td>\r\n            <td>the status of the issue</td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n</div>\r\n<h3>Comment an issue</h3>\r\n<p>Completing the comment form, and click on button &quot;Save&quot; to publish the comment.</p>\r\n<div>If you are project owner or developper, you can modify all issue fields.</div>\r\n<div>If you are a simple member of the project, you can only modify the field \'Assigned\' if no one is assigned, and you can only assign yourself.</div>',
                       'url' => 'software/%/issue/%',
                       'tid' => '568');

$help_array[] = array( 'title' => 'View of a federated forge page',
                       'body' => '<h3>What can I find on this page?</h3>\r\n<p>On a federated forge page, you can find the following:<br />\r\n&nbsp;<br />\r\n<strong>In the main section:</strong></p>\r\n<ol>\r\n    <li>A description of the federated forge;</li>\r\n    <li>Main information about the federated forge (get involved, taxonomies, homepage and XML file url\'s);</li>\r\n    <li>The list of projects associated with this federated forge.</li>\r\n</ol>',
                       'url' => 'federatedforge/%',
                       'tid' => '568');

$help_array[] = array( 'title' => 'Assets list page',
                       'body' => '<h3>What does this page show?</h3>\r\n<p>On this page, you can see a list of all Asset projects, along with a list of the Federated  forges.   Information like the project\'s name, a short description, the  amount   of members and whether or not you\'re already a member, is  available   here.</p>\r\n<p>If you are not member, you first need to go to project\'s homepage to  reach link &quot;Request membership&quot;.&nbsp;Becoming member of such a project,  requires approval from Asset project facilitator.&nbsp;Once he approves your  request, you are member.</p>\r\n<p>Assets list can be sorted by creation date and Asset project title. For this, a select list is available at top right.</p>\r\n<p>To access a project, you just have to click on the title.</p>\r\n<p>The &quot;download&quot; button redirects to the last release of the software.</p>\r\n<p>An project is a public space, meaning every ISA-ICP&nbsp;user can view its content. It works the same way as public communities.</p>\r\n<p>From this page, you can request the creation of an Asset project.&nbsp;Clik  on link &quot;Register your project&quot; to access the creation form.</p>',
                       'url' => 'assets/all',
                       'tid' => '568');

$help_array[] = array( 'title' => 'Asset view',
                       'body' => '<p>&nbsp;</p>\r\n<h3 style="margin-top: 1em; margin-right: 0px; margin-bottom: 1em; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 17px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; line-height: 25px; color: rgb(65, 81, 122); background-position: initial initial; background-repeat: initial initial; ">What can I find on this page?</h3>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">On an asset project\'s page, you can find the following:</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">&nbsp;</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">At top left:</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">- generic information about the asset (title, logo, creation date, owner and some generic taxonomies)</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">- a link to download the last release project and, if you are member, the information &quot;I\'m a member&quot;</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">&nbsp;</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">At top right:</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">- links to all content types related to the projects (News &amp; Blogs, Documents, Forums, Wikis and Issues)</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">- a link to member\'s list</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">- a link to leave the project</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">- a link to highlight the project</div>\r\n<div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; outline-width: 0px; outline-style: initial; outline-color: initial; font-size: 13px; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; background-color: transparent; background-position: initial initial; background-repeat: initial initial; ">&nbsp;</div>\r\n<p>In the main section:</p>\r\n<div>- a description of the asset project</div>\r\n<div>- a list of the 5 last items published or highlighted in this project</div>\r\n<div>- a list of the 5 last documents published or highlighted in this community</div>\r\n<div>- a list of the 3 last members joining the community</div>\r\n<div>- a list of the 3 last issues</div>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>',
                       'url' => 'asset/%/home',
                       'tid' => '568');

$help_array[] = array( 'title' => 'View a federated project',
                       'body' => '<div class="field-content">\r\n<div class="field field-revisions-body">\r\n<h3>What can I find on this page?</h3>\r\n<div>On a federated project page, you can find the following:</div>\r\n<div>&nbsp;</div>\r\n<div><strong>At top left:</strong></div>\r\n<ul>\r\n    <li>generic information about the federated project (title, logo, creation date, author and some generic taxonomies).</li>\r\n</ul>\r\n<p><strong>In the main section:</strong></p>\r\n<ul>\r\n    <li>a description of the federated project;</li>\r\n    <li>some project categories;</li>\r\n    <li>main information about the project (feautres, future plans, ...)</li>\r\n</ul>\r\n</div>\r\n</div>',
                       'url' => 'federatedproject/%',
                       'tid' => '568');


foreach ($help_array as $help) {
  // add node properties
  $newNode = (object) NULL;
  $newNode->type = 'contexthelp';
  $newNode->title = $help['title'];
  $newNode->uid = 0;
  $newNode->created = strtotime("now");
  $newNode->changed = strtotime("now");
  $newNode->status = 1;
  $newNode->language = 'en';
  $newNode->body = $help['body'];
  $newNode->field_url[0]['value'] = $help['url'];
  $newNode->tid = $help['tid'];

  // save node
  node_save($newNode);
  
  //taxo
  $taxo_sql = "INSERT INTO `{term_node}` (`nid`, `vid`, `tid`) VALUES
                (%d, %d, %d);";
  db_query($taxo_sql, $newNode->nid, $newNode->vid, $help['tid']);  
}