<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

$vocabulary = 27;

//Delete old terms
$query = "DELETE FROM term_hierarchy WHERE tid IN (SELECT tid FROM term_data WHERE vid=%d)";
db_query($query, $vocabulary);
$query = "DELETE FROM term_data WHERE vid=%d";
db_query($query, $vocabulary);
$query = "DELETE FROM term_fields_term WHERE vid=%d";
db_query($query, $vocabulary);
$old_terms = array();

//new datas : label, URI, weight, old tid(mapping)
$terms = array(
  array("04 POLITICS","http://eurovoc.europa.eu/100142",0),
  array("0406 political framework","http://eurovoc.europa.eu/100163",1),
  array("political ideology","http://eurovoc.europa.eu/1282",2),
  array("political institution","http://eurovoc.europa.eu/1453",3),
  array("political philosophy","http://eurovoc.europa.eu/2370",4),
  array("political power","http://eurovoc.europa.eu/2573",5),
  array("political system","http://eurovoc.europa.eu/3025",6),
  array("State","http://eurovoc.europa.eu/883",7),
  array("0411 political party","http://eurovoc.europa.eu/100164",8),
  array("party organisation","http://eurovoc.europa.eu/2180",9),
  array("political parties","http://eurovoc.europa.eu/2258",10),
  array("political tendency","http://eurovoc.europa.eu/4436",11),
  array("0416 electoral procedure and voting","http://eurovoc.europa.eu/100165",12),
  array("election","http://eurovoc.europa.eu/695",13),
  array("electoral law","http://eurovoc.europa.eu/558",14),
  array("electoral system","http://eurovoc.europa.eu/4367",15),
  array("majority voting","http://eurovoc.europa.eu/1748",16),
  array("organisation of elections","http://eurovoc.europa.eu/2186",17),
  array("parliamentary seat","http://eurovoc.europa.eu/4157",18),
  array("vote","http://eurovoc.europa.eu/4750",19),
  array("voting method","http://eurovoc.europa.eu/1953",20),
  array("0421 parliament","http://eurovoc.europa.eu/100166",21),
  array("composition of parliament","http://eurovoc.europa.eu/53",22),
  array("interparliamentary relations","http://eurovoc.europa.eu/3232",23),
  array("Member of Parliament","http://eurovoc.europa.eu/2246",24),
  array("parliament","http://eurovoc.europa.eu/2242",25),
  array("powers of parliament","http://eurovoc.europa.eu/41",26),
  array("0426 parliamentary proceedings","http://eurovoc.europa.eu/100167",27),
  array("legislative procedure","http://eurovoc.europa.eu/2702",28),
  array("parliamentary procedure","http://eurovoc.europa.eu/2703",29),
  array("0431 politics and public safety","http://eurovoc.europa.eu/100168",30),
  array("institutional activity","http://eurovoc.europa.eu/4179",31),
  array("politics","http://eurovoc.europa.eu/4704",32),
  array("public opinion","http://eurovoc.europa.eu/2152",33),
  array("public safety","http://eurovoc.europa.eu/4045",34),
  array("trends of opinion","http://eurovoc.europa.eu/2001",35),
  array("0436 executive power and public service","http://eurovoc.europa.eu/100169",36),
  array("administrative law","http://eurovoc.europa.eu/517",37),
  array("administrative structures","http://eurovoc.europa.eu/2166",38),
  array("executive body","http://eurovoc.europa.eu/3062",39),
  array("public administration","http://eurovoc.europa.eu/77",40),
  array("regional and local authorities","http://eurovoc.europa.eu/6034",41),
  array("08 INTERNATIONAL RELATIONS","http://eurovoc.europa.eu/100143",42),
  array("0806 international affairs","http://eurovoc.europa.eu/100170",43),
  array("international affairs","http://eurovoc.europa.eu/3474",44),
  array("international agreement","http://eurovoc.europa.eu/3461",45),
  array("international instrument","http://eurovoc.europa.eu/3467",46),
  array("international organisation","http://eurovoc.europa.eu/2189",47),
  array("national independence","http://eurovoc.europa.eu/1346",48),
  array("0811 cooperation policy","http://eurovoc.europa.eu/100171",49),
  array("aid policy","http://eurovoc.europa.eu/2460",50),
  array("cooperation policy","http://eurovoc.europa.eu/3489",51),
  array("humanitarian aid","http://eurovoc.europa.eu/3074",52),
  array("0816 international balance","http://eurovoc.europa.eu/100172",53),
  array("foreign policy","http://eurovoc.europa.eu/2500",54),
  array("international conflict","http://eurovoc.europa.eu/99",55),
  array("international issue","http://eurovoc.europa.eu/3476",56),
  array("international security","http://eurovoc.europa.eu/3450",57),
  array("peace","http://eurovoc.europa.eu/6722",58),
  array("war victim","http://eurovoc.europa.eu/4697",59),
  array("0821 defence","http://eurovoc.europa.eu/100173",60),
  array("armed forces","http://eurovoc.europa.eu/2628",61),
  array("arms policy","http://eurovoc.europa.eu/3451",62),
  array("defence policy","http://eurovoc.europa.eu/2464",63),
  array("military equipment","http://eurovoc.europa.eu/2647",64),
  array("10 EUROPEAN COMMUNITIES","http://eurovoc.europa.eu/100144",65, array(748,750,751,752)),
  array("1006 Community institutions and European civil service","http://eurovoc.europa.eu/100174",66, array(753)),
  array("Community body","http://eurovoc.europa.eu/5767",67),
  array("Community body (established by the Treaties)","http://eurovoc.europa.eu/2163",68),
  array("EU institution","http://eurovoc.europa.eu/1451",69),
  array("European civil service","http://eurovoc.europa.eu/5130",70),
  array("institutional structure","http://eurovoc.europa.eu/4304",71),
  array("operation of the Institutions","http://eurovoc.europa.eu/5640",72),
  array("1011 European Union law","http://eurovoc.europa.eu/100175",73, array(753)),
  array("Community act","http://eurovoc.europa.eu/5258",74),
  array("Community law","http://eurovoc.europa.eu/525",75),
  array("Community legal system","http://eurovoc.europa.eu/4017",76),
  array("EU treaties","http://eurovoc.europa.eu/4479",77),
  array("intergovernmental legal instrument","http://eurovoc.europa.eu/8473",78),
  array("1016 European construction","http://eurovoc.europa.eu/100176",79, array(753)),
  array("deepening of the European Union","http://eurovoc.europa.eu/5442",80),
  array("enlargement of the Union","http://eurovoc.europa.eu/4057",81),
  array("EU relations","http://eurovoc.europa.eu/4040",82),
  array("European Union","http://eurovoc.europa.eu/4060",83),
  array("1021 Community finance","http://eurovoc.europa.eu/100177",84, array(749)),
  array("Community budget","http://eurovoc.europa.eu/5051",85),
  array("Community expenditure","http://eurovoc.europa.eu/5576",86),
  array("Community financing","http://eurovoc.europa.eu/1005",87),
  array("drawing up of the Community budget","http://eurovoc.europa.eu/5620",88),
  array("financing of the Community budget","http://eurovoc.europa.eu/3258",89),
  array("12 LAW","http://eurovoc.europa.eu/100145",90, array(774)),
  array("1206 sources and branches of the law","http://eurovoc.europa.eu/100178",91),
  array("legal science","http://eurovoc.europa.eu/3935",92),
  array("philosophy of law","http://eurovoc.europa.eu/5789",93),
  array("source of law","http://eurovoc.europa.eu/4222",94),
  array("1211 civil law","http://eurovoc.europa.eu/100179",95),
  array("civil law","http://eurovoc.europa.eu/523",96),
  array("ownership","http://eurovoc.europa.eu/3929",97),
  array("1216 criminal law","http://eurovoc.europa.eu/100180",98),
  array("criminal law","http://eurovoc.europa.eu/573",99),
  array("criminal liability","http://eurovoc.europa.eu/3513",100),
  array("law relating to prisons","http://eurovoc.europa.eu/3954",101),
  array("offence","http://eurovoc.europa.eu/1432",102),
  array("penalty","http://eurovoc.europa.eu/3878",103),
  array("1221 justice","http://eurovoc.europa.eu/100181",104, array(771,772,773,775)),
  array("access to the courts","http://eurovoc.europa.eu/5400",105),
  array("judicial proceedings","http://eurovoc.europa.eu/2701",106),
  array("legal action","http://eurovoc.europa.eu/5371",107),
  array("ruling","http://eurovoc.europa.eu/1538",108),
  array("1226 organisation of the legal system","http://eurovoc.europa.eu/100182",109),
  array("legal profession","http://eurovoc.europa.eu/2351",110),
  array("legal system","http://eurovoc.europa.eu/5923",111),
  array("1231 international law","http://eurovoc.europa.eu/100183",112),
  array("international economic law","http://eurovoc.europa.eu/4010",113),
  array("international labour law","http://eurovoc.europa.eu/6922",114),
  array("international law","http://eurovoc.europa.eu/565",115),
  array("private international law","http://eurovoc.europa.eu/566",116),
  array("public international law","http://eurovoc.europa.eu/567",117),
  array("1236 rights and freedoms","http://eurovoc.europa.eu/100184",118),
  array("anti-discriminatory measure","http://eurovoc.europa.eu/3908",119),
  array("citizen's duties","http://eurovoc.europa.eu/7347",120),
  array("economic rights","http://eurovoc.europa.eu/3901",121),
  array("human rights","http://eurovoc.europa.eu/584",122),
  array("political rights","http://eurovoc.europa.eu/3900",123),
  array("rights of the individual","http://eurovoc.europa.eu/538",124),
  array("social rights","http://eurovoc.europa.eu/3899",125),
  array("16 ECONOMICS","http://eurovoc.europa.eu/100146",126, array(735,747)),
  array("1606 economic policy","http://eurovoc.europa.eu/100185",127),
  array("economic planning","http://eurovoc.europa.eu/2402",128),
  array("economic policy","http://eurovoc.europa.eu/2497",129),
  array("economic support","http://eurovoc.europa.eu/712",130),
  array("1611 economic growth","http://eurovoc.europa.eu/100186",131, array(785)),
  array("economic conditions","http://eurovoc.europa.eu/84",132),
  array("economic cycle","http://eurovoc.europa.eu/335",133),
  array("economic development","http://eurovoc.europa.eu/427",134),
  array("1616 regions and regional policy","http://eurovoc.europa.eu/100187",135),
  array("economic region","http://eurovoc.europa.eu/3058",136),
  array("European Region","http://eurovoc.europa.eu/5848",137),
  array("regional policy","http://eurovoc.europa.eu/2515",138),
  array("1621 economic structure","http://eurovoc.europa.eu/100188",139),
  array("economic sector","http://eurovoc.europa.eu/4006",140),
  array("economic system","http://eurovoc.europa.eu/3013",141),
  array("economy","http://eurovoc.europa.eu/637",142),
  array("economic analysis","http://eurovoc.europa.eu/1800",148),
  array("economic forecasting","http://eurovoc.europa.eu/2616",149),
  array("statistics","http://eurovoc.europa.eu/4256",150),
  array("20 TRADE","http://eurovoc.europa.eu/100147",151, array(746)),
  array("2006 trade policy","http://eurovoc.europa.eu/100191",152, array(743)),
  array("commercial law","http://eurovoc.europa.eu/524",153),
  array("common commercial policy","http://eurovoc.europa.eu/2450",154),
  array("export policy","http://eurovoc.europa.eu/2487",155),
  array("import policy","http://eurovoc.europa.eu/2488",156),
  array("market","http://eurovoc.europa.eu/1786",157),
  array("public contract","http://eurovoc.europa.eu/1810",158),
  array("trade policy","http://eurovoc.europa.eu/2449",159),
  array("2011 tariff policy","http://eurovoc.europa.eu/100192",160, array(738)),
  array("common tariff policy","http://eurovoc.europa.eu/2520",161),
  array("Community customs procedure","http://eurovoc.europa.eu/5842",162),
  array("customs regulations","http://eurovoc.europa.eu/3156",163),
  array("customs tariff","http://eurovoc.europa.eu/4380",164),
  array("tariff policy","http://eurovoc.europa.eu/2519",165),
  array("2016 trade","http://eurovoc.europa.eu/100193",166),
  array("supply","http://eurovoc.europa.eu/2292",167),
  array("supply and demand","http://eurovoc.europa.eu/2128",168),
  array("trading operation","http://eurovoc.europa.eu/614",169),
  array("2021 international trade","http://eurovoc.europa.eu/100194",170),
  array("international trade","http://eurovoc.europa.eu/11",171),
  array("trade relations","http://eurovoc.europa.eu/3185",172),
  array("trade restriction","http://eurovoc.europa.eu/3584",173),
  array("2026 consumption","http://eurovoc.europa.eu/100195",174),
  array("consumer","http://eurovoc.europa.eu/138",175),
  array("consumption","http://eurovoc.europa.eu/139",176),
  array("goods and services","http://eurovoc.europa.eu/3193",177),
  array("2031 marketing","http://eurovoc.europa.eu/100196",178, array(743)),
  array("commercial transaction","http://eurovoc.europa.eu/5268",179),
  array("marketing","http://eurovoc.europa.eu/13",180),
  array("preparation for market","http://eurovoc.europa.eu/87",181),
  array("2036 distributive trades","http://eurovoc.europa.eu/100197",182),
  array("distributive trades","http://eurovoc.europa.eu/474",183),
  array("storage","http://eurovoc.europa.eu/4291",184),
  array("24 FINANCE","http://eurovoc.europa.eu/100148",185, array(744)),
  array("2406 monetary relations","http://eurovoc.europa.eu/100198",186),
  array("balance of payments","http://eurovoc.europa.eu/4671",187),
  array("European Monetary System","http://eurovoc.europa.eu/4370",188),
  array("international finance","http://eurovoc.europa.eu/1016",189),
  array("monetary relations","http://eurovoc.europa.eu/3239",190),
  array("2411 monetary economics","http://eurovoc.europa.eu/100199",191, array(743)),
  array("Economic and Monetary Union","http://eurovoc.europa.eu/4602",192),
  array("exchange policy","http://eurovoc.europa.eu/2486",193),
  array("monetary policy","http://eurovoc.europa.eu/2510",194),
  array("money market","http://eurovoc.europa.eu/1809",195),
  array("2416 financial institutions and credit","http://eurovoc.europa.eu/100200",196),
  array("banking","http://eurovoc.europa.eu/2149",197),
  array("credit","http://eurovoc.europa.eu/285",198),
  array("credit policy","http://eurovoc.europa.eu/2495",199),
  array("financial institution","http://eurovoc.europa.eu/1452",200),
  array("financial services","http://eurovoc.europa.eu/8469",201),
  array("2421 free movement of capital","http://eurovoc.europa.eu/100201",202, array(743) ),
  array("financial market","http://eurovoc.europa.eu/1804",203),
  array("free movement of capital","http://eurovoc.europa.eu/1630",204),
  array("2426 financing and investment","http://eurovoc.europa.eu/100202",205),
  array("financing","http://eurovoc.europa.eu/1000",206),
  array("investment","http://eurovoc.europa.eu/1488",207),
  array("2431 insurance","http://eurovoc.europa.eu/100203",208),
  array("insurance","http://eurovoc.europa.eu/3151",209),
  array("2436 public finance and budget policy","http://eurovoc.europa.eu/100204",210),
  array("budget policy","http://eurovoc.europa.eu/2448",211),
  array("public debt","http://eurovoc.europa.eu/424",212),
  array("public finance","http://eurovoc.europa.eu/1018",213),
  array("2441 budget","http://eurovoc.europa.eu/100205",214),
  array("budget financing","http://eurovoc.europa.eu/1012",215),
  array("budgetary expenditure","http://eurovoc.europa.eu/394",216),
  array("budgetary procedure","http://eurovoc.europa.eu/2698",217),
  array("implementation of the budget","http://eurovoc.europa.eu/929",218),
  array("2446 taxation","http://eurovoc.europa.eu/100206",219, array(745)),
  array("fiscal policy","http://eurovoc.europa.eu/2504",220),
  array("tax","http://eurovoc.europa.eu/1310",221),
  array("tax on capital","http://eurovoc.europa.eu/1325",222),
  array("tax on consumption","http://eurovoc.europa.eu/1321",223),
  array("tax on income","http://eurovoc.europa.eu/1326",224),
  array("tax system","http://eurovoc.europa.eu/1021",225),
  array("2451 prices","http://eurovoc.europa.eu/100207",226, array(743)),
  array("farm prices","http://eurovoc.europa.eu/2639",227),
  array("market prices","http://eurovoc.europa.eu/2656",228),
  array("price fluctuation","http://eurovoc.europa.eu/1039",229),
  array("prices","http://eurovoc.europa.eu/2632",230),
  array("prices policy","http://eurovoc.europa.eu/2489",231),
  array("28 SOCIAL QUESTIONS","http://eurovoc.europa.eu/100149",232, array(730,731,732,783,784,790,787,789)),
  array("2806 family","http://eurovoc.europa.eu/100208",233),
  array("artificial reproduction","http://eurovoc.europa.eu/3307",234),
  array("family","http://eurovoc.europa.eu/965",235),
  array("family law","http://eurovoc.europa.eu/540",236),
  array("family planning","http://eurovoc.europa.eu/2398",237),
  array("marital status","http://eurovoc.europa.eu/4184",238),
  array("2811 migration","http://eurovoc.europa.eu/100209",239),
  array("internal migration","http://eurovoc.europa.eu/1916",240),
  array("migration","http://eurovoc.europa.eu/1909",241),
  array("2816 demography and population","http://eurovoc.europa.eu/100210",242),
  array("composition of the population","http://eurovoc.europa.eu/52",243),
  array("demography","http://eurovoc.europa.eu/385",244),
  array("geographical distribution of the population","http://eurovoc.europa.eu/3300",245),
  array("population dynamics","http://eurovoc.europa.eu/3318",246),
  array("2821 social framework","http://eurovoc.europa.eu/100211",247, array(728, 734)),
  array("social analysis","http://eurovoc.europa.eu/1820",248),
  array("social situation","http://eurovoc.europa.eu/85",249),
  array("social structure","http://eurovoc.europa.eu/4305",250),
  array("sociocultural group","http://eurovoc.europa.eu/3487",251),
  array("2826 social affairs","http://eurovoc.europa.eu/100212",252, array(733)),
  array("leisure","http://eurovoc.europa.eu/1700",253),
  array("social life","http://eurovoc.europa.eu/4706",254),
  array("social policy","http://eurovoc.europa.eu/2517",255),
  array("social problem","http://eurovoc.europa.eu/2690",256),
  array("2831 culture and religion","http://eurovoc.europa.eu/100213",257, array(729)),
  array("arts","http://eurovoc.europa.eu/2688",258),
  array("cultural policy","http://eurovoc.europa.eu/2459",259),
  array("culture","http://eurovoc.europa.eu/317",260),
  array("religion","http://eurovoc.europa.eu/3257",261),
  array("2836 social protection","http://eurovoc.europa.eu/100214",262),
  array("leave on social grounds","http://eurovoc.europa.eu/108",263),
  array("social security","http://eurovoc.europa.eu/4050",264),
  array("welfare","http://eurovoc.europa.eu/1004",265),
  array("2841 health","http://eurovoc.europa.eu/100215",266, array(760,761,762,763,764,765)),
  array("health care profession","http://eurovoc.europa.eu/2789",267),
  array("health policy","http://eurovoc.europa.eu/2479",268),
  array("illness","http://eurovoc.europa.eu/1754",269),
  array("medical science","http://eurovoc.europa.eu/5881",270),
  array("nutrition","http://eurovoc.europa.eu/1268",271),
  array("pharmaceutical industry","http://eurovoc.europa.eu/1415",272),
  array("2846 construction and town planning","http://eurovoc.europa.eu/100216",273),
  array("built-up area","http://eurovoc.europa.eu/490",274),
  array("construction policy","http://eurovoc.europa.eu/2475",275),
  array("habitat","http://eurovoc.europa.eu/1221",276),
  array("housing","http://eurovoc.europa.eu/1690",277),
  array("housing policy","http://eurovoc.europa.eu/2496",278),
  array("property leasing","http://eurovoc.europa.eu/1687",279),
  array("town planning","http://eurovoc.europa.eu/4619",280),
  array("32 EDUCATION AND COMMUNICATIONS","http://eurovoc.europa.eu/100150",281),
  array("3206 education","http://eurovoc.europa.eu/100217",282, array(786)),
  array("education","http://eurovoc.europa.eu/668",283),
  array("education policy","http://eurovoc.europa.eu/2467",284),
  array("teaching method","http://eurovoc.europa.eu/3683",285),
  array("3211 teaching","http://eurovoc.europa.eu/100218",286),
  array("educational institution","http://eurovoc.europa.eu/873",287),
  array("general education","http://eurovoc.europa.eu/784",288),
  array("level of education","http://eurovoc.europa.eu/2059",289),
  array("teaching","http://eurovoc.europa.eu/778",290),
  array("vocational education","http://eurovoc.europa.eu/795",291),
  array("3216 organisation of teaching","http://eurovoc.europa.eu/100219",292),
  array("organisation of teaching","http://eurovoc.europa.eu/2175",293),
  array("school life","http://eurovoc.europa.eu/4705",294),
  array("schoolwork","http://eurovoc.europa.eu/4554",295),
  array("teaching materials","http://eurovoc.europa.eu/3278",296),
  array("3221 documentation","http://eurovoc.europa.eu/100220",297),
  array("document","http://eurovoc.europa.eu/486",298),
  array("documentation","http://eurovoc.europa.eu/494",299),
  array("information service","http://eurovoc.europa.eu/4366",300),
  array("3226 communications","http://eurovoc.europa.eu/100221",301, array(766,767,768,769,770)),
  array("audiovisual equipment","http://eurovoc.europa.eu/3855",302),
  array("communications industry","http://eurovoc.europa.eu/1370",303),
  array("communications policy","http://eurovoc.europa.eu/2473",304),
  array("communications systems","http://eurovoc.europa.eu/4361",305),
  array("means of communication","http://eurovoc.europa.eu/2012",306),
  array("3231 information and information processing","http://eurovoc.europa.eu/100222",307),
  array("information","http://eurovoc.europa.eu/1422",308),
  array("information policy","http://eurovoc.europa.eu/2472",309),
  array("information processing","http://eurovoc.europa.eu/4486",310),
  array("3236 information technology and data processing","http://eurovoc.europa.eu/100223",311),
  array("computer system","http://eurovoc.europa.eu/5922",312),
  array("computer systems","http://eurovoc.europa.eu/1426",313),
  array("data processing","http://eurovoc.europa.eu/4488",314),
  array("data-processing law","http://eurovoc.europa.eu/3028",315),
  array("information technology industry","http://eurovoc.europa.eu/1405",316),
  array("36 SCIENCE","http://eurovoc.europa.eu/100151",317),
  array("3606 natural and applied sciences","http://eurovoc.europa.eu/100224",318),
  array("applied sciences","http://eurovoc.europa.eu/3949",319),
  array("earth sciences","http://eurovoc.europa.eu/3952",320),
  array("life sciences","http://eurovoc.europa.eu/3941",321),
  array("physical sciences","http://eurovoc.europa.eu/3946",322),
  array("space science","http://eurovoc.europa.eu/6382",323),
  array("3611 humanities","http://eurovoc.europa.eu/100225",324, array(781)),
  array("behavioural sciences","http://eurovoc.europa.eu/3928",325),
  array("social sciences","http://eurovoc.europa.eu/3956",326),
  array("40 BUSINESS AND COMPETITION","http://eurovoc.europa.eu/100152",327, array(740)),
  array("4006 business organisation","http://eurovoc.europa.eu/100226",328),
  array("administrative personnel","http://eurovoc.europa.eu/3582",329),
  array("business activity","http://eurovoc.europa.eu/4703",330),
  array("business policy","http://eurovoc.europa.eu/2469",331),
  array("company law","http://eurovoc.europa.eu/554",332),
  array("company structure","http://eurovoc.europa.eu/4300",333),
  array("economic concentration","http://eurovoc.europa.eu/69",334),
  array("4011 business classification","http://eurovoc.europa.eu/100227",335),
  array("branch of activity","http://eurovoc.europa.eu/5985",336),
  array("size of business","http://eurovoc.europa.eu/445",337),
  array("type of business","http://eurovoc.europa.eu/813",338),
  array("4016 legal form of organisations","http://eurovoc.europa.eu/100228",339),
  array("organisation","http://eurovoc.europa.eu/4189",340),
  array("4021 management","http://eurovoc.europa.eu/100229",341),
  array("financial management","http://eurovoc.europa.eu/1164",342),
  array("management","http://eurovoc.europa.eu/1154",343),
  array("management techniques","http://eurovoc.europa.eu/4413",344),
  array("4026 accounting","http://eurovoc.europa.eu/100230",345, array(736)),
  array("accounting","http://eurovoc.europa.eu/54",346),
  array("management accounting","http://eurovoc.europa.eu/1155",347),
  array("4031 competition","http://eurovoc.europa.eu/100231",348),
  array("competition law","http://eurovoc.europa.eu/539",349),
  array("competition policy","http://eurovoc.europa.eu/2474",350),
  array("restriction on competition","http://eurovoc.europa.eu/3581",351),
  array("restrictive trade practice","http://eurovoc.europa.eu/802",352),
  array("44 EMPLOYMENT AND WORKING CONDITIONS","http://eurovoc.europa.eu/100153",353),
  array("4406 employment","http://eurovoc.europa.eu/100232",354, array(741,788)),
  array("employment policy","http://eurovoc.europa.eu/2468",355),
  array("employment structure","http://eurovoc.europa.eu/4299",356),
  array("termination of employment","http://eurovoc.europa.eu/3522",357),
  array("unemployment","http://eurovoc.europa.eu/5974",358),
  array("vocational training","http://eurovoc.europa.eu/1074",359),
  array("4411 labour market","http://eurovoc.europa.eu/100233",360, array(743)),
  array("labour force","http://eurovoc.europa.eu/1737",361),
  array("labour market","http://eurovoc.europa.eu/1802",362),
  array("occupational status","http://eurovoc.europa.eu/4276",363),
  array("socioprofessional category","http://eurovoc.europa.eu/5275",364),
  array("4416 organisation of work and working conditions","http://eurovoc.europa.eu/100234",365),
  array("organisation of work","http://eurovoc.europa.eu/2184",366),
  array("work","http://eurovoc.europa.eu/4543",367),
  array("working conditions","http://eurovoc.europa.eu/82",368),
  array("4421 personnel management and staff remuneration","http://eurovoc.europa.eu/100235",369),
  array("pay policy","http://eurovoc.europa.eu/2491",370),
  array("personnel administration","http://eurovoc.europa.eu/1163",371),
  array("remuneration of work","http://eurovoc.europa.eu/3273",372),
  array("4426 labour law and labour relations","http://eurovoc.europa.eu/100236",373),
  array("labour law","http://eurovoc.europa.eu/557",374),
  array("labour relations","http://eurovoc.europa.eu/3209",375),
  array("organisation of professions","http://eurovoc.europa.eu/2178",376),
  array("48 TRANSPORT","http://eurovoc.europa.eu/100154",377),
  array("4806 transport policy","http://eurovoc.europa.eu/100237",378),
  array("traffic regulations","http://eurovoc.europa.eu/3131",379),
  array("transport policy","http://eurovoc.europa.eu/2494",380),
  array("transport price","http://eurovoc.europa.eu/3101",381),
  array("transport regulations","http://eurovoc.europa.eu/3160",382),
  array("4811 organisation of transport","http://eurovoc.europa.eu/100238",383),
  array("destination of transport","http://eurovoc.europa.eu/3098",384),
  array("means of transport","http://eurovoc.europa.eu/2015",385),
  array("mode of transport","http://eurovoc.europa.eu/1954",386),
  array("organisation of transport","http://eurovoc.europa.eu/2181",387),
  array("4816 land transport","http://eurovoc.europa.eu/100239",388),
  array("land transport","http://eurovoc.europa.eu/4539",389),
  array("4821 maritime and inland waterway transport","http://eurovoc.europa.eu/100240",390, array(742)),
  array("inland waterway transport","http://eurovoc.europa.eu/4515",391),
  array("maritime transport","http://eurovoc.europa.eu/4522",392),
  array("ports policy","http://eurovoc.europa.eu/2512",393),
  array("4826 air and space transport","http://eurovoc.europa.eu/100241",394),
  array("air transport","http://eurovoc.europa.eu/4505",395),
  array("space transport","http://eurovoc.europa.eu/3092",396),
  array("52 ENVIRONMENT","http://eurovoc.europa.eu/100155",397, array(754,755)),
  array("5206 environmental policy","http://eurovoc.europa.eu/100242",398, array(756,757,758)),
  array("environmental policy","http://eurovoc.europa.eu/2470",399),
  array("environmental protection","http://eurovoc.europa.eu/2825",400),
  array("pollution control measures","http://eurovoc.europa.eu/1707",401),
  array("waste management","http://eurovoc.europa.eu/1158",402),
  array("water management","http://eurovoc.europa.eu/3144",403),
  array("5211 natural environment","http://eurovoc.europa.eu/100243",404, array(759)),
  array("climate","http://eurovoc.europa.eu/6011",405),
  array("geophysical environment","http://eurovoc.europa.eu/3146",406),
  array("natural resources","http://eurovoc.europa.eu/3549",407),
  array("physical environment","http://eurovoc.europa.eu/833",408),
  array("wildlife","http://eurovoc.europa.eu/3150",409),
  array("5216 deterioration of the environment","http://eurovoc.europa.eu/100244",410, array(756,757)),
  array("degradation of the environment","http://eurovoc.europa.eu/371",411),
  array("nuisance","http://eurovoc.europa.eu/2090",412),
  array("pollution","http://eurovoc.europa.eu/2524",413),
  array("waste","http://eurovoc.europa.eu/343",414),
  array("56 AGRICULTURE, FORESTRY AND FISHERIES","http://eurovoc.europa.eu/100156",415, array(737)),
  array("5606 agricultural policy","http://eurovoc.europa.eu/100245",416),
  array("agricultural policy","http://eurovoc.europa.eu/2442",417),
  array("common agricultural policy","http://eurovoc.europa.eu/2443",418),
  array("5611 agricultural structures and production","http://eurovoc.europa.eu/100246",419),
  array("agricultural production policy","http://eurovoc.europa.eu/2477",420),
  array("policy on agricultural structures","http://eurovoc.europa.eu/2493",421),
  array("regulation of agricultural production","http://eurovoc.europa.eu/2972",422),
  array("5616 farming systems","http://eurovoc.europa.eu/100247",423),
  array("agricultural holding","http://eurovoc.europa.eu/937",424),
  array("agricultural performance","http://eurovoc.europa.eu/3605",425),
  array("agricultural real estate","http://eurovoc.europa.eu/2814",426),
  array("farming system","http://eurovoc.europa.eu/4358",427),
  array("type of tenure","http://eurovoc.europa.eu/962",428),
  array("working population engaged in agriculture","http://eurovoc.europa.eu/2551",429),
  array("5621 cultivation of agricultural land","http://eurovoc.europa.eu/100248",430),
  array("cultivation system","http://eurovoc.europa.eu/4363",431),
  array("cultivation techniques","http://eurovoc.europa.eu/4412",432),
  array("land use","http://eurovoc.europa.eu/4630",433),
  array("5626 means of agricultural production","http://eurovoc.europa.eu/100249",434),
  array("livestock","http://eurovoc.europa.eu/5962",435),
  array("means of agricultural production","http://eurovoc.europa.eu/2014",436),
  array("5631 agricultural activity","http://eurovoc.europa.eu/100250",437),
  array("agricultural product","http://eurovoc.europa.eu/2734",438),
  array("animal health","http://eurovoc.europa.eu/5877",439),
  array("animal nutrition","http://eurovoc.europa.eu/1277",440),
  array("animal production","http://eurovoc.europa.eu/2711",441),
  array("crop production","http://eurovoc.europa.eu/2723",442),
  array("livestock farming","http://eurovoc.europa.eu/711",443),
  array("5636 forestry","http://eurovoc.europa.eu/100251",444),
  array("forest","http://eurovoc.europa.eu/1063",445),
  array("forestry economics","http://eurovoc.europa.eu/651",446),
  array("forestry policy","http://eurovoc.europa.eu/2505",447),
  array("5641 fisheries","http://eurovoc.europa.eu/100252",448, array(742)),
  array("aquaculture","http://eurovoc.europa.eu/2320",449),
  array("fisheries policy","http://eurovoc.europa.eu/2476",450),
  array("fisheries structure","http://eurovoc.europa.eu/5913",451),
  array("fishery resources","http://eurovoc.europa.eu/3544",452),
  array("fishing grounds","http://eurovoc.europa.eu/1652",453),
  array("fishing industry","http://eurovoc.europa.eu/1372",454),
  array("60 AGRI-FOODSTUFFS","http://eurovoc.europa.eu/100157",455),
  array("6006 plant product","http://eurovoc.europa.eu/100253",456),
  array("cereals","http://eurovoc.europa.eu/5360",457),
  array("fodder plant","http://eurovoc.europa.eu/2412",458),
  array("fruit","http://eurovoc.europa.eu/1115",459),
  array("industrial plant","http://eurovoc.europa.eu/2413",460),
  array("oleaginous plant","http://eurovoc.europa.eu/2414",461),
  array("root crop","http://eurovoc.europa.eu/2416",462),
  array("textile plant","http://eurovoc.europa.eu/2417",463),
  array("tropical plant","http://eurovoc.europa.eu/2418",464),
  array("vegetable","http://eurovoc.europa.eu/1602",465),
  array("6011 animal product","http://eurovoc.europa.eu/100254",466),
  array("animal product","http://eurovoc.europa.eu/2737",467),
  array("6016 processed agricultural produce","http://eurovoc.europa.eu/100255",468),
  array("essential oil","http://eurovoc.europa.eu/6788",469),
  array("fats","http://eurovoc.europa.eu/239",470),
  array("milk product","http://eurovoc.europa.eu/2763",471),
  array("protein products","http://eurovoc.europa.eu/2775",472),
  array("6021 beverages and sugar","http://eurovoc.europa.eu/100256",473),
  array("beverage","http://eurovoc.europa.eu/5017",474),
  array("sugar","http://eurovoc.europa.eu/4314",475),
  array("6026 foodstuff","http://eurovoc.europa.eu/100257",476),
  array("foodstuff","http://eurovoc.europa.eu/2735",477),
  array("processed food product","http://eurovoc.europa.eu/2736",478),
  array("processed foodstuff","http://eurovoc.europa.eu/1258",479),
  array("6031 agri-foodstuffs","http://eurovoc.europa.eu/100258",480),
  array("agri-foodstuffs","http://eurovoc.europa.eu/656",481),
  array("food industry","http://eurovoc.europa.eu/1360",482),
  array("6036 food technology","http://eurovoc.europa.eu/100259",483),
  array("food additive","http://eurovoc.europa.eu/6052",484),
  array("food technology","http://eurovoc.europa.eu/4416",485),
  array("64 PRODUCTION, TECHNOLOGY AND RESEARCH","http://eurovoc.europa.eu/100158",486),
  array("6406 production","http://eurovoc.europa.eu/100260",487),
  array("production","http://eurovoc.europa.eu/2707",488),
  array("production policy","http://eurovoc.europa.eu/2481",489),
  array("6411 technology and technical regulations","http://eurovoc.europa.eu/100261",490),
  array("advanced materials","http://eurovoc.europa.eu/3689",491),
  array("biotechnology","http://eurovoc.europa.eu/3797",492),
  array("industrial manufacturing","http://eurovoc.europa.eu/3632",493),
  array("materials technology","http://eurovoc.europa.eu/4418",494),
  array("technical regulations","http://eurovoc.europa.eu/3641",495),
  array("technology","http://eurovoc.europa.eu/4415",496),
  array("6416 research and intellectual property","http://eurovoc.europa.eu/100262",497, array(776,777,778,779,780,782)),
  array("intellectual property","http://eurovoc.europa.eu/2817",498),
  array("research","http://eurovoc.europa.eu/2914",499),
  array("research policy","http://eurovoc.europa.eu/2478",500),
  array("space policy","http://eurovoc.europa.eu/4185",501),
  array("66 ENERGY","http://eurovoc.europa.eu/100159",502, array(739)),
  array("6606 energy policy","http://eurovoc.europa.eu/100263",503),
  array("energy industry","http://eurovoc.europa.eu/3737",504),
  array("energy policy","http://eurovoc.europa.eu/2498",505),
  array("6611 coal and mining industries","http://eurovoc.europa.eu/100264",506),
  array("coal industry","http://eurovoc.europa.eu/3743",507),
  array("mining industry","http://eurovoc.europa.eu/1411",508),
  array("mining product","http://eurovoc.europa.eu/2767",509),
  array("6616 oil industry","http://eurovoc.europa.eu/100265",510),
  array("hydrocarbon","http://eurovoc.europa.eu/1274",511),
  array("oil industry","http://eurovoc.europa.eu/1414",512),
  array("petrochemicals","http://eurovoc.europa.eu/2364",513),
  array("6621 electrical and nuclear industries","http://eurovoc.europa.eu/100266",514),
  array("electrical industry","http://eurovoc.europa.eu/3783",515),
  array("nuclear energy","http://eurovoc.europa.eu/753",516),
  array("nuclear industry","http://eurovoc.europa.eu/1412",517),
  array("nuclear power station","http://eurovoc.europa.eu/5350",518),
  array("6626 soft energy","http://eurovoc.europa.eu/100267",519),
  array("soft energy","http://eurovoc.europa.eu/744",520),
  array("68 INDUSTRY","http://eurovoc.europa.eu/100160",521),
  array("6806 industrial structures and policy","http://eurovoc.europa.eu/100268",522),
  array("industrial policy","http://eurovoc.europa.eu/2507",523),
  array("industrial production","http://eurovoc.europa.eu/2720",524),
  array("industrial structures","http://eurovoc.europa.eu/4303",525),
  array("technical profession","http://eurovoc.europa.eu/3587",526),
  array("6811 chemistry","http://eurovoc.europa.eu/100269",527),
  array("chemical compound","http://eurovoc.europa.eu/3810",528),
  array("chemical element","http://eurovoc.europa.eu/3809",529),
  array("chemical industry","http://eurovoc.europa.eu/1362",530),
  array("special chemicals","http://eurovoc.europa.eu/3798",531),
  array("6816 iron, steel and other metal industries","http://eurovoc.europa.eu/100270",532),
  array("iron and steel industry","http://eurovoc.europa.eu/1417",533),
  array("metallurgical industry","http://eurovoc.europa.eu/3820",534),
  array("metals","http://eurovoc.europa.eu/1882",535),
  array("6821 mechanical engineering","http://eurovoc.europa.eu/100271",536),
  array("machinery","http://eurovoc.europa.eu/1718",537),
  array("mechanical engineering","http://eurovoc.europa.eu/1410",538),
  array("mechanical equipment","http://eurovoc.europa.eu/1834",539),
  array("precision engineering","http://eurovoc.europa.eu/1845",540),
  array("pressure equipment","http://eurovoc.europa.eu/5614",541),
  array("thermal equipment","http://eurovoc.europa.eu/5615",542),
  array("6826 electronics and electrical engineering","http://eurovoc.europa.eu/100272",543),
  array("electrical engineering","http://eurovoc.europa.eu/1401",544),
  array("electronics industry","http://eurovoc.europa.eu/1400",545),
  array("6831 building and public works","http://eurovoc.europa.eu/100273",546),
  array("building industry","http://eurovoc.europa.eu/3879",547),
  array("building services","http://eurovoc.europa.eu/4414",548),
  array("public works","http://eurovoc.europa.eu/4565",549),
  array("6836 wood industry","http://eurovoc.europa.eu/100274",550),
  array("wood industry","http://eurovoc.europa.eu/1386",551),
  array("6841 leather and textile industries","http://eurovoc.europa.eu/100275",552),
  array("leather industry","http://eurovoc.europa.eu/1388",553),
  array("textile industry","http://eurovoc.europa.eu/1418",554),
  array("6846 miscellaneous industries","http://eurovoc.europa.eu/100276",555),
  array("ceramics","http://eurovoc.europa.eu/5359",556),
  array("miscellaneous industries","http://eurovoc.europa.eu/3895",557),
  array("refrigeration industry","http://eurovoc.europa.eu/1390",558),
  array("vacuum industry","http://eurovoc.europa.eu/1398",559),
  array("72 GEOGRAPHY","http://eurovoc.europa.eu/100161",560),
  array("7206 Europe","http://eurovoc.europa.eu/100277",561),
  array("Eastern Europe","http://eurovoc.europa.eu/914",562),
  array("Europe","http://eurovoc.europa.eu/909",563),
  array("Northern Europe","http://eurovoc.europa.eu/911",564),
  array("Southern Europe","http://eurovoc.europa.eu/912",565),
  array("Western Europe","http://eurovoc.europa.eu/913",566),
  array("7211 regions of EU Member States","http://eurovoc.europa.eu/100278",567),
  array("regions and communities of Belgium","http://eurovoc.europa.eu/4840",568),
  array("regions of Austria","http://eurovoc.europa.eu/6136",569),
  array("regions of Bulgaria","http://eurovoc.europa.eu/8301",570),
  array("regions of Denmark","http://eurovoc.europa.eu/337",571),
  array("regions of Estonia","http://eurovoc.europa.eu/7855",572),
  array("regions of Finland","http://eurovoc.europa.eu/6135",573),
  array("regions of France","http://eurovoc.europa.eu/1088",574),
  array("regions of Germany","http://eurovoc.europa.eu/1329",575),
  array("regions of Greece","http://eurovoc.europa.eu/1184",576),
  array("regions of Hungary","http://eurovoc.europa.eu/7879",577),
  array("regions of Ireland","http://eurovoc.europa.eu/1506",578),
  array("regions of Italy","http://eurovoc.europa.eu/1520",579),
  array("regions of Latvia","http://eurovoc.europa.eu/7861",580),
  array("regions of Lithuania","http://eurovoc.europa.eu/7868",581),
  array("regions of Poland","http://eurovoc.europa.eu/7814",582),
  array("regions of Portugal","http://eurovoc.europa.eu/2564",583),
  array("regions of Romania","http://eurovoc.europa.eu/8189",584),
  array("regions of Slovakia","http://eurovoc.europa.eu/7817",585),
  array("regions of Slovenia","http://eurovoc.europa.eu/7815",586),
  array("regions of Spain","http://eurovoc.europa.eu/864",587),
  array("regions of Sweden","http://eurovoc.europa.eu/6138",588),
  array("regions of the Czech Republic","http://eurovoc.europa.eu/7816",589),
  array("regions of the Netherlands","http://eurovoc.europa.eu/2288",590),
  array("regions of the United Kingdom","http://eurovoc.europa.eu/3780",591),
  array("7216 America","http://eurovoc.europa.eu/100279",592),
  array("America","http://eurovoc.europa.eu/1587",593),
  array("Caribbean Islands","http://eurovoc.europa.eu/5259",594),
  array("Latin America","http://eurovoc.europa.eu/1632",595),
  array("North America","http://eurovoc.europa.eu/1615",596),
  array("7221 Africa","http://eurovoc.europa.eu/100280",597),
  array("Africa","http://eurovoc.europa.eu/281",598),
  array("North Africa","http://eurovoc.europa.eu/311",599),
  array("sub-Saharan Africa","http://eurovoc.europa.eu/5424",600),
  array("7226 Asia and Oceania","http://eurovoc.europa.eu/100281",601),
  array("Asia","http://eurovoc.europa.eu/2838",602),
  array("Central Asia","http://eurovoc.europa.eu/5448",603),
  array("Far East","http://eurovoc.europa.eu/956",604),
  array("Middle East","http://eurovoc.europa.eu/2705",605),
  array("Oceania","http://eurovoc.europa.eu/2113",606),
  array("South Asia","http://eurovoc.europa.eu/2848",607),
  array("South-East Asia","http://eurovoc.europa.eu/2858",608),
  array("7231 economic geography","http://eurovoc.europa.eu/100282",609),
  array("AAMS countries","http://eurovoc.europa.eu/594",610),
  array("ACP countries","http://eurovoc.europa.eu/5083",611),
  array("ALADI countries","http://eurovoc.europa.eu/1105",612),
  array("Andean Community countries","http://eurovoc.europa.eu/1191",613),
  array("APEC countries","http://eurovoc.europa.eu/6205",614),
  array("Arab Common Market countries","http://eurovoc.europa.eu/1794",615),
  array("ASEAN countries","http://eurovoc.europa.eu/1847",616),
  array("Benelux countries","http://eurovoc.europa.eu/4845",617),
  array("CACM countries","http://eurovoc.europa.eu/1844",618),
  array("CAEMC countries","http://eurovoc.europa.eu/4587",619),
  array("CAEU countries","http://eurovoc.europa.eu/8369",620),
  array("CAIS countries","http://eurovoc.europa.eu/2117",621),
  array("Caricom countries","http://eurovoc.europa.eu/5265",622),
  array("CEFTA countries","http://eurovoc.europa.eu/8278",623),
  array("Central and Eastern European Countries","http://eurovoc.europa.eu/5781",624),
  array("Comecon countries","http://eurovoc.europa.eu/5087",625),
  array("countries of the Pacific Community","http://eurovoc.europa.eu/8366",626),
  array("EAC countries","http://eurovoc.europa.eu/8365",627),
  array("Ecowas countries","http://eurovoc.europa.eu/5302",628),
  array("EFTA countries","http://eurovoc.europa.eu/187",629),
  array("EU Member State","http://eurovoc.europa.eu/5283",630),
  array("GCC countries","http://eurovoc.europa.eu/5776",631),
  array("LAES countries","http://eurovoc.europa.eu/4069",632),
  array("Mediterranean third countries","http://eurovoc.europa.eu/5780",633),
  array("Mercosur countries","http://eurovoc.europa.eu/5778",634),
  array("NAFTA countries","http://eurovoc.europa.eu/7207",635),
  array("OECD countries","http://eurovoc.europa.eu/2106",636),
  array("OPEC countries","http://eurovoc.europa.eu/2148",637),
  array("SAARC countries","http://eurovoc.europa.eu/8367",638),
  array("WAEMU countries","http://eurovoc.europa.eu/4607",639),
  array("Western Balkans","http://eurovoc.europa.eu/4690",640),
  array("7236 political geography","http://eurovoc.europa.eu/100283",641),
  array("Anzus countries","http://eurovoc.europa.eu/2079",642),
  array("Arab League countries","http://eurovoc.europa.eu/1658",643),
  array("CIS countries","http://eurovoc.europa.eu/5775",644),
  array("Council of Europe countries","http://eurovoc.europa.eu/122",645),
  array("former socialist countries","http://eurovoc.europa.eu/5437",646),
  array("NATO countries","http://eurovoc.europa.eu/2200",647),
  array("Nordic Council countries","http://eurovoc.europa.eu/130",648),
  array("OAS countries","http://eurovoc.europa.eu/2119",649),
  array("Visegrad countries","http://eurovoc.europa.eu/5655",650),
  array("Warsaw Pact countries","http://eurovoc.europa.eu/4483",651),
  array("WEU countries","http://eurovoc.europa.eu/4590",652),
  array("7241 overseas countries and territories","http://eurovoc.europa.eu/100284",653),
  array("French Overseas Departments","http://eurovoc.europa.eu/1086",654),
  array("French Overseas Territories","http://eurovoc.europa.eu/1087",655),
  array("Netherlands OCT","http://eurovoc.europa.eu/2287",656),
  array("United Kingdom OCT","http://eurovoc.europa.eu/3778",657),
  array("76 INTERNATIONAL ORGANISATIONS","http://eurovoc.europa.eu/100162",658),
  array("7606 United Nations","http://eurovoc.europa.eu/100285",659),
  array("UN programmes and funds","http://eurovoc.europa.eu/4365",660),
  array("UN research and training institutes","http://eurovoc.europa.eu/8380",661),
  array("UN specialised agency","http://eurovoc.europa.eu/1455",662),
  array("UNO","http://eurovoc.europa.eu/2179",663),
  array("7611 European organisations","http://eurovoc.europa.eu/100286",664),
  array("European organisation","http://eurovoc.europa.eu/2187",665),
  array("7616 extra-European organisations","http://eurovoc.europa.eu/100287",666),
  array("African organisation","http://eurovoc.europa.eu/2167",667),
  array("American organisation","http://eurovoc.europa.eu/2170",668),
  array("Arab organisation","http://eurovoc.europa.eu/2171",669),
  array("Asian organisation","http://eurovoc.europa.eu/2172",670),
  array("Latin American organisation","http://eurovoc.europa.eu/2190",671),
  array("7621 world organisations","http://eurovoc.europa.eu/100288",672),
  array("world organisation","http://eurovoc.europa.eu/2188",673),
  array("7626 non-governmental organisations","http://eurovoc.europa.eu/100289",674),
  array("non-governmental organisation","http://eurovoc.europa.eu/2191",675),
);


foreach ($terms as $value) {
  //save the term_data
  $term_uri = $value[1];
  $name     = $value[0];
  $query = "INSERT INTO term_data (vid, name, weight) VALUES (%d, '%s', %d)";
  db_query($query, $vocabulary, $name, $value[2]);
  $tid = db_last_insert_id('term_data', 'tid');

  //Retrieve the hierarchy (depends on numbers in name)
  if (is_numeric(substr($name, 0, 4))) {
    $second_parent = $tid;
    $parent = $first_parent;
  }
  elseif (is_numeric(substr($name, 0, 2))) {
    $first_parent = $tid;
    $parent = 0;
  }
  else {
    $parent = $second_parent;
  }

  //Insert the tid in term_hierarchy
  $query = "INSERT INTO term_hierarchy (tid, parent) VALUES (%d, %d)";
  db_query($query, $tid, $parent);

  //Insert the tid + uri in term_fields_term
  if (!empty($term_uri)) {
    $query = "INSERT INTO term_fields_term (tid, vid, taxonomy_uri_value) VALUES (%d, %d, '%s')";
    db_query($query, $tid, $vocabulary, $term_uri);
  }

  //Mapping old term nodes
  if (isset($value[3])) {
    $old_terms = array_merge($old_terms, $value[3]);
    $values = implode(',', $value[3]);
    $query = "SELECT * FROM term_node WHERE tid IN (%s)";
    $results = db_query($query, $values);
    while ($result = db_fetch_array($results)) {
      $insert = "INSERT INTO term_node (nid, vid, tid) VALUES (%d,%d,%d)";
      db_query($insert, intval($result['nid']), intval($result['vid']), intval($tid));
    }
  }
}
//Delete old term_node
array_unique($old_terms);
$query = "DELETE FROM term_node WHERE tid IN (%s)";
db_query($query, implode(',', $old_terms));