DROP TABLE IF EXISTS `content_type_analytical_model`;
CREATE TABLE `content_type_analytical_model` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `field_analytical_date_value` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
LOCK TABLES `content_type_analytical_model` WRITE;
INSERT INTO `content_type_analytical_model` VALUES (85687,67608,NULL),(85688,67609,'2013-08-26T00:00:00'),(85689,67610,'2013-08-26T00:00:00'),(85695,67616,'2013-08-09T00:00:00');
UNLOCK TABLES;

DROP TABLE IF EXISTS `nifo_values`;
CREATE TABLE `nifo_values` (
  `idnifo_values` int(11) NOT NULL AUTO_INCREMENT,
  `nid` int(11) DEFAULT NULL,
  `vid` int(11) DEFAULT NULL,
  `nifo_score_alignement` int(11) DEFAULT NULL,
  `nifo_score_monitoring` int(11) DEFAULT NULL,
  `nifo_evidence_alignement` text,
  `nifo_evidence_monitoring` text,
  `nifo_eif_element_idnifo_eif_element` int(11) NOT NULL,
  PRIMARY KEY (`idnifo_values`),
  KEY `fk_nifo_values_nifo_eif_element1_idx` (`nifo_eif_element_idnifo_eif_element`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `nifo_categories`;
CREATE TABLE `nifo_categories` (
  `idnifo_categories` int(11) NOT NULL AUTO_INCREMENT,
  `order` int(11) DEFAULT NULL,
  `nifo_categories_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`idnifo_categories`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
LOCK TABLES `nifo_categories` WRITE;
INSERT INTO `nifo_categories` VALUES (1,1,'Principles'),(2,2,'Conceptual Model'),(3,3,'Interoperability Levels'),(4,4,'Interoperability Agreements'),(5,5,'Governance');
UNLOCK TABLES;

DROP TABLE IF EXISTS `nifo_eif_element`;
CREATE TABLE `nifo_eif_element` (
  `idnifo_eif_element` int(11) NOT NULL AUTO_INCREMENT,
  `order` int(11) DEFAULT NULL,
  `nifo_eif_element` text,
  `nifo_eif_measurement` text,
  `nifo_eif_reference` text,
  `nifo_categories_idnifo_categories` int(11) NOT NULL,
  PRIMARY KEY (`idnifo_eif_element`),
  KEY `fk_nifo_eif_element_nifo_categories_idx` (`nifo_categories_idnifo_categories`)
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;
LOCK TABLES `nifo_eif_element` WRITE;
INSERT INTO `nifo_eif_element` VALUES (1,1,'Subsidiarity and proportionality','Does the NIF contain the \'subsidiarity and proportionality\' principle?','EIF,Chapter 2, Underlying principles',1),(2,2,'User-centricity','Does the NIF contain the \'user-centricity\' principle?','EIF, Chapter 2, Underlying principles',1),(3,3,'Inclusion and accessibility','Does the NIF contain the \'inclusion and accessibility\' principle?','EIF, Chapter 2, Underlying principles Recommendation 2',1),(4,4,'Security and privacy','Does the NIF contain the \'Security and privacy\' principle?','EIF, Chapter 2, Underlying principles Recommendation 3',1),(5,5,'Multilingualism','Does the NIF contain the \'Multilingualism\' principle?','EIF, Chapter 2, Underlying principles Recommendation 4',1),(6,6,'Administrative simplification','Does the NIF contain the \'Administrative simplification\' principle?','EIF, Chapter 2, Underlying principles',1),(7,7,'Transparency','Does the NIF contain the \'Transparency\' principle?','EIF, Chapter 2, Underlying principles',1),(8,8,'Preservation of information','Does the NIF contain the \'Preservation of information\' principle?','EIF, Chapter 2, Underlying principles Recommendation 5',1),(9,9,'Openness','Does the NIF contain the \'Openness\' principle?','EIF, Chapter 2, Underlying principles  Recommendation 6',1),(10,10,'Reusability','Does the NIF contain the \'Reusability\' principle?','EIF, Chapter 2, Underlying principles Recommendation 7',1),(11,11,'Technological neutrality and adaptability','Does the NIF contain the \'Technological neutrality and adaptability\' principle?','EIF, Chapter 2, Underlying principles Recommendation 8',1),(12,12,'Effectiveness and efficiency','Does the NIF contain the \'Effectiveness and efficiency\' principle?','EIF, Chapter 2, Underlying principles',1),(13,1,'Conceptual model','Does the NIF contain a conceptual model?','EIF, Chapter 3, Conceptual Model',2),(14,2,'Public administrations should develop a component-based service model, allowing the establishment of (European) public services by reusing, as much as possible, existing service components.','Is the conceptual model a component-based service model? (e.g. SOA)','EIF, Recommendation 9',2),(15,3,'Public administrations should agree on a common scheme to interconnect loosely coupled service components and put in place the necessary infrastructure when establishing (European) public services.','Does the NIF encourage the use of common schemes to interconnect loosely coupled service components.','EIF, Recommendation 10',2),(16,4,'Interconnection of service components','Does the NIF encourage to put in place the infrastructure to interconnect loosely coupled service components?','EIF, Recommendation 10',2),(17,5,'Public administrations should make their authentic sources of information available to others while implementing access and control mechanisms to ensure security and privacy in accordance with the relevant legislation.','Does the NIF encourage to make the authentic sources of information available to others?','EIF, Recommendation 11',2),(18,6,'Access control','Does the NIF encourage access and control mechanisms to ensure compliance to security and privacy legislation?','EIF, Recommendation 11',2),(19,7,'Public administrations, when working to establish (European) public services, should develop interfaces to authentic sources and align them at semantic and technical level.','Does the NIF encourage the development of interfaces to authentic sources that are aligned at semantic and technical level?','EIF, Recommendation 12',2),(20,1,'Interoperability levels','Does the NIF describe the four levels of interoperability?','EIF, Chapter 4; Interoperability level',3),(21,2,'Legal interoperability: Public administrations should carefully consider all relevant legislation relating to data exchange, including data protection legislation, when seeking to establish a European public service.','Does the NIF impose to consider all relevant legislation related to data exchange?','EIF, Chapter 4; Interoperability levels, Recommendation 14',3),(22,3,'Organisational interoperability - business process alignment. Public administrations should document their business processes and agree on how these processes will interact to deliver a (European) public service.','Does the NIF describe that the business processes are documented in an agreed way in order for other administrations to understand the overall business process?','EIF, Chapter 4; Interoperability levels, Recommendation 15',3),(23,4,'Inter-governmental coordination','Does the NIF encourage to  agree on how these processes will interact among the different levels of public administrations?','EIF, Chapter 4; Interoperability levels, Recommendation 15',3),(24,5,'Does the NIF encourage to  agree on how these processes will interact among the different levels of public administrations?','Does the NIF encourage  public administrations to clarify their organisational relationships as part of the establishment of a (European) public service?','EIF, Chapter 4; Interoperability levels, Recommendation 16',3),(25,6,'Organisational interoperability - change management. Public administrations working together to provide (European) public services should agree on change management processes to ensure continuous service delivery.','Does the NIF encourage public administrations to  agree on change management processes to ensure continuous service delivery.','EIF, Chapter 4; Interoperability levels, Recommendation 17',3),(26,7,'Semantic interoperability Public administrations, when working together to establish (European) public services, should use a common taxonomy of basic public services.','Does the NIF encourage the usage of a common taxonomy of basic public service?','EIF, Chapter 4; Interoperability levels, Recommendation 13',3),(27,8,'Public administrations should support the establishment of sectorspecific and cross-sectoral communities that aim to facilitate semantic interoperability and should encourage the communities to share results on national and European platforms.','Does the NIF encourage public administrations to support the establishment of sectorspecific and cross-sectoral communities that aim to facilitate semantic interoperability and that share results on national and European platforms.','EIF, Recommendation 18',3),(28,9,'Technical interoperability Public administrations should agree on the formalised specifications to ensure technical interoperability when establishing European public services.','Does the NIF encourage public administrations to agree on the formalised specification to ensure technical interoperability when establishing European public services.','EIF, Chapter 4; Interoperability levels, Recommendation 19',3),(29,1,'Public administrations, when establishing (European) public services, should base interoperability agreements on existing formalised specifications, or, if they do not exist, cooperate with communities working in the same areas.','Public administrations, when establishing (European) public services, should base interoperability agreements on existing formalised specifications, or, if they do not exist, cooperate with communities working in the same areas.','EIF, Recommendation 20',4),(30,2,'Public administrations should use a structured, transparent and objective approach to assessing and selecting formalised specifications.','Does the NIF encourage: \n - Interoperability agreements to be based on existing formalised specifications?  \n Or  \n - if they do not exist, to cooperate with communities working in the same areas.','EIF, Recommendation 21',4),(31,3,'When establishing (European) public services, public administrations should prefer open specifications, taking due account of the coverage of functional needs, maturity and market support.','Does the NIF encourage public administrations to prefer open specifications, taking due account of the coverage of functional needs, maturity and market support?','EIF, Recommendation 22',4),(32,4,'Contribution to the standardisation process Public administrations should lead or actively participate in standardisation work relevant to their needs.','Does the NIF encourage public administrations to lead or actively participate in standardisation work relevant to their needs.','EIF, Chapter 5; Interoperability agreements, Recommendation 23',4),(33,5,'Public administrations, when working together to establish (European) public services, should agree on minimum service requirements for secure data exchange.','A governance framework exists to control the interoperability activities across administrative levels.','EIF, Recommendation 13',4),(34,1,'Public administrations should establish a framework for the governance of their interoperability activities across administrative levels.','Public administrations should establish a framework for the governance of their interoperability activities across administrative levels.','EIF, Recommendation 25',5);
UNLOCK TABLES;







