<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

echo "---------------------- STARTING COMMUNITY ASSET EXPORT ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- STARTING COMMUNITY ASSET EXPORT ----------------------");

export_project_release();
export_project_project();

echo "---------------------- FINISHED COMMUNITY ASSET EXPORT ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- FINISHED COMMUNITY ASSET EXPORT ----------------------");


function export_project_project(){
 //Select all nodes from project_project content type
 $sql = "SELECT * FROM node WHERE type = '%s' ";
 $results = db_query($sql, 'project_project');

 while ($result = db_fetch_array($results)) {
 
  error_log("-- Process project_project: " . $result['nid'] . "\n");
 //Loading the node
  $project_project = node_load($result['nid']);

  //Create new project_project
  $adms_sw_project = (object) NULL;
  $adms_sw_project->type = 'adms_software_project';
  $adms_sw_project->language = $project_project->language;
  $adms_sw_project->uid = $project_project->uid;
  $adms_sw_project->created = $project_project->created;
  $adms_sw_project->changed = $project_project->changed;
  $adms_sw_project->status = $project_project->status;
  $adms_sw_project->title = $project_project->title; //Full Project name
  $adms_sw_project->body = $project_project->body; //Full description
  $adms_sw_project->teaser = $project_project->teaser;
  $adms_sw_project->name = $project_project->name;

  //Retrieve taxonomies
  foreach ($project_project->taxonomy as $key => $taxo) {
   if ($taxo->vid == variable_get('intended_audience_vid', 38) || $taxo->vid == variable_get('natural_language_vid', 34)
   || $taxo->vid == variable_get('operating_system_vid', 31) || $taxo->vid == variable_get('programming_language_vid', 32)){
    $taxonomies_name = taxonomy_get_term_by_name($taxo->name);
    foreach ($taxonomies_name as $taxonomy_name) {
     if(($taxo->vid==38 && $taxonomy_name->vid==78) || ($taxo->vid==34 && $taxonomy_name->vid==77)
     || ($taxo->vid==31 && $taxonomy_name->vid==83) || ($taxo->vid == 32 && $taxonomy_name->vid==79)){
      $adms_sw_project->taxonomy[$taxonomy_name->tid] = $taxonomy_name;
     }
    }
   }

   if($taxo->vid == variable_get('development_status_vid', 30)){
    $db_result = db_query("SELECT t.tid, t.* FROM {term_data} t WHERE t.vid=82 and t.name LIKE '%- ".trim($taxo->name)."%'");
	while ($taxonomy_result = db_fetch_array($db_result)) {
		$adms_sw_project->taxonomy[$taxonomy_result['tid']] = taxonomy_get_term($taxonomy_result['tid']);
	}
   }
  }

  //Save Logo
  $db_result = db_query("SELECT c.field_project_soft_logo_fid, c.field_project_soft_logo_data, c.field_project_soft_logo_list,
                         f.filename, f.status
                         FROM content_type_project_project AS c
	                       INNER JOIN files AS f
                         WHERE c.nid=".$project_project->nid." AND f.fid=c.field_project_soft_logo_fid");
  $logo=db_fetch_array($db_result);

  $documentation = (object) NULL;
  $documentation->type = 'documentation';
  $documentation->language = 'en';
  $documentation->title = $logo['filename'];
  $documentation->status = $logo['status'];
  $documentation->field_documentation_access_url[0]['fid'] = (array) $logo->field_project_soft_logo_fid;
  $documentation->field_documentation_access_url[0]['list'] = (array) $logo->field_project_soft_logo_list;
  $documentation->field_documentation_access_url[0]['data'] = (array) $logo->field_project_soft_logo_data;
  node_save($documentation);
  $adms_sw_project->field_sw_project_logo[] = array('nid' => intval($documentation->nid));

  //Save sponsor logo
  $db_result = db_query("SELECT c.field_project_soft_sponsor_logo_fid, c.field_project_soft_sponsor_logo_data, c.field_project_soft_sponsor_logo_list,
                         f.filename, f.status
                         FROM content_type_project_project AS c
	                       INNER JOIN files AS f
                         WHERE c.nid=".$project_project->nid." AND f.fid=c.field_project_soft_sponsor_logo_fid");
  $logo=db_fetch_array($db_result);

  $documentation = (object) NULL;
  $documentation->type = 'documentation';
  $documentation->language = 'en';
  $documentation->title = $logo['filename'];
  $documentation->status = $logo['status'];
  $documentation->field_documentation_access_url[0]['fid'] = (array) $logo->field_project_soft_sponsor_logo_fid;
  $documentation->field_documentation_access_url[0]['list'] = (array) $logo->field_project_soft_sponsor_logo_list;
  $documentation->field_documentation_access_url[0]['data'] = (array) $logo->field_project_soft_sponsor_logo_data;
  node_save($documentation);
  $adms_sw_project->field_sw_project_logo[] = array('nid' => intval($documentation->nid));

  node_save($adms_sw_project);

  db_query("UPDATE content_type_project_project
            SET field_project_adms_sw_project_nid=".$adms_sw_project->nid."
            WHERE nid=".$project_project->nid);
 }
}

function export_project_release(){

 //Redirections
 $myFile = "02_Community_asset_redirects.map";
 $myFile = dirname(__FILE__) . '/'.basename(__FILE__).'.Community_asset_redirects.map';
 $fh = fopen($myFile, 'w') or die("can't open file");
 
 //Select all nodes from project_release content type
 $sql = "SELECT * FROM node WHERE type = '%s' ";
 $results = db_query($sql, 'project_release');

 
 
 while ($result = db_fetch_array($results)) {
  $release_node = node_load($result['nid']);
  $group_node = node_load($release_node->project_release['pid']);

  

  //we treat only asset releases
  if ($group_node->group_type == 'software') {
	continue;
  }

  //create a new asset_release node
  $asset_release = (object) NULL;
  $asset_release->type = 'asset_release';
  $asset_release->language = 'en';
  $asset_release->body = $release_node->body;
  $asset_release->teaser = $release_node->teaser;
  $asset_release->title = $release_node->title;
  $asset_release->uid = $release_node->uid;
  $asset_release->created = $release_node->created;
  $asset_release->changed = $release_node->changed;
  $asset_release->status = $release_node->status;
  $asset_release->field_asset_version[0]['type'] = 'language_textfield';
  $asset_release->field_asset_version[0]['value']['field_language_textfield_lang'][0]['value'] = 'en';
  $asset_release->field_asset_version[0]['value']['field_language_textfield_name'][0]['value'] = $release_node->project_release['version'];
  $asset_release->field_asset_version_note[0]['value'] = $group_node->title . ' v' . $release_node->project_release['version'] . $release_node->project_release['version_extra'];
  $asset_release->og_groups = array($release_node->project_release['pid'] => $release_node->project_release['pid']);

  //Retrieve theme & geographic coverage from the group
  foreach ($group_node->taxonomy as $key => $taxo) {
   if ($taxo->vid == variable_get('domains_vid', 27) || $taxo->vid == variable_get('country_vid', 26)) {
    $asset_release->taxonomy[$key] = $taxo;
   }
  }

  //create a distribution node for each file
  $oldfile = array();
  $i = 0;
  foreach ($release_node->project_release['files'] as $file) {
   $distribution = (object) NULL;
   $distribution->type = 'distribution';
   $distribution->language = 'en';
   $distribution->title = $file->filename;
   $distribution->uid = $release_node->uid;
   $distribution->created = $release_node->created;
   $distribution->changed = $release_node->changed;
   $distribution->status = $release_node->status;
   $distribution->field_distribution_file_type[0]['value'] = $file->filemime;
   $distribution->field_distribution_sw_filesizein[0]['value'] = $file->filesize;
   $distribution->field_distribution_sw_checksum[0]['nid'] =  $file->filehash;
   $distribution->field_distribution_access_url[0] = (array) $file;

   node_save($distribution);

   $asset_release->field_asset_distribution[] = array('nid' => intval($distribution->nid));

   $oldfile[$i]['file'] = $file->fid;
   $oldfile[$i]['distribution'] = $distribution->nid;
   $i++;
  }

  //create a documentation node for each document
  foreach ($release_node->field_release_document as $document) {
   if($document->filename!=NULL){
    $documentation = (object) NULL;
    $documentation->type = 'documentation';
    $documentation->language = 'en';
    $documentation->title = $document->filename;
    $documentation->uid = $release_node->uid;
    $documentation->created = $release_node->created;
    $documentation->changed = $release_node->changed;
    $documentation->status = $release_node->status;
    $documentation->field_documentation_access_url[0] = (array) $document;
    node_save($documentation);
    //associate the documentation to the asset release
    $asset_release->field_asset_documentation[] = array('nid' => intval($documentation->nid));
   }
  }

  node_save($asset_release);

  foreach ($oldfile as $file) {
   $sqlDown = "select * from {isa_download_statistics} where nid=%d and pid=%d and fid=%d";
   $rsDown = db_query($sqlDown, $release_node->nid, $file['file']);

   while ($resDown = db_fetch_array($rsDown)) {
    $idDown = $resDown['dsid'];
    $sqlUdDown = "update {isa_download_statistics} set nid=%d, fid=%d where dsid=%d";
    $rsUpDown = db_query($sqlUpDown, $asset_release->nid, $file['distribution'], $idDown);
   }

   $sqlCount = "select * from isa_download_statistics_count where fid=%d and nid=%d";
   $rs = db_query($sqlCount, $file['file'], $release_node->nid);
   while ($res = db_fetch_array($rs)) {
    error_log("Release count: [" . $res['count'] . "] " . " \n"); ob_flush(); flush();
   }

   db_query("UPDATE {isa_download_statistics_count} SET nid = %d, fid = %d WHERE nid = %d AND fid = %d",
   $asset_release->nid, $file['distribution'], $release_node->nid, $file['file']);

   _isa_apachesolr_update_index(node_load($asset_release->nid));

   // count del asset
   $sqlCount2 = "select * from isa_download_statistics_count where fid=%d and nid=%d";
   $rs2 = db_query($sqlCount2, $file['distribution'], $asset_release->nid);
   while ($res2 = db_fetch_array($rs2)) {
    error_log("Asset release count: [" . $res2['count'] . "] " . " \n"); ob_flush(); flush();
   }

  }


  //Retrieve comments
  $sql = "INSERT INTO {comments} (pid, nid, uid, subject, comment, hostname, timestamp, status, format, thread, name, mail, homepage)
          SELECT pid, %d, uid, subject, comment, hostname, timestamp, status, format, thread, name, mail, homepage
          FROM {comments} WHERE nid = %d";
  db_query($sql, $asset_release->nid, $release_node->nid);
  //Retrieve fivestar
  $sql = "INSERT INTO {votingapi_vote} (content_type, content_id, value, value_type, tag, uid, timestamp, vote_source)
          SELECT content_type, %d, value, value_type, tag, uid, timestamp, vote_source
          FROM {votingapi_vote} WHERE content_id = %d";
  db_query($sql, $asset_release->nid, $release_node->nid);
  //Retrieve node_counter
  $sql = "INSERT INTO {node_counter} (nid, totalcount, daycount, timestamp)
          SELECT %d, totalcount, daycount, timestamp
          FROM {node_counter} WHERE nid = %d";
  db_query($sql, $asset_release->nid, $release_node->nid);

  //retrieve the workflow
  $workflow_relations = array(17=>40, 18=>41, 16=>39, 19=>38, 24=>39);
  $old_workflow = $release_node->_workflow;
  workflow_execute_transition($asset_release,$workflow_relations[$old_workflow], '', true);

  $src = "/node/".$release_node->nid."\t\t";
  $dst = "/node/".$asset_release->nid."\n";
  fwrite($fh, $src);
  fwrite($fh, $dst);

  $src = "/".$release_node->path."\t\t";
  $src = "/".$asset_release->path."\n";
  fwrite($fh, $src);
  fwrite($fh, $dst);

  error_log("Release: ". $release_node->nid ." migration done.<p>"); ob_flush(); flush();
 }
 
 fclose($fh);
}

?>