<?php
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();


echo "----- Exporting federated forge and federated project's nodes and node type. -----</p>"; ob_flush(); flush();

//EXPORT all FEDERATED FORGE nodes
export_federated_forge();

//EXPORT all FEDERATED PROJECT nodes
export_federated_project();

//EXPORT all project_project, project_release
export_project();

//EXPORT node_types
export_node_types();

//EXPORT all PROJECT_PROJECT and PROJECT_RELEASE nodes
function export_project(){
 echo "-----> INIT PROJECT_PROJECT and PROJECT_RELEASE</p>"; ob_flush(); flush();
 $sql = "SELECT * FROM node WHERE type in ('project_project', 'project_release')";
 $results = db_query($sql);

 $myFile = "03_Export_Nodes (Project project).json";
 $myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Project project).json';
 $fh = fopen($myFile, 'w') or die("Can't open file");
 while ($result = db_fetch_array($results)) {
  $node = node_load($result['nid']);
  fwrite($fh, json_encode($node));
 }

 fclose($fh);

 echo "END PROJECT_PROJECT and PROJECT_RELEASE<-----</p>"; ob_flush(); flush();
}

//EXPORT all FEDERATED FORGE nodes
function export_federated_forge(){
	echo "-----> INIT federated forge</p>"; ob_flush(); flush();
	$sql = "SELECT * FROM node WHERE type = 'federated_forge'";
	$results = db_query($sql);

	$myFile = "03_Export_Nodes (Federated Forge).json";
  $myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Federated Forge).json';
	$fh = fopen($myFile, 'w') or die("Can't open file");
	while ($result = db_fetch_array($results)) {
		$node = node_load($result['nid']);
		fwrite($fh, json_encode($node));
	}

	fclose($fh);

	echo "END federated project<-----</p>"; ob_flush(); flush();
}

//EXPORT all FEDERATED PROJECT nodes
function export_federated_project(){
	echo "-----> INIT federated project</p>"; ob_flush(); flush();
	$sql = "SELECT * FROM node WHERE type = 'federated_project'";
	$results = db_query($sql);

	$myFile = "03_Export_Nodes (Federated Project).json";
  $myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Federated Project).json';
	$fh = fopen($myFile, 'w') or die("Can't open file");
	while ($result = db_fetch_array($results)) {
		$node = node_load($result['nid']);
		fwrite($fh, json_encode($node));
	}

	fclose($fh);

	echo "END federated project<-----</p>"; ob_flush(); flush();
}

//EXPORT node_types
function export_node_types(){
	echo "-----> INIT node_types</p>"; ob_flush(); flush();
	$sql = "SELECT * FROM node_type WHERE TYPE IN ('federated_forge', 'federated_project')";
	$results = db_query($sql);

	$myFile = "03_Export_Nodes (Node types).json";
  $myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Node types).json';

  
  
	$fh = fopen($myFile, 'w') or die("Can't open file");
	while ($result = db_fetch_array($results)) {
		fwrite($fh, json_encode($result));
	}

	fclose($fh);

	echo "END node_types<-----</p>"; ob_flush(); flush();
}