<?php

/**
 * @file
 * Allows reindexing nodes that are passed as arguments to run the script
 */

$DOC_ROOT = dirname(__FILE__);
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL & ~E_NOTICE);

require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

migrate_federated_projects();

function migrate_federated_projects(){
 $nids = migrated_federated_forge();

 migration_federated_projects($nids);

}

function migrated_federated_forge(){
 //Federated_forges migrated
 $string = file_get_contents(dirname(__FILE__) . "/Export_Nodes.php (Federated Forge).json");
 $string_array = json_split_objects($string);
 $federated_forge = array();

 foreach($string_array as $id => $one_array){
  $json = json_decode($one_array, true);
  array_push($federated_forge, $json['nid']);
 }

 return $federated_forge;
}

function migration_federated_projects($nids){
 //Migration of NULL federated_project and not in federated_forges already migrated
 $sql = "SELECT * FROM content_type_federated_project
   WHERE (field_fed_project_forge_nid IS NULL OR field_fed_project_forge_nid NOT IN('".implode("','",$nids)."'))";

 $results = db_query($sql);
 $federated_project = array();
 while ($result = db_fetch_array($results)) {
  $federated_project[$result['nid']] = $result;
 }

 //Federated_projects migrated
 $string = file_get_contents(dirname(__FILE__) . "/Export_Nodes.php (Federated Project).json");
 $string_array = json_split_objects($string);

 foreach($string_array as $id => $one_array){
  $json = json_decode($one_array, true);

  if(isset($federated_project[$json['nid']])){
   import_federated_project($json, $federated_project[$json['nid']]);
  }
 }
}

function import_federated_project($json, $federated_project){
 $new_project_node = (object) NULL;

 foreach($json as $key => $value){
  $new_project_node->{$key}=$value;
 }
 $new_project_node->nid = NULL;
 $new_project_node->vid = NULL;
 $new_project_node->path = NULL;
 $new_project_node->tnid = NULL;
 $new_project_node->group_type = NULL;
 $new_project_node->type = 'project';

 //content_field_sw_project_homepage's fields
 $new_project_node->field_sw_project_homepage[0] = $json['field_fed_project_link'][0];

 $j=1;
 $old_more_links=$federated_project->field_project_soft_more_links;

 foreach($old_more_links as $more_link) {
  if($old_more_links[0]['value'] != NULL){
   $new_project_node->field_sw_project_homepage[$j]['url'] = $more_link['value'];
   $new_project_node->field_sw_project_homepage[$j]['title'] = $more_link['value'];
   $j++;
  }
 }

 node_save($new_project_node);

 if(!isset($new_project_node->nid)){
  echo "<p><ul><li><strong>FAIL!!</strong> The Software Project which Federated Project's NID is".$result['nid']." cannot be saved. This Federated Project cannot be exported.</ul></li><p>";
  ob_flush(); flush();
  error_log("FAIL!! The Software Project which Federated Project's NID is".$result['nid']." cannot be saved. This Federated Project cannot be exported.");
 }else{
  //Workflow: SID 58 (Draft), 61 (Validated), 65 (Blacklisted)
  $workflow_sid = $json['_workflow'];
  $sid = 58;
  if($workflow_sid!=NULL){
   switch($workflow_sid){
    case 14: $sid=58; break;
    case 15: $sid=61; break;
    case 25: $sid=65; break;
   }
  }
  $sql_workflow = "	INSERT INTO workflow_node SET
									nid = " . $new_project_node->nid . ",
									sid = " . $sid . ",
									uid = (SELECT old.uid FROM workflow_node as old WHERE old.nid=" . $json['nid'] . "),
									stamp = (SELECT old.stamp FROM workflow_node as old WHERE old.nid=" . $json['nid'] . ")";
  db_query($sql_workflow);

  //Workflow history
  $sql_workflow = "SELECT * FROM workflow_node_history WHERE nid=" . $json['nid'];
  $workflows = db_query($sql_workflow);

  while ($workflow = db_fetch_array($workflows)){
   $old_sid = 58;
   if($workflow!=NULL){
    switch($workflow['old_sid']){
     case 14: $old_sid=58; break;
     case 15: $old_sid=61; break;
     case 25: $old_sid=65; break;
    }
   }
   $sid = 58;
   if($workflow!=NULL){
    switch($workflow['sid']){
     case 14: $sid=58; break;
     case 15: $sid=61; break;
     case 25: $sid=65; break;
    }
   }

   $sql_workflow = "	INSERT INTO workflow_node_history (nid, old_sid, sid, uid, comment, stamp)
										VALUES (" . $new_project_node->nid. ", ". $old_sid .", ". $sid .",
										". $workflow['uid'] .", '". $workflow['comment'] ."', ". $workflow['stamp'] .")";
   db_query($sql_workflow);

   $return = db_fetch_array(db_query('SELECT nid FROM workflow_node_history WHERE nid='.$new_project_node->nid));
   if(!$return or !isset($return['nid'])) {
    echo '<p><ul><li><strong>FAIL!!</strong> Workflow Node History (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql_workflow."</ul></li><p>";
    ob_flush(); flush();
    error_log("FAIL!! Workflow Node History (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql_workflow);
   }
  }

  $sql_term = "SELECT tid FROM term_node WHERE nid=" . $json['nid'];
  $term_node = db_query($sql_term);

  while ($term = db_fetch_array($term_node)) {
   $insert_keys=implode(",",array_keys($term));

   $insert_values=implode("','",$term);
   $insert_values=str_replace(",''",",NULL", $insert_values);
   $insert_values=str_replace("'',","NULL,", $insert_values);

   $sql = "INSERT INTO term_node (nid, vid, ".$insert_keys.") VALUES (".$new_project_node->nid.", ".$new_project_node->vid.", '".$insert_values."')";

   db_query($sql);

   $return = db_fetch_array(db_query('SELECT nid FROM term_node WHERE nid='.$new_project_node->nid));
   if(!$return or !isset($return['nid'])) {
    echo '<p><ul><li><strong>FAIL!!</strong> Term node (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql."</ul></li><p>";
    ob_flush(); flush();
    error_log("FAIL!! Term node (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql);
   }
  }

  //Insert node count
  //Node counter
  $sql_counter = "SELECT totalcount, daycount, timestamp FROM node_counter WHERE nid=".$result['nid'];
  $node_counter = db_query($sql_counter);

  while ($node = db_fetch_array($node_counter)) {
   $insert_keys=implode(",",array_keys($node));

   $insert_values=implode("','",$node);
   $insert_values=str_replace(",''",",NULL", $insert_values);
   $insert_values=str_replace("'',","NULL,", $insert_values);

   $sql = "INSERT INTO node_counter (nid, ".$insert_keys.") VALUES (".$new_project_node->nid.", '".$insert_values."')";

   db_query($sql);

   $return = db_fetch_array(db_query('SELECT nid FROM node_counter WHERE nid='.$new_project_node->nid));
   if(!$return or !isset($return['nid'])) {
    echo '<p><ul><li><strong>FAIL!!</strong> Node counter (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql."</ul></li><p>";
    ob_flush(); flush();
    error_log("FAIL!! Node counter (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql);
   }
  }

 }
}

function json_split_objects($json){
 $q = FALSE;
 $len = strlen($json);
 for($l=$c=$i=0;$i<$len;$i++)
 {
 $json[$i] == '"' && ($i>0?$json[$i-1]:'') != '\\' && $q = !$q;
 if(!$q && in_array($json[$i], array(" ", "\r", "\n", "\t"))){continue;}
   in_array($json[$i], array('{', '[')) && !$q && $l++;
   in_array($json[$i], array('}', ']')) && !$q && $l--;
   (isset($objects[$c]) && $objects[$c] .= $json[$i]) || $objects[$c] = $json[$i];
   $c += ($l == 0);
 }
 return $objects;

}
