<?php

/**
 * @file
 * Update the value of Solution Category for projects and software
 * https://webgate.ec.europa.eu/CITnet/jira/browse/jus-1192
 */

$DOC_ROOT = dirname(__FILE__);
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
//$_SERVER['HTTP_HOST'] = 'joinup-a-dev.everis.int';
//$_SERVER['SCRIPT_NAME'] = '/reindex_nodes.php';
require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

$exclude_from_index = variable_get('apachesolr_search_excluded_types',array());
$exclude_from_index['project'] = 0;
variable_set('apachesolr_search_excluded_types',$exclude_from_index);

function bootstrap_solr_set_reindex($nid){
  db_query("DELETE FROM {apachesolr_search_node} WHERE nid=%d", $nid);
  db_query("INSERT INTO  {apachesolr_search_node} (nid, status, changed) VALUES (%d,%d,%d)", $nid, 1, time());
  echo "reindex node: $nid \n";
}


$argv[] = 'asset_release';
array_shift($argv);
$count = 0;
array_walk($argv, function($val) use (&$count){
  if(is_numeric($val)){
    bootstrap_solr_set_reindex($val);
    $count++;
  }else{
    $result = db_query("SELECT nid FROM node WHERE type='%s'", $val);
    while ($row = db_fetch_object($result)) {
      bootstrap_solr_set_reindex($row->nid);
      $count++;
    }
  }
});

$argv[] = 'project_project';
array_shift($argv);
$count = 0;
array_walk($argv, function($val) use (&$count){
  if(is_numeric($val)){
    bootstrap_solr_set_reindex($val);
    $count++;
  }else{
    $result = db_query("SELECT nid FROM node WHERE type='%s'", $val);
    while ($row = db_fetch_object($result)) {
      bootstrap_solr_set_reindex($row->nid);
      $count++;
    }
  }
});


$argv[] = 'project';
array_shift($argv);
$count = 0;
array_walk($argv, function($val) use (&$count){
  if(is_numeric($val)){
    bootstrap_solr_set_reindex($val);
    $count++;
  }else{
    $result = db_query("SELECT nid FROM node WHERE type='%s'", $val);
    while ($row = db_fetch_object($result)) {
      bootstrap_solr_set_reindex($row->nid);
      $count++;
    }
  }
});

$argv[] = 'case';
array_shift($argv);
$count = 0;
array_walk($argv, function($val) use (&$count){
  if(is_numeric($val)){
    bootstrap_solr_set_reindex($val);
    $count++;
  }else{
    $result = db_query("SELECT nid FROM node WHERE type='%s'", $val);
    while ($row = db_fetch_object($result)) {
      bootstrap_solr_set_reindex($row->nid);
      $count++;
    }
  }
});
