<?php

/**
 * @file
 * Update the value of Solution Category for projects and software
 * https://webgate.ec.europa.eu/CITnet/jira/browse/jus-1192
 */

$DOC_ROOT = dirname(__FILE__);
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
//$_SERVER['HTTP_HOST'] = 'joinup-a-dev.everis.int';
//$_SERVER['SCRIPT_NAME'] = '/reindex_nodes.php';
require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

echo "Update context";
$context = new stdClass;
$context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
$context->api_version = 3;
$context->name = 'search_page_solutions';
$context->description = '';
$context->tag = 'search';
$context->conditions = array(
  'node_facet' => array(
    'values' => array(
      'facet_node_type:facet_24' => 'facet_node_type:facet_24',
    ),
  ),
  'path' => array(
    'values' => array(
      'search/apachesolr_search' => 'search/apachesolr_search',
      'search/apachesolr_search/*' => 'search/apachesolr_search/*',
    ),
  ),
);
$context->reactions = array(
  'block' => array(
    'blocks' => array(
      'apachesolr_search-im_vid_84' => array(
        'module' => 'apachesolr_search',
        'delta' => 'im_vid_84',
        'region' => 'left',
        'weight' => 0,
      ),
      'isa_apachesolr-5' => array(
        'module' => 'isa_apachesolr',
        'delta' => 5,
        'region' => 'left',
        'weight' => 1,
      ),
      'apachesolr_search-im_vid_68' => array(
        'module' => 'apachesolr_search',
        'delta' => 'im_vid_68',
        'region' => 'left',
        'weight' => 2,
      ),
      'isa_apachesolr-0' => array(
        'module' => 'isa_apachesolr',
        'delta' => 0,
        'region' => 'left',
        'weight' => 3,
      ),
      'isa_apachesolr-2' => array(
        'module' => 'isa_apachesolr',
        'delta' => 2,
        'region' => 'left',
        'weight' => 4,
      ),
      'apachesolr_search-im_vid_74' => array(
        'module' => 'apachesolr_search',
        'delta' => 'im_vid_74',
        'region' => 'left',
        'weight' => 5,
      ),
      'apachesolr_search-im_vid_27' => array(
        'module' => 'apachesolr_search',
        'delta' => 'im_vid_27',
        'region' => 'left',
        'weight' => 6,
      ),
      'isa_apachesolr-4' => array(
        'module' => 'isa_apachesolr',
        'delta' => 4,
        'region' => 'left',
        'weight' => 7,
      ),
    ),
  ),
);
$context->condition_mode = 1;

// Translatables
// Included for use with string extractors like potx.
t('search');

context_save($context);

$context = new stdClass;
$context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
$context->api_version = 3;
$context->name = 'catalogue_repository';
$context->description = '';
$context->tag = 'Catalogue';
$context->conditions = array(
  'node' => array(
    'values' => array(
      'repository' => 'repository',
    ),
    'options' => array(
      'node_form' => '1',
    ),
  ),
  'path' => array(
    'values' => array(
      'catalogue/repository/*' => 'catalogue/repository/*',
    ),
  ),
);
$context->reactions = array(
  'block' => array(
    'blocks' => array(
      'isa_blocks-38' => array(
        'module' => 'isa_blocks',
        'delta' => 38,
        'region' => 'before_content',
        'weight' => 0,
      ),
      'isa_links-buttons_actions' => array(
        'module' => 'isa_links',
        'delta' => 'buttons_actions',
        'region' => 'after_content',
        'weight' => 0,
      ),
      'isa_links-propose_node_block' => array(
        'module' => 'isa_links',
        'delta' => 'propose_node_block',
        'region' => 'after_content',
        'weight' => 1,
      ),
      'isa_blocks-49' => array(
        'module' => 'isa_blocks',
        'delta' => 49,
        'region' => 'after_content',
        'weight' => 2,
      ),
      'isa_blocks-48' => array(
        'module' => 'isa_blocks',
        'delta' => 48,
        'region' => 'after_content',
        'weight' => 3,
      ),
    ),
  ),
);
$context->condition_mode = 1;

// Translatables
// Included for use with string extractors like potx.
t('Catalogue');
context_save($context);


$context = new stdClass;
$context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
$context->api_version = 3;
$context->name = 'nodes';
$context->description = 'All nodes';
$context->tag = 'General';
$context->conditions = array(
  'node' => array(
    'values' => array(
      'advertisement' => 'advertisement',
      'advpoll_binary' => 'advpoll_binary',
      'advpoll_ranking' => 'advpoll_ranking',
      'asset_node_reference' => 'asset_node_reference',
      'asset_release' => 'asset_release',
      'blog' => 'blog',
      'case' => 'case',
      'case_epractice' => 'case_epractice',
      'community' => 'community',
      'contact_point' => 'contact_point',
      'contexthelp' => 'contexthelp',
      'contexthelp_faq' => 'contexthelp_faq',
      'data_set' => 'data_set',
      'distribution' => 'distribution',
      'document' => 'document',
      'documentation' => 'documentation',
      'event' => 'event',
      'factsheet' => 'factsheet',
      'home_carousel' => 'home_carousel',
      'identifier' => 'identifier',
      'language_textarea' => 'language_textarea',
      'language_textfield' => 'language_textfield',
      'legaldocument' => 'legaldocument',
      'licence' => 'licence',
      'news' => 'news',
      'newsletter' => 'newsletter',
      'og_page' => 'og_page',
      'page' => 'page',
      'presentation' => 'presentation',
      'profile' => 'profile',
      'project_issue' => 'project_issue',
      'project_project' => 'project_project',
      'project_release' => 'project_release',
      'publisher' => 'publisher',
      'repository' => 'repository',
      'software_project_agent' => 'software_project_agent',
      'software_release_agent' => 'software_release_agent',
      'story' => 'story',
      'topic' => 'topic',
      'video' => 'video',
      'wiki' => 'wiki',
    ),
    'options' => array(
      'node_form' => '0',
    ),
  ),
  'path' => array(
    'values' => array(
      '~node/*/edit' => '~node/*/edit',
      'node/*' => 'node/*',
      'node/*/*' => 'node/*/*',
      'comment/*/*' => 'comment/*/*',
      'software/page/faq' => 'software/page/faq',
      '~asset/page/*' => '~asset/page/*',
      '~asset/experts' => '~asset/experts',
      '~asset/experts/*' => '~asset/experts/*',
      '~federated_forge' => '~federated_forge',
      '~advertisement/*' => '~advertisement/*',
      '~catalogue/repository/*' => '~catalogue/repository/*',
      '~software/page/*' => '~software/page/*',
      '~software/license-wizard/*' => '~software/license-wizard/*',
      '~elibrary/all' => '~elibrary/all',
      '~elibrary/all/*' => '~elibrary/all/*',
      '~elibrary/case' => '~elibrary/case',
      '~elibrary/case/*' => '~elibrary/case/*',
      '~elibrary/presentation' => '~elibrary/presentation',
      '~elibrary/presentation/*' => '~elibrary/presentation/*',
      '~elibrary/factsheet' => '~elibrary/factsheet',
      '~elibrary/factsheet/*' => '~elibrary/factsheet/*',
      '~elibrary/video' => '~elibrary/video',
      '~elibrary/video/*' => '~elibrary/video/*',
      '~elibrary/document' => '~elibrary/document',
      '~elibrary/document/*' => '~elibrary/document/*',
      '~elibrary/recommended' => '~elibrary/recommended',
      '~elibrary/recommended/*' => '~elibrary/recommended/*',
      '~elibrary/editor' => '~elibrary/editor',
      '~elibrary/editor/*' => '~elibrary/editor/*',
      '~asset/*/asset_release/*' => '~asset/*/asset_release/*',
	  '~software/*/asset_release/*' => '~software/*/asset_release/*',
      '~catalogue/asset_release/*' => '~catalogue/asset_release/*',
      '~news/*' => '~news/*',
      '~event/*' => '~event/*',
      '~help_topics' => '~help_topics',
    ),
  ),
);
$context->reactions = array(
  'block' => array(
    'blocks' => array(
      'isa_blocks-38' => array(
        'module' => 'isa_blocks',
        'delta' => 38,
        'region' => 'before_content',
        'weight' => 0,
      ),
      'isa_links-buttons_actions' => array(
        'module' => 'isa_links',
        'delta' => 'buttons_actions',
        'region' => 'after_content',
        'weight' => 0,
      ),
      'isa_links-propose_node_block' => array(
        'module' => 'isa_links',
        'delta' => 'propose_node_block',
        'region' => 'after_content',
        'weight' => 1,
      ),
      'isa_blocks-39' => array(
        'module' => 'isa_blocks',
        'delta' => 39,
        'region' => 'after_content',
        'weight' => 2,
      ),
      'relevant_content-group_node' => array(
        'module' => 'relevant_content',
        'delta' => 'group_node',
        'region' => 'after_content',
        'weight' => 3,
      ),
      'isa_blocks-52' => array(
        'module' => 'isa_blocks',
        'delta' => 52,
        'region' => 'after_content',
        'weight' => 4,
      ),
    ),
  ),
);
$context->condition_mode = 1;

// Translatables
// Included for use with string extractors like potx.
t('All nodes');
t('General');
context_save($context);

echo "Update Interoperability Solutions menu";
$menu = menu_link_load(18179);
$menu['title'] = 'Interoperability Solutions';
$menu['options']['query']='filters=!bs_current_version:false';
menu_link_save($menu);
$menu = menu_link_load(18175);
$menu['options']['query']='filters=!bs_current_version:false';
menu_link_save($menu);
