<?php
/**
 * Remove duplicates on workflow access table, which was causing errors on save the communities nodes
 */
ini_set ( 'display_errors', 1 );
ini_set ( 'log_errors', 1 );
error_reporting ( E_ALL & ~ E_NOTICE );
ini_set ( 'memory_limit', '768M' );
$_SERVER ['SCRIPT_NAME'] = "/" . $argv [0];
// allows to pass the domain to wich apply this script
isset ( $argv [1] ) ? $_SERVER ['HTTP_HOST'] = $argv [1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap ( DRUPAL_BOOTSTRAP_FULL );
$info_log = dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt';
error_log("\nStarting link replacement process...\n",3,$info_log);


$results = db_query('SELECT nid, vid, body FROM node_revisions WHERE (body LIKE "%%%s%" OR body LIKE "%%%s%")','sites/default/files','system/files');
while($item= db_fetch_array($results)){
  echo "Revising body for node ".$item['nid'].", revision ".$item['vid']."...\n";
  $offset = 0;
  $body = _replace_filepaths($item['body'],'sites/default/files');
  $body = _replace_filepaths($body,'system/files');
  if($body!=$item['body']){
    db_query("UPDATE node_revisions SET body = '%s' WHERE vid = %d AND nid = %d ",$body,$item['vid'],$item['nid']);
	echo "Body updated. Continuing search...\n";
	error_log("\nUpdated node ".$item['nid'].", version ".$item['vid']."\n",3,$info_log);
  }
}
error_log("\nLink replacement process ended.\n",3,$info_log);

function _replace_filepaths($body,$path){
  $offset = 0;
  while($start = strpos($body,$path,$offset)){
    $end = strpos($body,'"',$start);
	if($end>$start){
      $old_filepath = substr($body,$start,$end-$start);
	  echo "Found filepath ".$old_filepath.", looking for new filepath on database...\n";
      $filepath = explode("/",$old_filepath);
      if(is_array($filepath)){
        $filename = $filepath[sizeof($filepath)-1];
	    $filename = urldecode($filename);
	    $file_results = db_query("SELECT filepath FROM files WHERE filename ='%s' ORDER BY fid DESC",$filename);
	    if($file= db_fetch_array($file_results)){
	      $new_filepath=$file['filepath'];
		  echo "Filepath ".$new_filepath." found. Replacing old filepath...\n";
		  if($old_filepath!=$new_filepath){
	        $body = str_replace($old_filepath,$new_filepath,$body); 
	      }
	    }else{
	      echo "No new paths where found for ".$old_filepath.".Continuing search in body...\n";
	    } 
      }
      $offset = $end;
	}else{
	  $offset = $start + strlen($path);
	}
  }
  return $body;
}