<?php
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

echo "---------------------- STARTING EXPORT ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- STARTING EXPORT ----------------------");
//EXPORT all FEDERATED FORGE nodes
$sql = "SELECT nid FROM node WHERE type = 'federated_forge' ";
$results = db_query($sql);

//For each Federated Forge node:
if(!$results){
    echo "<ul><li><strong>FAIL!!</strong> There are no Federated Forges to be exported: '".$sql."'</ul></li><p>";
	error_log("FAIL!! There are no Federated Forges to be exported: '".$sql."'");
	ob_flush(); flush();
}
$tnids=null;
$myFile = "03_Output_Redirects (Node).map";
$myFile = dirname(__FILE__) . '/'.basename(__FILE__).'.Output_Redirects (Node).map';


$fh = fopen($myFile, 'w') or die("can't open file");
while ($result = db_fetch_array($results)) {
	echo "\\\\\<p>";
	echo "FEDERATED FORGE: ".$result['nid']."<p>"; ob_flush(); flush();
	$new_nid = build_repository($result);
	if($new_nid!=NULL){
		echo "REPOSITORY: ".$new_nid."<p>"; ob_flush(); flush();
		$tnids = build_software_projects($new_nid, $result, $tnids);

		//Redirects
		$src = "/node/".$result['nid']."\t\t";
		$dst = "/node/".$new_nid."\n";
		fwrite($fh, str_replace("'","",$src));
		fwrite($fh, $dst);
	}
}

foreach(array_keys($tnids) as $key) {
	$sql_tnid ="UPDATE node
			SET tnid=".$tnids[$key]."
			WHERE type='adms_software_project' and tnid=".$key;

	db_query($sql_tnid);

	$src = "/node/".$key."\t\t";
	$dst = "/node/".$tnids[$key]."\n";
	fwrite($fh, str_replace("'","",$src));
	fwrite($fh, $dst);
}
fclose($fh);

echo "---------------------- FINISH: See error_log.txt File ----------------------<p>";
error_log("---------------------- FINISH ----------------------");

function build_repository($result){
	//LOAD node
	$federated_node = node_load($result['nid']);
	if(!$federated_node){
		echo "<ul><li><strong>FAIL!!</strong> The Federated Forge with NID ".$result['nid']." cannot be loaded. This Federated Forge and its projects cannot be exported.</ul></li><p>"; ob_flush(); flush();
		error_log("FAIL!! The Federated Forge with NID ".$result['nid']." cannot be loaded. This Federated Forge and its projects cannot be exported.");

		return NULL;
	}
	$src = "/".$federated_node->path."\t\t";

	$nid = $federated_node->nid;

	//Build the new Repository node
	$new_repository_node = (object) NULL;
	$new_repository_node = $federated_node;
	$new_repository_node->nid=NULL;
	$new_repository_node->tnid=NULL;
	$new_repository_node->path = NULL;
	$new_repository_node->type='repository';

	//content_type_repository's fields
	$new_repository_node->field_repository_logo[0] = $federated_node->field_forges_logo[0];

	if(isset($federated_node->field_forges_xml[0]['url'])){
  	$new_repository_node->field_repository_harvestmethod[0]['value'] = 1;
  	$new_repository_node->field_repository_harvestfreq[0]['value'] = 0;
  	$new_repository_node->field_repository_harvesturl[0]['value'] = $federated_node->field_forges_xml[0]['url'];
	}else{
	  $new_repository_node->field_repository_harvestmethod[0]['value'] = 0;
	}

	//content_field_repository_url's fields
	$new_repository_node->field_repository_url[0] = $federated_node->field_forges_homepage[0];

	//Import the node
	node_save($new_repository_node);

	if(!isset($new_repository_node->nid)){
		echo "<ul><li><strong>FAIL!!</strong> The Repository which Federated Forge's NID is".$result['nid']." cannot be saved. This Federated Forge and its projects cannot be exported.</ul></li><p>"; ob_flush(); flush();
		error_log("FAIL!! The Repository which Federated Forge's NID is".$result['nid']." cannot be saved. This Federated Forge and its projects cannot be exported.");

		return NULL;
	}
	//print '-> REPOSITORY:: Old nid: '.$nid.' - New nid: '.$new_repository_node->nid.'<p>';

	//Redirections
	$myFile = "03_Output_Redirects (Alias).map";
  $myFile = dirname(__FILE__) . '/'.basename(__FILE__).'.Output_Redirects (Alias).map';

	$fh = fopen($myFile, 'a') or die("can't open file");
	$dst = "/".$new_repository_node->path."\n";
	fwrite($fh, $src);
	fwrite($fh, $dst);
	fclose($fh);

	//Modify workflows;
	$time = new DateTime;
	$sql_workflow = "	INSERT IGNORE INTO workflow_node SET
		nid = " . $new_repository_node->nid .",
		sid = 45,
		uid = 1,
		stamp = " . $time->getTimestamp();
	db_query($sql_workflow);

	db_query("	UPDATE workflow_node
				SET sid = 45
				WHERE nid=" . $new_repository_node->nid);

	//Insert Organic Groups
	$sql_og = "INSERT INTO og (nid) VALUES(".$new_repository_node->nid.")";
	db_query($sql_og);
	$return = db_fetch_array(db_query('SELECT nid FROM og WHERE nid='.$new_repository_node->nid));

	if(!$return or !isset($return['nid'])) {
		echo '<ul><li><strong>FAIL!!</strong> Organic Group (Repository NID:'.$new_repository_node->nid.') not inserted: '.$sql_og."</ul></li><p>"; ob_flush(); flush();
		error_log("FAIL!!  Organic Group (Repository NID:".$new_repository_node->nid.") not inserted: ".$sql_og);
	}

	$sql_oguid = "INSERT INTO og_uid (nid, is_active, is_admin, uid) VALUES(".$new_repository_node->nid.", 1, 1, 2)";
	db_query($sql_oguid);
	$return = db_fetch_array(db_query('SELECT nid FROM og_uid WHERE nid='.$new_repository_node->nid));

	if(!$return or !isset($return['nid'])) {
		echo '<ul><li><strong>FAIL!!</strong> Organic Group UID (Repository NID:'.$new_repository_node->nid.') not inserted: '.$sql_oguid."</ul></li><p>";
		ob_flush(); flush();
		error_log("FAIL!!  Organic Group UID (Repository NID:".$new_repository_node->nid.") not inserted: ".$sql_oguid);
	}

	return $new_repository_node->nid;
}

function build_software_projects($new_nid, $old, $tnids){
	//EXPORT all FEDERATED PROJECT nodes
	$sql = "SELECT n.nid, n.tnid FROM node as n
			INNER JOIN content_type_federated_project AS c ON c.nid = n.nid AND c.field_fed_project_forge_nid = ".$old['nid']."
			WHERE n.type =  'federated_project'";
	$fed_project = db_query($sql);

	if(!$fed_project){
		echo "<p><ul><li><strong>FAIL!!</strong> There are no Federated Projects to be exported: '".$sql."'</ul></li><p>";
		ob_flush(); flush();
		error_log("FAIL!!  There are no Federated Projects to be exported: '".$sql);
		return $tnids;
	}

	//For each node.
	$i=0;
	echo "---- Software Projects: "; ob_flush(); flush();
	while (($result = db_fetch_array($fed_project))) {
		//LOAD node
		$federated_node = node_load($result['nid']);
		if(!$federated_node){
			echo "<p><ul><li><strong>FAIL!!</strong> The Federated Project with NID ".$result['nid']." cannot be loaded. This Federated Project cannot be exported.</ul></li><p>".$sql;
			error_log("FAIL!! The Federated Project with NID ".$result['nid']." cannot be loaded. This Federated Project cannot be exported.");
			ob_flush(); flush();
		}else{
			$src = "/".$federated_node->path."\t\t";

			$nid = $federated_node->nid;

			//Build the new Repository node
			$new_project_node = (object) NULL;
			$new_project_node = $federated_node;
			$new_project_node->nid=NULL;
			$new_project_node->path = NULL;
			$new_project_node->type='adms_software_project';

			//content_field_sw_project_homepage's fields
			$new_project_node->field_sw_project_homepage[0] = $federated_node->field_fed_project_link[0];

			$j=1;
			$old_more_links=$federated_node->field_project_soft_more_links;

			foreach($old_more_links as $more_link) {
				if($old_more_links[0]['value'] != NULL){
					$new_project_node->field_sw_project_homepage[$j]['url'] = $more_link['value'];
					$new_project_node->field_sw_project_homepage[$j]['title'] = $more_link['value'];
					$j++;
				}
			}

			//Import the node
			node_save($new_project_node);
			if(!isset($new_project_node->nid)){
				echo "<p><ul><li><strong>FAIL!!</strong> The Software Project which Federated Project's NID is".$result['nid']." cannot be saved. This Federated Project cannot be exported.</ul></li><p>";
				ob_flush(); flush();
				error_log("FAIL!! The Software Project which Federated Project's NID is".$result['nid']." cannot be saved. This Federated Project cannot be exported.");
			}else{
				//Redirections
				$myFile = "03_Output_Redirects (Alias).map";
        $myFile = dirname(__FILE__) . '/'.basename(__FILE__).'.Output_Redirects (Alias).map';
				$fh = fopen($myFile, 'a') or die("can't open file");
				$dst = "/".$new_project_node->path."\n";
				fwrite($fh, $src);
				fwrite($fh, $dst);
				fclose($fh);

				//Workflow: SID 58 (Draft), 61 (Validated), 65 (Blacklisted)
				$workflow_sid = db_fetch_array(db_query("SELECT sid FROM workflow_node WHERE nid=" . $nid ." LIMIT 1"));
				$sid = 58;
				if($workflow_sid!=NULL){
					switch($workflow_sid['sid']){
						case 14: $sid=58; break;
						case 15: $sid=61; break;
						case 25: $sid=65; break;
					}
				}
				$sql_workflow = "	INSERT INTO workflow_node SET
									nid = " . $new_project_node->nid . ",
									sid = " . $sid . ",
									uid = (SELECT old.uid FROM workflow_node as old WHERE old.nid=" . $nid . "),
									stamp = (SELECT old.stamp FROM workflow_node as old WHERE old.nid=" . $nid . ")";
				db_query($sql_workflow);
				$return = db_fetch_array(db_query('SELECT nid FROM workflow_node WHERE nid='.$new_project_node->nid));
				if(!$return or !isset($return['nid'])) {
					echo '<p><ul><li><strong>FAIL!!</strong> Workflow Node (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql_workflow."</ul></li><p>";
					ob_flush(); flush();
					error_log("FAIL!! Workflow Node (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql_workflow);
				}

				//Workflow history
				$sql_workflow = "SELECT * FROM workflow_node_history WHERE nid=" . $nid;
				$workflows = db_query($sql_workflow);

				while ($workflow = db_fetch_array($workflows)){
					$old_sid = 58;
					if($workflow!=NULL){
						switch($workflow['old_sid']){
							case 14: $old_sid=58; break;
							case 15: $old_sid=61; break;
							case 25: $old_sid=65; break;
						}
					}
					$sid = 58;
					if($workflow!=NULL){
						switch($workflow['sid']){
							case 14: $sid=58; break;
							case 15: $sid=61; break;
							case 25: $sid=65; break;
						}
					}

					$sql_workflow = "	INSERT INTO workflow_node_history (nid, old_sid, sid, uid, comment, stamp)
										VALUES (" . $new_project_node->nid. ", ". $old_sid .", ". $sid .",
										". $workflow['uid'] .", '". $workflow['comment'] ."', ". $workflow['stamp'] .")";
					db_query($sql_workflow);

					$return = db_fetch_array(db_query('SELECT nid FROM workflow_node_history WHERE nid='.$new_project_node->nid));
					if(!$return or !isset($return['nid'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Workflow Node History (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql_workflow."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Workflow Node History (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql_workflow);
					}
				}

				//Insert Organic Groups
				$sql_og = "INSERT INTO og_ancestry (nid, group_nid) VALUES(".$new_project_node->nid.", ".$new_nid.")";
				db_query($sql_og);

				$return = db_fetch_array(db_query('SELECT nid FROM og_ancestry WHERE nid='.$new_project_node->nid));
				if(!$return or !isset($return['nid'])) {
					echo '<p><ul><li><strong>FAIL!!</strong> Organic Group UID (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql_og."</ul></li><p>";
					ob_flush(); flush();
					error_log("FAIL!! Organic Group UID (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql_og);
				}

				echo " ".$new_project_node->nid.","; ob_flush(); flush();

				if($result['nid']==$result['tnid']){
					$tnids["'".$result['nid']."'"] = $new_project_node->nid;
				}

				//Insert Editor's choice & I use this software
				$sql_flag = "SELECT * FROM flag_content WHERE content_id=" . $result['nid'];
				$flag_content = db_query($sql_flag);

				while ($flag = db_fetch_array($flag_content)) {
					$sql_flag_ins = "INSERT INTO flag_content SET
							fid = ".$flag['fid'].",
							content_type = '".$flag['content_type']."',
							content_id = ".$new_project_node->nid.",
							uid = '".$flag['content_type']."',
							timestamp = ".$flag['timestamp'];
					db_query($sql_flag_ins);

					$return = db_fetch_array(db_query('SELECT content_id FROM flag_content WHERE content_id='.$new_project_node->nid));
					if(!$return or !isset($return['content_id'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Flag Content (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql_flag_ins."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Flag Content (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql_flag_ins);
					}
				}

				$sql_flag = "SELECT * FROM flag_counts WHERE content_id=" . $result['nid'];
				$flag_count = db_query($sql_flag);

				while ($flag = db_fetch_array($flag_count)) {
					$sql_flag_ins = "	INSERT INTO flag_counts SET
										fid = ".$flag['fid'].",
										content_type = '".$flag['content_type']."',
										content_id = ".$new_project_node->nid.",
										count = ".$flag['count'];

					db_query($sql_flag_ins);

					$return = db_fetch_array(db_query('SELECT content_id FROM flag_counts WHERE content_id='.$new_project_node->nid));
					if(!$return or !isset($return['content_id'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Flag Counts (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql_flag_ins."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Flag Counts (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql_flag_ins);
					}
				}

				//Insert vote
				$sql_vote = "SELECT content_type, value, value_type, tag, uid, timestamp, vote_source FROM votingapi_vote WHERE content_id=" . $result['nid'];
				$votes = db_query($sql_vote);

				while ($vote = db_fetch_array($votes)) {
					$insert_keys=implode(",",array_keys($vote));

					$insert_values=implode("','",$vote);
					$insert_values=str_replace(",''",",NULL", $insert_values);
					$insert_values=str_replace("'',","NULL,", $insert_values);

					$sql = "INSERT INTO votingapi_vote (content_id, ".$insert_keys.") VALUES (".$new_project_node->nid.", '".$insert_values."')";

					db_query($sql);

					$return = db_fetch_array(db_query('SELECT content_id FROM votingapi_vote WHERE content_id='.$new_project_node->nid));
					if(!$return or !isset($return['content_id'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Voting api (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Voting api (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql);
					}
				}

				$sql_vote = "SELECT content_type, value, value_type, tag, function, timestamp FROM votingapi_cache WHERE content_id=" . $result['nid'];
				$votes = db_query($sql_vote);

				while ($vote = db_fetch_array($votes)) {
					$insert_keys=implode(",",array_keys($vote));

					$insert_values=implode("','",$vote);
					$insert_values=str_replace(",''",",NULL", $insert_values);
					$insert_values=str_replace("'',","NULL,", $insert_values);

					$sql = "INSERT INTO votingapi_cache (content_id, ".$insert_keys.") VALUES (".$new_project_node->nid.", '".$insert_values."')";

					db_query($sql);

					$return = db_fetch_array(db_query('SELECT content_id FROM votingapi_cache WHERE content_id='.$new_project_node->nid));
					if(!$return or !isset($return['content_id'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Voting api Cache (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Voting api Cache (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql);
					}
				}

				//Insert isa highlights
				$sql_hightlight = "SELECT gid, tid, uid, timestamp FROM isa_highlight WHERE nid=" . $result['nid'];
				$highlights = db_query($sql_hightlight);

				while ($highlight = db_fetch_array($highlights)) {
					$insert_keys=implode(",",array_keys($highlight));

					$insert_values=implode("','",$highlight);
					$insert_values=str_replace(",''",",NULL", $insert_values);
					$insert_values=str_replace("'',","NULL,", $insert_values);

					$sql = "INSERT INTO isa_highlight (nid, ".$insert_keys.") VALUES (".$new_project_node->nid.", '".$insert_values."')";

					db_query($sql);

					$return = db_fetch_array(db_query('SELECT nid FROM isa_highlight WHERE nid='.$new_project_node->nid));
					if(!$return or !isset($return['nid'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Isa Highlights (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Isa Highlights (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql);
					}
				}

				$sql_term = "SELECT tid FROM term_node WHERE nid=" . $result['nid'];
				$term_node = db_query($sql_term);

				while ($term = db_fetch_array($term_node)) {
					$insert_keys=implode(",",array_keys($term));

					$insert_values=implode("','",$term);
					$insert_values=str_replace(",''",",NULL", $insert_values);
					$insert_values=str_replace("'',","NULL,", $insert_values);

					$sql = "INSERT INTO term_node (nid, vid, ".$insert_keys.") VALUES (".$new_project_node->nid.", ".$new_project_node->vid.", '".$insert_values."')";

					db_query($sql);

					$return = db_fetch_array(db_query('SELECT nid FROM term_node WHERE nid='.$new_project_node->nid));
					if(!$return or !isset($return['nid'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Term node (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Term node (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql);
					}
				}

				//Insert node count
				//Node counter
				$sql_counter = "SELECT totalcount, daycount, timestamp FROM node_counter WHERE nid=".$result['nid'];
				$node_counter = db_query($sql_counter);

				while ($node = db_fetch_array($node_counter)) {
					$insert_keys=implode(",",array_keys($node));

					$insert_values=implode("','",$node);
					$insert_values=str_replace(",''",",NULL", $insert_values);
					$insert_values=str_replace("'',","NULL,", $insert_values);

					$sql = "INSERT INTO node_counter (nid, ".$insert_keys.") VALUES (".$new_project_node->nid.", '".$insert_values."')";

					db_query($sql);

					$return = db_fetch_array(db_query('SELECT nid FROM node_counter WHERE nid='.$new_project_node->nid));
					if(!$return or !isset($return['nid'])) {
						echo '<p><ul><li><strong>FAIL!!</strong> Node counter (Softw Project NID:'.$new_project_node->nid.') not inserted: '.$sql."</ul></li><p>";
						ob_flush(); flush();
						error_log("FAIL!! Node counter (Softw Project NID:".$new_project_node->nid.") not inserted: ".$sql);
					}
				}
			}
		}
		$i++;
	}

	echo ".<p>"; ob_flush(); flush();

	return $tnids;
}

?>
