<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

function import_vars_nal_taxonomies($idVocabulary) {
 require_once __DIR__.'/xml2array.php';

 //Import RDF file
 $file_path = realpath(dirname(__FILE__));
 if($idVocabulary=='73'){
  $fp = fopen($file_path . "/filetypes-skos.rdf","r");

  $fileTypes=array(
    "CSV"    => "text/csv",
    "Plain text"    => "text/plain",
    "JSON"    => "application/json",
    "Word DOC"    => "application/msword",
    "PDF"    => "application/pdf",
    "RDF"    => "application/rdf+xml",
    "Excel XLS"    => "application/vnd.ms-excel",
    "PowerPoint PPT"    => "application/vnd.ms-powerpoint",
    "Excel XLSX"    => "application/x-excel",
    "GNU zip"    => "application/x-gzip-compressed",
    "XHTML"    => "application/xhtml xml",
    "XML"    => "application/xml",
    "ZIP"    => "application/zip",
    "HTML"    => "text/html",
  );
 } elseif($idVocabulary=='26') {
  $fp = fopen($file_path . "/countries-skos.rdf","r");
 }else{
  $fp = fopen($file_path . "/languages-skos.rdf","r");
 }
 //$trove = fread($fp, 900000);
 $trove = fread($fp, 6500000);

 $array = XML2Array::createArray($trove);
 fclose($fp);

 if(count($array)){
  $elements = $array['rdf:RDF']['skos:Concept'];
  if(count($elements)){
   foreach($elements as $element){
    if($idVocabulary=='73' or $idVocabulary=='26'){ //File type and Languages
		if($element['dc:identifier']!='OP_DATPRO'){
		 $term = array();
		 $term['vid'] = $idVocabulary;
		 $term['fields']['taxonomy_uri']['value'] = $element['@attributes']['about'];
		 $term['fields']['taxonomy_code']['value'] = $element['dc:identifier'];

		 if($idVocabulary=='73'){
		  $term['name'] = $element['skos:prefLabel']['@value'];
		  $term['description'] = $element['skos:altLabel']['@value'];

		  $save = true;
		  if(array_key_exists($term['name'], $fileTypes)){
		   $save = post_import_nal_taxonomies($idVocabulary, $fileTypes[$term['name']], $term['name'], $term['fields']['taxonomy_uri']['value']);
		  }

		  if($save){
		   taxonomy_save_term($term);
		  }
		 }else{
		  $term['name'] = get_english_label($element['skos:prefLabel']);
		  $term['description'] = get_english_label($element['skos:altLabel']);

		  if(post_import_nal_taxonomies($idVocabulary, $term['name'], $term['name'], $term['fields']['taxonomy_uri']['value'])){
		   taxonomy_save_term($term);
		  }
		 }
		}
    }else{
     $langcode = get_langcode($element['at:op-mapped-code']);
	 if($langcode==NULL){
		$langcode = $element['at:op-mapped-code']['at:MappedCode']['at:legacy-code'];
	 }
	 
	 if($langcode!=NULL){ 
		 $name = get_english_label($element['skos:prefLabel']);
		 $native = get_english_label($element['skos:prefLabel'], $langcode);
		 $domain = $element['@attributes']['about'];

		 $source = db_fetch_object(db_query("SELECT domain FROM {languages} WHERE language = '%s'", $langcode));
		 if ($source) {
		   db_query("INSERT INTO {isa_language_legacy} (language, domain) VALUES ('%s', '%s')", $langcode, $source->domain);

		 }else{
		   variable_set('language_count', variable_get('language_count', 1) + 1);
		 }
		 db_query("INSERT INTO {languages} (language, name, native, direction, domain, prefix, enabled)
		   VALUES ('%s', '%s', '%s', %d, '%s', '%s', %d)
		   ON DUPLICATE KEY UPDATE domain='%s'", $langcode, $name, $native, 0, $domain, '', TRUE, $domain);
		}
	}
   }
  }
 }
}

function get_langcode($element){
 if(is_array($element)){
  foreach($element as $value){
   if($value['at:MappedCode']['dc:source']=='iso-639-1'){
    return $value['at:MappedCode']['at:legacy-code'];
   }
  }
 }
 return NULL;
}

function get_english_label($element, $language = NULL){
 if(!isset($language)){
  $language="en";
 }

 if(is_array($element)){
  foreach($element as $value){
   $lang = $value['@attributes'];
   if($lang['lang']==$language){
    return $value['@value'];
   }
  }
 }

 return $element['@value'];
}

function post_import_nal_taxonomies($idVocabulary, $name, $newName, $uri){
 $term = taxonomy_get_term_by_name($name);

 if($idVocabulary=='73'){
  db_query("UPDATE {term_fields_term} SET taxonomy_legacy_uri_value = taxonomy_uri_value, taxonomy_uri_value = '%s' WHERE tid = %d", $uri, $term[0]->tid);
  db_query("UPDATE {term_data} SET name = '%s' WHERE tid = %d", $newName, $term[0]->tid);

  return false;
 }

 if($idVocabulary=='26' && !empty($term) && count($term)>0){
  db_query("UPDATE {term_fields_term} SET taxonomy_legacy_uri_value = taxonomy_uri_value WHERE tid = %d", $term[0]->tid);
  db_query("UPDATE {term_fields_term} SET taxonomy_uri_value = '%s' WHERE tid = %d", $uri, $term[0]->tid);

  return false;
 }

 return true;
}

function import_vars_solution_category($vocab){
 $result = db_fetch_object(db_query("SELECT vid FROM {vocabulary} WHERE name='%s'", $vocab));

 if($result->vid != NULL){
  save_term($result->vid, 'http://purl.org/adms/solutiontype/Framework', 'Framework');
  save_term($result->vid, 'http://purl.org/adms/solutiontype/Service', 'Service');
  save_term($result->vid, 'http://purl.org/adms/solutiontype/Tool', 'Tool');
 }else{
  print 'Could not import the term from the following taxonomy: '.$vocab;
 }
}

function save_term($vid, $uri, $name){
 $term = array();
 $term['vid'] = $vid;
 $term['fields']['taxonomy_uri']['value'] = $uri;
 $term['name'] = $name;

 taxonomy_save_term($term);
}

import_vars_nal_taxonomies(26);
import_vars_nal_taxonomies(73);
import_vars_nal_taxonomies('lang');
import_vars_solution_category('Solution category');

?>
