SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

############################################################adms_software_project - bug database
DROP TABLE IF EXISTS `content_field_sw_project_bug_database`;
CREATE TABLE IF NOT EXISTS `content_field_sw_project_bug_database` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_sw_project_bug_database_value` longtext,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

############################################################adms_software_project - wiki
DROP TABLE IF EXISTS `content_field_sw_project_wiki`;
CREATE TABLE IF NOT EXISTS `content_field_sw_project_wiki` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_sw_project_wiki_value` longtext,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

############################################################adms_software_project - source code repository
DROP TABLE IF EXISTS `content_field_sw_project_repository`;
CREATE TABLE IF NOT EXISTS `content_field_sw_project_repository` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_sw_project_repository_nid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`),
  KEY `field_sw_project_repository_nid` (`field_sw_project_repository_nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

############################################################adms_software_project - adms.sw project relation
ALTER TABLE `content_type_project_project` ADD COLUMN `field_project_adms_sw_project_nid` int(10) unsigned DEFAULT NULL,
ADD KEY `field_project_adms_sw_project_nid` (`field_project_adms_sw_project_nid`);

############################################################asset_release - version
DROP TABLE IF EXISTS `content_field_asset_version`;
CREATE TABLE IF NOT EXISTS `content_field_asset_version` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_asset_version_type` varchar(32) DEFAULT NULL,
  `field_asset_version_value` longtext,
  `field_asset_version_item_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `content_field_asset_version` (`vid`, `nid`, `field_asset_version_type`, `field_asset_version_value`, `field_asset_version_item_id`, `delta`)
SELECT asset.vid, asset.nid, asset.field_asset_version_type, asset.field_asset_version_value, asset.field_asset_version_item_id, 0
FROM content_type_asset_release AS asset;

ALTER TABLE `content_type_asset_release` DROP COLUMN field_asset_version_type, DROP COLUMN field_asset_version_value, DROP COLUMN field_asset_version_item_id;

############################################################asset_release - current version
ALTER TABLE `content_type_asset_release` ADD COLUMN `field_asset_current_reference_nid` int(10) unsigned DEFAULT NULL,
ADD KEY `field_asset_current_reference_nid` (`field_asset_current_reference_nid`);

############################################################asset_release - contact point
ALTER TABLE `content_type_asset_release` ADD COLUMN `field_asset_contact_point_nid` int (10),
ADD KEY `field_asset_contact_point_nid` (`field_asset_contact_point_nid`);

UPDATE `content_type_asset_release` AS asset SET asset.`field_asset_contact_point_nid` = 
(SELECT contact.field_asset_contact_point_nid FROM content_field_asset_contact_point AS contact WHERE contact.nid = asset.nid ORDER BY nid ASC LIMIT 1);

DROP TABLE content_field_asset_contact_point;

############################################################asset_release - release langauge
ALTER TABLE `content_type_asset_release` ADD COLUMN `field_language_multiple_value` blob;

UPDATE `content_type_asset_release` AS asset SET asset.`field_language_multiple_value` = 
(SELECT lang.field_language_multiple_value FROM content_field_language_multiple AS lang WHERE lang.nid = asset.nid ORDER BY nid ASC LIMIT 1);

DROP TABLE content_field_language_multiple;

############################################################asset_release - logo
ALTER TABLE `content_type_asset_release` ADD COLUMN `field_asset_sw_logo_nid` INT (10),
ADD KEY `field_asset_sw_logo_nid` (`field_asset_sw_logo_nid`);

UPDATE `content_type_asset_release` AS asset SET asset.`field_asset_sw_logo_nid` = 
(SELECT logo.field_asset_sw_logo_nid FROM content_field_asset_sw_logo AS logo WHERE logo.nid = asset.nid ORDER BY vid ASC LIMIT 1);

DROP TABLE content_field_asset_sw_logo;

############################################################asset_release - DROP TABLES
DROP TABLE content_field_asset_item;
DROP TABLE content_field_asset_related_doc;
DROP TABLE content_field_metadata_language_multiple;
DROP TABLE content_field_asset_metadata_date;
DROP TABLE content_field_asset_metadata_publisher;

############################################################asset_release - homepage
ALTER TABLE `content_type_asset_release` ADD COLUMN `field_asset_homepage_doc_nid` int (10),
ADD KEY `field_asset_homepage_doc_nid` (`field_asset_homepage_doc_nid`);

UPDATE `content_type_asset_release` AS asset SET asset.`field_asset_homepage_doc_nid` = 
(SELECT land.field_asset_homepage_doc_nid FROM content_field_asset_homepage_doc AS land WHERE land.nid = asset.nid ORDER BY vid ASC LIMIT 1);

DROP TABLE content_field_asset_homepage_doc;

############################################################asset_release - assessment
CREATE TABLE IF NOT EXISTS `content_field_asset_assessment` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_asset_assessment_nid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`),
  KEY `field_asset_assessment_nid` (`field_asset_assessment_nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


############################################################distribution - tagURL
ALTER TABLE `content_type_distribution` ADD COLUMN `field_distribution_sw_tagurl_url` VARCHAR(2048) DEFAULT NULL,
  ADD COLUMN `field_distribution_sw_tagurl_title` VARCHAR(255) DEFAULT NULL,
  ADD COLUMN `field_distribution_sw_tagurl_attributes` MEDIUMTEXT;

UPDATE `content_type_distribution` AS distribution SET distribution.`field_distribution_sw_tagurl_title` = 
(SELECT tagurl.field_distribution_sw_tagurl_title FROM content_field_distribution_sw_tagurl AS tagurl WHERE tagurl.nid = distribution.nid ORDER BY vid ASC LIMIT 1),
distribution.`field_distribution_sw_tagurl_url` = 
(SELECT tagurl.field_distribution_sw_tagurl_url FROM content_field_distribution_sw_tagurl AS tagurl WHERE tagurl.nid = distribution.nid ORDER BY vid ASC LIMIT 1),
distribution.`field_distribution_sw_tagurl_attributes` = 
(SELECT tagurl.field_distribution_sw_tagurl_attributes FROM content_field_distribution_sw_tagurl AS tagurl WHERE tagurl.nid = distribution.nid ORDER BY vid ASC LIMIT 1);

DROP TABLE content_field_distribution_sw_tagurl;

############################################################distribution - licence
ALTER TABLE `content_type_distribution` ADD COLUMN `field_distribution_licence_nid` int(10) unsigned DEFAULT NULL,
ADD KEY `field_distribution_licence_nid` (`field_distribution_licence_nid`);

UPDATE `content_type_distribution` AS distribution SET distribution.`field_distribution_licence_nid` = 
(SELECT licence.field_distribution_licence_nid FROM content_field_distribution_licence AS licence WHERE licence.nid = distribution.nid ORDER BY vid ASC LIMIT 1);

DROP TABLE content_field_distribution_licence;

############################################################distribution - media/file type
ALTER TABLE `content_type_distribution` ADD COLUMN `field_distribution_media_type_value` int(11) DEFAULT NULL;
ALTER TABLE `content_type_distribution` ADD COLUMN `field_distribution_file_type_value` int(11) DEFAULT NULL;

############################################################distribution - download url
DROP TABLE IF EXISTS `content_field_distribution_download_url`;
CREATE TABLE IF NOT EXISTS `content_field_distribution_download_url` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_distribution_download_url_url` varchar(2048) DEFAULT NULL,
  `field_distribution_download_url_title` varchar(255) DEFAULT NULL,
  `field_distribution_download_url_attributes` mediumtext,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

############################################################distribution - access url
DROP TABLE IF EXISTS `content_field_distribution_access_url1`;
CREATE TABLE IF NOT EXISTS `content_field_distribution_access_url1` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_distribution_access_url1_url` varchar(2048) DEFAULT NULL,
  `field_distribution_access_url1_title` varchar(255) DEFAULT NULL,
  `field_distribution_access_url1_attributes` mediumtext,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `content_field_distribution_access_url1` (`vid`, `nid`, `field_distribution_access_url1_url`, `field_distribution_access_url1_title`, `field_distribution_access_url1_attributes`, `delta`)
SELECT d.vid, d.nid, d.field_distribution_access_url1_url, d.field_distribution_access_url1_title, d.field_distribution_access_url1_attributes, 0
FROM content_type_distribution AS d;

ALTER TABLE `content_type_distribution` 
DROP COLUMN field_distribution_access_url1_url, DROP COLUMN field_distribution_access_url1_title, DROP COLUMN field_distribution_access_url1_attributes;

############################################################item
DROP TABLE content_type_item;
DROP TABLE content_field_item_description;
DROP TABLE content_field_item_label;

############################################################software project aget - type
DROP TABLE IF EXISTS `content_field_sw_project_agent_type`;
CREATE TABLE IF NOT EXISTS `content_field_sw_project_agent_type` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_sw_project_agent_type_value` longtext,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `content_field_sw_project_agent_type` (`vid`, `nid`, `field_sw_project_agent_type_value`, `delta`)
SELECT d.vid, d.nid, d.field_sw_project_agent_type_value, 0
FROM content_type_software_project_agent AS d;

ALTER TABLE `content_type_software_project_agent` DROP COLUMN field_sw_project_agent_type_value;

############################################################software release aget - type
DROP TABLE IF EXISTS `content_field_sw_release_agent_type`;
CREATE TABLE IF NOT EXISTS `content_field_sw_release_agent_type` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_sw_release_agent_type_value` longtext,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `content_field_sw_release_agent_type` (`vid`, `nid`, `field_sw_release_agent_type_value`, `delta`)
SELECT d.vid, d.nid, d.field_sw_release_agent_type_value, 0
FROM content_type_software_release_agent AS d;

ALTER TABLE `content_type_software_release_agent` DROP COLUMN field_sw_release_agent_type_value;

############################################################repository - reference_another_asset
DROP TABLE IF EXISTS `content_field_repository_asset_reference`;
CREATE TABLE IF NOT EXISTS `content_field_repository_asset_reference` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_repository_asset_reference_nid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`),
  KEY `field_repository_asset_reference_nid` (`field_repository_asset_reference_nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8; 
  
############################################################repository - contact_information
DROP TABLE IF EXISTS `content_field_repository_contact_point`;
CREATE TABLE IF NOT EXISTS `content_field_repository_contact_point` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `delta` int(10) unsigned NOT NULL DEFAULT '0',
  `field_repository_contact_point_nid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`vid`,`delta`),
  KEY `nid` (`nid`),
  KEY `field_repository_contact_point_nid` (`field_repository_contact_point_nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

############################################################repository - licence
ALTER TABLE `content_type_repository` ADD COLUMN `field_repository_licence_nid` int(10) unsigned DEFAULT NULL,
ADD KEY `field_repository_licence_nid` (`field_repository_licence_nid`);










