<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();


echo "---------------------- STARTING COMMUNITY ASSET EXPORT ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- STARTING COMMUNITY ASSET EXPORT ----------------------");
export_project_release();
echo "---------------------- FINISHED COMMUNITY ASSET EXPORT ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- FINISHED COMMUNITY ASSET EXPORT ----------------------");

function export_project_release(){

 //Redirections
 $myFile = dirname(__FILE__) . '/'.basename(__FILE__).'.Community_asset_redirects.map';
 //Select all nodes from project_release content type
 $sql = "SELECT * FROM node WHERE type = '%s'";
 $results = db_query($sql, 'project_release');
 while ($result = db_fetch_array($results)) {
  export_process_release($result, $myFile);       
 }
}

function export_process_release($result, $myFile) {
  $release_node = node_load($result['nid']);
  $group_node = node_load($release_node->project_release['pid']);

  

  //we treat only asset releases
  if ($group_node->group_type == 'software') {
    continue;
  }

  //create a new asset_release node
  $asset_release = (object) NULL;
  $asset_release->type = 'asset_release';
  $asset_release->language = 'en';
  $asset_release->body = $release_node->body;
  $asset_release->teaser = $release_node->teaser;
  $asset_release->title = $release_node->title;
  $asset_release->uid = $release_node->uid;
  $asset_release->created = $release_node->created;
  $asset_release->changed = $release_node->changed;
  $asset_release->status = $release_node->status;
  $asset_release->field_asset_version[0]['type'] = 'language_textfield';
  $asset_release->field_asset_version[0]['value']['field_language_textfield_lang'][0]['value'] = 'en';
  $asset_release->field_asset_version[0]['value']['field_language_textfield_name'][0]['value'] = $release_node->project_release['version'];
  $asset_release->field_asset_version_note[0]['value'] = $group_node->title . ' v' . $release_node->project_release['version'] . $release_node->project_release['version_extra'];
  $asset_release->og_groups = array($release_node->project_release['pid'] => $release_node->project_release['pid']);

  //Retrieve theme & geographic coverage from the group
  foreach ($group_node->taxonomy as $key => $taxo) {
   if ($taxo->vid == variable_get('domains_vid', 27) || $taxo->vid == variable_get('country_vid', 26)) {
    $asset_release->taxonomy[$key] = $taxo;
   }
  }

  //create a distribution node for each file
  $oldfile = array();
  $i = 0;
  foreach ($release_node->project_release['files'] as $file) {
   $distribution = (object) NULL;
   $distribution->type = 'distribution';
   $distribution->language = 'en';
   $distribution->title = $file->filename;
   $distribution->uid = $release_node->uid;
   $distribution->created = $release_node->created;
   $distribution->changed = $release_node->changed;
   $distribution->status = $release_node->status;
   $distribution->field_distribution_file_type[0]['value'] = $file->filemime;
   $distribution->field_distribution_sw_filesizein[0]['value'] = $file->filesize;
   $distribution->field_distribution_sw_checksum[0]['nid'] =  $file->filehash;
   $distribution->field_distribution_access_url[0] = (array) $file;

   node_save($distribution);

   $asset_release->field_asset_distribution[] = array('nid' => intval($distribution->nid));

   $oldfile[$i]['file'] = $file->fid;
   $oldfile[$i]['distribution'] = $distribution->nid;
   $i++;
  }

  //create a documentation node for each document
  foreach ($release_node->field_release_document as $document) {
   if($document->filename!=NULL){
    $documentation = (object) NULL;
    $documentation->type = 'documentation';
    $documentation->language = 'en';
    $documentation->title = $document->filename;
    $documentation->uid = $release_node->uid;
    $documentation->created = $release_node->created;
    $documentation->changed = $release_node->changed;
    $documentation->status = $release_node->status;
    $documentation->field_documentation_access_url[0] = (array) $document;
    node_save($documentation);
    //associate the documentation to the asset release
    $asset_release->field_asset_documentation[] = array('nid' => intval($documentation->nid));
   }
  }

  node_save($asset_release);

  foreach ($oldfile as $file) {
   $sqlDown = "select * from {isa_download_statistics} where nid=%d and pid=%d and fid=%d";
   $rsDown = db_query($sqlDown, $release_node->nid, $file['file']);

   while ($resDown = db_fetch_array($rsDown)) {
    $idDown = $resDown['dsid'];
    $sqlUdDown = "update {isa_download_statistics} set nid=%d, fid=%d where dsid=%d";
    $rsUpDown = db_query($sqlUpDown, $asset_release->nid, $file['distribution'], $idDown);
   }

   $sqlCount = "select * from isa_download_statistics_count where fid=%d and nid=%d";
   $rs = db_query($sqlCount, $file['file'], $release_node->nid);
   while ($res = db_fetch_array($rs)) {
    error_log("Release count: [" . $res['count'] . "] " . " \n"); ob_flush(); flush();
   }

   db_query("UPDATE {isa_download_statistics_count} SET nid = %d, fid = %d WHERE nid = %d AND fid = %d",
   $asset_release->nid, $file['distribution'], $release_node->nid, $file['file']);

   _isa_apachesolr_update_index(node_load($asset_release->nid));

   // count del asset
   $sqlCount2 = "select * from isa_download_statistics_count where fid=%d and nid=%d";
   $rs2 = db_query($sqlCount2, $file['distribution'], $asset_release->nid);
   while ($res2 = db_fetch_array($rs2)) {
    error_log("Asset release count: [" . $res2['count'] . "] " . " \n"); ob_flush(); flush();
   }

  }


  //Retrieve comments
  $sql = "INSERT INTO {comments} (pid, nid, uid, subject, comment, hostname, timestamp, status, format, thread, name, mail, homepage)
          SELECT pid, %d, uid, subject, comment, hostname, timestamp, status, format, thread, name, mail, homepage
          FROM {comments} WHERE nid = %d";
  db_query($sql, $asset_release->nid, $release_node->nid);
  //Retrieve fivestar
  $sql = "INSERT INTO {votingapi_vote} (content_type, content_id, value, value_type, tag, uid, timestamp, vote_source)
          SELECT content_type, %d, value, value_type, tag, uid, timestamp, vote_source
          FROM {votingapi_vote} WHERE content_id = %d";
  db_query($sql, $asset_release->nid, $release_node->nid);
  //Retrieve node_counter
  $sql = "INSERT INTO {node_counter} (nid, totalcount, daycount, timestamp)
          SELECT %d, totalcount, daycount, timestamp
          FROM {node_counter} WHERE nid = %d";
  db_query($sql, $asset_release->nid, $release_node->nid);

  //retrieve the workflow
  $workflow_relations = array(17=>40, 18=>41, 16=>39, 19=>38, 24=>39);
  $old_workflow = $release_node->_workflow;
  workflow_execute_transition($asset_release,$workflow_relations[$old_workflow], '', true);

  $src = "/node/".$release_node->nid."\t\t";
  $dst = "/node/".$asset_release->nid."\n";
  file_put_contents ( $myFile , $src, FILE_APPEND );
  file_put_contents ( $myFile , $dst, FILE_APPEND );

  $src = "/".$release_node->path."\t\t";
  $dst = "/".$asset_release->path."\n";
  file_put_contents ( $myFile , $src, FILE_APPEND );
  file_put_contents ( $myFile , $dst, FILE_APPEND );

  error_log("Release: ". $release_node->nid ." migration done.<p>"); ob_flush(); flush();
  unset($release_node);
  unset($group_node);
  unset($documentation);
  unset($distribution);

}
