<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '800M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

echo "---------------------- STARTING COMMUNITY ASSET EXPORT ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- STARTING COMMUNITY ASSET EXPORT ----------------------");
export_project_project();
echo "---------------------- FINISHED COMMUNITY ASSET EXPORT ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- FINISHED COMMUNITY ASSET EXPORT ----------------------");


function export_project_project(){
 //Select all nodes from project_project content type
 $sql = "SELECT * FROM node WHERE type = '%s' ";
 $results = db_query($sql, 'project_project');
 $total = db_result(db_query("SELECT count(*) FROM node WHERE type = '%s' ",'project_project'));
 $i = 0;
 while ($result = db_fetch_array($results)) {
  export_process_project($result, $myFile);
 }
}

function export_process_project($result, $myFile) {
  error_log("-- Process project_project: " . $result['nid'] . "\n");
 //Loading the node
  $project_project = node_load($result['nid']);

  //Create new project_project
  $adms_sw_project = (object) NULL;
  $adms_sw_project->type = 'adms_software_project';
  $adms_sw_project->language = $project_project->language;
  $adms_sw_project->uid = $project_project->uid;
  $adms_sw_project->created = $project_project->created;
  $adms_sw_project->changed = $project_project->changed;
  $adms_sw_project->status = $project_project->status;
  $adms_sw_project->title = $project_project->title; //Full Project name
  $adms_sw_project->body = $project_project->body; //Full description
  $adms_sw_project->teaser = $project_project->teaser;
  $adms_sw_project->name = $project_project->name;

  //Retrieve taxonomies
  foreach ($project_project->taxonomy as $key => $taxo) {
   if ($taxo->vid == variable_get('intended_audience_vid', 38) || $taxo->vid == variable_get('natural_language_vid', 34)
   || $taxo->vid == variable_get('operating_system_vid', 31) || $taxo->vid == variable_get('programming_language_vid', 32)){
    $taxonomies_name = taxonomy_get_term_by_name($taxo->name);
    foreach ($taxonomies_name as $taxonomy_name) {
     if(($taxo->vid==38 && $taxonomy_name->vid==78) || ($taxo->vid==34 && $taxonomy_name->vid==77)
     || ($taxo->vid==31 && $taxonomy_name->vid==83) || ($taxo->vid == 32 && $taxonomy_name->vid==79)){
      $adms_sw_project->taxonomy[$taxonomy_name->tid] = $taxonomy_name;
     }
    }
   }

   if($taxo->vid == variable_get('development_status_vid', 30)){
    $db_result = db_query("SELECT t.tid, t.* FROM {term_data} t WHERE t.vid=82 and t.name LIKE '%- ".trim($taxo->name)."%'");
  while ($taxonomy_result = db_fetch_array($db_result)) {
    $adms_sw_project->taxonomy[$taxonomy_result['tid']] = taxonomy_get_term($taxonomy_result['tid']);
  }
   }
  }

  //Save Logo
  $db_result = db_query("SELECT c.field_project_soft_logo_fid, c.field_project_soft_logo_data, c.field_project_soft_logo_list,
                         f.filename, f.status
                         FROM content_type_project_project AS c
                         INNER JOIN files AS f
                         WHERE c.nid=".$project_project->nid." AND f.fid=c.field_project_soft_logo_fid");
  $logo=db_fetch_array($db_result);

  $documentation = (object) NULL;
  $documentation->type = 'documentation';
  $documentation->language = 'en';
  $documentation->title = $logo['filename'];
  $documentation->status = $logo['status'];
  $documentation->field_documentation_access_url[0]['fid'] = (array) $logo->field_project_soft_logo_fid;
  $documentation->field_documentation_access_url[0]['list'] = (array) $logo->field_project_soft_logo_list;
  $documentation->field_documentation_access_url[0]['data'] = (array) $logo->field_project_soft_logo_data;
  node_save($documentation);
  $adms_sw_project->field_sw_project_logo[] = array('nid' => intval($documentation->nid));

  //Save sponsor logo
  $db_result = db_query("SELECT c.field_project_soft_sponsor_logo_fid, c.field_project_soft_sponsor_logo_data, c.field_project_soft_sponsor_logo_list,
                         f.filename, f.status
                         FROM content_type_project_project AS c
                         INNER JOIN files AS f
                         WHERE c.nid=".$project_project->nid." AND f.fid=c.field_project_soft_sponsor_logo_fid");
  $logo=db_fetch_array($db_result);

  $documentation = (object) NULL;
  $documentation->type = 'documentation';
  $documentation->language = 'en';
  $documentation->title = $logo['filename'];
  $documentation->status = $logo['status'];
  $documentation->field_documentation_access_url[0]['fid'] = (array) $logo->field_project_soft_sponsor_logo_fid;
  $documentation->field_documentation_access_url[0]['list'] = (array) $logo->field_project_soft_sponsor_logo_list;
  $documentation->field_documentation_access_url[0]['data'] = (array) $logo->field_project_soft_sponsor_logo_data;
  node_save($documentation);
  $adms_sw_project->field_sw_project_logo[] = array('nid' => intval($documentation->nid));

  node_save($adms_sw_project);

  db_query("UPDATE content_type_project_project
            SET field_project_adms_sw_project_nid=".$adms_sw_project->nid."
            WHERE nid=".$project_project->nid);
  unset($adms_sw_project);
  unset($documentation);
  unset($project_project);
}
