<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();


epractice_assign_vocabs();


/**
 * Obtain a vocabulary identifier by the vocabulary name
 * @param string $name
 * @return Ambigous <The, boolean, unknown>
 */
function custom_import_get_vocabulary_by_name($name) {
  // Query to get all node types from table vocabulary
  $sql = "SELECT vid FROM {vocabulary} v WHERE v.name = '%s'";
  $sql = db_query($sql, $name);

  // Build array from query results
  $vids = array();
  while ($vid = db_result($sql)) {
    $vids[] = $vid;
  }

  return count($vids) > 0 ? $vids : FALSE ;
}


/**
 *	It creates 4 main communities: ePractice, eHealth, eInclusion and eGovernment in Joinup
 *	Also, the NID is saved as a variable
**/
function epractice_assign_vocabs(){

  //New vocabularies for joinup
  $map_vocabularies = array(
  	//17 => 'Economic effects',
  	8 => 'Target Users or Group',
  	//11 => 'Type of initiative - B'
  );
		
  //Map of the vids
  $map_vids = array(
    21 => 57, //'Factsheets Topic' => 'Factsheet topic',
    15 => 52, //'Implementation' => 'Implementation cost',
    4 => 29, //'Languages' => 'My languages',
    14 => 51, //'Funding source' => 'Funding source',
    12 => 48, //'Overall Implementation approach' => 'Overall implementation approach',
    9 => 45, //'Scope' => 'Scope',
    16 => 53, //'Yearly cost' => 'Yearly cost',
    13 => 50, //'Technology choice' => 'Technology choice',
    5 => 44, //'Type of initiative' => 'Type of initiative',
    10 => 46, //'Status' => 'Case status',
    3 => 76, //'Countries' => 'European countries',
    32 => 63, //'organisation_type' => 'Organisation type',
    27 => 55, //'documentation nature' => 'Nature of documentation',
    26 => 27, //'topic of interest' => 'Themes',
	6 => 27, //'ePractice domain' => 'Themes',
    18 => 28, //'Tags' => 'Keywords',
    7 => 27, //'Sector' => 'Themes',
    17 => 54, //'Economic effects' => 'Return on investment',
    8 => '', //'Target Users or Group' => 'Target Users or Group',
    11 => 47, //'Type of initiative - B' => 'Type of service'
  );
  
  //Content_type vocabulary reationship
  $content_vocabs = array(
      'blog' => array(
  	  36,34,
  	),
  	'case_epractice' => array(
  	  35,11,16,/*3,*/6,17,14,15,4,12,5,9,7,10,18,8,13,
  	),
  	'community' => array(
  	  18,4,/*3,*/6,
  	),
  	'event' => array(
  	  32,18,4,9,6,/*3,*/
  	),
  	'document' => array(
  	  /*3,*/18,6,27,4,
  	),
  	'news' => array(
  	  /*3,*/18,7,6,
  	),
  	'profile' => array(
  	  6,4,7,
  	),
  	'video' => array(
  	  18,6,/*3,*/
  	),
  );
 
  foreach ($map_vocabularies as $orig_vid => $title){
    $vocabulary = custom_import_get_vocabulary_by_name($title);
    if (!$vocabulary){
      $vocabulary = array(
	    'name' => t($title), //Human readable name of the vocabulary
	    'multiple' => TRUE, //set 1 to allow multiple selection
	    'required' => FALSE, //set 1 to make the terms mandatory to be selected
	    'hierarchy' => TRUE, //set 1 to allow and create hierarchy of the terms within the vocabulary
	    'relations' => TRUE, //set 1 to set and allow relation amongst multiple terms
	    'nodes' => array(), //TODO: set the node to which this vocabulary will be attached to
	    'weight' => -10, //set the weight to display the vocabulary in the list
      );
	
    	taxonomy_save_vocabulary($vocabulary); //saving the $vocabulary array will create a vocabulary.
    	echo "Vocabulary ".$vocabulary["name"]."[".$vocabulary["vid"]."] created\n";
    	$map_vids[$orig_vid] = $vocabulary["vid"];
  	}else{
    	$map_vids[$orig_vid] = $vocabulary[0];
  	}
  }
  
  foreach ($content_vocabs as $content_type => $orig_vids){
    foreach ($orig_vids as $orig_vid){
  	  $target_vid = $map_vids[$orig_vid];
	  if($target_vid){
  	    $results = db_query("SELECT * FROM vocabulary_node_types WHERE vid = ".$target_vid." AND type = '".$content_type."'");
  	    if($result=db_fetch_array($results)){
  	      echo "Content type ".$content_type." already accepts terms from ".$target_vid."\n";
  	    }else{
  	      echo "Adding ".$target_vid." vocabulary to possible ones for content type ".$content_type."\n";
    	  db_query("INSERT INTO vocabulary_node_types VALUES (".$target_vid.",'".$content_type."')");
  	    }
  	  }
	}
  }
}

echo "Adding 67 vocabulary to possible ones for content type case_epractice\n";
db_query("INSERT INTO vocabulary_node_types VALUES (67,'case_epractice')");
echo "Adding 10 vocabulary to possible ones for content type case_epractice\n";
db_query("INSERT INTO vocabulary_node_types VALUES (10,'case_epractice')");
echo "Adding 26 vocabulary to possible ones for content type community\n";
db_query("INSERT INTO vocabulary_node_types VALUES (26,'community')");
echo "Adding 26 vocabulary to possible ones for content type video\n";
db_query("INSERT INTO vocabulary_node_types VALUES (26,'video')");