<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

echo "---------------------- STARTING CREATION of ePRACTICE COMMUNITIES ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- STARTING CREATION of ePRACTICE COMMUNITIES ----------------------");

epractice_create_communities();

echo "---------------------- FINISHED CREATION of ePRACTICE COMMUNITIES ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- FINISHED CREATION of ePRACTICE COMMUNITIES ----------------------");


/**
 *	It creates 4 main communities: ePractice, eHealth, eInclusion and eGovernment in Joinup
 *	Also, the NID is saved as a variable
**/
function epractice_create_communities(){
 //Communities to be created
 $epractice_communities = array(
   'ePractice',
   'eHealth',
   'eInclusion',
   'eGovernment',
 );

 foreach($epractice_communities as $title){
  
  $nid = node_community($title);
  $community_nids[$title] = $nid; 
  if($nid!=NULL && isset($nid)){
   echo "DONE: Community created: ".$title." - ".$nid."<p>"; ob_flush(); flush();

   variable_community($nid, $title);
  }else{
   echo "ERROR: This community was not created: ".$title."<p>"; ob_flush(); flush();
   error_log("ERROR: This community was not created: ".$title);
  }
 }
 //Highlight the 3 communities into ePractice
 highlight_community($community_nids['eHealth'],$community_nids['ePractice']);
 highlight_community($community_nids['eInclusion'],$community_nids['ePractice']);
 highlight_community($community_nids['eGovernment'],$community_nids['ePractice']);

 //Highlight the 3 communities into ePractice
 highlight_community($community_nids['ePractice'],$community_nids['eHealth']);
 highlight_community($community_nids['ePractice'],$community_nids['eInclusion']);
 highlight_community($community_nids['ePractice'],$community_nids['eGovernment']);

}

/**
 * Creates the community node as $title as node.title
 * @param unknown $title
 * @return number
 */
function node_community($title){
 $community = (object) NULL;
 $community->type = 'community';
 $community->title = $title;
 $community->language = 'en';
 $community->uid = 1;
 $community->field_community_news_creation[0]['value'] = 'Activated';
 $community->field_community_forum_creation[0]['value'] = 'Activated';
 $community->field_community_wiki_creation[0]['value'] = 'Activated';
 $community->field_community_documents_creati[0]['value'] = 'Activated';
 $community->field_community_short_name[0]['value'] = strtolower($title);

 node_save($community);

 //Workflow set as draft
 workflow_execute_transition($community,'9', '', true);

 return $community->nid;
}

/**
 * Creates the variable of the community with value as $nid
 * @param unknown $nid
 * @param unknown $title
 */
function variable_community($nid, $title){
 $title = strtolower($title);
 variable_set('community_epractice_'.$title, $nid);

 if(is_null(variable_get('community_epractice_'.$title, NULL))){
   echo "ERROR: The variable of this community is not created. Title: ".$title." // Nid: ".$nid."<p>"; ob_flush(); flush();
   error_log("ERROR: The variable of this community is not created. Title: ".$title." // Nid: ".$nid);
 }else{
  echo "DONE: Variable created: 'community_epractice_".$title."'<p><p>"; ob_flush(); flush();
 }
}

function highlight_community($nid,$gid){
  $group = node_load($gid);
  $node = node_load($nid);
  $terms = taxonomy_get_term_by_name($group->title);
  foreach ($terms as $term){
	if($term->vid ==10){
	  $tid = $term->tid;
	}
  }
  $highlight = isa_highlight_find($nid, $gid);
  if (!$highlight){
	isa_highlight_add($node, $gid, $tid); // Don't set the highlight if it's already been created
  }
}

?>