<?php

/**
 * @file
 * Import views
 * https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-1234
 * Use case epractice instead of cases in facet search
 */

$DOC_ROOT = dirname(__FILE__);
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
//$_SERVER['HTTP_HOST'] = 'joinup-a-dev.everis.int';
//$_SERVER['SCRIPT_NAME'] = '/reindex_nodes.php';
require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

function v17_import_views() {
  echo "Replacing case with case_epractice in the eLibrary filter of the content type facet...\n";
  $view = views_get_view('facet_node_type');
  $types = array(
    "case_epractice" => "case_epractice",
    "document" => "document",
    "factsheet" => "factsheet",
    "presentation" => "presentation",
    "video" => "video",
  );
  $view->display['facet_1']->display_options['filters']['type']['value'] = $types; 
  $view->save();
  echo "Done facet_node_type:facet_1.";
  
  echo "Replacing case with case_epractice in the Editor's Choice eLibrary Block of the content type facet...\n";
  $view = views_get_view('elibrary_view');
  $types = array(
    "case_epractice" => "case_epractice",
    "document" => "document",
    "factsheet" => "factsheet",
    "presentation" => "presentation",
    "video" => "video",
  );
  $view->display['block_1']->display_options['filters']['type']['value'] = $types; 
  $view->save();
  echo "Done elibrary_view:block_1.";

  echo "Replacing case with case_epractice in the Dashboard My items block...\n";
  $view = views_get_view('my_items');
  $types = $view->display['block_1']->display_options['filters']['type_1']['value'];
  unset($types['case']);
  $types['case_epractice'] = 'case_epractice';
  $types = $view->display['block_1']->display_options['filters']['type_1']['value'] = $types;
  $view->save();
  echo "Done.";

}
v17_import_views();
