<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

echo "---------------------- STARTING MIGRATION OF PROFILE COUNTRIES ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- STARTING MIGRATION OF PROFILE COUNTRIES ----------------------");

migrate_profile_countries();

echo "---------------------- FINISHED MIGRATION OF PROFILE COUNTRIES ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- FINISHED MIGRATION OF PROFILE COUNTRIES ----------------------");
module_load_include('inc', 'content', 'includes/content.crud');
content_field_instance_delete('field_company_country', 'profile', FALSE);
echo "---------------------- Deleted old country field ----------------------<p>"; 
error_log("---------------------- Deleted old country field ----------------------");
/**
 *	It migrates the company country of profiles from Country field to taxonomy (field_profile_country) field
**/
function migrate_profile_countries(){
  $sql = "SELECT tid, name FROM term_data WHERE vid=26";
	$results = db_query($sql);
	$country = array();
	while($row = db_fetch_array($results)) {
	  $country[$row['name']] = $row['tid'];
	}
	
	$sql = "SELECT field_company_country_value AS country, nid FROM content_type_profile
	        WHERE field_company_country_value IS NOT NULL";
	$results = db_query($sql);

	$node_saved[] = array();
	while($row = db_fetch_array($results)) {
	  $countries = explode(",",$row['country']);
	  foreach ($countries as $name){
		if(isset($country[trim($name)])){
		  $terms[] = $country[trim($name)];
		}
	  }
	  $node = node_load($row['nid']);
	  echo "Changing country field from text to taxonomy reference for node ".$node->nid."\n";
	  error_log("Changing country field from text to taxonomy reference for node ".$node->nid."\n");
	  $node->field_country = array();
	  foreach($terms as $tid){
	    $node->field_country[] = array("value"=>$tid);
	  }
	  $node->field_company_country = array();
	  node_save($node);
	}
	echo "Migration of company countries have been done correctly.<p>";
	error_log("Migration of company countries have been done correctly.<p>");
}



?>