<?php

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '768M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

echo "---------------------- STARTING MIGRATION OF PROFILE LANGUAGES ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- STARTING MIGRATION OF PROFILE LANGUAGES ----------------------");

$nids = migrate_profile_languages();

if(is_array($nids)){
	delete_profile_languages($nids);
}

echo "---------------------- FINISHED MIGRATION OF PROFILE LANGUAGES ----------------------<p>"; ob_flush(); flush();
error_log("---------------------- FINISHED MIGRATION OF PROFILE LANGUAGES ----------------------");

/**
 *	It delete the terms of this taxonomy and the relation of profile and my languages
**/
function delete_profile_languages($nids){
    db_query("DELETE FROM {vocabulary_node_types} WHERE type = 'profile' AND vid=29");
	echo "Deletion of My Language taxonomy DONE.<p>";
	error_log("Deletion of My Language taxonomy DONE.<p>");
}

/**
 *	It migrates the languages of profiles from My languages taxonomy to field_languages_fields_profile field
**/
function migrate_profile_languages(){
	$sql = "SELECT languages.language as code, term_data.name as name FROM term_data
			INNER JOIN languages ON term_data.name IN(languages.name, languages.native) WHERE vid=29";
	$results = db_query($sql);
	$languages[] = array();

	while($row = db_fetch_array($results)) {
		$languages[$row['name']] = $row['code'];
	}

	$sql = "SELECT distinct(node.nid) as nid FROM node
			INNER JOIN term_node ON node.nid = term_node.nid
			INNER JOIN term_data ON term_data.tid = term_node.tid AND term_data.vid = 29
			WHERE TYPE='profile' ORDER BY node.nid";
	
	$results = db_query($sql);
	$counter = 0;
	$nids = array();
	while($row = db_fetch_array($results)) {
		$profile = node_load($row['nid']);
		echo "Normalizing language field for node ".$profile->nid."\n";
		error_log("Normalizing language field for node ".$profile->nid."\n");
		if($profile->taxonomy){
		  foreach($profile->taxonomy as $key => $term){
		    if($term->vid == 29){
		      $lang = $languages[$term->name];
		      $profile->field_languages_fields[] =array("value"=>$lang);
			  unset($profile->taxonomy[$key]);
			}
		  }
		}
		node_save($profile);
		unset($profile);
		$nids[] = $nid;
	}
	
	
	echo "Migration of profile languages have been done correctly.<p>";
	error_log("Migration of profile languages have been done correctly.<p>");
	return $nids;
}

?>