<?php
/**
 * Remove duplicates on workflow access table, which was causing errors on save the communities nodes
 */

ini_set ( 'display_errors', 1 );
ini_set ( 'log_errors', 1 );
ini_set ( 'error_log', dirname ( __FILE__ ) . '/' . basename ( __FILE__ ) . '.info_log.txt' );
error_reporting ( E_ALL & ~ E_NOTICE );
ini_set ( 'memory_limit', '400M' );
$_SERVER ['SCRIPT_NAME'] = "/" . $argv [0];
// allows to pass the domain to wich apply this script
isset ( $argv [1] ) ? $_SERVER ['HTTP_HOST'] = $argv [1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap ( DRUPAL_BOOTSTRAP_FULL );

function fixCommunityAliases() {
	$sql = "SELECT * FROM url_alias WHERE dst LIKE 'community/%/description-0'";
	if($result = db_query($sql)){
		while ($alias = db_fetch_object($result)) {
			echo 'Fixing alias '.$alias->dst."\n";
			$nid = $alias->src;
			$nid = explode("/",$nid);
			$nid = $nid[1];
			if(isset($nid)&&is_numeric($nid)){
			  $community = node_load($nid);
			  $changed = $community->changed;
			  $nid = $community->nid;
			  $shortname = $community->field_community_short_name[0]['value'];
			  $shortname = $shortname."_ep";
			  $community->field_community_short_name[0]['value'] = $shortname;
			  node_save($community);
			  path_set_alias($alias->src,"community/".$shortname."/description",$alias->pid);
			  db_query("UPDATE node SET changed = %d WHERE nid = %d",$changed,$nid);
			  db_query("UPDATE node_revisions SET timestamp = %d WHERE nid = %d",$changed,$nid);
			}
			unset($community);
		}
	} 
}



fixCommunityAliases();

