<?php
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

$filename = 'Before migration';
if($argv[1]=='after'){
  $filename = 'After migration';
}

$fh = createFile($filename);

/*
* ISAICP-1203
* 3.3.2 Migration of Communities
*/
_count_content($fh,'community','ISAICP-1203, 3.3.2 Migration of Communities , Total number of communities');

/*
* ISAICP-1203
* 3.2.4 Automatic highlighting of communities in their domain
*/
_count_highlights($fh,'community','ISAICP-1203, 3.2.4 Automatic highlighting of communities in their domain, Overview of highlighted communities per community after migration');


/*
* ISAICP-1236
* 3.3.17 Taxonomy types that will be migrated
*/
_count_vocabularies($fh);

/*
* ISAICP-1204
* 3.3.7 Migration of factsheets
*/
_count_content($fh,'factsheet',"ISAICP-1204, 3.3.7 Migration of factsheets  , Total number of factsheets");

/*
* ISAICP-1235
* 3.3.13 Migration of eDocuments
*/
_count_content($fh,'document','ISAICP-1235, 3.3.7 Migration of eDocuments  , Total number of documents');
_count_community_content($fh,'document','ISAICP-1235, 3.3.13 Migration of eDocuments');

/*
* ISAICP-1234
* 3.3.3 Migration of cases content
*/
if($argv[1]=='after'){
_count_content($fh,'case_epractice','ISAICP-1234, 3.3.3 Migration of cases content , Total number of cases');
_count_community_content($fh,'case_epractice','ISAICP-1234, 3.3.3 Migration of cases content');
}else{
_count_content($fh,'case','ISAICP-1234, 3.3.3 Migration of cases content , Total number of cases');
_count_community_content($fh,'case','ISAICP-1234, 3.3.3 Migration of cases content');
}


/*
* ISAICP-1138
* 3.3.8 Migration of TV content
*/
_count_content($fh,'video','SAICP-1138, 3.3.8 Migration of TV content , Total number of "e-library-web TV"');
_count_community_content($fh,'video','SAICP-1138, 3.3.8 Migration of TV content');

/*
* ISAICP-1134
* 3.3.4 Migration of news
*/
_count_content($fh,'news','ISAICP-1134, 3.3.4 Migration of news , Total number of news');
_count_community_content($fh,'news','ISAICP-1134, 3.3.4 Migration of news');
_count_global_content($fh,'news','ISAICP-1134, 3.3.4 Migration of news, Total number of news not linked to a community');

/*
* ISAICP-1135
* 3.3.5 Migration of events/workshops
*/
_count_content($fh,'event','ISAICP-1135, 3.3.5 Migration of events/workshops , Total number of events');
_count_community_content($fh,'event','ISAICP-1135, 3.3.5 Migration of events/workshops');
_count_global_content($fh,'event','ISAICP-1135, 3.3.5 Migration of events/workshops, Total number of events not linked to a community');

/*
* ISAICP-1137
* 3.3.9 Migration of blogs
*/
_count_content($fh,'blog','ISAICP-1137, 3.3.9 Migration of blogs , Total number of events');
_count_community_content($fh,'blog','ISAICP-1137, 3.3.9 Migration of blogs');
_count_global_content($fh,'blog','ISAICP-1137, 3.3.9 Migration of blogs, Total number of events not linked to a community');


/*
* ISAICP-1233
* 3.1.19 Migration of site roles
*/
_count_users_by_role($fh);

/*
* ISAICP-1192
* 3.1.11 Conversion of LinkedIn usernames (user profile)
*/
_count_linkedin_fields($fh);

/*
* ISAICP-1191
* 3.1.10 Use domain of work to make users community members
*/
_count_users_by_community($fh);

/*
* ISAICP-1197
* 3.1.18 Migration of Kudos
*/
_count_kudos($fh);

/*
* ISAICP-1187
* 3.1.2 Map ePractice user profile fields with Joinup fields
*/
_count_profile_fields($fh);

/*
* ISAICP-1158
* 3.1.5 Migration of user profiles: fill mandatory fields on privacy settings that do not exist on ePractice
*/
_count_profile_visibility($fh);

/*
* ISAICP-1132
* 3.1.1 Script for migration of user accounts/profiles
*/
_count_users($fh);

/*
* ISAICP-1190
* 3.1.9 Support for duplicate user accounts after migration
*/
if($argv[1]=='after'){
  _count_duplicated_users($fh);
  _count_renamed_accounts($fh);
}

fclose($fh);


function _count_content($fh,$type,$message){
  $result = db_fetch_array(db_query("SELECT COUNT(nid) AS count FROM node WHERE type = '%s'",$type));
  fwrite($fh,$message.", ".$result['count']."\n");
}


function _count_vocabularies($fh){
  $result = db_query("SELECT vocabulary.vid, vocabulary.name, COUNT(tid) AS count FROM vocabulary JOIN term_data ON term_data.vid = vocabulary.vid GROUP BY vid");
  while($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1236, 3.3.17 Taxonomy types that will be migrated, Total number of taxonomies + number of values per taxonomy, ".$row['name']."(VID ".$row['vid']."), ".$row['count']."\n");
  }
}

function _count_community_content($fh,$type=NULL,$message){
  $communities = db_query("SELECT nid,title FROM node WHERE type = 'community'" );
  while($community = db_fetch_array($communities)){
    if($type){
      $result = db_fetch_array(db_query("SELECT COUNT(*) AS count FROM og_ancestry JOIN node ON node.nid = og_ancestry.nid WHERE TYPE = '%s' AND group_nid = %d",$type,$community['nid']));
	  if(!$result['count']){
	    $result['count'] = 0;
	  }
	  fwrite($fh,$message.", Community ".$community['title']." (NID ".$community['nid']."), ".$result['count']." ".$type."\n");
    }else{
      //$result = db_query("SELECT COUNT(*),type FROM og_ancestry JOIN node ON node.nid = og_ancestry.nid WHERE group_nid = $d GROUP BY type",$type,$community['nid']);
    }
  }
}

function _count_highlights($fh,$type=NULL,$message){
  $communities = db_query("SELECT nid,title FROM node WHERE type = 'community'" );
  while($community = db_fetch_array($communities)){
    if($type){
      $result = db_fetch_array(db_query("SELECT COUNT(*) AS count FROM isa_highlight JOIN node ON isa_highlight.nid = node.nid WHERE TYPE = '%s' AND gid = %d",$type,$community['nid']));
	  if(!$result['count']){
	    $result['count'] = 0;
	  }
	  fwrite($fh,$message.", Community ".$community['title']." (NID ".$community['nid']."), ".$result['count']." ".$type." highlighted\n");
    }else{
      //$result = db_query("SELECT COUNT(*),type FROM og_ancestry JOIN node ON node.nid = og_ancestry.nid WHERE group_nid = $d GROUP BY type",$type,$community['nid']);
    }
  }
}

function _count_global_content($fh,$type=NULL,$message){
  if($type){
    $result = db_fetch_array(db_query("SELECT count(*) AS count FROM node LEFT JOIN og_ancestry ON node.nid = og_ancestry.nid WHERE TYPE ='%s' AND group_nid IS NULL",$type));
    if(!$result['count']){
	  $result['count'] = 0;
    }
    fwrite($fh,$message.", ".$result['count']."\n");
  }else{
    //$result = db_query("SELECT COUNT(*),type FROM og_ancestry JOIN node ON node.nid = og_ancestry.nid WHERE group_nid = $d GROUP BY type",$type,$community['nid']);
  }
}

function _count_linkedin_fields($fh){
  $result = db_query("SELECT COUNT(*) AS count FROM content_type_profile WHERE content_type_profile.field_linkedin_url IS NOT NULL");
  if($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1192, 3.1.11 Conversion of LinkedIn usernames (user profile), Number of users with non-empty 'LinkedIn' field, ".$row['count']." users\n");
  }
}

function _count_users_by_role($fh){
  $result = db_query("SELECT COUNT(uid) AS count,users_roles.rid AS rid, name FROM users_roles JOIN role ON users_roles.rid = role.rid GROUP BY users_roles.rid");
  while($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1233, 3.1.19 Migration of site roles, Number of users per role, ".$row['name']." role (RID ".$row['rid'].") ".$row['count']." users\n");
  }
}

function _count_users_by_community($fh){
  $result = db_query("SELECT COUNT(users.uid) AS count, node.nid AS nid, node.title AS title FROM og_uid JOIN users ON og_uid.uid=users.uid JOIN node ON og_uid.nid = node.nid WHERE node.type = 'community' GROUP BY og_uid.nid");
  while($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1191, 3.1.10 Use domain of work to make users community members, Number of users per community, Community ".$row['title']." (NID ".$row['nid'].") ".$row['count']." users\n");
  }
}

function _count_kudos($fh){
  $result = db_query("SELECT points, name, users.uid FROM userpoints JOIN users ON users.uid = userpoints.uid ");
  while($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1197, 3.1.18 Migration of Kudos, Number of kudos per user, User ".$row['name']." (UID ".$row['uid'].") ".$row['points']." kudos\n");
  }
}

function _count_profile_visibility($fh){
  $visibility = array(
    0 => 'Nobody can see my professional profile',
    1 => 'Only registered users can see my professional profile',
    2 => 'Registered & anonymous users can see my professional profile',
  );
  $result = db_query("SELECT field_professional_p_visibility_value AS visibility, COUNT(DISTINCT(nid)) AS count FROM content_type_profile
			GROUP BY field_professional_p_visibility_value");
  while($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1158, 3.1.5 Migration of user profiles: fill mandatory fields on privacy settings that do not exist on ePractice, ".$visibility[$row['visibility']]." (Value ".$row['visibility'].") ".$row['count']." users\n");
  }
}

function _count_users($fh){
  $result = db_query("SELECT COUNT(*) AS count FROM users");
  if($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1132, 3.1.1 Script for migration of user accounts/profiles, Number of users on Joinup, ".$row['count']." users\n");
  }
}

function _count_duplicated_users($fh){
  //JSON ePractice migraiton
  $MIGRATION_FILES_JSON = MIGRATION_FILES_FILES.'/exports';

  $files = array("user1.json","user2.json","user3.json","user4.json");
  $duplicated_users = 0;
  foreach($files as $file){
    //Get JSON File information
    $string = file_get_contents($MIGRATION_FILES_JSON."/".$file);
    $users_epractice = json_decode($string);

	foreach($users_epractice as $one_user){
      $result = db_query("SELECT mail FROM users WHERE name = '%s'",$one_user->name);
      if($row = db_fetch_array($result)){
        if($row['mail']!=$one_user->mail){
          $duplicated_users++;
	    }
      }
    }
  }
  fwrite($fh,"ISAICP-1190, 3.1.9 Support for duplicate user accounts after migration, Total number of duplicate accounts (same username, different emailadress) between ePractice and Joinup, ".$duplicated_users." users\n");
}

function _count_renamed_accounts($fh){
  $result = db_query("SELECT COUNT(*) AS count FROM users WHERE name LIKE '%_EP'");
  if($row = db_fetch_array($result)){
    fwrite($fh,"ISAICP-1190, 3.1.9 Support for duplicate user accounts after migration, Total number of accounts with _eP on Joinup after migration, ".$row['count']." users\n");
  }
}

function _count_profile_fields($fh){
  $fields = array(
    "field_city" =>array(
	  "table"=>"content_field_city",
	  "value"=>"field_city_value"
	  ),
    "field_company_name" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_company_name_value"
	  ),
    "field_company_phone" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_company_phone_value"
	  ),
    "field_company_scope" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_company_scope_value"
	  ),
    "field_company_type" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_company_type_value"
	  ),
    "field_company_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_company_visbility_value"
	  ),
    "field_country" =>array(
	  "table"=>"content_field_country",
	  "value"=>"field_country_value"
	  ),
    "field_country_visibility" => array(
	  "table"=>"content_type_profile",
	  "value"=>"field_country_visibility_value"
	  ),
    "field_email_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_email_visibility_value"
	  ),
    "field_facebook" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_facebook_url"
	  ),
    "field_facebook_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_facebook_visibility_value"
	  ),
    "field_firstname" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_firstname_value"
	  ),
    "field_keywords_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_keywords_visibility_value"
	  ),
    "field_languages_fields" =>array(
	  "table"=>"content_field_languages_fields",
	  "value"=>"field_languages_fields_value"
	  ),
    "field_lastname" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_lastname_value"
	  ),
    "field_linkedin" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_linkedin_url"
	  ),
    "field_linkedin_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_linkedin_visibility_url"
	  ),
    "field_number" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_number_url"
	  ),
    "field_photo" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_photo_fid"
	  ),
    "field_professional_p_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_professional_p_visibility_value"
	  ),
    "field_professional_profile" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_professional_profile_value"
	  ),
    "field_profile_cv" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_profile_cv_fid"
	  ),
    "field_profile_sector" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_profile_sector_value"
	  ),
    "field_profile_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_profile_visibility_value"
	  ),
    "field_public_speaker" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_public_speaker_value"
	  ),
    "field_street" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_street_value"
	  ),
    "field_twitter" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_twitter_url"
	  ),
    "field_twitter_visibility" =>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_twitter_visibility_url"
	  ),
    "field_zipcode" =>a>array(
	  "table"=>"content_type_profile",
	  "value"=>"field_zipcode_url"
	  ),
  );

  foreach ($fields as $fieldname=>$field){
    $result = db_query("SELECT COUNT(DISTINCT(node.nid)) AS count FROM %s AS field_table JOIN node ON node.nid = field_table.nid WHERE %s IS NOT NULL",$field['table'],$field['value']);
	$row = db_fetch_array($result);
    if($row){
      fwrite($fh,"ISAICP-1187, 3.1.2 Map ePractice user profile fields with Joinup fields, Total number of non-empty user profile fields, ".$fieldname." ".$row['count']." occurrences\n");
    }
  }
}


function createFile($name){
  $time = time();
  //Test befor migration
  $myFile = dirname(__FILE__) . '/'.basename(__FILE__).' ('.$name.').txt';
  $fh = fopen($myFile, 'w') or die("Can't open file");
  return $fh;
}