<?php
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '600M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

//JSON ePractice migraiton
$MIGRATION_FILES_JSON = './sites/default/files/files_epractice/files/exports';

//Test ePractice JSON files
$myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Communities information).txt';
$fh = fopen($myFile, 'w') or die("Can't open file");
$json_file = $MIGRATION_FILES_JSON .'/community.json';
$communities_epractice = _test_communities($fh, $json_file);		//Total number of communities migrated from ePractice
_test_community_type($fh, $MIGRATION_FILES_JSON, $communities_epractice);		//Total number of node_type per community migrated from ePractice
fclose($fh);

$myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Users information).txt';
$fh = fopen($myFile, 'w') or die("Can't open file");
_test_users($fh, $MIGRATION_FILES_JSON);		//Number of users on ePractice who comply to the migration condition

fclose($fh);

//Number of users on ePractice who comply to the migration condition
function _test_users(&$fh, $MIGRATION_FILES_JSON){
  //Init variables
  $number_users = 0;
  $role = array();
  $not_empty_linkedin = 0;
  $not_empty_keywords = 0;
  $not_empty_topics = 0;
  $user_domains = "";
  $empty_topics = 0;
  $kudos = array();
  $domains = array(
	 85 => "eGovernment",
	 102 => "eHealth",
	 124 => "eInclusion",
	);
	
  //Get JSON File information
  $json = file_get_contents($MIGRATION_FILES_JSON."/user.json");
  
  $q = FALSE;
  $len = strlen($json); 
  for($l=$i=0;$i<$len;$i++){   
        $json[$i] == '"' && ($i>0?$json[$i-1]:'') != '\\' && $q = !$q;
        if(!$q && in_array($json[$i], array(" ", "\r", "\n", "\t"))){continue;}
        in_array($json[$i], array('{')) && !$q && $l++;
        in_array($json[$i], array('}')) && !$q && $l--;
        (isset($one_content) && $one_content .= $json[$i]) || $one_content = $json[$i];

	  if($l == 0){
		$number_users++;
		$one_user = json_decode($one_content);
		$one_content = "";
		$roles_user = $one_user->roles;

		foreach($roles_user as $role_id => $role_name){
			if(empty($role[$role_name])){
			  $role[$role_name] = 1;
			}else{
			 $role[$role_name]++;
			}
		}

		$linkedin = $one_user->field_linkedin_account['value'];
		if($linkedin!=null){
		 $not_empty_linkedin++;
		}

		$topics = $one_user->field_topics_of_interest['value'];
		if($topics==null){
		 $empty_topics++;
		}else{
		 $not_empty_topics++;
		}

		if(isset($one_user->field_expertise_keywords1[0]->value) || isset($one_user->field_expertise_keywords2[0]->value) ||
		isset($one_user->field_expertise_keywords3[0]->value)){
		 $not_empty_keywords++;
		}

		if(empty($kudos[$one_user->kudos])){
		 $kudos[$one_user->kudos] = $one_user->nid;
		}else{
		 $kudos[$one_user->kudos] = $kudos[$one_user->kudos].", ".$one_user->name;
		}
		
		if(isset($one_user->field_domain_work[0]->value)&&!empty($one_user->field_domain_work[0]->value)){
		  $user_domains = $user_domains."- User ".$one_user->name." has domain ".$domains[$one_user->field_domain_work[0]->value]."\n";
		}
	  }
	}

	print("<h3>3.1.1 Script for migration of user accounts/profiles</h3>");
	print("- Number of users on ePractice who comply to the migration condition: ".$number_users."<p>");
	fwrite($fh, "3.1.1 Script for migration of user accounts/profiles\n");
	fwrite($fh, "- Number of users on ePractice who comply to the migration condition: ".$number_users."\n\n");

	print("<h3>3.1.10 Use domain of work to make users community members</h3>");
	fwrite($fh, "3.1.10 Use domain of work to make users community members\n");
    print($user_domains);
	fwrite($fh, $user_domains);

	foreach($users_epractice as $one_user){
		$roles_user = $one_user->roles;

		foreach($roles_user as $role_id => $role_name){
			if(empty($role[$role_name])){
			  $role[$role_name] = 1;
			}else{
			 $role[$role_name]++;
			}
		}

		$linkedin = $one_user->field_linkedin_account['value'];
		if($linkedin!=null){
		 $not_empty_linkedin++;
		}

		$topics = $one_user->field_topics_of_interest['value'];
		if($topics==null){
		 $empty_topics++;
		}else{
		 $not_empty_topics++;
		}

		if(isset($one_user->field_expertise_keywords1[0]->value) || isset($one_user->field_expertise_keywords2[0]->value) ||
		isset($one_user->field_expertise_keywords3[0]->value)){
		 $not_empty_keywords++;
		}

		if(empty($kudos[$one_user->kudos])){
		 $kudos[$one_user->kudos] = $one_user->nid;
		}else{
		 $kudos[$one_user->kudos] = $kudos[$one_user->kudos].", ".$one_user->name;
		}
		
		if(isset($one_user->field_domain_work[0]->value)&&!empty($one_user->field_domain_work[0]->value)){
		  print("- User ".$one_user->name." has domain ".$domains[$one_user->field_domain_work[0]->value]."<br>");
		  fwrite($fh, "- User ".$one_user->name." has domain ".$domains[$one_user->field_domain_work[0]->value]."\n");
		}
	}

	print("<h3>3.1.19 Migration of site roles</h3>");
	fwrite($fh, "3.1.19 Migration of site roles\n");
	foreach($role as $role_name => $count){
		print("- Number of users per role '".$role_name."' migrated from ePractice: ".$count."<br>");
		fwrite($fh, "- Number of users per role '".$role_name."' migrated from ePractice: ".$count."\n");
	}

	print("<h3>3.1.11 Conversion of LinkedIn usernames (user profile)</h3>");
	print("- Number of users with non-empty 'LinkedIn' field from ePractice: ".$not_empty_linkedin."<p>");
	fwrite($fh, "3.1.11 Conversion of LinkedIn usernames (user profile)\n");
	fwrite($fh, "- Number of users with non-empty 'LinkedIn' field from ePractice: ".$not_empty_linkedin."\n\n");

	print("<h3>3.1.12 Conversion of expertise keywords (user profile)</h3>");
	print("- Number of users with non-empty 'expertise keywords' fields from ePractice: ".$not_empty_keywords."<p>");
	fwrite($fh, "3.1.12 Conversion of expertise keywords (user profile)\n");
	fwrite($fh, "- Number of users with non-empty 'expertise keywords' fields from ePractice: ".$not_empty_keywords."\n\n");

	print("<h3>3.1.18 Migration of Kudos</h3>");
	fwrite($fh, "3.1.18 Migration of Kudos\n");
	foreach($kudos as $numb=>$nids){
		print("- Number of kudos: ".$numb.". Per users before migration on Joinup :<br><blockquote>'".$nids."'</blockquote>");
		fwrite($fh, "- Number of kudos: ".$numb.". Per users before migration on Joinup :\n'".$nids."'\n");
	}
}

//Total number of node_type per community migrated from ePractice
function _test_community_type(&$fh, $MIGRATION_FILES_JSON, $communities_epractice){
	print("<h3>3.3.7 Migration community content types</h3>");
	fwrite($fh, "3.3.7 Migration community content types\n");

	$types = array("blog", 'cases', 'edocument', 'event', 'library', 'news', 'tv', 'workshops');
	$node_types = array();
	$node_types_not_linked = array();

	foreach($types as $type){
		$string = file_get_contents($MIGRATION_FILES_JSON."/".$type.".json");
		$array_epractice = json_decode($string);
		$returned = _test_node_type_communities($array_epractice, $node_type_count, $fh);
		_print_array($returned, $communities_epractice, $type);

		$node_types[$type] = count($array_epractice);
		$node_types_not_linked[$type] = $node_type_count;
	}

	print("<p>");
	fwrite($fh,"\n");

	print("<h3>3.3.7 Migration of node type</h3>");
	fwrite($fh, "3.3.7 Migration of node type\n");
	foreach($node_types as $type => $count) {
		print("- Total number of ".$type." migrated from ePractice: ".$count."<br>");
		fwrite($fh, "- Total number of ".$type." migrated from ePractice: ".$count."\n");
	}
	print("<p>");
	fwrite($fh,"\n");

	print("<h3>Migration of News, Events, Blogs not linked to a community</h3>");
	fwrite($fh, "Migration of News, Events, Blogs not linked to a community\n");
	foreach($node_types_not_linked as $type => $count) {
		print("- Total number of ".$type." not linked to a community migrated from ePractice: ".$count."<br>");
		fwrite($fh, "- Total number of ".$type." not linked to a community migrated from ePractice: ".$count."\n");
	}
	print("<p>");
	fwrite($fh,"\n");
}

function _print_array($blogs, $communities_epractice, $string, &$fh){
  foreach($blogs as $nid => $count){
    $community = $communities_epractice[$nid];
    print("- Total number of ".$string." per community (".$community->title.") migrated from ePractice: ".$count."<br>");
    fwrite($fh, "- Total number of ".$string." per community (".$community->title.") migrated from ePractice: ".$count."\n");
  }
}

function _test_node_type_communities($array, &$node_types_not_linked){
 $communities = array();
 $node_types_not_linked = 0;
 foreach($array as $one){
  $og_group = $one->og_groups;
  $empty = true;
   foreach($og_group as $community){
    $empty = false;
    if(empty($communities[$community])){
     $communities[$community] = 1;
    }else{
     $communities[$community]++;
    }
   }

   if($empty){
    $node_types_not_linked++;
   }
 }

 return $communities;
}

//Total number of communities migrated from ePractice
function _test_communities(&$fh, $json_file){
  //Get JSON File information
  $string = file_get_contents($json_file);
  $communities_epractice = json_decode($string);

  //Total number of communities in json files
	print("<h3>3.3.2 Migration of Communities</h3>");
	print("- Total number of communities in ePractice json files: ".count($communities_epractice)."<br>");
	fwrite($fh, "3.3.2 Migration of Communities\n");
	fwrite($fh, "- Total number of communities in ePractice json files: ".count($communities_epractice)."\n");

  //Domains per community
	print("- Overview of all communities on ePractice with their domain (field):<blockquote>");
	fwrite($fh, "- Overview of all communities on ePractice with their domain (field): \n");
	$communities = array();
  foreach($communities_epractice as $one_community){
    $num_taxonomy = 0;
    foreach($one_community->taxonomy as $id=>$tax){
      $num_taxonomy++;
    }
		print("- Community: ".$one_community->title."  - Number of domains: ".$num_taxonomy."<br>");
		fwrite($fh, "- Community: ".$one_community->title."  - Number of domains: ".$num_taxonomy."\n");

		$communities[$one_community->nid] = $one_community;
  }

  return $communities;
}

