<?php
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

//Test befor migration
$myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Communities information).txt';
$fh = fopen($myFile, 'w') or die("Can't open file");
_test_communities($fh);		//Total number of communities migrated from ePractice
_test_community_type($fh);		//Total number of node_type per community migrated from ePractice
fclose($fh);

$myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Users information).txt';
$fh = fopen($myFile, 'w') or die("Can't open file");
_test_site_roles($fh);		//Number of new users per role migrated from ePractice
_test_user_linkedin($fh);		//Number of users with non-empty "LinkedIn" field from ePractice
_test_users_communities($fh);	//List of users with domain field from ePractice
_test_user_expertise($fh);		//Number of users with non-empty "expertise keywords" fields from ePractice
_test_user_kudos($fh);		//Number of kudos per user from ePractice
//_test_user_profile($fh); 	//Total number of non-empty user profile fields before migration
_test_user_topics($fh);		//Total number of users with non-empty, new/empty before "topic of interest" fields from ePractice
_test_user_privacy($fh);	//Total number of users that are migrated that "agree that all the personal data I submit in this form will be public to ePractice members" from ePractice
_test_users($fh);		//Number of users on ePractice who comply to the migration condition
fclose($fh);
 
$myFile = dirname(__FILE__) . '/'.basename(__FILE__).' (Other information).txt';
$fh = fopen($myFile, 'w') or die("Can't open file");
//_test_taxonomies($fh);		//Total number of new taxonomies + number of values per taxonomy migrated from ePractice 
_test_nodeType($fh); 	//Total number of node_type migrated from ePractice
_test_not_community_type($fh);		//Total number of node_type not linked to a community migrated from ePractice
fclose($fh);

//Number of users on ePractice who comply to the migration condition
function _test_users(&$fh){
	$time = date("d-m-Y", strtotime("-2 years"));
	$time = strtotime($time);
	$sql = "SELECT COUNT(*) AS count FROM users JOIN node ON users.uid = node.uid WHERE node.type != 'professional_data' OR access > %d";
	$result = db_fetch_array(db_query($sql, array($time)));
	
	print("<h3>3.1.1 Script for migration of user accounts/profiles</h3>");
	print("- Number of users on ePractice who comply to the migration condition: ".$result['count']."<p>");
	fwrite($fh, "3.1.1 Script for migration of user accounts/profiles\n");
	fwrite($fh, "- Number of users on ePractice who comply to the migration condition: ".$result['count']."\n\n");
}

//Total number of users that are migrated that "agree that all the personal data I submit in this form will be public to ePractice members" from ePractice
function _test_user_privacy(&$fh){
	$time = date("d-m-Y", strtotime("-2 years"));
	$time = strtotime($time);
	$sql = "SELECT DISTINCT(profile_privacy_professional_profile) as visibility, COUNT(*) as count FROM users JOIN node ON users.uid = node.uid WHERE node.type != 'professional_data' OR access > %d GROUP BY profile_privacy_professional_profile";
	$results = db_query($sql, array($time));
	
	print("<h3>3.1.5 Migration of user profiles: fill mandatory fields on privacy settings that do not exist on ePractice</h3>");
	fwrite($fh, "3.1.5 Migration of user profiles: fill mandatory fields on privacy settings that do not exist on ePractice\n");
	while ($result = db_fetch_array($results)) {
		if($result['visibility']=='1'){
			print("- Total number of users that are migrated that 'agree that all the personal data I submit in this form will be public to ePractice members' from ePractice: ".$result['count']."<br>");	
			fwrite($fh, "- Total number of users that are migrated that 'agree that all the personal data I submit in this form will be public to ePractice members' from ePractice: ".$result['count']."\n");
		}
		if($result['visibility']=='0'){
			print("- Total number of users that are migrated that do not 'agree that all the personal data I submit in this form will be public to ePractice members' from ePractice: ".$result['count']."<p>");	
			fwrite($fh, "- Total number of users that are migrated that do not 'agree that all the personal data I submit in this form will be public to ePractice members' from ePractice: ".$result['count']."\n\n");
		}
	}
}

//Total number of users with non-empty, new/empty before "topic of interest" fields from ePractice
function _test_user_topics(&$fh){
	$time = date("d-m-Y", strtotime("-2 years"));
	$time = strtotime($time);
	
	$sql = "SELECT COUNT(*) as count FROM content_field_topics_of_interest 
			WHERE nid IN(SELECT DISTINCT(node.nid) FROM users JOIN node ON users.uid = node.uid WHERE node.type != 'professional_data' OR access > %d)
			and field_topics_of_interest_value IS NOT NULL";
	$result = db_fetch_array(db_query($sql, array($time)));
	
	print("<h3>3.1.14 Migration of ‘topic of interest’ (user profile)</h3>");
	print("- Number of users with non-empty 'topic of interest' fields from ePractice: ".$result['count']."<br>");
	fwrite($fh, "3.1.14 Migration of ‘topic of interest’ (user profile)\n");
	fwrite($fh, "- Number of users with non-empty 'topic of interest' fields from ePractice: ".$result['count']."\n");
	
	$sql = "SELECT COUNT(*) as count FROM content_field_topics_of_interest 
			WHERE nid IN(SELECT DISTINCT(node.nid) FROM users JOIN node ON users.uid = node.uid WHERE node.type != 'professional_data' OR access > %d)
			and field_topics_of_interest_value IS NULL";
	$result = db_fetch_array(db_query($sql, array($time)));
	print("- Number of users with empty 'topic of interest' fields from ePractice: ".$result['count']."<p>");
	fwrite($fh, "- Number of users with empty 'topic of interest' fields from ePractice: ".$result['count']."\n\n");
}

//Total number of non-empty user profile fields before migration
function _test_user_profile(){
}

//Number of kudos per user from ePractice
function _test_user_kudos(&$fh){
	$time = date("d-m-Y", strtotime("-2 years"));
	$time = strtotime($time);
	
	$sql = "SELECT users.name AS username, userpoints.points AS points FROM userpoints 
			INNER JOIN users 
			WHERE users.uid=userpoints.uid  AND users.uid IN(SELECT DISTINCT node.uid FROM node WHERE users.uid = node.uid AND (node.type != 'professional_data' OR access > %d)) ORDER BY userpoints.points DESC";
	$results = db_query($sql, array($time));
	
	$points[] = array();
	$total_users[] = array();
	print("<h3>3.1.18 Migration of Kudos</h3>");
	fwrite($fh, "3.1.18 Migration of Kudos\n");
	while ($result = db_fetch_array($results)) {
		$points[($result['points'])] = $points[($result['points'])].$result['username'].', ';
		
		if(!array_key_exists($result['points'], $total_users)){
			$total_users[($result['points'])] = 0;
		}
		$total_users[($result['points'])] = intval($total_users[($result['points'])]) + 1;
	}
	
	foreach ($points as $point => $users){
		if($point!=0){
			print("- Number of kudos: ".$point.". Per users before migration on Joinup (Number users - ".$total_users[$point]."):<br><blockquote>'".$users."'</blockquote>");
			fwrite($fh, "- Number of kudos: ".$point.". Per users before migration on Joinup (Number users - ".$total_users[$point]."):\n'".$users."'\n");
		}
	}
	
	print("<p>");
	fwrite($fh, "\n\n");
}

//Number of users with non-empty "expertise keywords" fields from ePractice
function _test_user_expertise(&$fh){
	$sql = "SELECT COUNT(users.name) AS count FROM users JOIN node ON users.uid = node.uid 
			WHERE (type != 'professional_data' OR access > %d) AND node.nid IN(SELECT DISTINCT(nid) FROM content_type_professional_data WHERE field_expertise_keywords1_value IS NOT NULL or field_expertise_keywords2_value IS NOT NULL or field_expertise_keywords3_value IS NOT NULL)";
	$result = db_fetch_array(db_query($sql, array($time)));
	
	print("<h3>3.1.12 Conversion of expertise keywords (user profile)</h3>");
	print("- Number of users with non-empty 'expertise keywords' fields from ePractice: ".$result['count']."<p>");
	fwrite($fh, "3.1.12 Conversion of expertise keywords (user profile)\n");
	fwrite($fh, "- Number of users with non-empty 'expertise keywords' fields from ePractice: ".$result['count']."\n\n");
}

//List of users with domain field from ePractice
function _test_users_communities(&$fh){
	$sql = "SELECT users.name AS username, node.title AS title FROM og_uid AS og 
			INNER JOIN node AS node ON node.nid=og.nid
			INNER JOIN users ON users.uid=og.uid
			WHERE node.type='community_type' (type != 'professional_data' OR access > %d) ORDER BY name";
	$results = db_query($sql);
	
	print("<h3>3.1.10 Use domain of work to make users community members</h3>");
	fwrite($fh, "3.1.10 Use domain of work to make users community members\n");
	while ($result = db_fetch_array($results)) {
		print("- Username: '".$result['username']."' - Community domain: ".$result['title']."<br>");
		fwrite($fh, "- Username '".$result['username']."' - Community domain: ".$result['title']."\n");
	}
	print("<p>");
	fwrite($fh, "\n\n");
}

//Number of users with non-empty "LinkedIn" field from ePractice
function _test_user_linkedin(&$fh){
	$time = date("d-m-Y", strtotime("-2 years"));
	$time = strtotime($time);
	$sql = "SELECT COUNT(users.name) AS count FROM users JOIN node ON users.uid = node.uid 
			WHERE (type != 'professional_data' OR access > %d) AND node.nid IN(SELECT DISTINCT(nid) FROM content_type_professional_data WHERE field_linkedin_account_value IS NOT NULL)";
	$result = db_fetch_array(db_query($sql, array($time)));
	
	print("<h3>3.1.11 Conversion of LinkedIn usernames (user profile)</h3>");
	print("- Number of users with non-empty 'LinkedIn' field from ePractice: ".$result['count']."<p>");
	fwrite($fh, "3.1.11 Conversion of LinkedIn usernames (user profile)\n");
	fwrite($fh, "- Number of users with non-empty 'LinkedIn' field from ePractice: ".$result['count']."\n\n");
}

//Number of new users per role migrated from ePractice
function _test_site_roles(&$fh){
	$time = date("d-m-Y", strtotime("-2 years"));
	$time = strtotime($time);

	$sql = "SELECT role.name AS role, COUNT(*) AS count FROM role AS role, users_roles AS users
			WHERE role.rid=users.rid AND users.uid IN(SELECT DISTINCT(users.uid) FROM users JOIN node ON users.uid = node.uid WHERE node.type != 'professional_data' OR access > %d) GROUP BY role.name;";
	$results = db_query($sql, array($time));
	
	print("<h3>3.1.19 Migration of site roles</h3>");
	fwrite($fh, "3.1.19 Migration of site roles\n");
	while ($result = db_fetch_array($results)) {
		print("- Number of users per role '".$result['role']."' migrated from ePractice: ".$result['count']."<br>");
		fwrite($fh, "- Number of users per role '".$result['role']."' migrated from ePractice: ".$result['count']."\n");
	}
	print("<p>");
	fwrite($fh, "\n\n");
}		

//Total number of node_type not linked to a community migrated from ePractice
function _test_not_community_type(&$fh){
	$node_type = implode("','",array('news_type', 'event_type', 'blog_type'));
	$sql = "SELECT node.type as type, COUNT(*) AS count FROM node WHERE node.type IN ('".$node_type."') AND node.nid NOT IN(SELECT og_ancestry.nid FROM og_ancestry GROUP BY og_ancestry.nid) GROUP BY node.type";
	$results = db_query($sql);
	
	print("<h3>Migration of News, Events, Blogs not linked to a community</h3>");
	fwrite($fh, "Migration of News, Events, Blogs not linked to a community\n");
	while ($result = db_fetch_array($results)) {
		print("- Total number of ".$result['type']." not linked to a community migrated from ePractice: ".$result['count']."<br>");
		fwrite($fh, "- Total number of ".$result['type']." not linked to a community migrated from ePractice: ".$result['count']."\n");
	}
	print("<p>");
	fwrite($fh, "\n\n");
}

//Total number of node_type per community migrated from ePractice
function _test_community_type(&$fh){
	db_query("CREATE TEMPORARY TABLE content_tmp(SELECT node.*, og_ancestry.group_nid FROM node, og_ancestry WHERE node.nid = og_ancestry.nid)");
	$sql ="SELECT node.title AS community, content_tmp.type AS contentType, COUNT(*) AS count FROM content_tmp, node
	WHERE group_nid = node.nid AND node.type = 'community_type' GROUP BY community,contentType";
	$results = db_query($sql);
	db_query("DROP TABLE content_tmp");

	print("<h3>3.3.7 Migration community content types</h3>");
	fwrite($fh, "3.3.7 Migration community content types\n");
	while ($result = db_fetch_array($results)) {
		print("- Total number of ".$result['contentType']." per community ('".$result['community']."') migrated from ePractice: ".$result['count']."<br>");
		fwrite($fh, "- Total number of ".$result['contentType']." per community ('".$result['community']."') migrated from ePractice: ".$result['count']."\n");
	}
	
	print("<p>");
	fwrite($fh,"\n");
}

//Total number of node_type migrated from ePractice
function _test_nodeType(&$fh){
	$node_type = implode("','",array('edocument', 'case_type', 'tv_type', 'news_type', 'library_type', 'event_type', 'workshop_type', 'blog_type'));
	$sql ="SELECT node.type as type, COUNT(*) AS count FROM node AS node WHERE node.type IN ('".$node_type."') GROUP BY node.type";
	$results = db_query($sql);
	
	print("<h3>3.3.7 Migration of node type</h3>");
	fwrite($fh, "3.3.7 Migration of node type\n");
	while ($result = db_fetch_array($results)) {
		print("- Total number of ".$result['type']." migrated from ePractice: ".$result['count']."<br>");
		fwrite($fh, "- Total number of ".$result['type']." migrated from ePractice: ".$result['count']."\n");
	}
	
	print("<p>");
	fwrite($fh, "\n\n");
}

//Total number of communities migrated from ePractice
function _test_communities(&$fh){
	$sql ="SELECT COUNT(*) AS count FROM node AS node WHERE node.type='community_type'";
	$result = db_fetch_array(db_query($sql));
	
	print("<h3>3.3.2 Migration of Communities</h3>");
	print("- Total number of communities migrated from ePractice: ".$result['count']."<br>");
	fwrite($fh, "3.3.2 Migration of Communities\n");
	fwrite($fh, "- Total number of communities migrated from ePractice: ".$result['count']."\n");
	
	
	$sql ="SELECT node.title AS title, term.name AS term FROM node 
			INNER JOIN content_type_community_type AS content ON content.nid=node.nid 
			INNER JOIN term_data AS term ON term.tid=content.field_community_domain_value
			WHERE node.type='community_type'";
	$results = db_query($sql);
	print("- Overview of all communities on ePractice with their domain (field):<blockquote>");
	fwrite($fh, "- Overview of all communities on ePractice with their domain (field): \n");
	while ($result = db_fetch_array($results)) {
		print("- Community: ".$result['title']."  - Domain: ".$result['term']."<br>");
		fwrite($fh, "- Community: ".$result['title']."  - Domain: ".$result['term']."\n");
	}
	print("</blockquote>");
	fwrite($fh, "\n\n");
}

//Total number of new taxonomies + number of values per taxonomy migrated from ePractice TODO
function _test_taxonomies(&$fh){
	$sql ="SELECT vocabulary.name AS vocabularyName, COUNT(term_data.name) AS count
			FROM term_data AS term_data, vocabulary AS vocabulary
			WHERE vocabulary.vid=term_data.vid GROUP BY vocabulary.name;";
	$results = db_query($sql);
	$num_taxonomy = 0;
	
	print("<h3>3.3.17 Taxonomy types that will be migrated</h3>");
	print("- Number of values per taxonomy before migration on Joinup: <br>");
	fwrite($fh, "3.3.17 Taxonomy types that will be migrated\n");
	fwrite($fh, "- Number of values per taxonomy before migration on Joinup: \n");
	while ($result = db_fetch_array($results)) {
		print("   Taxonomy: ".$result['vocabularyName']." - Number of values: ".$result['count']."<br>");
		fwrite($fh, "   Taxonomy: ".$result['vocabularyName']." - Number of values: ".$result['count']."\n");
		
		$num_taxonomy++;
	}
	
	print("<p>- Total number of taxonomies before migration on Joinup: ".$num_taxonomy."<p>");
	fwrite($fh, "- Total number of taxonomies before migration on Joinup: ".$num_taxonomy."\n\n");
}


?>