<?php
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/'.basename(__FILE__).'.info_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
ini_set('memory_limit', '400M');
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
ob_end_flush();

//Other migration test
$myFile = dirname(__FILE__) . '/'.basename(__FILE__).'.txt';
$fh = fopen($myFile, 'w') or die("Can't open file");
//PROFILE
$sql = "SELECT COUNT(*) as count FROM migrate_map_epracticeprofile";
$result = db_fetch_array(db_query($sql));
$count_profile = $result['count'];
//USERS
$sql = "SELECT COUNT(*) as count FROM migrate_map_epracticeuser";
$result = db_fetch_array(db_query($sql));
$count_users = $result['count'];

_test_user_pictures($fh, $count_profile);
_test_user_duplicates($fh, $count_users);
_test_user_profiles($fh, $count_profile);
_test_user_privacy($fh, $count_profile);
_test_user_passwords($fh, $count_users);

_test_communities($fh);

_test_cases($fh);

_test_node_workflows($fh);
fclose($fh);

//All migrated nodes have workflows
function _test_node_workflows(&$fh){
  print("<h3>Workflow of migrated nodes (Node type: 'case_epractice', 'community', 'event', 'news', 'document')</h3>");
  fwrite($fh, "Workflow of migrated nodes (Node type: 'case_epractice', 'community', 'event', 'news', 'document')\n");

  $sql = "SELECT DISTINCT nid FROM node
    WHERE TYPE IN('case_epractice', 'community', 'event', 'news', 'document')
    AND nid NOT IN(SELECT DISTINCT nid FROM workflow_node)
    AND (nid IN(SELECT DISTINCT destid1 FROM migrate_map_epracticecase)
    OR nid IN(SELECT DISTINCT destid1 FROM migrate_map_epracticecommunity)
    OR nid IN(SELECT DISTINCT destid1 FROM migrate_map_epracticeevents)
    OR nid IN(SELECT DISTINCT destid1 FROM migrate_map_epracticeedocument)
    )";
    $results = db_query($sql);
    $nid = "";
    $nid_num = 0;
    while ($result = db_fetch_array($results)) {
     $nid = $nid.$result['nid'].", ";
     $nid_num++;
    }
    print("- Nodes WITHOUT workflow: ".$nid_num.".<br>-->Node NIDs:".$nid."<p>");
    fwrite($fh, "- Nodes WITHOUT workflow: ".$nid_num."\n.-->Node UIDs:".$nid."\n\n");
}

//Validate that all cases content_type have been migrated to case_epractice
function _test_cases(&$fh){
  print("<h3>Migration of 'case' content_type</h3>");
  fwrite($fh, "Migration of 'case' content_type\n");

  $sql = "SELECT COUNT(*) as count FROM node WHERE TYPE='case'";
  $result = db_fetch_array(db_query($sql));

  if($result['count']>0){
    print("- There are still '".$result['count']."' 'case' content_type pending to be migrated.<p>");
    fwrite($fh, "- There are still '".$result['count']."' 'case' content_type pending to be migrated.\n\n");
  }else{
    print("- All cases have been migrated to case_epractice.<p>");
    fwrite($fh, "- All cases have been migrated to case_epractice.\n\n");
  }
}

//Validate that taxonomies have been migrated
function _test_communities(&$fh){
  print("<h3>Creation of main communities</h3>");
  fwrite($fh, "Creation of main communities\n");

  $sql = "SELECT COUNT(*) as count FROM node WHERE TYPE='community' AND title IN('ePractice', 'eHealth', 'eInclusion', 'eGovernment')";
  $result = db_fetch_array(db_query($sql));

  if($result['count']>=4){
    print("- Communities have been created OK<p>");
    fwrite($fh, "- Communities have been created OK\n\n");
  }else{
    print("- Only ".$result['count']." communties have been created.<p>");
    fwrite($fh, "- Only ".$result['count']." communties have been created.\n\n");
  }
}

//Validate that all users have a password
function _test_user_passwords(&$fh, $count_users){
  print("<h3>Migration of users profiles - Passwords</h3>");
  fwrite($fh, "Migration of users profiles - Passwords\n");

  //Number of users migrated
  print("- Total number of users migrated: ".$count_users."<p>");
  fwrite($fh, "- Total number of users migrated: ".$count_users."\n\n");

  //Number of users with passwords
  $sql = "SELECT COUNT(*) AS count FROM migrate_map_epracticeuser AS migrated
    INNER JOIN users ON users.uid=migrated.destid1 WHERE users.pass IS NOT NULL";
  $result = db_fetch_array(db_query($sql));
  print("- Passwords OK: ".$result['count']."<p>");
  fwrite($fh, "- Passwords OK: ".$result['count']."\n\n");

  //Number of users without passowrds
  $sql = "SELECT users.uid AS uid FROM migrate_map_epracticeuser AS migrated
    INNER JOIN users ON users.uid=migrated.destid1 WHERE users.pass IS NULL";
  $results = db_query($sql);
  $nid = "";
  $nid_num = 0;
  while ($result = db_fetch_array($results)) {
   $nid = $nid.$result['uid'].", ";
   $nid_num++;
  }
  print("- Users WITHOUT password: ".$nid_num.".<br>-->User UIDs:".$nid."<p>");
  fwrite($fh, "- Users WITHOUT password: ".$nid_num."\n.-->User UIDs:".$nid."\n\n");
}

//Validate that user profiles have privacy settings visible
function _test_user_privacy(&$fh, $count_profile){
  print("<h3>Migration of users profiles - Privacy settings</h3>");
  fwrite($fh, "Migration of users profiles - Privacy settings\n");

  //Number of profiles migrated
  print("- Total number of profiles migrated: ".$count_profile."<p>");
  fwrite($fh, "- Total number of profiles migrated: ".$count_profile."\n\n");

  //Number of privacy settings profiles migrated well
  $sql = "SELECT COUNT(*) AS count FROM content_type_profile AS prof
          INNER JOIN migrate_map_epracticeprofile AS migrated
          WHERE prof.nid = migrated.destid1 AND prof.field_email_visibility_value IS NOT NULL
          AND prof.field_keywords_visibility_value IS NOT NULL
          AND prof.field_country_visibility_value IS NOT NULL
          AND prof.field_company_visibility_value IS NOT NULL
          AND prof.field_facebook_visibility_value IS NOT NULL
          AND prof.field_twitter_visibility_value IS NOT NULL
          AND prof.field_linkedin_visibility_value IS NOT NULL";
  $result = db_fetch_array(db_query($sql));
  print("- Migration OK: ".$result['count']."<p>");
  fwrite($fh, "- Migration OK: ".$result['count']."\n\n");

  //Number of privacy settings profiles migrated wrong
  $sql = "SELECT DISTINCT prof.nid AS nid COUNT FROM content_type_profile AS prof
          INNER JOIN migrate_map_epracticeprofile AS migrated
          WHERE prof.nid = migrated.destid1 AND (prof.field_email_visibility_value IS NULL
          OR prof.field_keywords_visibility_value IS NULL
          OR prof.field_country_visibility_value IS NULL
          OR prof.field_company_visibility_value IS NULL
          OR prof.field_facebook_visibility_value IS NULL
          OR prof.field_twitter_visibility_value IS NULL
          OR prof.field_linkedin_visibility_value IS NULL)";
  $results = db_query($sql);
  $nid = "";
  $nid_num = 0;
  while ($result = db_fetch_array($results)) {
   $nid = $nid.$result['nid'].", ";
   $nid_num++;
  }
  print("- Users with privacy setting null: ".$nid_num.".<br>-->Profile NIDs:".$nid."<p>");
  fwrite($fh, "- Users with privacy settings null: ".$nid_num."\n.-->Profile NIDs:".$nid."\n\n");
}

//Validate that all migrated users that have a profile
function _test_user_profiles(&$fh, $count_profile){
  print("<h3>Migration of users profiles - User profiles</h3>");
  fwrite($fh, "Migration of users profiles - User profiles\n");

  //Number of users migrated
  print("- Total number of users migrated: ".$count_profile."<p>");
  fwrite($fh, "- Total number of users migrated: ".$count_profile."\n\n");

  //Number of users with profiles
  $sql = "SELECT COUNT(*) as count FROM migrate_map_epracticeuser AS migrated
          WHERE migrated.destid1 IN(SELECT DISTINCT uid FROM node INNER JOIN content_type_profile AS prof ON prof.nid = node.nid)";
  $result = db_fetch_array(db_query($sql));
  print("- Users with profiles: ".$result['count']."<p>");
  fwrite($fh, "- Users with profiles: ".$result['count']."\n\n");

  //Number of users without profiles
  $sql = "SELECT migrated.destid1 AS uid FROM migrate_map_epracticeuser AS migrated
          WHERE migrated.destid1 NOT IN(SELECT DISTINCT uid FROM node INNER JOIN content_type_profile AS prof ON prof.nid = node.nid)";
  $results = db_query($sql);
  $nid = "";
  $nid_num = 0;
  while ($result = db_fetch_array($results)) {
   $nid = $nid.$result['uid'].", ";
   $nid_num++;
  }
  print("- Users WITHOUT profiles: ".$nid_num.".<br>-->User UIDs:".$nid."<p>");
  fwrite($fh, "- Users WITHOUT profiles: ".$nid_num."\n.-->User UIDs:".$nid."\n\n");
}

//Validate that there are no duplicated usernames
function _test_user_duplicates(&$fh, $count_users){
  print("<h3>Migration of users profiles - Duplicate usernames</h3>");
  fwrite($fh, "Migration of users profiles - Duplicate usernames\n");

  //Number of users migrated
  print("- Total number of users migrated: ".$count_users."<p>");
  fwrite($fh, "- Total number of users migrated: ".$count_users."\n\n");

  //Number of NOT duplicated usernames
  $sql = "SELECT COUNT(*) as count FROM migrate_map_epracticeuser AS migrated
          INNER JOIN users ON users.uid = migrated.destid1
          WHERE users.name NOT IN(SELECT NAME FROM users WHERE uid!=users.uid)";
  $result = db_fetch_array(db_query($sql));
  print("- NOT Duplicated: ".$result['count']."<p>");
  fwrite($fh, "- NOT Duplicated: ".$result['count']."\n\n");

  //Number of duplicated usernames
  $sql = "SELECT users.uid as uid FROM migrate_map_epracticeuser AS migrated
          INNER JOIN users ON users.uid = migrated.destid1
          WHERE users.name IN(SELECT NAME FROM users WHERE uid!=users.uid)";
  $results = db_query($sql);
  $nid = "";
  $nid_num = 0;
  while ($result = db_fetch_array($results)) {
   $nid = $nid.$result['uid'].", ";
   $nid_num++;
  }
  print("- Duplicated usernames: ".$nid_num.".<br>-->User UIDs:".$nid."<p>");
  fwrite($fh, "- Duplicated usernames: ".$nid_num."\n.-->User UIDs:".$nid."\n\n");
}

//Validate that all users have profile picture: the default one or a file which will be included in epractice_files
function _test_user_pictures(&$fh, $count_profile){
	print("<h3>Migration of users profiles - Users pictures</h3>");
	fwrite($fh, "Migration of users profiles - Users pictures\n");

	//Number of profiles migrated
	print("- Total number of profiles migrated: ".$count_profile."<p>");
	fwrite($fh, "- Total number of profiles migrated: ".$count_profile."\n\n");

	//Number of pictures profiles migrated well
	$sql = "SELECT COUNT(*) as count FROM content_type_profile AS prof
          INNER JOIN migrate_map_epracticeprofile AS migrated
          WHERE prof.nid = migrated.destid1 AND prof.field_photo_fid IS NOT NULL
          AND (prof.field_photo_fid IN(SELECT DISTINCT fid FROM files) OR prof.field_photo_fid IN(SELECT fid FROM epractice_files))";
	$result = db_fetch_array(db_query($sql));
	print("- Migration OK: ".$result['count']."<p>");
	fwrite($fh, "- Migration OK: ".$result['count']."\n\n");

	//Number of pictures migrated wrong
  $sql = "SELECT migrated.destid1 as profile_nid FROM content_type_profile AS prof
          INNER JOIN migrate_map_epracticeprofile AS migrated
          WHERE prof.nid = migrated.destid1 AND prof.field_photo_fid IS NOT NULL
          AND prof.field_photo_fid NOT IN(SELECT DISTINCT fid FROM files) AND prof.field_photo_fid NOT IN(SELECT fid FROM epractice_files)";
  $results = db_query($sql);
  $nid = "";
  $nid_num = 0;
  while ($result = db_fetch_array($results)) {
   $nid = $nid.$result['profile_nid'].", ";
   $nid_num++;
  }
  print("- Migration KO: ".$nid_num.".<br>-->Profile NIDs:".$nid."<p>");
  fwrite($fh, "- Migration KO: ".$nid_num."\n.-->Profile NIDs:".$nid."\n\n");
}


?>