<?php 

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
//isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
echo "Bootstrap loaded\n";

$MIGRATION_FILES_JSON = 'sites/default/files/exports/';
$json_file = $MIGRATION_FILES_JSON .'/term.json';

$result = db_query("SELECT tid FROM term_data");
file_put_contents($json_file,utf8_encode("[\n"),FILE_APPEND);
$i=1;

//Process first user
$tid = db_fetch_array($result);
$term = taxonomy_get_term($tid['tid']);
$vocabulary = taxonomy_vocabulary_load($term->vid);
$parent_result = db_query("SELECT parent FROM term_hierarchy WHERE tid = %d", array($term->tid));
$parent_tid = db_fetch_array($parent_result);
$term_object['vocab'] = $vocabulary->name;
$term_object['name'] = $term->name;
$term_object['id'] = $term->tid;
$term_object['parent_id'] = $parent_tid['parent'];
echo 'Processing term '.$term->name."\n";
file_put_contents($json_file,utf8_encode(drupal_to_js($term_object)),FILE_APPEND);
unset($term);
unset($vocabulary);
unset($term_object);
unset($parent_tid);
//End processing first user

//Process rest of users
while ($tid = db_fetch_array($result)){
  file_put_contents($json_file,utf8_encode(",\n"),FILE_APPEND);
  $term = taxonomy_get_term($tid['tid']);
  $vocabulary = taxonomy_vocabulary_load($term->vid);
  $parent_result = db_query("SELECT parent FROM term_hierarchy WHERE tid = %d", array($term->tid));
  $parent_tid = db_fetch_array($parent_result);
  $term_object['vocab'] = $vocabulary->name;
  $term_object['name'] = $term->name;
  $term_object['id'] = $term->tid;
  $term_object['parent_id'] = $parent_tid['parent'];
  echo 'Processing term '.$term->name."\n";
  file_put_contents($json_file,utf8_encode(drupal_to_js($term_object)),FILE_APPEND);
  unset($term);
  unset($vocabulary);
  unset($term_object);
  unset($parent_tid);
  $i++;
}
file_put_contents($json_file,utf8_encode("\n]"),FILE_APPEND);
fclose($fp);
echo "Exported ".$i." term(s)";