<?php 

ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL & ~E_NOTICE);
$_SERVER['SCRIPT_NAME'] = "/" . $argv[0];
//allows to pass the domain to wich apply this script
//isset($argv[1]) ? $_SERVER['HTTP_HOST'] = $argv[1] : FALSE;
include_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);
echo "Bootstrap loaded\n";
$MIGRATION_FILES_JSON = 'sites/default/files/exports/';
$json_file = $MIGRATION_FILES_JSON . '/user.json';
$time = date("d-m-Y", strtotime("-2 years"));
$time = strtotime($time);
$result = db_query("SELECT DISTINCT(users.uid) FROM users JOIN node ON users.uid = node.uid WHERE node.type != 'professional_data' OR access > %d LIMIT 14000, 21000",array($time));
$i=0;

//Process first user
$uid = db_fetch_array($result);
$profile = user_load($uid['uid']);
$data_result = db_query("SELECT nid FROM node WHERE uid = %d AND type = 'professional_data'",array($uid['uid']));
if($nid = db_fetch_array($data_result)){
  $professional_data = node_load($nid['nid']);
}
if($profile&&$professional_data){
  echo 'Processing user '.$profile->name."\n";
  $user = (object) array_merge((array) $professional_data, (array) $profile);
  $kudos_result = db_query("SELECT points FROM userpoints WHERE uid = %d",array($uid['uid']));
  if($kudos = db_fetch_array($kudos_result)){
    $user->kudos = $kudos['points'];
  }
  file_put_contents($json_file,utf8_encode(drupal_to_js($user)),FILE_APPEND);
}
unset($profile);
unset($professional_data);
unset($user);
//End processing first user

//Process rest of users
while ($uid = db_fetch_array($result)){
  $data_result = db_query("SELECT nid FROM node WHERE uid = %d AND type = 'professional_data'",array($uid['uid']));
  if($nid = db_fetch_array($data_result)){
	 $professional_data = node_load($nid['nid'], null, true);
  }
  $profile = user_load($uid['uid'], true);
  if($profile&&$professional_data){
    echo 'Processing user N'.$i.' '.$profile->name."\n";
    $user = (object) array_merge((array) $professional_data, (array) $profile);
    $kudos_result = db_query("SELECT points FROM userpoints WHERE uid = %d",array($uid['uid']));
    if($kudos = db_fetch_array($kudos_result)){
      $user->kudos = $kudos['points'];
    }
    file_put_contents($json_file,utf8_encode(",\n"),FILE_APPEND);
    file_put_contents($json_file,utf8_encode(drupal_to_js($user)),FILE_APPEND);
  }
  unset($profile);
  unset($professional_data);
  unset($user);
  unset($data_result);
  $i++;
}
file_put_contents($json_file,utf8_encode("\n]"),FILE_APPEND);
fclose($fp);