------------------------------------------------------------------------
-- Script for creating the initial database for the SVN authentication
-- unitary tests
--
------------------------------------------------------------------------

CREATE USER 'isa_web'@'%' IDENTIFIED BY  'isa_web';

GRANT USAGE ON * . * TO  'test'@'%' IDENTIFIED BY  'isa_web' 
WITH MAX_QUERIES_PER_HOUR 0 MAX_CONNECTIONS_PER_HOUR 0 MAX_UPDATES_PER_HOUR 0 MAX_USER_CONNECTIONS 0 ;

CREATE DATABASE IF NOT EXISTS  `isa_web` ;

GRANT ALL PRIVILEGES ON  `isa_web` . * TO  'isa_web'@'%';

--
-- Structure de la table `node`
--

CREATE TABLE IF NOT EXISTS `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` int(10) unsigned NOT NULL DEFAULT '0',
  `type` varchar(32) NOT NULL DEFAULT '',
  `language` varchar(12) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `uid` int(11) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL DEFAULT '1',
  `created` int(11) NOT NULL DEFAULT '0',
  `changed` int(11) NOT NULL DEFAULT '0',
  `comment` int(11) NOT NULL DEFAULT '0',
  `promote` int(11) NOT NULL DEFAULT '0',
  `moderate` int(11) NOT NULL DEFAULT '0',
  `sticky` int(11) NOT NULL DEFAULT '0',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0',
  `translate` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_moderate` (`moderate`),
  KEY `node_promote_status` (`promote`,`status`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `node_uid_index` (`uid`),
  KEY `node_type_index` (`type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=49125 ;

--
-- Contenu de la table `node`
--

INSERT INTO `node` (`nid`, `vid`, `type`, `language`, `title`, `uid`, `status`, `created`, `changed`, `comment`, `promote`, `moderate`, `sticky`, `tnid`, `translate`) VALUES
(10, 10, 'profile', 'en', 'JoinUp Administrator', 1, 1, 1295456533, 1323414943, 0, 0, 0, 0, 0, 0),
(20109, 45865, 'project_project', 'en', 'Joinup', 1, 1, 1323079219, 1329212591, 2, 0, 0, 0, 0, 0),
(49123, 51259, 'profile', 'en', 'lct_dev', 15028, 1, 1341232404, 1341232404, 0, 0, 0, 0, 0, 0),
(49124, 51260, 'profile', 'en', 'lct_con', 15029, 1, 1341232435, 1341232435, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Structure de la table `og_uid`
--

CREATE TABLE IF NOT EXISTS `og_uid` (
  `nid` int(11) NOT NULL,
  `og_role` tinyint(4) NOT NULL DEFAULT '0',
  `is_active` tinyint(4) NOT NULL DEFAULT '0',
  `is_admin` tinyint(4) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL,
  `created` int(11) DEFAULT '0',
  `changed` int(11) DEFAULT '0',
  PRIMARY KEY (`nid`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `og_uid`
--

INSERT INTO `og_uid` (`nid`, `og_role`, `is_active`, `is_admin`, `uid`, `created`, `changed`) VALUES
(20109, 0, 1, 1, 1, 1329212610, 1329212610),
(20109, 0, 1, 0, 15028, 1341232488, 1341232488),
(20109, 0, 1, 0, 15029, 1341232488, 1341232488);

-- --------------------------------------------------------

--
-- Structure de la table `og_users_roles`
--

CREATE TABLE IF NOT EXISTS `og_users_roles` (
  `gid` int(10) unsigned NOT NULL DEFAULT '0',
  `uid` int(10) unsigned NOT NULL DEFAULT '0',
  `rid` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`gid`,`uid`,`rid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Contenu de la table `og_users_roles`
--

INSERT INTO `og_users_roles` (`gid`, `uid`, `rid`) VALUES
(20109, 1, 4),
(20109, 1, 5),
(20109, 15028, 5),
(20109, 15028, 9),
(20109, 15029, 5),
(20109, 15029, 19);

-- --------------------------------------------------------

--
-- Structure de la table `permission`
--

CREATE TABLE IF NOT EXISTS `permission` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `rid` int(10) unsigned NOT NULL DEFAULT '0',
  `perm` longtext,
  `tid` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`pid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3374 ;

--
-- Contenu de la table `permission`
--

INSERT INTO `permission` (`pid`, `rid`, `perm`, `tid`) VALUES
(15, 7, 'access content', 0),
(3361, 6, 'access administration menu, display drupal links, administer autotagging, moderate autotagging, administer blocks, use PHP for block visibility, administer CAPTCHA settings, skip CAPTCHA, access ckeditor, administer ckeditor, allow CKFinder file uploads, access comments, administer comments, post comments, post comments without approval, delete all comment replies, delete any comment, delete any comments at anytime, delete own comments, delete own comments at anytime, move all replies up, upload files to comments, view files uploaded to comments, access site-wide contact form, administer site-wide contact form, Use PHP input for field settings (dangerous - grant with care), administer checked out documents, check out documents, edit field_acronym, edit field_advertisement_url, edit field_autotag, edit field_case_logo, edit field_city, edit field_city_region, edit field_community_documents_creati, edit field_community_email, edit field_community_estimated_after, edit field_community_estimated_launch, edit field_community_expectations, edit field_community_forum_creation, edit field_community_logo, edit field_community_news_creation, edit field_community_short_name, edit field_community_sponsor_logo, edit field_community_url, edit field_community_wiki_creation, edit field_company_name, edit field_company_phone, edit field_company_scope, edit field_company_type, edit field_company_visibility, edit field_country_visibility, edit field_desc_implementation, edit field_desc_target_users_groups, edit field_document_study, edit field_documentation, edit field_email, edit field_email_visibility, edit field_factsheet_upload_files, edit field_fed_project_forge, edit field_fed_project_link, edit field_firstname, edit field_forges_email, edit field_forges_get_involved, edit field_forges_homepage, edit field_forges_logo, edit field_forges_xml, edit field_image, edit field_isbn, edit field_keywords_visibility, edit field_lastname, edit field_lessons_learnt, edit field_main_results, edit field_number, edit field_operational_date, edit field_photo, edit field_policy_context, edit field_presentation_upload_files, edit field_presentation_url, edit field_profile_visibility, edit field_project_asset_owner, edit field_project_common_contact, edit field_project_common_type, edit field_project_common_using, edit field_project_display_maven, edit field_project_display_svn, edit field_project_documents_creation, edit field_project_forum_creation, edit field_project_issues_attachement, edit field_project_legal_doc_creation, edit field_project_news_creation, edit field_project_soft_features, edit field_project_soft_future_plans, edit field_project_soft_get_involved, edit field_project_soft_more_lin, edit field_project_soft_more_links, edit field_project_soft_public_admin, edit field_project_soft_sponsor_logo, edit field_project_wiki_creation, edit field_release_document, edit field_roi_desc, edit field_show_title, edit field_source_url, edit field_start_end_date, edit field_street, edit field_target_users, edit field_tech_solution, edit field_track_record_sharing, edit field_url, edit field_video_link_to_video, edit field_website_url, edit field_zipcode, view field_advertisement_url, view field_autotag, view field_case_logo, view field_city, view field_community_email, view field_community_estimated_after, view field_community_estimated_launch, view field_community_expectations, view field_community_forum_creation, view field_community_logo, view field_community_news_creation, view field_community_short_name, view field_community_sponsor_logo, view field_community_url, view field_community_wiki_creation, view field_company_name, view field_company_phone, view field_company_scope, view field_company_type, view field_company_visibility, view field_country_visibility, view field_documentation, view field_email, view field_email_visibility, view field_factsheet_upload_files, view field_fed_project_forge, view field_fed_project_link, view field_firstname, view field_forges_email, view field_forges_get_involved, view field_forges_homepage, view field_forges_logo, view field_forges_xml, view field_image, view field_keywords_visibility, view field_lastname, view field_number, view field_photo, view field_presentation_upload_files, view field_presentation_url, view field_profile_visibility, view field_project_common_contact, view field_project_common_type, view field_project_common_using, view field_project_display_maven, view field_project_display_svn, view field_project_documents_creation, view field_project_forum_creation, view field_project_issues_attachement, view field_project_legal_doc_creation, view field_project_news_creation, view field_project_soft_features, view field_project_soft_future_plans, view field_project_soft_get_involved, view field_project_soft_logo, view field_project_soft_more_lin, view field_project_soft_more_links, view field_project_soft_public_admin, view field_project_soft_sponsor_logo, view field_project_wiki_creation, view field_release_document, view field_show_title, view field_source_url, view field_street, view field_url, view field_video_link_to_video, view field_zipcode, administer context help, context help view, access devel information, display source code, execute php code, switch users, administer filters, rate content, use PHP for fivestar target, administer flags, access freelinking list, administer freelinking, configure heartbeat, configure heartbeat messages, delete heartbeat activity logs, delete own heartbeat activity logs, maintain own activity, view heartbeat messages, view personal heartbeat activity, add heartbeat comment, administer heartbeat comments, administer homebox, administer imageapi, administer imagecache, flush imagecache, view imagecache advertisement, view imagecache community_logo, view imagecache community_logo_small, view imagecache image_gallery, view imagecache profile_photo, view imagecache profile_photo_small, assets assistants, display Call for review quick action, edit forges mail, receive forges mail, admin highlight, remove highlight, translate content except author, Display button add editor choice, community add members, community approve membership, community assign facilitator role, community remove members, add mailing list, administer multiple digest config, access authoring information, access comment settings, access publishing options, access revision information, edit field asset status, merges og in any group, access community, configure issue categories, administer taxonomy package, answer to surveys, access source code repository, access webdav repository, Comment form: Edit issue settings, View any keywords/tags, View profile privacy fields, access software list, administer ISA, administer ISA mails, create release project, edit release project, manage users, edit virtual forge homepage, view/edit virtual forge vocabulary, administer listhandler, administer languages, translate interface, administer mail templates, administer mailhandler, administer mailman_manager, administer menu, administer NAT configuration, access content, administer content types, administer nodes, create advertisement content, create blog content, create community content, create contexthelp content, create contexthelp_faq content, create factsheet content, create federated_forge content, create news content, create newsletter content, create page content, create presentation content, create profile content, create story content, create topic content, create video content, create wiki content, delete any advertisement content, delete any blog content, delete any case content, delete any community content, delete any contexthelp content, delete any contexthelp_faq content, delete any document content, delete any event content, delete any factsheet content, delete any federated_forge content, delete any federated_project content, delete any news content, delete any newsletter content, delete any page content, delete any presentation content, delete any profile content, delete any story content, delete any topic content, delete any video content, delete any wiki content, delete own advertisement content, delete own blog content, delete own case content, delete own community content, delete own contexthelp content, delete own contexthelp_faq content, delete own document content, delete own event content, delete own factsheet content, delete own federated_forge content, delete own news content, delete own page content, delete own presentation content, delete own profile content, delete own story content, delete own topic content, delete own video content, delete own wiki content, delete revisions, edit any advertisement content, edit any blog content, edit any case content, edit any community content, edit any contexthelp content, edit any contexthelp_faq content, edit any document content, edit any event content, edit any factsheet content, edit any federated_forge content, edit any federated_project content, edit any news content, edit any newsletter content, edit any page content, edit any presentation content, edit any profile content, edit any story content, edit any topic content, edit any video content, edit any wiki content, edit own advertisement content, edit own blog content, edit own case content, edit own community content, edit own contexthelp content, edit own contexthelp_faq content, edit own document content, edit own event content, edit own factsheet content, edit own federated_forge content, edit own news content, edit own newsletter content, edit own page content, edit own presentation content, edit own profile content, edit own story content, edit own topic content, edit own video content, edit own wiki content, revert revisions, view revisions, administer meta tags, edit meta tags, administer organic groups, configure member roles, override group default role, administer url aliases, create url aliases, administer pathauto, notify of path changes, access own projects, access projects, administer projects, browse project listings, delete any projects, delete own projects, maintain projects, access own project issues, access project issues, assign and be assigned project issues, create project issues, edit own project issues, set issue status Active, set issue status By design, set issue status Closed, set issue status Duplicate, set issue status Fixed, set issue status Needs review, set issue status Needs work, set issue status Postponed, set issue status Ready to commit, set issue status Wont fix, administer recaptcha, administer relevant content, publish revisions, publish revisions of any advertisement content, publish revisions of any blog content, publish revisions of any case content, publish revisions of any community content, publish revisions of any contexthelp content, publish revisions of any contexthelp_faq content, publish revisions of any document content, publish revisions of any event content, publish revisions of any factsheet content, publish revisions of any federated_forge content, publish revisions of any federated_project content, publish revisions of any news content, publish revisions of any newsletter content, publish revisions of any page content, publish revisions of any presentation content, publish revisions of any profile content, publish revisions of any project_issue content, publish revisions of any project_project content, publish revisions of any project_release content, publish revisions of any story content, publish revisions of any topic content, publish revisions of any video content, publish revisions of any wiki content, publish revisions of own advertisement content, publish revisions of own blog content, publish revisions of own case content, publish revisions of own community content, publish revisions of own contexthelp content, publish revisions of own contexthelp_faq content, publish revisions of own document content, publish revisions of own event content, publish revisions of own factsheet content, publish revisions of own federated_forge content, publish revisions of own federated_project content, publish revisions of own news content, publish revisions of own newsletter content, publish revisions of own page content, publish revisions of own presentation content, publish revisions of own profile content, publish revisions of own project_issue content, publish revisions of own project_project content, unpublish current revision, administer rules, administer search, search content, use advanced search, administer newsletters, administer simplenews settings, administer simplenews subscriptions, send newsletter, subscribe to newsletters, access site map, access statistics, view post access counter, administer user subscriptions, subscribe to all content types, subscribe to content, subscribe to content types, subscribe to taxonomy terms, access administration pages, access site reports, administer actions, administer files, administer site configuration, select different theme, administer tabtamer, administer taxonomy, access Theme Editor for Default theme, translate content, upload files, view uploaded files, access user profiles, administer permissions, administer users, change own username, delete own account, administer userpoints, view own userpoints, view userpoints, access all views, administer views, use views exporter, administer voting api, access workflow summary views, administer workflow, schedule workflow transitions, administer xmlsitemap', 0),
(3362, 1, 'access ckeditor, access comments, access site-wide contact form, edit field_company_name, edit field_company_scope, edit field_company_type, edit field_company_visibility, edit field_country_visibility, edit field_email_visibility, edit field_firstname, edit field_keywords_visibility, edit field_lastname, edit field_profile_visibility, view field_acronym, view field_additional_doc_desc, view field_additional_doc_file, view field_advertisement_url, view field_case_logo, view field_city, view field_city_region, view field_community_email, view field_community_estimated_after, view field_community_estimated_launch, view field_community_expectations, view field_community_logo, view field_community_short_name, view field_community_sponsor_logo, view field_community_url, view field_company_name, view field_company_phone, view field_company_scope, view field_company_type, view field_desc_implementation, view field_desc_target_users_groups, view field_description_of_license, view field_document_study, view field_documentation, view field_email, view field_event_address_location, view field_event_agenda, view field_event_city, view field_event_contact_email, view field_event_dates, view field_event_exp_participants, view field_event_fees_description, view field_event_gmap_location, view field_event_logo, view field_event_organiser, view field_event_rating, view field_event_venue, view field_event_website, view field_factsheet_upload_files, view field_fed_project_forge, view field_fed_project_link, view field_firstname, view field_forges_email, view field_forges_get_involved, view field_forges_homepage, view field_forges_logo, view field_forges_xml, view field_image, view field_isbn, view field_lastname, view field_lessons_learnt, view field_main_results, view field_number, view field_operational_date, view field_original_url, view field_photo, view field_presentation_upload_files, view field_presentation_url, view field_project_asset_owner, view field_project_common_contact, view field_project_common_type, view field_project_common_using, view field_project_display_maven, view field_project_display_svn, view field_project_soft_features, view field_project_soft_future_plans, view field_project_soft_get_involved, view field_project_soft_logo, view field_project_soft_more_lin, view field_project_soft_more_links, view field_project_soft_public_admin, view field_project_soft_sponsor_logo, view field_publication_date, view field_publisher, view field_release_document, view field_show_title, view field_source_url, view field_start_end_date, view field_street, view field_target_users, view field_tech_solution, view field_url, view field_video_link_to_video, view field_website_url, view field_zipcode, context help view, access devel information, display source code, execute php code, view heartbeat messages, view imagecache advertisement, view imagecache community_logo, view imagecache community_logo_small, view imagecache image_gallery, view imagecache profile_photo, view imagecache profile_photo_small, access software list, access content, create profile content, access projects, access project issues, search content, use advanced search, access site map, view post access counter, access user profiles', 0),
(3363, 2, 'access ckeditor, allow CKFinder file uploads, access comments, post comments, post comments without approval, delete own comments, delete own comments at anytime, upload files to comments, view files uploaded to comments, access site-wide contact form, check out documents, edit field_acronym, edit field_additional_doc_desc, edit field_additional_doc_file, edit field_advertisement_url, edit field_case_documentation, edit field_case_logo, edit field_city, edit field_city_region, edit field_community_documents_creati, edit field_community_email, edit field_community_estimated_after, edit field_community_estimated_launch, edit field_community_expectations, edit field_community_forum_creation, edit field_community_logo, edit field_community_news_creation, edit field_community_short_name, edit field_community_sponsor_logo, edit field_community_url, edit field_community_wiki_creation, edit field_company_name, edit field_company_phone, edit field_company_scope, edit field_company_type, edit field_company_visibility, edit field_country_visibility, edit field_desc_implementation, edit field_desc_target_users_groups, edit field_description_of_license, edit field_document_study, edit field_documentation, edit field_email, edit field_email_visibility, edit field_event_address_location, edit field_event_agenda, edit field_event_city, edit field_event_contact_email, edit field_event_dates, edit field_event_exp_participants, edit field_event_fees_description, edit field_event_gmap_location, edit field_event_logo, edit field_event_organiser, edit field_event_rating, edit field_event_venue, edit field_event_website, edit field_firstname, edit field_forges_email, edit field_forges_get_involved, edit field_forges_homepage, edit field_forges_logo, edit field_forges_xml, edit field_image, edit field_isbn, edit field_keywords_visibility, edit field_lastname, edit field_lessons_learnt, edit field_main_results, edit field_number, edit field_operational_date, edit field_original_url, edit field_photo, edit field_policy_context, edit field_presentation_upload_files, edit field_presentation_url, edit field_profile_cv, edit field_profile_visibility, edit field_project_anonymous_download, edit field_project_asset_owner, edit field_project_common_contact, edit field_project_common_type, edit field_project_common_using, edit field_project_display_maven, edit field_project_display_svn, edit field_project_documents_creation, edit field_project_forum_creation, edit field_project_issues_attachement, edit field_project_legal_doc_creation, edit field_project_news_creation, edit field_project_soft_features, edit field_project_soft_future_plans, edit field_project_soft_get_involved, edit field_project_soft_logo, edit field_project_soft_more_lin, edit field_project_soft_more_links, edit field_project_soft_public_admin, edit field_project_soft_sponsor_logo, edit field_project_wiki_creation, edit field_publication_date, edit field_publisher, edit field_roi_desc, edit field_show_title, edit field_source_url, edit field_start_end_date, edit field_street, edit field_target_users, edit field_tech_solution, edit field_ten_rules, edit field_track_record_sharing, edit field_url, edit field_website_url, edit field_zipcode, view field_additional_doc_desc, view field_additional_doc_file, view field_advertisement_url, view field_case_documentation, view field_case_logo, view field_city, view field_community_email, view field_community_estimated_after, view field_community_estimated_launch, view field_community_expectations, view field_community_forum_creation, view field_community_logo, view field_community_news_creation, view field_community_short_name, view field_community_sponsor_logo, view field_community_url, view field_community_wiki_creation, view field_company_name, view field_company_phone, view field_company_scope, view field_company_type, view field_document_study, view field_documentation, view field_email, view field_event_address_location, view field_event_agenda, view field_event_city, view field_event_contact_email, view field_event_dates, view field_event_exp_participants, view field_event_fees_description, view field_event_gmap_location, view field_event_logo, view field_event_organiser, view field_event_rating, view field_event_venue, view field_event_website, view field_factsheet_upload_files, view field_fed_project_forge, view field_fed_project_link, view field_firstname, view field_forges_email, view field_forges_get_involved, view field_forges_homepage, view field_forges_logo, view field_forges_xml, view field_image, view field_lastname, view field_number, view field_photo, view field_presentation_upload_files, view field_presentation_url, view field_profile_cv, view field_project_common_contact, view field_project_common_type, view field_project_common_using, view field_project_display_maven, view field_project_display_svn, view field_project_documents_creation, view field_project_forum_creation, view field_project_issues_attachement, view field_project_legal_doc_creation, view field_project_news_creation, view field_project_soft_features, view field_project_soft_future_plans, view field_project_soft_get_involved, view field_project_soft_logo, view field_project_soft_more_lin, view field_project_soft_more_links, view field_project_soft_public_admin, view field_project_soft_sponsor_logo, view field_project_wiki_creation, view field_release_document, view field_show_title, view field_source_url, view field_street, view field_ten_rules, view field_url, view field_video_link_to_video, view field_zipcode, context help view, access devel information, switch users, rate content, delete own heartbeat activity logs, view personal heartbeat activity, view imagecache advertisement, view imagecache community_logo, view imagecache community_logo_small, view imagecache image_gallery, view imagecache profile_photo, view imagecache profile_photo_small, display I use this project quick action, admin highlight, merges og in own group, answer to surveys, access software list, access mailman_manager, access content, create blog content, create case content, create community content, create document content, create event content, create news content, create presentation content, create profile content, create topic content, delete any topic content, delete own blog content, delete own case content, delete own community content, delete own news content, delete own presentation content, delete own profile content, edit own blog content, edit own case content, edit own community content, edit own document content, edit own event content, edit own news content, edit own newsletter content, edit own presentation content, edit own profile content, edit own topic content, edit own video content, edit own wiki content, view revisions, access own projects, access projects, browse project listings, delete own projects, maintain projects, access project issues, create project issues, edit own project issues, edit revisions, view revisions of any advertisement content, view revisions of any blog content, view revisions of any case content, view revisions of any community content, view revisions of any contexthelp content, view revisions of any contexthelp_faq content, view revisions of any document content, view revisions of any event content, view revisions of any factsheet content, view revisions of any federated_forge content, view revisions of any federated_project content, view revisions of any news content, view revisions of any newsletter content, view revisions of any page content, view revisions of any presentation content, view revisions of any profile content, view revisions of any project_issue content, view revisions of any project_project content, view revisions of any project_release content, view revisions of any story content, view revisions of any topic content, view revisions of any video content, view revisions of any wiki content, view revisions of own advertisement content, view revisions of own blog content, view revisions of own case content, view revisions of own community content, view revisions of own contexthelp content, view revisions of own contexthelp_faq content, view revisions of own document content, view revisions of own event content, view revisions of own factsheet content, view revisions of own federated_forge content, view revisions of own federated_project content, view revisions of own news content, view revisions of own newsletter content, view revisions of own page content, view revisions of own presentation content, view revisions of own profile content, view revisions of own project_issue content, view revisions of own project_project content, view revisions of own project_release content, view revisions of own story content, view revisions of own topic content, view revisions of own video content, view revisions of own wiki content, search content, use advanced search, subscribe to newsletters, access site map, view post access counter, subscribe to content, subscribe to taxonomy terms, translate content, upload files, view uploaded files, access user profiles, delete own account, view own userpoints, view userpoints', 0),
(3364, 14, 'access comments, edit field_release_document, view field_release_document, display Call for review quick action, edit field asset status, administer projects, upload files, view uploaded files', 0),
(3365, 9, 'access comments, upload files to comments, view files uploaded to comments, access community, access source code repository, access webdav repository, Comment form: Edit issue settings, access own projects, access projects, browse project listings, assign and be assigned project issues, set issue status Active, set issue status By design, set issue status Closed, set issue status Duplicate, set issue status Fixed, set issue status Needs review, set issue status Needs work, set issue status Postponed, set issue status Ready to commit, set issue status Wont fix, SCM write into branches, SCM write into tags, SCM write into trunk', 0),
(3366, 16, 'access comments, post comments, post comments without approval, delete own comments, delete own comments at anytime, access site-wide contact form, check out documents, edit field_acronym, edit field_additional_doc_desc, edit field_additional_doc_file, edit field_case_logo, edit field_city, edit field_city_region, edit field_community_documents_creati, edit field_community_email, edit field_community_estimated_after, edit field_community_estimated_launch, edit field_community_expectations, edit field_community_forum_creation, edit field_community_logo, edit field_community_news_creation, edit field_community_short_name, edit field_community_sponsor_logo, edit field_community_url, edit field_community_wiki_creation, edit field_company_name, edit field_company_phone, edit field_company_scope, edit field_company_type, edit field_desc_implementation, edit field_desc_target_users_groups, edit field_description_of_license, edit field_documentation, edit field_email, edit field_email_visibility, edit field_event_address_location, edit field_event_agenda, edit field_event_city, edit field_event_contact_email, edit field_event_dates, edit field_event_exp_participants, edit field_event_fees_description, edit field_event_gmap_location, edit field_event_logo, edit field_event_organiser, edit field_event_rating, edit field_event_venue, edit field_event_website, edit field_firstname, edit field_forges_email, edit field_forges_get_involved, edit field_forges_homepage, edit field_forges_logo, edit field_forges_xml, edit field_isbn, edit field_lastname, edit field_lessons_learnt, edit field_main_results, edit field_number, edit field_operational_date, edit field_original_url, edit field_photo, edit field_policy_context, edit field_presentation_upload_files, edit field_presentation_url, edit field_profile_visibility, edit field_project_asset_owner, edit field_project_common_contact, edit field_project_common_type, edit field_project_common_using, edit field_project_display_maven, edit field_project_display_svn, edit field_project_documents_creation, edit field_project_forum_creation, edit field_project_issues_attachement, edit field_project_legal_doc_creation, edit field_project_news_creation, edit field_project_soft_features, edit field_project_soft_future_plans, edit field_project_soft_get_involved, edit field_project_soft_logo, edit field_project_soft_more_lin, edit field_project_soft_more_links, edit field_project_soft_public_admin, edit field_project_soft_sponsor_logo, edit field_project_wiki_creation, edit field_publication_date, edit field_publisher, edit field_roi_desc, edit field_source_url, edit field_start_end_date, edit field_street, edit field_target_users, edit field_tech_solution, edit field_ten_rules, edit field_track_record_sharing, edit field_url, edit field_website_url, edit field_zipcode, view field_case_logo, view field_city, view field_community_email, view field_community_estimated_after, view field_community_estimated_launch, view field_community_expectations, view field_community_forum_creation, view field_community_logo, view field_community_news_creation, view field_community_short_name, view field_community_sponsor_logo, view field_community_url, view field_community_wiki_creation, view field_company_name, view field_company_phone, view field_company_scope, view field_company_type, view field_documentation, view field_email, view field_email_visibility, view field_event_address_location, view field_event_agenda, view field_event_city, view field_event_contact_email, view field_event_dates, view field_event_exp_participants, view field_event_fees_description, view field_event_gmap_location, view field_event_logo, view field_event_organiser, view field_event_rating, view field_event_venue, view field_event_website, view field_factsheet_upload_files, view field_fed_project_link, view field_firstname, view field_forges_email, view field_forges_get_involved, view field_forges_homepage, view field_forges_logo, view field_forges_xml, view field_lastname, view field_number, view field_photo, view field_presentation_upload_files, view field_presentation_url, view field_profile_visibility, view field_project_common_contact, view field_project_common_type, view field_project_common_using, view field_project_documents_creation, view field_project_forum_creation, view field_project_issues_attachement, view field_project_legal_doc_creation, view field_project_news_creation, view field_project_soft_features, view field_project_soft_future_plans, view field_project_soft_get_involved, view field_project_soft_logo, view field_project_soft_more_lin, view field_project_soft_more_links, view field_project_soft_public_admin, view field_project_soft_sponsor_logo, view field_project_wiki_creation, view field_source_url, view field_street, view field_ten_rules, view field_url, view field_video_link_to_video, view field_zipcode, context help view, rate content, delete own heartbeat activity logs, view personal heartbeat activity, view imagecache community_logo, view imagecache community_logo_small, view imagecache image_gallery, view imagecache profile_photo, view imagecache profile_photo_small, display I use this project quick action, admin highlight, answer to surveys, access software list, access mailman_manager, access content, create blog content, create case content, create community content, create document content, create event content, create news content, create profile content, create topic content, delete any topic content, delete own blog content, delete own community content, delete own news content, delete own profile content, edit own blog content, edit own case content, edit own community content, edit own document content, edit own event content, edit own news content, edit own profile content, edit own topic content, access own projects, access projects, browse project listings, delete own projects, maintain projects, access project issues, create project issues, edit own project issues, search content, use advanced search, subscribe to content, subscribe to taxonomy terms, translate content, upload files, view uploaded files, access user profiles, delete own account, view own userpoints, view userpoints', 0),
(3367, 4, 'access comments, administer comments, post comments, post comments without approval, delete all comment replies, delete any comment, delete any comments at anytime, delete own comments, delete own comments at anytime, move all replies up, administer checked out documents, check out documents, edit field_autotag, view field_city, view field_documentation, view field_email, view field_source_url, context help view, rate content, admin highlight, remove highlight, community add members, community approve membership, community assign facilitator role, community remove members, add mailing list, access community, configure issue categories, administer taxonomy package, access webdav repository, Comment form: Edit issue settings, View any keywords/tags, access content, administer nodes, create presentation content, create wiki content, delete any document content, delete any wiki content, delete own presentation content, delete own wiki content, edit any document content, edit any wiki content, edit own document content, edit own presentation content, edit own wiki content, revert revisions, view revisions, access own projects, access projects, administer projects, browse project listings, delete own projects, search content, use advanced search, delete own account, view own userpoints', 0),
(3368, 5, 'access comments, post comments, post comments without approval, upload files to comments, view files uploaded to comments, check out documents, view field_city, view field_documentation, view field_email, view field_source_url, context help view, rate content, admin highlight, access community, access webdav repository, access content, create wiki content, edit any wiki content, edit own wiki content, revert revisions, view revisions, search content, use advanced search, upload files, view uploaded files, delete own account, view own userpoints', 0),
(3369, 8, 'access comments, access community, delete own account', 0),
(3370, 3, 'access comments, administer comments, post comments, post comments without approval, delete all comment replies, delete any comment, delete any comments at anytime, delete own comments, delete own comments at anytime, move all replies up, upload files to comments, view files uploaded to comments, administer checked out documents, check out documents, edit field_acronym, edit field_advertisement_url, edit field_autotag, edit field_case_logo, edit field_city, edit field_city_region, edit field_desc_implementation, edit field_desc_target_users_groups, edit field_document_study, edit field_documentation, edit field_email, edit field_factsheet_upload_files, edit field_image, edit field_lessons_learnt, edit field_main_results, edit field_operational_date, edit field_policy_context, edit field_presentation_upload_files, edit field_presentation_url, edit field_project_issues_attachement, edit field_release_document, edit field_roi_desc, edit field_source_url, edit field_start_end_date, edit field_target_users, edit field_tech_solution, edit field_track_record_sharing, edit field_video_link_to_video, edit field_website_url, view field_autotag, view field_case_logo, view field_city, view field_documentation, view field_email, view field_presentation_upload_files, view field_presentation_url, view field_project_issues_attachement, view field_source_url, view field_video_link_to_video, administer context help, context help view, rate content, assets assistants, display Call for review quick action, receive forges mail, admin highlight, remove highlight, translate content except author, Display button add editor choice, community add members, community approve membership, community assign facilitator role, community remove members, add mailing list, access authoring information, access comment settings, access publishing options, access revision information, edit field asset status, merges og in any group, access community, configure issue categories, administer taxonomy package, Comment form: Edit issue settings, View any keywords/tags, View profile privacy fields, create release project, edit release project, manage users, edit virtual forge homepage, view/edit virtual forge vocabulary, access content, administer nodes, create advertisement content, create contexthelp content, create contexthelp_faq content, create factsheet content, create federated_forge content, create newsletter content, create presentation content, create video content, delete any advertisement content, delete any blog content, delete any case content, delete any contexthelp content, delete any contexthelp_faq content, delete any document content, delete any event content, delete any factsheet content, delete any federated_forge content, delete any newsletter content, delete any presentation content, delete any topic content, delete any video content, delete own advertisement content, delete own case content, delete own contexthelp content, delete own contexthelp_faq content, delete own document content, delete own event content, delete own factsheet content, delete own federated_forge content, delete own newsletter content, delete own presentation content, delete own video content, delete revisions, edit any advertisement content, edit any case content, edit any contexthelp content, edit any contexthelp_faq content, edit any document content, edit any event content, edit any factsheet content, edit any federated_forge content, edit any federated_project content, edit any newsletter content, edit any page content, edit any presentation content, edit any video content, edit own advertisement content, edit own case content, edit own contexthelp content, edit own contexthelp_faq content, edit own document content, edit own event content, edit own factsheet content, edit own federated_forge content, edit own newsletter content, edit own presentation content, edit own video content, administer meta tags, edit meta tags, access own projects, access projects, administer projects, browse project listings, delete any projects, delete own projects, maintain projects, publish revisions, publish revisions of any advertisement content, publish revisions of any blog content, publish revisions of any case content, publish revisions of any community content, publish revisions of any contexthelp content, publish revisions of any contexthelp_faq content, publish revisions of any document content, publish revisions of any event content, publish revisions of any factsheet content, publish revisions of any federated_forge content, publish revisions of any federated_project content, publish revisions of any news content, publish revisions of any newsletter content, publish revisions of any page content, publish revisions of any presentation content, publish revisions of any profile content, publish revisions of any project_issue content, publish revisions of any project_project content, publish revisions of any project_release content, publish revisions of any story content, publish revisions of any topic content, publish revisions of any video content, publish revisions of any wiki content, publish revisions of own advertisement content, publish revisions of own blog content, publish revisions of own case content, publish revisions of own community content, publish revisions of own contexthelp content, publish revisions of own contexthelp_faq content, publish revisions of own document content, publish revisions of own event content, publish revisions of own factsheet content, publish revisions of own federated_forge content, publish revisions of own federated_project content, publish revisions of own news content, publish revisions of own newsletter content, publish revisions of own page content, publish revisions of own presentation content, publish revisions of own profile content, publish revisions of own project_issue content, publish revisions of own project_project content, unpublish current revision, search content, use advanced search, administer newsletters, administer simplenews subscriptions, send newsletter, administer taxonomy, translate content, upload files, view uploaded files, access user profiles, delete own account, administer userpoints, view own userpoints, view userpoints', 0),
(3371, 17, 'administer taxonomy package, create release project, edit release project', 0),
(3372, 13, 'access comments, administer virtual forge, edit virtual forge homepage, access Theme Editor for Default theme', 0),
(3373, 19, 'SCM write into branches, access comments, post comments, post comments without approval, upload files to comments, view files uploaded to comments, check out documents, view field_city, view field_documentation, view field_email, view field_source_url, context help view, rate content, admin highlight, access community, access webdav repository, access content, create wiki content, edit any wiki content, edit own wiki content, revert revisions, view revisions, search content, use advanced search, upload files, view uploaded files, delete own account, view own userpoints', 0);

-- --------------------------------------------------------

--
-- Structure de la table `project_projects`
--

CREATE TABLE IF NOT EXISTS `project_projects` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0',
  `uri` varchar(50) NOT NULL DEFAULT '',
  `homepage` varchar(255) NOT NULL DEFAULT '',
  `changelog` varchar(255) NOT NULL DEFAULT '',
  `cvs` varchar(255) NOT NULL DEFAULT '',
  `demo` varchar(255) NOT NULL DEFAULT '',
  `documentation` varchar(255) NOT NULL DEFAULT '',
  `screenshots` varchar(255) NOT NULL DEFAULT '',
  `license` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`nid`),
  KEY `project_projects_uri` (`uri`(8))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `project_projects`
--

INSERT INTO `project_projects` (`nid`, `uri`, `homepage`, `changelog`, `cvs`, `demo`, `documentation`, `screenshots`, `license`) VALUES
(20109, 'joinup', 'http://joinup.ec.europa.eu/homepage', '', '', '', '', '', '');

-- --------------------------------------------------------

--
-- Structure de la table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `uid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL DEFAULT '',
  `pass` varchar(32) NOT NULL DEFAULT '',
  `mail` varchar(64) DEFAULT '',
  `mode` tinyint(4) NOT NULL DEFAULT '0',
  `sort` tinyint(4) DEFAULT '0',
  `threshold` tinyint(4) DEFAULT '0',
  `theme` varchar(255) NOT NULL DEFAULT '',
  `signature` varchar(255) NOT NULL DEFAULT '',
  `signature_format` smallint(6) NOT NULL DEFAULT '0',
  `created` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `login` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(4) NOT NULL DEFAULT '0',
  `timezone` varchar(8) DEFAULT NULL,
  `language` varchar(12) NOT NULL DEFAULT '',
  `picture` varchar(255) NOT NULL DEFAULT '',
  `init` varchar(64) DEFAULT '',
  `data` longtext,
  `timezone_name` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15030 ;

--
-- Contenu de la table `users`
--

INSERT INTO `users` (`uid`, `name`, `pass`, `mail`, `mode`, `sort`, `threshold`, `theme`, `signature`, `signature_format`, `created`, `access`, `login`, `status`, `timezone`, `language`, `picture`, `init`, `data`, `timezone_name`) VALUES
(0, '', '', 'atostest57+@gmail.com', 0, 0, 0, '', '', 0, 0, 0, 0, 0, NULL, '', '', '', 'a:0:{}', ''),
(1, 'admin', 'cc753cbe55f2b4e2228e5c668ed2bc68', 'atostest57+admin@gmail.com', 0, 0, 0, '', '', 0, 1294821264, 1341229976, 1340975521, 1, '7200', 'en', '', 'dlfr-ce-drupal-isa.ext@atosorigin.com', 'a:2:{s:17:"mimemail_textonly";i:0;s:7:"contact";i:0;}', 'Europe/Luxembourg'),
(15028, 'lct_dev', 'cc753cbe55f2b4e2228e5c668ed2bc68', 'l.collet.atos+lct_dev@gmail.com', 0, 0, 0, '', '', 0, 1341232403, 1341232403, 0, 1, '7200', 'en', '', 'l.collet.atos+lct_dev@gmail.com', 'a:3:{s:13:"form_build_id";s:37:"form-b21222bbacbc57e955c6d9700905a38f";s:7:"contact";i:1;s:16:"first_time_login";i:1;}', ''),
(15029, 'lct_con', 'cc753cbe55f2b4e2228e5c668ed2bc68', 'l.collet.atos+lct_con@gmail.com', 0, 0, 0, '', '', 0, 1341232435, 1341232435, 0, 1, '7200', 'en', '', 'l.collet.atos+lct_con@gmail.com', 'a:3:{s:13:"form_build_id";s:37:"form-f99f0043240d71a2637a5a6f0c5c6472";s:7:"contact";i:1;s:16:"first_time_login";i:1;}', '');
