<?php

define('CLEAN_DB_DELETE_CONTENT', TRUE);

// Remove all users and sensitive info from the database but keeps all content (nodes)
// Before start this script it is preferable to disable wathdogs (comment line 1262 of bootstrap.inc)

ini_set('display_errors',0);
//ini_set('display_errors', 1);
//ini_set('error_reporting','E_ALL & ~E_NOTICE');
$date = date ('dmyHi');
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/clean_database_error_'.$date.'.log');
error_reporting(E_ALL);
ini_set('memory_limit', '400M');
@set_time_limit(0);

// set HTTP_HOST or drupal will refuse to bootstrap
$_SERVER['HTTP_HOST'] = 'localhost';
$_SERVER['REQUEST_METHOD'] = '';
$_SERVER['REMOTE_ADDR'] = '127.0.0.1';

require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

global $user;
$user = user_load(1);


// Delete users and orphan profile nodes
cleandb_delete_users();
// Delete content
if (CLEAN_DB_DELETE_CONTENT) {
  cleandb_delete_content();
}
// Sanitize Drupal variables
cleandb_sanitize_variables();
// Sanitize various content in tables
cleandb_sanitize_content();
// Drop useless tables
cleandb_drop_tables();
// Truncate some tables
cleandb_truncate_tables();
// Clear all caches
cleandb_clear_cache();

// remove drupal_set_messages
if (isset ($_SESSION) && isset ($_SESSION['messages'])){
  unset ($_SESSION['messages']);
}



function cleandb_delete_users() {
  // Delete users
  print('Deleting users...' . PHP_EOL);

  $users_count = 0;
  $result = db_query('SELECT uid FROM users WHERE uid NOT IN (0, 1, 2)');
  while($user = db_fetch_object($result)){
    user_delete(array(), $user->uid);
    $users_count++;
  }

  print($users_count . ' users deleted.' . PHP_EOL);

  // Delete orfan profile nodes
  $nodes_count = 0;
  $result = db_query("SELECT nid FROM node WHERE type = 'profile' and uid = 0");
  while($node = db_fetch_object($result)){
    node_delete($node->nid);
    $nodes_count++;
  }

  print($nodes_count . ' orfan profile nodes deleted.' . PHP_EOL);
  print('Done.' . PHP_EOL);
  print('--------------------------------------' . PHP_EOL);
}

function cleandb_delete_content() {
  // Delete nodes
  print('Deleting nodes...' . PHP_EOL);

  $nodes_count = 0;
  $result = db_query("SELECT nid FROM node WHERE type NOT IN('page', 'contexthelp_faq', 'contexthelp')");
  while($node = db_fetch_object($result)){
    node_delete($node->nid);
    $nodes_count++;
  }

  print($nodes_count . ' nodes deleted.' . PHP_EOL);

  // Delete invalid some tables (clean the remaining mess)
  _cleandb_delete_orphan_node_rows(array(
    // Fields tables
    'content_field_additional_doc_desc',
    'content_field_additional_doc_file',
    'content_field_asset_alternative_name',
    'content_field_asset_assessment',
    'content_field_asset_description',
    'content_field_asset_distribution',
    'content_field_asset_documentation',
    'content_field_asset_identifier',
    'content_field_asset_last_modification',
    'content_field_asset_name',
    'content_field_asset_node_reference',
    'content_field_asset_publisher',
    'content_field_asset_sw_metrics',
    'content_field_asset_temporal_coverage',
    'content_field_asset_version',
    'content_field_asset_webpage_doc',
    'content_field_autotag',
    'content_field_case_documentation',
    'content_field_case_sector',
    'content_field_city',
    'content_field_contact_point_address',
    'content_field_contact_point_mail',
    'content_field_contact_point_name',
    'content_field_contact_point_telephone',
    'content_field_contact_point_web_page',
    'content_field_country',
    'content_field_data_set_name',
    'content_field_distribution_access_url1',
    'content_field_distribution_description',
    'content_field_distribution_download_url',
    'content_field_distribution_licence',
    'content_field_distribution_name',
    'content_field_distribution_publisher',
    'content_field_documentation',
    'content_field_documentation_title',
    'content_field_email',
    'content_field_event_documentation',
    'content_field_factsheet_upload_files',
    'content_field_id_uri',
    'content_field_image',
    'content_field_languages_fields',
    'content_field_language_textfield_lang',
    'content_field_licence_description',
    'content_field_licence_name',
    'content_field_node_catalogue',
    'content_field_presentation_upload_files',
    'content_field_profile_sector',
    'content_field_project_common_contact',
    'content_field_project_common_type',
    'content_field_project_common_using',
    'content_field_project_issues_attachement',
    'content_field_project_soft_features',
    'content_field_project_soft_future_plans',
    'content_field_project_soft_get_involved',
    'content_field_project_soft_logo',
    'content_field_project_soft_more_lin',
    'content_field_project_soft_more_links',
    'content_field_project_soft_public_admin',
    'content_field_project_soft_sponsor_logo',
    'content_field_publication_date',
    'content_field_publisher',
    'content_field_publisher_name',
    'content_field_release_document',
    'content_field_repository_asset_reference',
    'content_field_repository_contact_point',
    'content_field_repository_description',
    'content_field_repository_name',
    'content_field_repository_publisher',
    'content_field_repository_schema',
    'content_field_repository_url',
    'content_field_shared_is_eu_initiative',
    'content_field_shared_tis_image',
    'content_field_shared_tis_teaser',
    'content_field_show_title',
    'content_field_sw_project_agents',
    'content_field_sw_project_agent_nam',
    'content_field_sw_project_agent_type',
    'content_field_sw_project_bug_database',
    'content_field_sw_project_description',
    'content_field_sw_project_logo',
    'content_field_sw_project_metrics',
    'content_field_sw_project_name',
    'content_field_sw_project_repository',
    'content_field_sw_project_wiki',
    'content_field_sw_release',
    'content_field_sw_release_agent_name',
    'content_field_sw_release_agent_type',
    'content_field_top_title',
    // Content types tables
    'content_type_adms_software_project',
    'content_type_advertisement',
    'content_type_advpoll_binary',
    'content_type_analytical_model',
    'content_type_asset_node_reference',
    'content_type_asset_release',
    'content_type_blog',
    'content_type_case_epractice',
    'content_type_catalogue_node',
    'content_type_checksum',
    'content_type_community',
    'content_type_contact_point',
    'content_type_data_set',
    'content_type_distribution',
    'content_type_document',
    'content_type_documentation',
    'content_type_event',
    'content_type_factsheet',
    'content_type_featured_catalogue',
    'content_type_federated_forge',
    'content_type_federated_project',
    'content_type_home_carousel',
    'content_type_home_catalogue',
    'content_type_identifier',
    'content_type_image',
    'content_type_language_textarea',
    'content_type_language_textfield',
    'content_type_licence',
    'content_type_news',
    'content_type_presentation',
    'content_type_profile',
    'content_type_project_issue',
    'content_type_project_project',
    'content_type_project_release',
    'content_type_publisher',
    'content_type_repository',
    'content_type_software_identifier',
    'content_type_software_project_agent',
    'content_type_software_release_agent',
    'content_type_topic',
    'content_type_video',
    'content_type_wiki',
    // Miscellaneous
    'ml_group',
    'node_access',
    'node_comment_statistics',
    'node_counter',
    'node_revisions',
    'og_access_post',
    'og_ancestry',
    'project_release_nodes',
    'workflow_node',
    'workflow_node_history'
  ));

  _cleandb_delete_orphan_user_rows(array(
    'homebox_users',
    'subscriptions_user',
    'userpoints',
    'userpoints_txn'
  ));

  // Truncate a few tables
  _cleandb_truncate_tables(array(
    'flag_counts',
    'isa_download_external_statics',
    'isa_download_statistics',
    'freelinking'
  ));

  // Cleanup any garbage left in tables that cannot be truncated
  db_query("DELETE FROM {files} WHERE filepath NOT LIKE '%imagefield_default_image%'");
  db_query("DELETE FROM {url_alias} WHERE src LIKE  'node/%' AND SUBSTRING_INDEX(src, '/', -1) NOT IN (SELECT nid FROM node)");
  db_query("DELETE FROM {userpoints} WHERE uid > 2 AND uid NOT IN (SELECT uid FROM {users})");
  db_query("DELETE FROM {userpoints_txn} WHERE uid > 2 AND uid NOT IN (SELECT uid FROM {users})");

  // Delete comments
  print('Deleting comments...' . PHP_EOL);

  $comments = array();
  if (module_exists('comment')) {
    $result = db_query("SELECT cid FROM {comments} ORDER BY cid");
    while ($object = db_fetch_object($result)) {
      $comments[$object->cid] = $object->cid;
    }
  }

  if (count($comments)) {
    foreach ($comments as $cid) {
      $comment = _comment_load($cid);
      module_load_include('inc', 'comment', 'comment.admin');
      _comment_delete_thread($comment);
      _comment_update_node_statistics($comment->nid);
    }
  }
  print(count($comments) . ' comments deleted.' . PHP_EOL);

  print('Done.' . PHP_EOL);
  print('--------------------------------------' . PHP_EOL);
}

function cleandb_sanitize_variables() {
  print('Sanitizing variables...' . PHP_EOL);

  variable_set('apachesolr_host', 'localhost');
  variable_set('login_security_login_activity_email_user', 'admin');
  variable_set('login_security_user_blocked_email_user', 'admin');
  variable_set('project_issue_reply_to','admin@admin.com');
  variable_set('site_mail','admin@admin.com');
  variable_set('simplenews_from_name','admin@admin.com');
  variable_set('simplenews_from_name_','admin@admin.com');
  variable_set('simplenews_from_address','admin@admin.com');
  variable_set('simplenews_from_address_','admin@admin.com');
  variable_set('simplenews_test_address','admin@admin.com');
  variable_set('subscriptions_site_mail','admin@admin.com');
  variable_set('svn_url','admin@admin.com');

  variable_del('drupal_private_key');
  variable_del('autotagging_calais_license_id');
  variable_del('recaptcha_private_key');
  variable_del('recaptcha_public_key');
  variable_del('simplenews_private_key');
  variable_del('googleanalytics_account');
  variable_del('isa_svn_repository_server_ip');
  variable_del('isa_svn_repository_server_port');
  variable_del('isa_svn_repository_server_pwd');
  variable_del('isa_svn_repository_server_usr');
  variable_del('login_disable_key');
  variable_del('proxy_exceptions');
  variable_del('proxy_password');
  variable_del('proxy_port');
  variable_del('proxy_server');

  print('Done.' . PHP_EOL);
  print('--------------------------------------' . PHP_EOL);
}

function cleandb_sanitize_content() {
  print('Sanitizing various content in tables...' . PHP_EOL);

  // Set pass and email
  // uid 1: admin|admin
  // uid 2 joinup_automatic_federation|admin
  db_query("UPDATE {users} SET name = '%s' WHERE uid = 1", 'admin');
  db_query("UPDATE {users} SET pass = '%s', mail = '%s', init = '%s' WHERE uid IN(1, 2)", '21232f297a57a5a743894a0e4a801fc3', 'admin@admin.com', 'admin@admin.com');

  // Set contact form email address
  db_query("UPDATE {contact} SET recipients = '%s'", 'admin@admin.com', 'admin@admin.com');

  // Sanitize sensitive info in content_field_email table
  db_query("UPDATE {content_field_email} SET field_email_value = '%s' WHERE field_email_value IS NOT NULL", 'example@example.com');

  // Sanitize sensitive info in content_field_project_common_contact table
  db_query("UPDATE {content_field_project_common_contact} SET field_project_common_contact_value = '%s' WHERE field_project_common_contact_value IS NOT NULL", 'example@example.com');

  print('Done.' . PHP_EOL);
  print('--------------------------------------' . PHP_EOL);
}

function cleandb_drop_tables() {
  print('Dropping useless tables...' . PHP_EOL);

  _cleandb_drop_tables(array(
    'migrate_log',
    'migrate_map_epracticeblog',
    'migrate_map_epracticecase',
    'migrate_map_epracticecommunity',
    'migrate_map_epracticecommunityresource',
    'migrate_map_epracticeedocument',
    'migrate_map_epracticeelibrary',
    'migrate_map_epracticeevents',
    'migrate_map_epracticenews',
    'migrate_map_epracticeprofile',
    'migrate_map_epracticeresource',
    'migrate_map_epracticetaxonomy',
    'migrate_map_epracticetv',
    'migrate_map_epracticeuser',
    'migrate_map_epracticeusercommunityrelation',
    'migrate_map_epracticeworkshop',
    'migrate_map_joinupcase',
    'migrate_message_epracticeblog',
    'migrate_message_epracticecase',
    'migrate_message_epracticecommunity',
    'migrate_message_epracticecommunityresource',
    'migrate_message_epracticeedocument',
    'migrate_message_epracticeelibrary',
    'migrate_message_epracticeevents',
    'migrate_message_epracticenews',
    'migrate_message_epracticeprofile',
    'migrate_message_epracticeresource',
    'migrate_message_epracticetaxonomy',
    'migrate_message_epracticetv',
    'migrate_message_epracticeuser',
    'migrate_message_epracticeusercommunityrelation',
    'migrate_message_epracticeworkshop',
    'migrate_message_joinupcase',
    'migrate_status',
    'epractice_files',
    'epractice_url_alias',
    'files_paths'
  ));

  print('Done.' . PHP_EOL);
  print('--------------------------------------' . PHP_EOL);
}

function cleandb_truncate_tables() {
  print('Truncating some tables...' . PHP_EOL);

  _cleandb_truncate_tables(array(
    'access',
    'apachesolr_attachments_files',
    'apachesolr_search_node',
    'batch',
    'captcha_sessions',
    'commit_management',
    'flood',
    'heartbeat_activity',
    'heartbeat_translations',
    'history',
    'isa_download_statistics_count',
    'listhandler',
    'mailhandler',
    'mailman_lists',
    'mailman_users',
    'media_youtube_metadata',
    'media_youtube_node_data',
    'migrate_log',
    'ml_management',
    'node_spambot',
    'project_release_file',
    'qa_answer',
    'repositories_management',
    'search_dataset',
    'search_index',
    'search_node_links',
    'search_total',
    'sessions',
    'simplenews_snid_tid',
    'simplenews_subscriptions',
    'subscriptions_last_sent',
    'subscriptions_queue',
    'upload',
    'votingapi_cache',
    'votingapi_vote',
    'watchdog'
  ));

  print('Done.' . PHP_EOL);
  print('--------------------------------------' . PHP_EOL);
}

function cleandb_clear_cache() {
  print('Clearing all caches...' . PHP_EOL);

  module_load_include('inc', 'advagg', 'advagg.admin');
  advagg_admin_master_reset();

  drupal_flush_all_caches();

  $extra_tables = array('cache_form', 'cache_menu', 'cache_htmlpurifier');
  foreach ($extra_tables as $table) {
    cache_clear_all('*', $table, TRUE);
  }

  print('Done.' . PHP_EOL);
  print('--------------------------------------' . PHP_EOL);
}



function _cleandb_truncate_tables($tables) {
  foreach($tables as $table) {
    db_query("TRUNCATE TABLE {". $table ."}");
  }
}

function _cleandb_drop_tables($tables) {
  $ret = array();
  foreach($tables as $table) {
    db_drop_table($ret, $table);
  }
}

function _cleandb_delete_orphan_node_rows($tables) {
  foreach($tables as $table) {
    db_query("DELETE FROM {". $table ."} WHERE nid NOT IN (SELECT nid FROM {node})");
  }
}

function _cleandb_delete_orphan_user_rows($tables) {
  foreach($tables as $table) {
    db_query("DELETE FROM {". $table ."} WHERE uid > 2 AND uid NOT IN (SELECT uid FROM {users})");
  }
}