<?php
/**
 * @file
 * List of all buttons depending on the path
 *
 * @ingroup isa_links
 */

/**
 * List of all menus depending on the path
 */
function isa_links_menus_datas() {
  $data = array(
    'page/*' => array('func' => 'isa_links_get_info_page_menus'),
    'people/*' => array('func' => 'isa_links_get_people_menus'),
    'user/*' => array('func' => 'isa_links_get_people_menus'),
    'admin/*' => array('func' => 'isa_links_admin_menus'),
    // ISAICP-893
    // ADMS.SW - conform import, content management, search, and export features
    // Menu to the list of repository asset
    'catalogue/repository/*' => array('func' => 'isa_links_catalogue_repository_menus'),
    'catalogue/asset_release/*' => array('func' => 'isa_links_release_catalogue_menus'),
    'catalogue/distribution/*' => array('func' => 'isa_links_release_catalogue_menus'),
    'catalogue/project/*' => array('func' => 'isa_links_catalogue_repository_menus'),
    //'community/all'               => array('func' => 'isa_links_get_communities_list_menus'),
    //'community/recommended'       => array('func' => 'isa_links_get_communities_list_menus'),
    //'community/mine'              => array('func' => 'isa_links_get_communities_list_menus'),
    //'community/editor'            => array('func' => 'isa_links_get_communities_list_menus'),
    'community/all/*' => array('func' => 'isa_links_get_communities_list_menus'),
    'community/recommended/*' => array('func' => 'isa_links_get_communities_list_menus'),
    'community/mine/*' => array('func' => 'isa_links_get_communities_list_menus'),
    'community/editor/*' => array('func' => 'isa_links_get_communities_list_menus'),
    'community/*/*' => array(
      'func' => 'isa_links_get_group_menus',
      'args' => array(ISA_COMMUNITY_TYPE)
    ),
    //'asset/all'                   => array('func' => 'isa_links_get_assets_list_menus'),
    //'asset/recommended'           => array('func' => 'isa_links_get_assets_list_menus'),
    //'asset/i_use'                 => array('func' => 'isa_links_get_assets_list_menus'),
    //'asset/editor'                => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/all/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/recommended/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/i_use/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/editor/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/call_for_comment' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/page/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/experts' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/experts/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'asset/*/*' => array(
      'func' => 'isa_links_get_group_menus',
      'args' => array(ISA_ASSET_TYPE)
    ),
    //'software/all'                => array('func' => 'isa_links_get_software_list_menus'),
    //'software/recommended'        => array('func' => 'isa_links_get_software_list_menus'),
    //'software/i_use'              => array('func' => 'isa_links_get_software_list_menus'),
    //'software/editor'             => array('func' => 'isa_links_get_software_list_menus'),
    //'software/my_oss'             => array('func' => 'isa_links_get_software_list_menus'),
    'software/all/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/recommended/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/i_use/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/editor/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/my_oss/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/federated_forge' => array('func' => 'isa_links_get_software_list_menus'),
    'software/license-wizard/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/guidelines' => array('func' => 'isa_links_get_software_list_menus'),
    'software/guidelines/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/studies' => array('func' => 'isa_links_get_software_list_menus'),
    'software/studies/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/page/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software/*/*' => array(
      'func' => 'isa_links_get_group_menus',
      'args' => array(ISA_SOFTWARE_TYPE)
    ),
    'federated_forge/*' => array('func' => 'isa_links_get_software_list_menus'),
    'federated_project/*/*' => array('func' => 'isa_links_get_software_list_menus'),
    'node/*/edit' => array('func' => 'isa_links_get_node_menus'),
    'node/*/edit/releases' => array('func' => 'isa_links_get_node_menus'),
    'node/*/revisions' => array('func' => 'isa_links_get_node_menus'),
    'node/*/revisions/*' => array('func' => 'isa_links_get_node_menus'),
    'node/*/workflow' => array('func' => 'isa_links_get_node_menus'),
    'node/*/translate' => array('func' => 'isa_links_get_node_menus'),
    'comment/reply/*' => array(
      'func' => 'isa_links_get_comment_menus',
      'args' => array('add')
    ),
    'comment/edit/*' => array(
      'func' => 'isa_links_get_comment_menus',
      'args' => array('edit')
    ),
    'node/add/*' => array('func' => 'isa_links_get_add_menus'),
    'node/*/clone' => array('func' => 'isa_links_get_add_menus'),
    'help' => array('func' => 'isa_links_get_info_page_menus'),
    'contexthelp/*' => array('func' => 'isa_links_get_info_page_menus'),
    'help_topics' => array('func' => 'isa_links_get_info_page_menus'),
    'contexthelpfaq/*' => array('func' => 'isa_links_get_info_page_menus'),
    'contexthelp_faq/*' => array('func' => 'isa_links_get_info_page_menus'),
    'contact' => array('func' => 'isa_links_get_info_page_menus'),
    'sitemap' => array('func' => 'isa_links_get_info_page_menus'),
    'glossary' => array('func' => 'isa_links_get_info_page_menus'),
    'glossary/*' => array('func' => 'isa_links_get_info_page_menus'),
    'category/glossary/*' => array('func' => 'isa_links_get_info_page_menus'),
    'partners' => array('func' => 'isa_links_get_info_page_menus'),
    'metrics' => array('func' => 'isa_links_get_info_page_menus'),
    'page/osor.eu' => array('func' => 'isa_links_get_info_page_menus'),
    'page/semic.eu' => array('func' => 'isa_links_get_info_page_menus'),
    //'news/*'                      => array('func' => 'isa_links_get_news_list_menus'),
    //'newsletter/*'                => array('func' => 'isa_links_get_news_list_menus'),
    //'blog/*'                      => array('func' => 'isa_links_get_news_list_menus'),
    'distribution/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'documentation/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'item/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'licence/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'publisher/*' => array('func' => 'isa_links_get_assets_list_menus'),
    'contact_point/*' => array('func' => 'isa_links_get_assets_list_menus'),
    //'event/*'                     => array('func' => 'isa_links_get_event_menus'),

    //'elibrary/case/*'             => array('func' => 'isa_links_get_node_menus'),
    //'elibrary/*'                  => array('func' => 'isa_links_get_elibrary_menus'),
    'advertisement/*' => array('func' => 'isa_links_get_info_page_menus'),
    //'repository/*'                => array('func' => 'isa_links_get_assets_list_menus'),

    // ISAICP-893
    // ADMS.SW - conform import, content management, search, and export features
    // Menu to the list of repository asset
    //'repositories/asset'         => array('func' => 'isa_links_get_assets_list_menus'),
    'repositories/software' => array('func' => 'isa_links_get_software_list_menus'),
    'software_project_agent/*' => array('func' => 'isa_links_get_software_list_menus'),
    'software_release_agent/*' => array('func' => 'isa_links_get_software_list_menus'),
    'data_set/*' => array('func' => 'isa_links_get_software_list_menus'),
  );
  //Allow other modules to change buttons
  $datas = module_invoke_all('isa_menus_data', $data);
  return $datas;
}

/**
 */
function isa_links_get_comment_menus($action) {
  if ($action == 'add') {
    return isa_links_get_node_menus(arg(2));
  }
  elseif ($action == 'edit') {
    $comment = _comment_load(arg(2));
    if ($comment) {
      return isa_links_get_node_menus($comment->nid);
    }
  }

}

/**
 */
function isa_links_get_add_menus() {
  $nid = isset($_GET['gids']) ? $_GET['gids'][0] : 0;
  if ($nid) {
    //add content to a group
    $node = node_load($nid);
    if ($node->group_type) {
      //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
      //Load software menu on project node type creation
      $node_context_type = _isa_link_this_page_context_type();
      switch ($node_context_type) {
        case 'software':
          return isa_links_get_software_list_menus();
          break;
        case 'asset':
          return isa_links_get_assets_list_menus();
          break;
        default:
          return isa_links_get_group_menus($node->group_type);
          break;
      }
    }
  }
  else {
    //add an asset or a software
    if (!empty($_GET['type'])) {
      switch ($_GET['type']) {
        case ISA_ASSET_TYPE:
          return isa_links_get_assets_list_menus();
        case ISA_SOFTWARE_TYPE:
        case 'OSS':
          return isa_links_get_software_list_menus();
      }
    }
    else {
      $path = explode('/', $_GET['q']);
      $nid = variable_get('current_group', isa_toolbox_get_community_nid());
      $node = node_load($nid);
      switch ($path[2]) {
        case ISA_COMMUNITY_TYPE:
          return isa_links_get_communities_list_menus();
        case 'project-issue':
        case 'project-release':
          return isa_links_get_group_menus($node->group_type);
        case 'federated-forge':
        case 'federated-project':
          return isa_links_get_software_list_menus();
        case ISA_NEWSLETTER_TYPE:
          return array('Admin' => isa_links_get_admin_menus());
        case 'contact-point':
          return isa_links_get_assets_list_menus();
        default:
          $node = new stdClass;
          $node->type = $path[2];
          return isa_links_get_menus_type($node, 'add');
      }
    }
  }
}

/**
 * return the menu for the node concerning oss or asset
 * @param type $node
 * @return type
 */
function isa_links_treate_group_page($node) {
  if (isa_toolbox_alias_from_oss_or_asset($node)) {
    $alias = isa_toolbox_alias_from_oss_or_asset($node);
    switch ($alias) {
      case 'oss_on_joinup':
        return isa_links_get_group_menus(ISA_SOFTWARE_TYPE);
      case 'assets_on_joinup':
        return isa_links_get_group_menus(ISA_ASSET_TYPE);
      default:
        return NULL;
    }
  }
}

/**
 */
function isa_links_get_node_menus($nid = NULL) {
  $node_context_type = _isa_link_this_page_context_type();
  switch ($node_context_type) {
    case 'software':
      return isa_links_get_software_list_menus();
      break;
    case 'asset':
      return isa_links_get_assets_list_menus();
      break;
  }
  $node = (isset($nid)) ? node_load($nid) : menu_get_object();
  if (isset ($node->og_groups) && !empty ($node->og_groups)) {
    $group = node_load(array_shift($node->og_groups));
    if ($group->group_type) {
      return isa_links_get_group_menus($group->group_type);
    }
  }
  else {
    return isa_links_get_menus_type($node, 'edit');
  }
}

/**
 */
function isa_links_get_menus_type($node, $action) {
  if (isset ($node->type)) {
    $type = $node->type;
  }
  switch ($type) {
    case ISA_ISSUE_TYPE:
      $node = node_load($node->project_issue['pid']);
      return isa_links_get_group_menus($node->group_type);
    case ISA_PROJECT_RELEASE_TYPE:
      $node = node_load($node->project_release['pid']);
      return isa_links_get_group_menus($node->group_type);
    case ISA_PROJECT_TYPE:
    case ISA_COMMUNITY_TYPE:
      return isa_links_get_group_menus($node->group_type);
    case ISA_FEDERATED_FORGE_TYPE:
    case ISA_FEDERATED_PROJECT_TYPE:
      // for license wizard (is a wiki content)
    case ISA_WIKI_TYPE:
      return isa_links_get_software_list_menus();
    case ISA_EVENT_TYPE:
      return isa_links_get_event_menus();
    case ISA_CASE_TYPE:
      if (isa_toolbox_get_case_type($node) == 1 || isa_toolbox_get_case_type($node) == 2) {
        return isa_links_get_software_list_menus();
      }
      return isa_links_get_elibrary_menus();
    case ISA_VIDEO_TYPE:
    case ISA_FACTSHEET_TYPE:
    case ISA_PRESENTATION_TYPE:
    case ISA_DOCUMENT_TYPE:
      return isa_links_get_elibrary_menus();
    case ISA_NEWSLETTER_TYPE:
    case ISA_NEWS_TYPE:
    case ISA_BLOG_TYPE:
      return isa_links_get_news_list_menus();
    case 'page':
    case 'contexthelp_faq':
    case 'contexthelp-faq':
    case 'contexthelp':
    case 'advertisement':
      if (NULL != isa_links_treate_group_page($node)) {
        return isa_links_treate_group_page($node);
      }
      else {
        return isa_links_get_info_page_menus();
      }
    case ISA_DISTRIBUTION_TYPE :
    case ISA_PUBLISHER_TYPE :
    case ISA_DOCUMENTATION_TYPE :
    case ISA_CONTACT_POINT_TYPE :
    case ISA_LICENCE_TYPE :
    case ISA_ITEM_TYPE :
    case ISA_REPOSITORY_TYPE:
    case ISA_ASSET_RELEASE_TYPE:
    case 'asset-release':
      return isa_links_get_assets_list_menus();
    default:
      if (isset($node->og_groups_both) && ($node = node_load(array_shift($node->og_groups_both)))) {
        return isa_links_get_group_menus($node->group_type);
      }
  }

  return NULL;
}

/**
 */
function isa_links_people_list_menu_access() {
  if (in_array(arg(1), array('all', 'experts', 'moderators', 'recommended'))) {
    return TRUE;
  }
  return FALSE;
}

/**
 */
function isa_links_people_mypage_menu_access() {
  global $user;
  if ((is_numeric(arg(1)) && arg(1) == $user->uid) || arg(1) == 'dashboard') {
    return TRUE;
  }
  return FALSE;
}

/**
 */
function isa_links_people_admin_menu_access() {
  global $user;
  if ((isa_toolbox_is_omnipotent() || user_access('administer nodes') || user_access('access Theme Editor for Default theme')) &&
    ((is_numeric(arg(1)) && arg(1) == $user->uid) ||
      arg(1) == 'dashboard' ||
      strstr($_GET['q'], 'admin/user/user') ||
      strstr($_GET['q'], 'admin/content/taxonomy') ||
      strstr($_GET['q'], 'admin/content/simplenews') ||
      strstr($_GET['q'], 'node/add/newsletter') ||
      strstr($_GET['q'], 'admin/infobox') ||
      strstr($_GET['q'], 'admin/isa/twitter_widget')
    )
  ) {
    return TRUE;
  }
  return FALSE;
}

/**
 */
function isa_links_people_blog_menu_access() {
  global $user;

  if (is_numeric(arg(1)) && arg(1) != $user->uid) {
    return TRUE;
  }
  return FALSE;
}

/**
 */
function isa_links_user_uid() {
  $nid = explode('/', drupal_get_normal_path($_GET['q']));
  if (!is_numeric($nid)) {
    global $user;
    return $user->uid;
  }
  return $nid[1];
}

/**
 */
function isa_links_user_uid_blog() {
  $nid = explode('/', drupal_get_normal_path($_GET['q']));
  return $nid[1];
}

/**
 */
//ISAICP-726
//Modify the advanced search link
function isa_links_get_assets_list_menus() {
  if ('node' == arg(0) and is_numeric(arg(1))) {
    $node_type = db_result(db_query('SELECT type FROM {node} WHERE nid = %d', arg(1)));
  }
  //return array(
  //'Semantic Assets' => array(
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-797
  //Change menu url from catalogue/all?current_checkbox=1
  //'menus' => array(
  //'Catalogue of assets' => array(
  //      'title' => 'Catalogue of Assets',
  //      'href' => 'catalogue/all',
  //     'query' => array('filters' => 'bs_current_version:true'),
  //  ),
  //  array(
  //       'title' => 'Projects',
  //       'href' => 'asset/all',
  //   ),
  // ISAICP-893
  // ADMS.SW - conform import, content management, search, and export features
  //'Federated repositories' => array(
  //           'title' => 'Federated Repositories',
  //           'href' => 'repositories/asset',
  //           'class' => 'repository' == $node_type  ? 'active' :  FALSE
  //       ),

  //	 'Advanced Search' => array(
  //          'title' => 'Advanced Search',
  //          'href' => 'search/apachesolr_search',
  // https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-730
  // Search path with the filter on the node type = asset release
  //          'query' => array(
  //             'filters' => 'sm_facetbuilder_facet_node_type:"facet_node_type:facet_24"  sm_facetbuilder_facet_node_type:"facet_node_type:facet_22"',
  //             'retain-filters' => '1',
  //			  'hidden_type'	=> '1',
  //        ),
  //      ),


  //     array(
  //         'title' => 'Recommended',
  //         'href' => 'asset/recommended',
  //		  'permission' => 'access authoring information'
  //     ),
  //     array(
  //         'title' => 'Assets I use',
  //         'href' => 'asset/i_use',
  //		  'permission' => 'access authoring information'
  //      ),
  //      array(
  //         'title' => 'Editor\'s choice',
  //         'href' => 'asset/editor',
  //		  'permission' => 'access authoring information'
  //      )
  //   )
  //  )
  // );

}

//https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-897
/**
 */
function isa_links_get_software_list_menus() {
  return array(
    'Software' => array(
      'menus' => array(
        /*array(
            'title' => 'Software releases',
            'href' => '',
        ),*/
        array(
          'title' => 'Software projects',
          'href' => 'software/all',
        ),
        // ISAICP-893
        // ADMS.SW - conform import, content management, search, and export features
        array(
          'title' => 'Federated Repositories',
          'href' => 'repositories/software',
        ),
        array(
          'title' => 'My Software Projects',
          'href' => 'software/my_oss',
        ),
        array(
          'title' => 'Software I use',
          'href' => 'software/i_use',
        ),
        array(
          'title' => 'Recommended',
          'href' => 'software/recommended',
        ),
        array(
          'title' => 'Editor\'s choice',
          'href' => 'software/editor',
        ),
      ),
    ),
    'Legal Corner' => array(
      'menus' => array(
        array(
          'title' => 'License Wizard',
          'href' => 'node/2048',
        ),
        array(
          'title' => 'EUPL',
          'href' => 'node/2567',
        ),
        array(
          'title' => 'Licence & Comp. agreements',
          'href' => 'node/19778',
        ),
        array(
          'title' => 'Licence compatibility',
          'href' => 'node/19779',
        ),
        array(
          'title' => 'FAQ',
          'href' => 'software/page/faq',
        ),
      ),
    ),
    /*'Methodologies' => array(
        'menus' => array(
            array(
                'title' => 'Case studies',
                'href' => 'software/studies',
            ),
            array(
                'title' => 'Guidelines',
                'href' => 'software/guidelines',
            ),
        ),
    ),*/
    /*'Partners' => array(
        'menus' => array(
            array(
                'title' => 'OSS Centres',
                'href' => 'node/2563',
            ),
            array(
                'title' => 'Federated Forges',
                'href' => 'software/federated_forge',
            ),
            array(
                'title' => 'Virtual Forges',
                'href' => 'node/2568',
            ),
        ),
    ),*/
  );
}

/**
 */
function isa_links_get_info_page_menus() {
  return array(
    'Information' => array(
      'menus' => array(
        array(
          'title' => 'About us',
          'href' => 'node/2551',
        ),
        array(
          'title' => 'ePractice.eu',
          'href' => 'node/110025',
        ),
        array(
          'title' => 'Osor.eu',
          'href' => 'node/2848',
        ),
        array(
          'title' => 'Semic.eu',
          'href' => 'node/2847',
        ),
        array(
          'title' => 'Our services',
          'href' => 'node/2549',
        ),
        array(
          'title' => 'Metrics',
          'href' => 'metrics',
        ),
        array(
          'title' => 'Legal notice',
          'href' => drupal_lookup_path('source', 'page/legal-notice'),
        ),
        array(
          'title' => 'Get involved',
          'href' => 'node/2825',
        ),
        array(
          'title' => 'Help',
          'href' => 'help',
        ),
        array(
          'title' => 'FAQ',
          'href' => 'help_topics',
        ),
        array(
          'title' => 'Contact',
          'href' => 'contact',
        ),
        array(
          'title' => 'Sitemap',
          'href' => 'sitemap',
        ),
        array(
          'title' => 'Analytics disclaimer',
          'href' => drupal_lookup_path('source', 'page/disclaimer-google-analytics'),
        ),
        array(
          'title' => 'Glossary',
          'href' => 'glossary',
        ),
        array(
          'title' => 'Widget',
          'href' => drupal_lookup_path('source', 'page/widget'),
        ),
        array(
          'title' => 'Assets widget',
          'href' => drupal_lookup_path('source', 'page/widget_asset'),
        ),
      ),
    ),
  );
}

/**
 */
function isa_links_get_people_menus() {
  return array(

    'Profile ' => array(//CAUTION : don't remove the beyond space
      'menus' => array(
        array(
          'title' => 'My Page',
          'href' => 'user/%d',
          'url_callback' => 'isa_links_user_uid',
        ),
        array(
          'title' => 'My Dashboard',
          'href' => 'people/dashboard',
          'url_callback' => 'isa_links_user_uid',
        ),
        array(
          'title' => 'Recommended',
          'href' => 'people/%d/recommended',
          'url_callback' => 'isa_links_user_uid',
        ),
      ),
      'access_callback' => 'isa_links_people_mypage_menu_access',
    ),
    'Admin' => isa_links_get_admin_menus(),
    'Profile' => array(
      'menus' => array(
        array(
          'title' => 'User\'s Page',
          'href' => 'user/%d',
          'url_callback' => 'isa_links_user_uid_blog',
        ),
        array(
          'title' => 'User\'s Blog',
          'href' => 'people/%d/blog',
          'url_callback' => 'isa_links_user_uid_blog',
        ),
      ),
      'access_callback' => 'isa_links_people_blog_menu_access',
    ),
  );
}

function isa_links_admin_menus() {
  return array('Admin' => isa_links_get_admin_menus());
}

/**
 */
function isa_links_get_admin_menus() {
  return array(
    'menus' => array(
      array(
        'title' => t('Manage users'),
        'href' => 'admin/user/user',
        'permission' => 'manage users'
      ),
      array(
        'title' => t('Manage categories'),
        'href' => 'admin/content/taxonomy',
        'permission' => 'administer taxonomy'
      ),
      array(
        'title' => t('Manage newsletters'),
        'href' => 'admin/content/simplenews/users',
        'permission' => 'administer nodes'
      ),
      array(
        'title' => t('Configure newsletters'),
        'href' => 'admin/content/simplenews/types',
        'permission' => 'administer nodes'
      ),
      array(
        'title' => t('Create a Newsletter'),
        'href' => 'node/add/newsletter',
        'permission' => 'administer nodes'
      ),
      array(
        'title' => t('Edit theme'),
        'href' => 'admin/build/themes/editor/' . variable_get('theme_default', NULL),
        'permission' => 'access Theme Editor for Default theme',
        'access_callback' => 'isa_toolbox_is_in_virtual_forge',
      ),
      array(
        'title' => t('Manage infobox'),
        'href' => 'admin/infobox',
        'permission' => 'administer nodes'
      ),
      array(
        'title' => t('Manage twitter widget'),
        'href' => 'admin/isa/twitter_widget',
        'permission' => 'administer nodes',
      ),
    ),
    'access_callback' => 'isa_links_people_admin_menu_access',
  );
}

/**
 */
function isa_links_get_communities_list_menus() {
  return array(
    'Communities' => array(
      'menus' => array(
        array(
          'title' => 'Find Community',
          'href' => 'community/all',
        ),
        array(
          'title' => 'My Communities',
          'href' => 'community/mine',
        ),
        array(
          'title' => 'Recommended',
          'href' => 'community/recommended',
        ),
        array(
          'title' => 'Editor\'s Choice',
          'href' => 'community/editor',
        ),
      ),
    ),
  );
}

/**
 */
function isa_links_get_event_menus() {
  return array(
    'Events' => array(
      'menus' => array(
        array(
          'title' => 'Browse upcoming',
          'href' => 'event/all',
        ),
        array(
          'title' => 'Browse archives',
          'href' => 'event/archives',
        ),
        array(
          'title' => 'Recommended',
          'href' => 'event/recommended',
        ),
        array(
          'title' => 'Editor\'s Choice',
          'href' => 'event/editor',
        ),
      ),
    ),
  );
}

/**
 */
function isa_links_get_elibrary_menus() {
  return array(
    'e-Library' => array(
      'menus' => array(
        array(
          'title' => 'Browse all',
          'href' => 'elibrary/all',
        ),
        array(
          'title' => 'Cases',
          'href' => 'elibrary/cases',
        ),
        array(
          'title' => 'Presentations',
          'href' => 'elibrary/presentation',
        ),
        array(
          'title' => 'Factsheets',
          'href' => 'elibrary/factsheet',
        ),
        array(
          'title' => 'Web TV',
          'href' => 'elibrary/video',
        ),
        array(
          'title' => 'Documents',
          'href' => 'elibrary/document',
        ),
        array(
          'title' => 'Recommended',
          'href' => 'elibrary/recommended',
        ),
        array(
          'title' => 'Editor\'s Choice',
          'href' => 'elibrary/editor',
        ),
      ),
    ),
  );
}

/**
 */
function isa_links_get_news_list_menus() {
  return array(
    'News' => array(
      'menus' => array(
        //ISAICP-890
        //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-890
        // 1. Hidding 'news' and 'blogs' links
        // 2. Change 'browse all' to 'news'

        array(
          'title' => 'News',
          'href' => 'news/all',
        ),
        /*array(
            'title' => 'News',
            'href' => 'news/news',
        ),
        array(
            'title' => 'Blogs',
            'href' => 'news/blog',
        ),*/
        array(
          'title' => 'Recommended',
          'href' => 'news/recommended',
        ),
        array(
          'title' => "Editor's choice",
          'href' => 'news/editor',
        ),
      ),
    ),
    'Newsletter' => array(
      'menus' => array(
        array(
          'title' => "Archives",
          'href' => 'news/newsletter',
        ),
      ),
    ),
  );
}

/**
 */
function isa_links_get_group_menus($group_type) {
  $menu_title = ucfirst($group_type);
  if ($menu_title == 'Asset') {
    $menu_title = 'Semantic Asset';
  }

  $group_id = variable_get('current_group', isa_toolbox_get_community_nid());
  $short_name = isa_links_get_group_short_name();

  $cla_tool = NULL;
  $project_issue = NULL;
  $project_release = NULL;
  $asset_release = NULL;
  if ($group_type == ISA_REPOSITORY_TYPE) {
    return isa_links_get_assets_list_menus();
  }

  if ($group_type == 'software' || $group_type == 'asset') {
    $original_group = isa_toolbox_get_original_node(node_load($group_id));
    $short_name = isa_links_get_group_short_name($original_group);
    $project_issue = array(
      'title' => 'Issues',
      'href' => "{$group_type}/{$short_name}/issue/all"
    );

    if ($group_type == 'asset') {
      //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-1336
      //Use Download releases
      //Interoperability solution tab title is replaced with Download releases
      $asset_release = array(
        'title' => 'Download releases',
        'href' => "{$group_type}/{$short_name}/asset_release/all"
      );
    }
    elseif ($group_type == 'software') {
      $project_release = array(
        'title' => 'Download releases',
        'href' => "{$group_type}/{$short_name}/release/all"
      );
    }
    //ISAICP-1626 - check if asset comes from a project_project then
    //re-write the overview  based if asset is on path
    $types = explode('/', $original_group->path);
    $group_type_default = (isset($types[0])) ? $types[0] : $group_type;

    $menu_first_block = array(
      array(
        'title' => 'Overview',
        'href' => "{$group_type_default}/{$short_name}/home",
      )
    );
  }
  else {
    //for all the other content which needs to have an
    //overview should pass by here:
    $menu_first_block = array(
      array(
        'title' => 'Overview',
        'href' => "{$group_type}/{$short_name}/home",
      ),
    );
  }

  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-892
  //Add menu links from og custom pages
  function_exists('_isa_og_custom_pages_links_menu_data') ? $menu_first_block = array_merge($menu_first_block, _isa_og_custom_pages_links_menu_data($group_id)) : FALSE;

  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-892
  //Add menu links from og custom pages
  function_exists('_isa_nifo_links_menu_data') ? $menu_first_block = array_merge($menu_first_block, _isa_nifo_links_menu_data($group_id)) : FALSE;

  //Download releases is the first tab after overview 
  $members_list = array(
    'title' => 'Members list',
    'href' => "{$group_type}/{$short_name}/members",
  );
  $menu_first_block = array_merge($menu_first_block, array(
      $project_release,
      $asset_release,
      $members_list,
      $cla_tool,
      $project_issue,
    )
  );

  $menu_left = array(
    $menu_title => array(
      'menus' => $menu_first_block
    ),
    'Highlights' => array(
      'menus' => array(
        array(
          'title' => 'Related',
          'href' => "{$group_type}/{$short_name}/highlights/all",
        ),
      ),
      'permission' => 'access community',
    ),
    'Communications' => array(
      'menus' => array(
        array(
          'title' => 'Forums',
          'href' => "{$group_type}/{$short_name}/forum/all",
        ),
        array(
          'title' => 'Communications',
          'href' => "{$group_type}/{$short_name}/communications/all",
        ),
      ),
      'permission' => 'access community',
    ),
  );
//https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-898
//Added menu Legal Corner (as in Software tab) to the community EUPL
  if ($group_type == 'community' && $short_name == 'eupl') {
    $array_legal = array(
      'Legal Corner' => array(
        'menus' => array(
          array(
            'title' => 'License Wizard',
            'href' => 'node/2048',
          ),
          array(
            'title' => 'EUPL',
            'href' => 'node/2567',
          ),
          array(
            'title' => 'Licence & Comp. agreements',
            'href' => 'node/19778',
          ),
          array(
            'title' => 'Licence compatibility',
            'href' => 'node/19779',
          ),
          array(
            'title' => 'FAQ',
            'href' => 'software/page/faq',
          ),
        ),
      ),
    );

    $menu_left['Legal Corner'] = $array_legal['Legal Corner'];
  }
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-760
  //Hide the forum link if the forum is disable for software projects, semantic asset projects and communities
  $node = node_load($group_id);
  switch ($group_type) {
    case 'software';
    case 'asset';
      if (isset($node->field_project_forum_creation) && ($node->field_project_forum_creation[0]['value'] == 'Deactivated')) {
        unset($menu_left['Communications']['menus'][0]);
      }
      break;
    case 'community':
      if (isset($node->field_community_forum_creation) && ($node->field_community_forum_creation[0]['value'] == 'Deactivated')) {
        unset($menu_left['Communications']['menus'][0]);
      }
      break;
  }


  // ISAICP-1674
  // Move the Description/About tab to the right.
  // My first idea was to sort those tabs using a #weight property
  // but there are 3 different menus in $menu_left having an h3 title and a permission
  // See isa_links_create_menus() (this is a mess...)
  if ($group_type != 'software' && $group_type != 'asset') {
    $menu_left['Extra'] = array(
      'menus' => array(
        array(
          'title' => 'About',
          'href' => "node/{$group_id}"
        )
      )
    );
  }

  //same comment as above 
  //move Description tab at the end of the list and rename it to About
  if ($group_type == 'software' || $group_type == 'asset') {
    $menu_left['Extra'] = array(
      'menus' => array(
        array(
          'title' => 'About',
          'href' => "node/{$group_id}"
        )
      )
    );
  }

  return $menu_left;
}

/**
 * This functions determines the menu to for catalogue/* path. These urls are the release list and detail
 */
function isa_links_release_catalogue_menus() {
  $path = explode('/', $_GET['q']);
  $nid = $path[1];
  $node = node_load($nid);

  switch ($node->type) {
    case ISA_DISTRIBUTION_TYPE:
      $distribution_tree = _isa_toolbox_distribution_tree($node);
      if (isset($distribution_tree['repository_nid']) && !empty($distribution_tree['repository_nid'])) {
        $parent = isa_blocks_community_get_node($distribution_tree['repository_nid']);
      }
      break;
    case ISA_ASSET_RELEASE_TYPE:
      //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
      //Load highlighs for software releases associated directly with projects
      $nid = variable_get('current_group', NULL);
      //into a group
      if (isset($nid)) {
        $parent = isa_blocks_community_get_node($nid);

      }
      break;
  }
  if (isset($parent->path) & !empty($parent->path)) {
    $menu[] = array(
      'title' => t('Overview'),
      'href' => $parent->path,
    );
  }
  $menu[] = array(
    'title' => t('Solutions'),
    'href' => $node->path,
  );
  $menu_left[t('Repositories')]['menus'] = $menu;
  return $menu_left;
}


// ISAICP-893
// ADMS.SW - conform import, content management, search, and export features
// add menu to the view of repository
/**
 * This functions determines the menu to for catalogue/repository/ path.
 */
function isa_links_catalogue_repository_menus() {

  $path = explode('/', $_GET['q']);
  $nid = $path[1];
  $node = node_load($nid);
  $menu = array();

  /* Old code
  $menu[] = array(
  'title' => t('Overview'),
  'href' => $node->path,
);
  $menu_left[t('Repositories')]['menus'] = $menu;
  return $menu_left;
  */
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-1509
  //Overview button does not work with an interoperabilty Solution
  $nid = variable_get('current_group', NULL);

  //into a group
  if (isset($nid)) {
    $parent = isa_blocks_community_get_node($nid);
  }
  if (isset($parent->path) & !empty($parent->path)) {
    $menu[] = array(
      'title' => t('Overview'),
      'href' => $parent->path,
    );
  }
  else {
    $menu[] = array(
      'title' => t('Overview'),
      'href' => $node->path,
    );
  }

  $menu_left[t('Repositories')]['menus'] = $menu;
  return $menu_left;
}

/**
 * Allows other modules to change the menu on the left column
 * @param array $data
 * @return array
 */
function hook_isa_menus_dataa($data) {
  return $data;
}
/* Desactivated for 1.4.0.i1
function isa_links_get_catalogue_menus(){
    return array(
        'Catalogue' => array(
            'menus' => array(
                'find release' => array(
                    'title' => 'find asset release',
                    'href' => 'catalogue/all',
                ),
                'find repository' => array(
                    'title' => 'find repository',
                    'href' => 'catalogue/repository/all'
                )
            )
        )
    );
}
*/