<?php
/**
 * @file isa_nifo_analytical_evidence_template.tpl.php
 * Template for the custom analytical model comparison
 *
 *  Available variables:
 *      .- $textCountry: country
 *      .- $textCategory: Category
 *      .- $arrayElement: element' facts
 *      .- $nodeLoad        : node load
 *      .- $zone        : alignment or monitoring
 */
$values = $nodeLoad->nifo_values;
$var = 'nifo_evidence_'.$zone;
isset($values[$arrayElement['idnifo_eif_element']]->$var) ? $evidence = $values[$arrayElement['idnifo_eif_element']]->$var : $evidence = '';
$published = new DateTime($nodeLoad->field_analytical_date[0]['value']);
//https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-892
//Layout error on evidence box
?>
<div id="evidence-box" class="evidence-box">
  <div class="evidence-head">
    <strong class="country"><?php echo $textCountry['name']?></strong>
    <span class="date"><?php echo t('Published date')?>: <?php echo $published->format('F d, Y')?></span>
    <span class="close"><?php echo t('X')?></span>
  </div>
  <div class="principle-box">
    <strong class="category"><?php echo $textCategory['order'] ?>. <?php echo $textCategory['nifo_categories_name'] ?></strong>
    <div class="evidence-content">
      <strong class="element-title"><?php echo $textCategory['order'] ?>.<?php echo $arrayElement['order'] ?> <?php echo $arrayElement['nifo_eif_element'] ?></strong>    
      <div class="element"><?php echo $arrayElement['nifo_eif_measurement'] ?></div>
      <div class="evidence-title"><?php echo t('Evidence') ?></div>
      <div class="evidence-body"><?php echo $evidence ?></div>
    </div>
  </div>
</div>