<?php
/**
 * @file isa_nifo_analytical_template.tpl.php
 * Template for the custom analytical model comparison
 *
 *  Available variables:
 *      .- $form: filters form
 *      .- $charts: comparison charts
 *      .- $tables: comparison tables
 *      .- $summary: summary of values  
 *      .- $pdf_link: link to pdf    
 *      .- $leyend: chart leyend  
 *      .- $showPdfLink: whether to display link or not to export pdf 
 */
$i=1;
$x=1;
?>
<div id="resultado"></div>
<div class="page-compare-nifs clearfix">
  <p class="description"><?php print t('Compare the Analytical Model of different countries in order to know the alignment of their National Interoperability Framework (NIF) related to European Interoperability Framework (EIF).') ?></p>
  <div class="form-compare-nifs">
    <?php print_r($form)?> 
    <?php 
    /* button to export to pdf should not appear if there are no analytical models */ ?>
    <?php if($pdf_link != ''){?>
    <div class="export-pdf-link"><?php echo $pdf_link ;?></div>
    <div class="export-xls-link"><?php echo $xls_link ;?></div>
    <?php }?>
  </div>
  <?php if(isset($charts)): ?>
    <div class="tabbed-blocks">
      <ul class="primary-tabs-nifo">
        <?php while( list($zone, $chart) = each($charts) ):?>
        <li><a href="#tabbed-blocks-<?php echo ++$i ?>"><span class="<?php echo 1 == $i ? "first" : "no-first"?>"><?php echo t($chart['label']) ?></span></a></li>
        <?php endwhile; ?>
      </ul>
      <div class="primary-tabs-content clearfix">
        <?php reset($charts); ?>
        <?php while( list($zone, $chart) = each($charts) ): ?>
          <div id="tabbed-blocks-<?php echo ++$x ?>">
            <h4 class="tabs-title"><strong><?php echo t('Country Comparative')?></strong> <?php echo t('by')?> <strong><?php echo $chart['label']?></strong></h4>
            <div class="compare-nifs-graph"> <?php  print($chart['img']);?></div>
            <div class="compare-nifs-graph-leyend">
              <div class="leyend">
                <strong class="leyend-title"><?php echo t('EIF Average')?></strong>
                <?php foreach ($leyend as $key => $value): ?>
                  <div class="leyend-color"><span class="color" style="background-color:<?php echo $value['hexadecimal']?>"></span><span class="country"><?php echo $value['country']?></span></div>
                <?php endforeach; ?>
            </div>
            <div class="scoring">
              <strong class="scoring-title"><?php echo t('Scoring')?> </strong>
              <div class="scoring-leyend">
                <div class="scoring-elements"><b>2</b> <?php echo ($zone=='alignement')?t('Fully aligned'):t('Practically applied and monitored'); ?></div>
                <div class="scoring-elements"><b>1</b> <?php echo ($zone=='alignement')?t('Partially aligned'):t('Practically applied or monitored');?></div>
                <div class="scoring-elements"><b>0</b> <?php echo ($zone=='alignement')?t('Not aligned'):t('No evidence of practical application or monitoring')?></div>
              
              </div>
            </div>
          </div>
          <div class="summary-graph-table"><?php print($tables[$zone]); ?></div>
          <div class="subtitle-box"><span></span><h3><strong><?php echo t('Summary of Countries Comparative')?></strong>  <?php echo t('by EIF Alignment and their evidence')?></h3></div>
          <div class="tabbed-blocks">
            <?php
              $j = 1;
              $k = 1;
            ?>
            <ul class="secondary-tabs-nifo">
              <?php while(list($idCat, $category) = each($summary[$zone]['head'])): ?>
                <li class="<?php echo 1 == $j ? "first" : "no-first"?>"><a href="#tabbed-blocks-<?php print $zone . $j;?>"><span class="<?php echo 1 == $j ? "first" : "no-first"?>"><?php echo t($category) ?></span></a></li>
                <?php $j++; ?>
              <?php endwhile;?>
            </ul>
              <?php while(list($idCat, $table) = each($summary[$zone]['table'])):?>
                <div id="tabbed-blocks-<?php print $zone . $k;?>">
                  <div class="summary-comparative-table"><?php print $table; ?></div>
                </div>
                <?php $k++; ?>
              <?php endwhile;?>
          </div>
          </div>
        <?php endwhile; ?>
      </div>
    </div>
  <?php endif; ?>
</div>
