<?php

require_once(drupal_get_path('module', 'node') . '/node.module');

/**
 * Form alter for the project_project form
 *
 * @param array $form Nested array of form elements that comprise the form.
 * @param array $form_state A keyed array containing the current state of the form. The arguments that drupal_get_form() was originally called with are available in the array $form_state['build_info']['args'].
 * @param string $form_id String representing the name of the form itself. Typically this is the name of the function that generated the form.
 *
 * Top title 	field_catalogue_top_title
 Title 	field_title_catalogue
 Description 	field_description
 Title link 	field_title_link_catalogue
 Image 	field_image_h_catalogue
 
 * @see isa_node_form_form_alter
 */
function _home_catalogue_form_validate(&$form, &$form_state) {
  //print_R($form_state);die();
  //drupal_set_message(print_R($form_state,true));
	$fields = array(
	'field_node_catalogue'
	);
	$num_images = 0;
	foreach($form_state['values']['field_node_catalogue'] as $key => $value) {
		 if (FALSE !== file_check_path($value['value']['field_image'][0]['filepath'])) {
			$num_images++;
		 }
	}
	//drupal_set_message($num_images);

  if (($form_state['values']['field_banner_carousel'][0]['value'] == 0) && ( $num_images != 3)) {
	form_set_error('field_banner_carousel', t('If you want to display a banner, please upload 3 images.'));
  }
  
}

