//https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-1246
//Redirection when cancelling
jQuery(document).ready(function () {
  function parseUri(str) {
    var o = parseUri.options,
      m = o.parser[o.strictMode ? "strict" : "loose"].exec(str),
      uri = {},
      i = 14;

    while (i--) {
      uri[o.key[i]] = m[i] || "";
    }

    uri[o.q.name] = {};
    uri[o.key[12]].replace(o.q.parser, function ($0, $1, $2) {
      if ($1) {
        uri[o.q.name][$1] = $2;
      }
    });

    return uri;
  }

  parseUri.options = {
    strictMode: false,
    key: ["source", "protocol", "authority", "userInfo", "user", "password", "host", "port", "relative", "path", "directory", "file", "query", "anchor"],
    q: {
      name: "queryKey",
      parser: /(?:^|&)([^&=]*)=?([^&]*)/g
    },
    parser: {
      strict: /^(?:([^:\/?#]+):)?(?:\/\/((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?))?((((?:[^?#\/]*\/)*)([^?#]*))(?:\?([^#]*))?(?:#(.*))?)/,
      loose: /^(?:(?![^:@]+:[^:@\/]*@)([^:\/?#.]+):)?(?:\/\/)?((?:(([^:@]*)(?::([^:@]*))?)?@)?([^:\/?#]*)(?::(\d*))?)(((\/(?:[^?#](?![^?#\/]*\.[^?#\/.]+(?:[?#]|$)))*\/?)?([^?#\/]*))(?:\?([^#]*))?(?:#(.*))?)/
    }
  };

  // Show/hide field_community_url fields when clicking on #edit-internet checkbox in community edit form
  var editInternet = '#edit-internet';
  if ($(editInternet).length > 0) {
    var divElement = '.community-internet';
    var fieldUrl = '#edit-field-community-url-0-url';
    var fieldUrlTitle = '#edit-field-community-url-0-title';
    $(editInternet).change(function () {
      if ($(this).is(':checked')) {
        $(divElement).show();
      } else {
        $(fieldUrl).val('');
        $(fieldUrlTitle).val('');
        $(divElement).hide();
      }
    });

    if ($(fieldUrl).val() != '' || $(fieldUrlTitle).val() != '') {
      $(divElement).show();
      $(editInternet).attr('checked', 'checked');
    }
  }

  // Show/hide field_community_url fields when clicking on #edit-internet checkbox in community edit form
  var editAssetId = '#edit-field-asset-identifier-chk';
  if ($(editAssetId).length > 0) {
    var divElement = '#edit-field-asset-identifier-items';
    $(editAssetId).change(function () {
      if ($(this).is(':checked')) {
        $(divElement).css('display', 'block');
      } else {
        $(divElement).find('input[type="text"]').val('');
        $(divElement).css('display', 'none');
      }
    });
    $(editAssetId).change();
  }

  // Show/hide aboutthesoftware fields when clicking on #edit-internet checkbox in community edit form
  var editAboutthesoftware = '#edit-aboutthesoftware';
  if ($(editAboutthesoftware).length > 0) {
    var divElement = '.aboutthesoftware';
    var operaSystem = '#edit-field-operating-system-15329';
    var progLang = '#edit-field-programming-language-15468';
    var intAudience = '#edit-field-intended-audience-15225';
    var fileFormat = '#edit-field-file-format';
    var soluCateg = '#edit-field-solution-category';
    var userInterface = '#edit-field-user-interface-15015';
    var status = '#edit-field-status';

    $(editAboutthesoftware).change(function () {
      if ($(this).is(':checked')) {
        $(divElement).show();
      } else {
        $(divElement).hide();
      }
    });
    // show fields if they are originally selected.
    if ($(operaSystem).is(':checked') || $(progLang).is(':checked') || $(operaSystem).is(':checked')
      || $(userInterface).is(':checked') || $(fileFormat).is(':selected') || $(soluCateg).is(':selected') ||
      $(status).is(':selected')) {
      $(divElement).show();
      $(editAboutthesoftware).attr('checked', true);
    }
  }

  //for maven and svn links
  $("#edit-project-maven-value").change(function () {
    if (this.checked) {
      $("#edit-field-project-display-maven-value").attr('checked', true);
    } else {
      $("#edit-field-project-display-maven-value").attr('checked', false);
    }
  });
  $("#edit-project-svn-value").change(function () {
    if (this.checked) {
      $("#edit-field-project-display-svn-value").attr('checked', true);
    } else {
      $("#edit-field-project-display-svn-value").attr('checked', false);
    }

  });
  $("#edit-project-webdir").change(function () {
    if (this.checked) {
      $("#edit-field-webdir").attr('checked', true);
    } else {
      $("#edit-field-webdir").attr('checked', false);
    }

  });


  //goal and background
  var editProjres = '#edit-project-projresources';
  if ($(editProjres).length > 0) {
    var divProjects = '.project-project_resources';
    var divPopupslinks = '.popups-reference-1, .popups-reference-2, .popups-reference-3, .popups-reference-4';
    var homePage = '#edit-project-homepage';
    var projDoc = '#edit-project-documentation';
    var projCVS = '#edit-project-cvs';

    $(editProjres).change(function () {
      if ($(this).is(':checked')) {
        $(divProjects).show();
        $(divPopupslinks).show();

      } else {
        $(divProjects).hide();
        $(divPopupslinks).hide();
      }
    });
    if ($(homePage).val() != '' || $(projDoc).val() != '' || $(projCVS).val() != '') {
      $(editProjres).attr('checked', true);
      $(divProjects).show();
      $(divPopupslinks).show();

    }

  }


  jQuery('#edit-cancel').click(function (e) {
    if ('Cancel' === jQuery(this).attr('value')) {
      jQuery('#node-form').attr('action', jQuery('#node-form').attr('action').replace('destination_cancel', 'destination'));
      console.log(jQuery('#node-form').attr('action'));
    }
  });
});