<?php
/**
 * Implements hook_block()
 *
 * @param string $op
 * @param integer $delta
 * @param array $edit
 * @return array
 */
function isa_core_feature_block ($op = 'list', $delta = 0, $edit = array()) {
  switch ($op) {
    case "list" :
      //Basic list of statistics block. Number of users / Interoperability solutions and communities
      $blocks[0] = array(
        'info' => t('Basic statistics'),
        'weight' => 0,
        'status' => 0,
        'cache' => BLOCK_CACHE_GLOBAL
      );

      $blocks[1] = array(
        'info' => t('Tweeter widget'),
        'weight' => 0,
        'status' => 0,
        'cache' => BLOCK_CACHE_GLOBAL
      );

      return $blocks;

    case "view" :
      //About interoperability solution top page block content
      if ($delta == 0) {
        $block = array(
          "subject" => "",
          "content" => isa_core_feature_basic_statistics_content()
        );
      } else if ($delta == 1) {
        $block = array(
          "subject" => "",
          "content" => variable_get("twitter_widget_code", "")
        );
      }

      return $block;
  }
}


function isa_core_feature_basic_statistics_content () {
  require_once drupal_get_path("module", "isa_core_feature") . "/isa_core_feature.db.inc";

  $users_count = isa_core_feature_count_users();
  $communities_count = isa_core_feature_count_communities();
  $interoperability_solutions_count = isa_core_feature_count_interoperability_solutions();
  $federated_repositories_count = isa_core_federated_repositories();

  $items = array();
  if (!empty($users_count)) {
    $items[] = l(t("!count Users",
        array("!count" => '<span>' . $users_count . '</span>')),
      ISA_CORE_PEOPLE_PATH, array("html" => true));
  }

  if (!empty($communities_count)) {
    $items[] = l(t("!count Communities",
        array("!count" => '<span>' . $communities_count . '</span>')),
      ISA_CORE_COMMUNITY_PATH, array("html" => true));
  }

  if (!empty($interoperability_solutions_count)) {
    $items[] = l(t("!count Interoperability solutions",
        array("!count" => '<span>' . $interoperability_solutions_count . '</span>')),
      ISA_CORE_INTEROPERABILITY_SOLUTION_PATH, array("html" => true));
  }
  //uncomment if you need to count the federated repositories also. 
  //Style needs to be adapted
  /*
  if (!empty($federated_repositories_count)) {
      $items[] = l(t("!count Federated repositories", 
              array("!count" => '<span>' . $federated_repositories_count . '</span>')),
              ISA_CORE_FEDERATED_REPOSITORIES_PATH, array('html' => true));
  }
  */

  return theme_item_list($items);
}