<?php
//Type of interoperability solutions taxonomy vocabulary name
define("ISA_INTEROPERABILITY_SOLUTIONS_VOCABULATY_NAME", "Solution category");

/**
 * Implements hook_block()
 * 
 * @param string $op
 * @param integer $delta
 * @param array $edit
 * @return array
 */
function isa_interoperability_feature_block ($op = 'list', $delta = 0, $edit = array()) {
  switch ($op) {
    case "list" : 
      //About interoperability solution block in list
      $blocks[0] = array(
        'info' => t('About interoperability solution'),
        'weight' => -10,
        'status' => 0,
        'cache' => BLOCK_CACHE_GLOBAL,
        'region' => 'before_content',
      );
      
      //IS Search form block 
      $blocks[1] = array(
        'info' => t('Search interoperability solution'),
        'status' => 0,
        'cache' => BLOCK_CACHE_GLOBAL
      );
      
      //Federated repositories right side link block
      $blocks[2] = array(
          'info' => t('Federated repositories button'),
          'status' => 0,
          'cache' => BLOCK_CACHE_GLOBAL
      );
      
      return $blocks;
      
    case "view" : 
      //About interoperability solution top page block content
      if ($delta == 0) {
        $block = array(
          "subject" => "",
          "content" => 
            variable_get("group_asset_releases_list_text_information", "") .
            isa_interoperability_feature_statistics_content()
            
        );
      } else if ($delta == 1) {
        $block = array(
          "subject" => "",
          "content" => drupal_get_form("isa_interoperability_search_form")
        );
      } else if ($delta == 2) {
          //Federated repositories left side button pointing to the list
          $button_text = variable_get('federated_repositories_block_link_text', '');
          $block = array(
              'subject' => '',
              'content' => l($button_text, 'catalogue/repository',
                      array("attributes" => array("id" => 'federated-repositories-button')))
          );
      }
      
      return $block;
      
    default : 
      //
  }
}

function isa_interoperability_feature_statistics_content () {
  $statistics = isa_interoperability_feature_statistics();
  
  $items = array();
  foreach($statistics as $name => $count) {
    //translation for $name should be translated at vocabulary / taxonomy level
    $items[] = "<span>" . $count . "</span> " . $name;
  }
  
  return theme_item_list($items);
}

/**
 * Count the number of Interoperability solutions for each term of 
 * ISA_INTEROPERABILITY_SOLUTIONS_VOCABULATY_NAME vocabulary
 * 
 * @return array 
 */
function isa_interoperability_feature_statistics() {
  module_load_include('inc', 'isa_core_feature', 'isa_core_feature.db');
  
  $catalogue = array();
  
  $vocabs = taxonomy_get_vocabularies(NULL);
  //search for the ISA_INTEROPERABILITY_SOLUTIONS_VOCABULATY_NAME vocabulary to get the id
  foreach ($vocabs as $vocab_object) {
    if ($vocab_object->name == ISA_INTEROPERABILITY_SOLUTIONS_VOCABULATY_NAME) {
      $vid = $vocab_object->vid;
    }
  }

  if ($vid) {
    $terms = taxonomy_get_tree($vid);
    
    if ($terms) {
      foreach ($terms as $term) {
        //count the number of solr entries for the $term
        $count = isa_core_feature_count_interoperability_solutions($term->tid);
        
        //build catalogue values using the term name and the count value
        $catalogue[$term->name] = $count;
      }
    }
  }
  return $catalogue;
}