<?php
/**
 * Build simple Interoperability solution search form
 * 
 * @param array $form_state
 * @return array
 */
function isa_interoperability_search_form ($form_state) {
  
  $form = array();
  $form['is_search'] = array(
    '#type' => 'textfield',
    '#attributes' => array(
      'placeholder' => t('Search Interoperability solutions')
    )
  );
  
  $form['submit'] = array(
    '#type' => 'submit', 
    '#value' => ''
  );
  
  $form['#submit'][] = 'isa_interoperability_search_form_submit';
  
  return $form;
}

/**
 * Submit simple interoperability solution form
 * Redirect to global search 
 * 
 * @param array $form
 * @param array $form_state
 * @return null;
 */
function isa_interoperability_search_form_submit($form, $form_state) {
  $key = $form_state['values']['is_search'];
  $path = "search/apachesolr_search/" . $key;

  $filters = '';
  foreach (array('asset_release', 'project_project') as $value) {
    $filters .='sm_facetbuilder_facet_node_type:"facet_node_type:' . _isa_apachesolr_facet_node_type($value) . '" ';
  }

  drupal_goto($path, array('filters' => $filters, 'retain-filters' => 1, 'hidden_type' => 1));
}