<?php

/**
 * Implementation of hook_views_default_views().
 */
function isa_spambot_feature_views_default_views() {
  $views = array();

  // Exported view: spam_users_list
  $view = new view;
  $view->name = 'spam_users_list';
  $view->description = 'Spam users list with isa_spam flag';
  $view->tag = 'spam,user';
  $view->view_php = '';
  $view->base_table = 'users';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Spam users list', 'default');
  $handler->override_option('relationships', array(
    'flag_content_rel' => array(
      'label' => 'isa_spam_flag',
      'required' => 1,
      'flag' => 'isa_spam',
      'user_scope' => 'any',
      'id' => 'flag_content_rel',
      'table' => 'users',
      'field' => 'flag_content_rel',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('fields', array(
    'uid' => array(
      'label' => 'Uid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_user' => 1,
      'exclude' => 1,
      'id' => 'uid',
      'table' => 'users',
      'field' => 'uid',
      'relationship' => 'none',
    ),
    'name' => array(
      'id' => 'name',
      'table' => 'users',
      'field' => 'name',
    ),
    'mail' => array(
      'label' => 'E-mail',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_user' => '0',
      'exclude' => 0,
      'id' => 'mail',
      'table' => 'users',
      'field' => 'mail',
      'relationship' => 'none',
    ),
    'created' => array(
      'id' => 'created',
      'table' => 'users',
      'field' => 'created',
    ),
    'login' => array(
      'id' => 'login',
      'table' => 'users',
      'field' => 'login',
    ),
    'status' => array(
      'id' => 'status',
      'table' => 'users',
      'field' => 'status',
    ),
    'edit_node' => array(
      'id' => 'edit_node',
      'table' => 'users',
      'field' => 'edit_node',
    ),
  ));
  $handler->override_option('sorts', array(
    'created' => array(
      'order' => 'DESC',
      'granularity' => 'second',
      'id' => 'created',
      'table' => 'users',
      'field' => 'created',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'role',
    'role' => array(
      '6' => 6,
      '14' => 14,
      '9' => 9,
      '16' => 16,
      '4' => 4,
      '3' => 3,
      '13' => 13,
    ),
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('title', 'Spam users list');
  $handler->override_option('empty', '<p>No spam users found.</p>');
  $handler->override_option('empty_format', '2');
  $handler->override_option('items_per_page', 20);
  $handler->override_option('use_pager', 'mini');
  $handler->override_option('style_plugin', 'bulk');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'uid' => 'uid',
      'name' => 'name',
      'mail' => 'mail',
      'created' => 'created',
      'login' => 'login',
      'status' => 'status',
      'edit_node' => 'edit_node',
    ),
    'info' => array(
      'uid' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'name' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'mail' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'created' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'login' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'status' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'edit_node' => array(
        'separator' => '',
      ),
    ),
    'default' => '-1',
    'execution_type' => '1',
    'display_type' => '0',
    'hide_select_all' => 0,
    'skip_confirmation' => 0,
    'display_result' => 1,
    'merge_single_action' => 1,
    'selected_operations' => array(
      'views_bulk_operations_delete_user_action' => 'views_bulk_operations_delete_user_action',
      'og_approve_user_action' => 0,
      'user_block_ip_action' => 0,
      'user_block_user_action' => 0,
      'user_user_operations_block' => 0,
      'nodewords_admin_mass_update:3925bd6c9edcf332c87f461396305366' => 0,
      'og_demote_user_action' => 0,
      'og_deny_user_action' => 0,
      'system_message_action' => 0,
      'views_bulk_operations_action' => 0,
      'views_bulk_operations_script_action' => 0,
      'views_bulk_operations_ruleset_action_rules_heartbeat_when_user_edit_a_page_log_user_activity' => 0,
      'views_bulk_operations_user_roles_action' => 0,
      'views_bulk_operations_argument_selector_action' => 0,
      'og_promote_user_action' => 0,
      'system_goto_action' => 0,
      'system_send_email_action' => 0,
      'og_subscribe_user_action' => 0,
      'views_bulk_operations_ruleset_action_rules_survey_sending_rule_set' => 0,
      'user_user_operations_unblock' => 0,
      'og_unsubscribe_user_action' => 0,
      'pathauto_user_update_alias_multiple:620e193b20ba9caa374fea9ca0ad38f0' => 0,
    ),
  ));
  $handler = $view->new_display('page', 'Spam users list', 'page_1');
  $handler->override_option('path', 'admin/isa/spambot');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Spam users',
    'description' => 'Spam users list',
    'weight' => '10',
    'name' => 'admin_menu',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
    'name' => 'navigation',
  ));

  $views[$view->name] = $view;

  //spam user clean up
  $view = new view;
  $view->name = 'user_spam_cleanup';
  $view->description = 'Spam user cleanup';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'users';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Spam user cleanup', 'default');
  $handler->override_option('relationships', array(
    'content_profile_rel' => array(
      'label' => 'Content Profile',
      'required' => 0,
      'type' => 'profile',
      'id' => 'content_profile_rel',
      'table' => 'users',
      'field' => 'content_profile_rel',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('fields', array(
    'name' => array(
      'label' => 'Name',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_user' => 0,
      'overwrite_anonymous' => 0,
      'anonymous_text' => '',
      'exclude' => 1,
      'id' => 'name',
      'table' => 'users',
      'field' => 'name',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'content_profile_rel',
    ),
    'uid' => array(
      'label' => 'Uid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_user' => 1,
      'exclude' => 1,
      'id' => 'uid',
      'table' => 'users',
      'field' => 'uid',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'content_profile_rel',
    ),
    'nid' => array(
      'label' => 'Nid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 1,
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'content_profile_rel',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'created' => array(
      'label' => 'Created date',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'date_format' => 'raw time ago',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'created',
      'table' => 'users',
      'field' => 'created',
      'relationship' => 'none',
    ),
    'title' => array(
      'label' => 'Title',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'content_profile_rel',
    ),
    'field_professional_profile_value' => array(
      'label' => 'Professional Profile',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 1,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'plain',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_professional_profile_value',
      'table' => 'node_data_field_professional_profile',
      'field' => 'field_professional_profile_value',
      'relationship' => 'content_profile_rel',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'field_company_name_value' => array(
      'id' => 'field_company_name_value',
      'table' => 'node_data_field_company_name',
      'field' => 'field_company_name_value',
    ),
    'nothing_1' => array(
      'label' => 'Profile Page',
      'alter' => array(
        'text' => 'Profile-page',
        'make_link' => 1,
        'path' => '../../people/[uid]',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '_blank',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'nothing_1',
      'table' => 'views',
      'field' => 'nothing',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
    ),
    'nothing' => array(
      'label' => 'Block-Spam',
      'alter' => array(
        'text' => 'Block Spam page',
        'make_link' => 1,
        'path' => '../../user/[uid]/spambot',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '_blank',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'nothing',
      'table' => 'views',
      'field' => 'nothing',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'created' => array(
      'order' => 'DESC',
      'granularity' => 'second',
      'id' => 'created',
      'table' => 'users',
      'field' => 'created',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('filters', array(
    'status' => array(
      'operator' => '=',
      'value' => '1',
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'status',
      'table' => 'users',
      'field' => 'status',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
    ),
    'field_professional_profile_value' => array(
      'operator' => 'contains',
      'value' => '',
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_professional_profile_value_op',
        'identifier' => 'field_professional_profile_value',
        'label' => 'Professional Profile',
        'optional' => 1,
        'remember' => 0,
      ),
      'case' => 0,
      'id' => 'field_professional_profile_value',
      'table' => 'node_data_field_professional_profile',
      'field' => 'field_professional_profile_value',
      'relationship' => 'content_profile_rel',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'mail' => array(
      'operator' => 'contains',
      'value' => '',
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'mail_op',
        'identifier' => 'mail',
        'label' => 'E-mail',
        'optional' => 1,
        'remember' => 0,
      ),
      'case' => 1,
      'id' => 'mail',
      'table' => 'users',
      'field' => 'mail',
      'relationship' => 'content_profile_rel',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'role',
    'role' => array(
      '6' => 6,
      '3' => 3,
    ),
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('items_per_page', 100);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'bulk');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'name' => 'name',
      'uid' => 'uid',
      'nid' => 'nid',
      'created' => 'created',
      'title' => 'title',
      'field_professional_profile_value' => 'field_professional_profile_value',
      'field_company_name_value' => 'field_company_name_value',
      'nothing_1' => 'nothing_1',
      'nothing' => 'nothing',
    ),
    'info' => array(
      'name' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'uid' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'nid' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'created' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'field_professional_profile_value' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'field_company_name_value' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'nothing_1' => array(
        'separator' => '',
      ),
      'nothing' => array(
        'separator' => '',
      ),
    ),
    'default' => '-1',
    'execution_type' => '1',
    'display_type' => '0',
    'hide_select_all' => 0,
    'skip_confirmation' => 0,
    'display_result' => 1,
    'merge_single_action' => 1,
    'selected_operations' => array(
      'isa_spambot_feature_remove_user_content_action' => 'isa_spambot_feature_remove_user_content_action',
      'views_bulk_operations_delete_user_action' => 'views_bulk_operations_delete_user_action',
      'og_approve_user_action' => 0,
      'user_block_ip_action' => 0,
      'user_block_user_action' => 0,
      'user_user_operations_block' => 0,
      'nodewords_admin_mass_update:3925bd6c9edcf332c87f461396305366' => 0,
      'og_demote_user_action' => 0,
      'og_deny_user_action' => 0,
      'system_message_action' => 0,
      'views_bulk_operations_action' => 0,
      'views_bulk_operations_script_action' => 0,
      'views_bulk_operations_ruleset_action_rules_heartbeat_when_user_edit_a_page_log_user_activity' => 0,
      'views_bulk_operations_user_roles_action' => 0,
      'views_bulk_operations_argument_selector_action' => 0,
      'og_promote_user_action' => 0,
      'system_goto_action' => 0,
      'system_send_email_action' => 0,
      'og_subscribe_user_action' => 0,
      'views_bulk_operations_ruleset_action_rules_survey_sending_rule_set' => 0,
      'user_user_operations_unblock' => 0,
      'og_unsubscribe_user_action' => 0,
      'pathauto_user_update_alias_multiple:620e193b20ba9caa374fea9ca0ad38f0' => 0,
    ),
  ));
  $handler = $view->new_display('page', 'Spam user cleanup page', 'page_1');
  $handler->override_option('path', 'admin/isa/users-spam');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Spam users - Clean up',
    'description' => '',
    'weight' => '11',
    'name' => 'admin_menu',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
    'name' => 'navigation',
  ));
  $views[$view->name] = $view;

  return $views;
}
