/*  $Name: ISA - Integrated Collaborative Platform - jQuery Initialization $
	$File: init.js $
	$Date: 2011-02-03 $
	$Modify date: 2014-05-27 $
	$Version: 006 $
 */
// Initialize the slideshow when the DOM is ready
$(document).ready(
    function (){

      // The Cycle Plugin is a slideshow that supports many different types of transition effects for the "Lasted News" displayed in the homepage.
      sColspanContentClass = 'colspan-6 first last';
      sColspanCycleClass = 'colspan-5 first last';
      $('#block-views-News_view-block_1').find('.view-content')
      .addClass(sColspanContentClass)
      .before('<div class="view-cycle ' + sColspanCycleClass + '">')
      .cycle(
        {
            fx:			'scrollUp'
            ,	
            speed:		100
            ,	
            timeout:	5000
            ,	
            pager:		'.view-cycle'
            ,	
            pause:		1
        }
        );
			
        aTitle = Array();
        aCreated = Array();
        $('#block-views-News_view-block_1').find('.fields').each(
            function (index)
            {
                aCreated[index] = '<span class="cycle-field-created">' + $(this).children('.field-created').html() + '</span>';
                aTitle[index] = '<span class="cycle-field-title">' + $(this).children('.field-title').find('a').html() + '</span>';
                $('.view-cycle').children('a').eq(index).html(aCreated[index] + aTitle[index]);
            }
            );
		
        // Show/hide the content of the filter region (fieldset) on text legend click.
        $('#filter').find('.collapse-processed').children('a').click( function () {
            $('#filter-region').toggleClass('collapsed');
            return false;
        } );
		
        // Display/hide the Propose dropdown menu with a sliding motion.
        $('div.buttons').find('a.action.propose-your').click( function () {
            $('div.quick-actions').children('ul.links').slideToggle();
            return false;
        });
		
		// Display/hide the Propose dropdown menu when an option is clicked.
        $('div.buttons').find('a.quick_action').click( function () {
            $('div.quick-actions').children('ul.links').hide();
        });
		
		
		// Display/hide the Actions dropdown menu with a sliding motion.
        $('div.buttons').find('a.action.actions').click( function () {
            $('div.actions').children('ul.links').slideToggle();
            return false;
        });

        // Display/hide the Actions dropdown menu when an option is clicked.
		$('div.buttons').find('a.links').click( function () {
            $('div.actions').children('ul.links').hide();
        });
		
		// Change link value when select changes
		$('#node-information').find('input.links-value').val($('#node-information').find('select').val());
        $('#node-information').find('select.links-select').change( function () {
            $('#node-information').find('input.links-value').val($('#node-information').find('select').val());
        });


        // Show/Hide the requiered/depends related projects
        $('#related-projects-select').change(
            function ()
            {
                var value = $(this).val();
                var theDiv = $('.' + value);
                $('.related-projects-required').addClass('accessibility-info');
                $('.related-projects-depends').addClass('accessibility-info');
                theDiv.removeClass('accessibility-info');
            }
            );

        $('#menu-wrapper > .menu > li.expanded:not(.active-trail)').hover(
          function () {
            $(this).addClass('active-trail');
          }, function () {
            $(this).removeClass('active-trail');
          }
        );
        
        // Expand/Collapse text using the "Read more" or "Hide text" button.       
        // add space after h5  in div class field  for ie
        if($.browser.msie)
        {
            $("div.field h5").css("padding-right","5px");
        }
        
        aViews = Array(
            Array('view-project-node', 66)
            ,	Array('view-homepage', 120)
            );
        function fnToggleReadMore(sActionButton, sToogleClass, sActionClass)
        {
            if (sToogleClass == 'view-footer') $(sActionButton).parents('.' + sToogleClass).prev().toggleClass('expanded');
            else $(sActionButton).parents('.' + sToogleClass).next().toggleClass('expanded');
            $(sActionButton).parents('.' + sToogleClass).hide();
            $(sActionButton).parents('.view').children('.' + sActionClass).show();
        }
        $('.read-more').click( function () {
            fnToggleReadMore(this, 'view-footer', 'view-header');
            return false;
        } );
        $('.reduce').click( function () {
            fnToggleReadMore(this, 'view-header', 'view-footer');
            return false;
        } );
        for (key=0; aViews.lenght; key++)
        {
            $('.' + aViews[key][0]).each( function (index) {
                var iContentHeight = $(this).height();
                if (iContentHeight < aViews[key][1]) $(this).find('.view-footer').hide();
            } );
        }
    
        $(window).resize(function() {
            if(typeof iBeginShare !== 'undefined')
                iBeginShare.hide();
        });

	//https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-840
	//Apply only to the expandable sections in semantic asset an semantic repository node, to avoid the same behaviour in the menu system
		$('.togglable > .expanded').hide();
        $(".togglable").click(function(){
            $(this).parent().children("div").slideToggle("slow");
            if (!$(this).find(".expanded").is(":visible") ) {
                $(this).find(".expanded").show();
                $(this).find(".collapsed").hide();
            }
            else {
                $(this).find(".expanded").hide();
                $(this).find(".collapsed").show();
            }
            return false;
        });
		// https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-909
		// User request - Federated repository page
		// The list of asset releases should be by default "unfolded". 
		
		$('.togglable-expanded > .collapsed').hide();
        $(".togglable-expanded").click(function(){
            $(this).parent().children("div").slideToggle("slow");
            if (!$(this).find(".collapsed").is(":visible") ) {
                $(this).find(".collapsed").show();
                $(this).find(".expanded").hide();
            }
            else {
                $(this).find(".collapsed").hide();
                $(this).find(".expanded").show();
            }
            return false;
        });
        
        if ($(".distribution-row .button-distributions a.asset-external-download").length) {
            $(".distribution-row .button-distributions a.asset-external-download").bind("click", function () {
                _google_analytics_track_outbound_link_click($(this).attr("href"));
            });
        }
        
        if ($("#node-information .field-distribution-access-url-description.asset-external-download a").length) {
            $("#node-information .field-distribution-access-url-description.asset-external-download a").bind("click", function () {
                _google_analytics_track_outbound_link_click($(this).attr("href"));
            });
        }

        // ISAICP-1670 : Override Popups.close() to refresh the parent page when closing a popup (if popups-form-reload class is present)
        Popups.refreshOnClose = function(popup) {
            if (!Popups.popupStack.length) {
                if (popup.options.updateMethod === 'reload') { // Force a complete, non-ajax reload of the page.
                    if (popup.options.updateSource === 'final') {
                        location.href = Drupal.settings.basePath + data.path; // TODO: Need to test this.
                    }
                    else { // Reload originating page.
                        location.reload();
                    }
                }
            }
        };

        Popups.close = function(popup) {
            if (!Popups.isset(popup)) {
                popup = Popups.activePopup();
            }
            Popups.removePopup(popup);  // Should this be a pop??
            Popups.removeLoading();
            if (Popups.activePopup()) {
                Popups.activePopup().show();
                Popups.activePopup().refocus();
            }
            else {
                Popups.removeOverlay();
                // Add this
                Popups.refreshOnClose(popup);
                Popups.restorePage();
            }
            return false;
        };
        
        if ($("#block-isa_links-menus_left .left-menu").length) {
            var total_ul_width = 0;
            $("#block-isa_links-menus_left .left-menu ul").each(function() {
               total_ul_width += parseInt($(this).width(), 10); 
            });
            if (total_ul_width > 950) {
                //resize tabs to fit
                $("#block-isa_links-menus_left .left-menu ul.links li").each(function() {
                    $(this).addClass("small");
                });
                $("#block-isa_links-menus_left .left-menu ul.links li a").each(function() {
                    if ($(this).text().length <= 10) {
                        $(this).parent("li").addClass("small_text");
                    }
                });
                $("#block-isa_links-menus_left .left-menu ul.links li a").each(function() {
                    var nr_of_words = $(this).text().split(" ").length;
                    $(this).addClass("word_" + nr_of_words);
                    $(this).attr("title", $(this).text());
                    $(this).html($(this).text().replace(" ", "<br />"));
                });
            }
        }   
    }
  );
  
function _google_analytics_track_outbound_link_click (outbound_url) {
    _gaq.push(['_trackEvent', 'Outbound links', 'Clicks', outbound_url]);
}
  
function advanced_search(facets) {
    var hrefval  = $('#adsearch').attr('href').valueOf() + "/";
    var val = $('#edit-keys').val();
    if (val == undefined) {
        val = $('#edit-text').val();
    }    
    if (val == undefined) {
        val='';
    }
    //ISAICP-726
    //Modify the advanced search link
    if (facet != '0'){
        //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-818
        //Change filters vars, the facets var has to contain al the facet filters
        var facet = '?filters='+facets+'&retain-filters=1&hidden_type=1';
        $('#adsearch').attr("href", hrefval + val + facet);
    }else{
        $('#adsearch').attr("href", hrefval + val); 
    }
};

function resizeDiv(){
    var doc_width = (document.documentElement.clientWidth);

    document.getElementById('homebox').style.width = (doc_width * 0.8 - 200)+'px';
    $('div.field-comments-comment').width((doc_width * 0.216) + 'px');
    $('div.views-field-subject').width((doc_width * 0.216) + 'px');
    $('div.views-field-nid-2').width((doc_width * 0.107) + 'px');
    $('div.views-field-created').width((doc_width * 0.107) + 'px');
    $('div.views-field-type').width((doc_width * 0.107) + 'px');
};

function addEvent(element, type, listener){
    if(element.addEventListener){
        element.addEventListener(type, listener, false);
    }else if(element.attachEvent){
        element.attachEvent("on"+type, listener);
    }
};