<?php

// $Id: template.php,v 0.23 2011/01/19 09:52:54 sebastien.millart Exp $


define('MENU_MYPAGE', 'menu-9771');
define('MENU_ELIBRARY', 'menu-505');
define('MENU_NEWS', 'menu-498');
define('MENU_EVENT', 'menu-506');
define('MENU_COMMUNITY', 'menu-9693');
define('MENU_SOFTWARE', 'menu-9755');
define('MENU_ASSET', 'menu-496');
define('MENU_HOME', 'menu-7780');
define('MENU_CATALOGUE', 'menu-14034');

//ISAICP-882
// Modify <dc:creator> to full name; <guid> to permanent link (/node); <link> to permanent link (/node)

function joinup_preprocess_views_view_row_rss(&$vars) {
  global $base_url;

  $node = node_load($vars['row']->nid);
  $params = array(
    'type' => 'profile',
    'uid' => $node->uid,
  );
  $node_user = node_load($params);
  $name = $node_user->field_firstname[0]['value'];
  $name .= " ";
  $name .= $node_user->field_lastname[0]['value'];

  $item = &$vars['row'];
  $elementCount = count($item->elements);

  $item->link = $base_url."/node/".$vars['row']->nid;

  for($i=0; $i < $elementCount; $i++) {
    if (isset($item->elements[$i]['key'])) {
      if ($item->elements[$i]['key'] == 'dc:creator') {
        $item->elements[$i]['value'] = $name;
      }
      if ($item->elements[$i]['key'] == 'guid') {
        $item->elements[$i]['value'] = $base_url."/node/".$vars['row']->nid;
        $item->elements[$i]['attributes'] = "";
      }
    }
  }
  $vars['link'] =$item->link;
  $vars['item_elements'] = empty($item->elements) ? '' : format_xml_elements($item->elements);
}

/**
 *
 * @param type $link
 * @return type
 */
function joinup_menu_item_link($link) {
  if (empty($link['localized_options'])) {
    $link['localized_options'] = array();
  }

  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-797
  //Change url from advanced search table show the are shown active
  if('search/apachesolr_search/' == $link['href']){
    $link['href'] = 'search/apachesolr_search';
  }
  if('search/user/' == $link['href']){
    $link['href'] = 'search/user';
  }
  if ($link['href'] == 'user/login') {
    $link['localized_options']['query'] = drupal_get_destination();
  }


  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-840
  //Remove links from footer-menu  first level entries with children
  if(isset($link['menu_name']) && $link['menu_name'] == 'menu-footer'){
    if(1 == $link['has_children'] and 1 == $link['depth']){
      return '<strong class="'. $link['menu_name'].'-title">' . $link['title'] . '</strong>';
    }
  }

  //Adds group grid to clone node
  if (isset($link['path']) && $link['path'] == 'node/%/clone') {
    $group = og_get_group_context();
    if ($group->nid) {
      $link['localized_options']['query'] = array('gids' => array($group->nid));
    }
  }

if ($active_path = _joinup_get_active_path()){
    $path = $_GET['q'];
    $_GET['q'] = $active_path;
    $link = _join_gui_menu_item_link($link);
    $_GET['q'] = $path;
  }
  else {
    $link = _join_gui_menu_item_link($link);
  }

  return $link;

}




/**
 * Generate the HTML output for a single menu link.
 *
 * @ingroup themeable
 */
function _join_gui_menu_item_link($link) {
  if (empty($link['localized_options'])) {
    $link['localized_options'] = array();
  }
  $link['localized_options']['attributes']['class'] = 'menu-item_text';
  $link['localized_options']['html'] = TRUE;

  $text = '<span class="main-menu-item-text">' . $link['title'] . '</span>';
  if (!empty($link['localized_options']['attributes']['title'])) {
    $text .= '<span class="sub-menu-text">' . trim($link['localized_options']['attributes']['title']) . '</span>';
  }
  
  return l($text, $link['href'], $link['localized_options']);
}



/**
 * Override or insert variables into the "page.tpl.php" templates.
 *
 * @param $vars
 *   An array of variables to pass to the theme template.
 *
 * @see page.tpl.php
 * @ingroup phptemplate
 */
function joinup_preprocess_page(&$vars) {

  //Set Javascript controller for Google Analytics
  global $base_url;
  //END - Set Javascript controller for Google Analytics
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-841
  //Load css and js for the whats new home block
  if (true === drupal_is_front_page()) {
    drupal_add_js(path_to_theme() . '/scripts/whatsnew.js');
    //drupal_add_css(path_to_theme() . '/styles/default/whatsnew.css');
    drupal_add_css(path_to_theme() . '/styles/default/home.css');
    $vars['styles'] = drupal_get_css();
    $vars['scripts'] = drupal_get_js();
    if (true == module_exists('isa_jquery_noconflict')) {
      isa_jquery_noconflict_include_jquery();
    }
  }

  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-841
  //Show global header title
  $vars['global_header_title'] = variable_get('global_site_header', '');
  //create hook_js_alter to allow to change javascripts
  // don't use $vars['scripts'], use hook_js_alter
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-841
  //Load general css layout depending on the page and structure

  $vars['extra_layout_css'] = '';
  $vars['extra_layout_content_css'] = '';
  $path = drupal_get_path_alias($_GET['q']);
  $aliases = explode('/', $path);

  global $user;
  $uid = $user->uid;


  if ((($uid != 0) and "members" == arg(2))) {
    $vars['extra_layout_css'] .= ' layout-member-on';
  }
  if (($uid == 0) and ( isset($aliases[0]) && $aliases[0] == 'news')) {
    $vars['extra_layout_css'] .= ' layout-news';
  }
  if ((($uid != 0) and "members" == arg(2))) {
    $vars['extra_layout_css'] .= ' layout-member-on';
  }
  if (($uid != 0) and ( isset($aliases[0]) && $aliases[0] == 'user') and "subscriptions" == arg(2)) {
    $vars['extra_layout_css'] .= ' layout-member-on';
  }
  if ("admin" == arg(0)) {
    $vars['extra_layout_css'] .= ' layout-admin';
  }
  if (!$vars['left']) {
    $vars['extra_layout_css'] .= ' layout-noleft';
  }
  if (isset($aliases[0]) && $aliases[0] == 'page') {
    $vars['extra_layout_css'] .= ' layout-asset';
  }
  // layout-repository
  if (isset($aliases[1]) && $aliases[1] == 'repository') {
    $vars['extra_layout_css'] .= ' layout-repository';
  }
  if ((isset($aliases[0]) && $aliases[0] == 'asset') && (isset($aliases[2]) && $aliases[2] == 'asset_release')) {
    $vars['extra_layout_css'] .= ' layout-repository';
  }
  if ((isset($aliases[0]) && $aliases[0] == 'software') && (isset($aliases[2]) && $aliases[2] == 'asset_release')) {
    $vars['extra_layout_css'] .= ' layout-repository';
  }
  if (("all" == arg(1) or "mine" == arg(1) or "recommended" == arg(1) or "blog" == arg(2) or "editor" == arg(1) or "archives" == arg(1) or "newsletter" == arg(1)) and ( "community" == arg(0) or "news" == arg(0) or "event" == arg(0))) {
    $vars['extra_layout_css'] .= ' layout-list';
  }
  if ("all" == arg(1)) {
    $vars['extra_layout_css'] .= ' layout-list';
  }
  if ("community" == arg(0) and ( "mine" == arg(1) or "recommended" == arg(1) or "editor" == arg(1) or "description" == arg(2)) or ( "catalogue" == arg(0) and "repository" == arg(1))) {
    $vars['extra_layout_css'] .= ' layout-list';
  }
  if ("all" == arg(1) and ( "catalogue" == arg(0) or "people" == arg(0))) {
    $vars['extra_layout_css'] .= ' layout-list';
  }
  if (isset($aliases[1]) && $aliases[1] == 'presentation') {
    $vars['extra_layout_css'] .= ' layout-list';
  }
  if ("metrics" == arg(0) or "help" == arg(0) or "help_topics" == arg(0) or "contact" == arg(0) or "sitemap" == arg(0) or "glossary" == arg(0)) {
    $vars['extra_layout_css'] .= ' layout-page';
  }
  if ("taxonomy" == arg(0)) {
    $vars['extra_layout_css'] .= ' layout-taxonomy';
  }
  if ((isset($aliases[1]) && $aliases[1] == 'dashboard')) {
    $vars['extra_layout_css'] .= ' layout-dashboard';
  }
  if("elibrary" == arg(0) and ("factsheet" == arg(1) or "cases" == arg(1) or "video" == arg(1) or "recommended" == arg(1) or "document" == arg(1) or "editor" == arg(1))){
    $vars['extra_layout_css'] .= ' layout-list';
  }
  if ((isset($aliases[0]) && $aliases[0] == 'elibrary') && (isset($aliases[1]) && $aliases[1] == 'document') && (isset($aliases[2]) && $aliases[2] != '') || ("documentation" == arg(1))) {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if ((isset($aliases[1]) && $aliases[1] == 'documentation')) {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if (isset($aliases[2]) && $aliases[2] == 'wiki') {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if ((isset($aliases[1]) && $aliases[1] == 'case') and ( isset($aliases[0]) && $aliases[0] == 'elibrary') and ( isset($aliases[2]) && $aliases[2] != '')) {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if ((isset($aliases[2]) && $aliases[2] == 'news') || (isset($aliases[2]) && $aliases[2] == 'case') || (isset($aliases[2]) && $aliases[2] == 'event') || (isset($aliases[2]) && $aliases[2] == 'blog') || (isset($aliases[2]) && $aliases[2] == 'video') || (isset($aliases[1]) && $aliases[1] == 'factsheet')) {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if (isset($aliases[0]) && $aliases[0] == 'news') {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if ((isset($aliases[1]) && $aliases[1] == 'video') or (isset($aliases[0]) && ($aliases[0] == 'comment' || $aliases[0] == 'blog' || $aliases[0] == 'newsletter'))) {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if (isset($aliases[2]) && $aliases[2] == 'document') {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if ((isset($aliases[1]) && $aliases[1] == 'contact_point') or ( isset($aliases[1]) && $aliases[1] == 'publisher')) {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if (isset($vars['node']) && (($vars['node']->type == 'event') or ( $vars['node']->type == 'presentation'))) {
    $vars['extra_layout_css'] .= ' layout-content-evnew';
  }
  if (isset($aliases[1]) && $aliases[1] == 'project') {
    $vars['extra_layout_css'] .= ' layout-overview-asset';
  }

  /* software */
  if ((isset($aliases[0]) && $aliases[0] == 'software') && ((isset($aliases[2]) && $aliases[2] == 'home') || (isset($aliases[1]) && $aliases[1] == 'page'))) {
    $vars['extra_layout_css'] .= ' layout-overview';
  }
  if (isset($aliases[0]) && $aliases[0] == 'people' && !empty($aliases[1])) {
    $vars['extra_layout_css'] .= ' layout-people';
  }
  if (isset($aliases[0]) && $aliases[0] == 'user' && !empty($aliases[1])) {
    $vars['extra_layout_css'] .= ' layout-people';
  }
  if (isset($aliases[0]) && $aliases[0] == 'user' && isset($aliases[2]) && $aliases[2] == 'edit') {
    $vars['extra_layout_css'] .= ' layout-peoplee';
  }
  if (isset($aliases[0]) && $aliases[0] == 'user' && isset($aliases[2]) && $aliases[2] == 'content_lock') {
    $vars['extra_layout_css'] .= ' layout-peoplec';
  }
  if (isset($aliases[0]) && $aliases[0] == 'people' && isset($aliases[2]) && $aliases[2] == 'blog') {
    $vars['extra_layout_css'] .= ' layout-peopleb';
  }
  if (isset($aliases[0]) && $aliases[0] == 'people' && isset($aliases[1]) && ($aliases[1] == 'moderators' or $aliases[1] == 'recommended')) {
    $vars['extra_layout_css'] .= ' layout-peoplem';
  }
  if (isset($aliases[0]) && $aliases[0] == 'people' && isset($aliases[2]) && $aliases[2] == 'recommended') {
    $vars['extra_layout_css'] .= ' layout-peopler';
  }
  if (isset($aliases[0]) && $aliases[0] == 'metrics') {
    $vars['extra_layout_css'] .= ' layout-metrics';
  }
  if (isset($aliases[1]) && $aliases[1] == 'distribution') {
    $vars['extra_layout_css'] .= ' layout-distribution';
  }
  if (isset($aliases[2]) && $aliases[2] == 'topic') {
    $vars['extra_layout_css'] .= ' layout-distribution';
  }
  if (isset($aliases[2]) && $aliases[2] == 'description') {
    $vars['extra_layout_css'] .= ' layout-description';
  }
  if (isset($vars['node']) && $vars['node']->type == 'og_page') {
    $vars['extra_layout_css'] .= ' layout-description';
  }
  if ((isset($aliases[0]) && $aliases[0] == 'asset') && (isset($aliases[2]) && $aliases[2] == 'issue')) {
    $vars['extra_layout_css'] .= ' layout-hg';
  }
  if ("community" == arg(0) and "nifo" == arg(1)) {
    $vars['extra_layout_css'] .= ' layout-hg';
  }
  if ("highlights" == arg(2) or "communications" == arg(2) or "software" == arg(0)) {
    $vars['extra_layout_css'] .= ' layout-hg';
  }
  if (isset($aliases[0]) && $aliases[0] == 'project') {
    $vars['extra_layout_css'] .= ' layout-hg';
  }
  if ("metrics" == arg(2)) {
    $vars['extra_layout_css'] .= ' layout-hg';
  }
  if ("members" == arg(2)) {
    $vars['extra_layout_css'] .= ' layout-members';
  }
  if ("forum" == arg(2)) {
    $vars['extra_layout_css'] .= ' layout-forum';
  }
  if ("home" == arg(2) and ( "community" == arg(0) or "asset" == arg(0) or "software" == arg(0))) {
    $vars['extra_layout_css'] .= ' layout-overview';
  }
  if ("repository" == arg(1) and "catalogue" == arg(0)) {
    $vars['extra_layout_css'] .= ' layout-overview';
  }
  if ((isset($aliases[1]) && $aliases[1] == 'asset_release')) {
    $vars['extra_layout_css'] .= ' layout-overview-asset';
  }
  if ((isset($aliases[0]) && $aliases[0] == 'user') and "register" == arg(1)) {
    $vars['extra_layout_css'] .= '';
  }
  if ("add" == arg(1) and "node" == arg(0)) {
    $vars['extra_layout_css'] .= ' layout-node';
  }
  if (!$vars['right']) {
    $vars['extra_layout_css'] .= ' layout-noright';
  }
  if (true === drupal_is_front_page()) {
    $vars['extra_layout_css'] .= ' layout-home';
  }
  if ("search" == arg(0) and "apachesolr_search" == arg(1)) {
    $vars['extra_layout_css'] .= ' layout-search';
  }
  if ("interoperability" == arg(0)) {
    $vars['extra_layout_css'] .= ' layout-interoperability';
  }
  if ("search" == arg(0) and "apachesolr_search" == arg(1)) {
    $vars['extra_layout_content_css'] .= ' layout-content-apache_search';
  }
  if ("search" == arg(0) and "user" == arg(1)) {
    $vars['extra_layout_content_css'] .= ' layout-content-user';
  }
  if ("search" == arg(0) and "issues" == arg(1)) {
    $vars['extra_layout_content_css'] .= ' layout-content-issues';
  }

  // add layout list class
  if ($aliases[0] == 'repositories' && ($aliases[1] == 'asset' || $aliases[1] == 'software')){
    $vars['extra_layout_css'] .= ' layout-list';
  }

  joinup_change_css_for_vf($vars);
  $args = arg();
  $last_arg = $args[count($args) - 1];

  if (arg(0) == 'user' && is_numeric(arg(1)) && arg(2) != 'subscriptions') {
    $username = strip_tags(theme('username', arg(1)));
    $vars['title'] = $username;
    $vars['head_title'] = $username . ' | ' . variable_get('site_name', 'Joinup');
  }

  $vars['tabs2'] = menu_secondary_local_tasks();
  // Prepare Site Identity ($site_identity variable) for the Header region.
  $alt_text = t('Go to the home page');
  $site_html = '<span class="accessibility-info">' . variable_get('site_name', 'Joinup') . '.</span>';
  $theme_setting = variable_get('theme_' . variable_get('theme_default', 'joinup') . '_settings', 'theme_joinup_settings');
  $logo = $theme_setting['logo_path'];

  // Test if the logo or the site HTML exists.
  if ($logo || $site_html) {
    // If the logo exists.
    if ($logo) {
      // Create a themed image for the logo.
      $logo_image = theme_image($logo, $alt_text, '', array('id' => 'logo'), FALSE);
      // Create a themed link arround the logo image which point to the front page.
      $image_link = l($logo_image, '<front>', array('attributes' => array('title' => $alt_text), 'html' => TRUE));
      // Set the $site_identity variable with the $site_html and $image_link values.
      $vars['site_identity'] = $site_html . $image_link;
    }
    else {
      // Set the $site_identity variable with a hypertext link to the front page arround the $site_html value only.
      $vars['site_identity'] = l($site_html, '<front>', array('attributes' => array('title' => $alt_text), 'html' => TRUE));
    }
  }

  // Define the colspan values depending of the visibility of different regions
  if ($vars['left'] && $vars['content']) {
    $vars['right_colspan'] = '5';
  }
  else {
    if ($vars['left']) {
      $vars['right_colspan'] = '13';
    }
    elseif ($vars['content']) {
      $vars['right_colspan'] = '5';
    }
    else {
      $vars['right_colspan'] = '16';
    }
  }
  if ($vars['right'] && $vars['content']) {
    $vars['left_colspan'] = '3';
  }
  else {
    if ($vars['right']) {
      $vars['left_colspan'] = '11';
    }
    elseif ($vars['content']) {
      $vars['left_colspan'] = '3';
    }
    else {
      $vars['left_colspan'] = '16';
    }
  }
  if ($vars['right'] && $vars['left']) {
    $vars['content_colspan'] = '8';
  }
  else {
    if ($vars['right']) {
      $vars['content_colspan'] = '11';
    }
    elseif ($vars['left']) {
      $vars['content_colspan'] = '13';
    }
    else {
      $vars['content_colspan'] = '16';
    }
  }

  // Get the URL path to hide the heading 2 for several content type homepages.
  if (module_exists('path')) {
    $path_alias = drupal_get_path_alias($_GET['q']);
    $alias_parts = explode('/', $path_alias);
    $node = menu_get_object();
    if ($node) {
      $node_type = $node->type;
      $node_type_group = '';
      $node_page = isset($alias_parts[2]) ? $alias_parts[2] : '';
      if (!$node) {
        $node_type_group = $alias_parts[0];
      }
      if (
          (($node_type == ISA_COMMUNITY_TYPE || $node_type == ISA_PROJECT_TYPE || $node_type_group == ISA_ASSET_TYPE || $node_type_group == ISA_SOFTWARE_TYPE || $node_type_group == ISA_COMMUNITY_TYPE) && ($node_page == 'description' || $node_page == 'home'))
          || $node_type == 'dashboard'
          || $node_type == 'federatedproject'
          || $node_type == 'federatedforge'
          || $node_type == ISA_DOCUMENT_TYPE
          || $node_type == 'advertisement'
          || $node_type == ISA_REPOSITORY_TYPE
          || $node_type == ISA_PRESENTATION_TYPE
          || $node_type == ISA_CASE_TYPE
          || $node_type == ISA_EVENT_TYPE
          || $node_type == ISA_FACTSHEET_TYPE
          || $node_type == ISA_VIDEO_TYPE
          || $node_type == ISA_NEWS_TYPE
          || $node_type == ISA_BLOG_TYPE
          || $node_type == ISA_WIKI_TYPE
          || $node_type == ISA_FEDERATED_PROJECT_TYPE
          || $node_type == ISA_ISSUE_TYPE
          || $node_type == ISA_PROJECT_RELEASE_TYPE
          || $node_type == ISA_IMAGE_TYPE
          || $node_type == ISA_FEDERATED_FORGE_TYPE
          || $node_type == ISA_NEWSLETTER_TYPE
          || ($node_type == 'people' && is_numeric($alias_parts[1]) && empty($alias_parts[2]))) {
        $vars['title'] = '';
      }
    }
  }

  // Set collapsed to fieldset (for filters).
  $vars['filter_collapsed'] = 'collapsed';
  if (arg(2) == 'members' && isset($_GET['field_lastname_value'])) {
    $vars['filter_collapsed'] = '';
  }

  if (isa_toolbox_is_in_virtual_forge()) {
    joinup_rewrite_primary_links_vf($vars['primary_links']);
  }

  // Enable primary links in isa-icp theme settings
  // to get the active menu, before we find why the $vars['primary_links'] is empty
  joinup_set_active_primary_links($vars);

  if (variable_get('message_status', 1) == 0 && variable_get('message_text', "") != "") {
    $message = '';
    $message .= "<div class=\"messages infobox\">\n";
    $message .= variable_get('message_text', "test");
    $message .= "</div>\n";
    $vars['messages'] = $message . $vars['messages'];
  }

  if (isset($vars['secondary_links']['menu-10327']) || isset($vars['secondary_links']['menu-10327 active-trail'])) {
    $name = isset($vars['secondary_links']['menu-10327']) ? 'menu-10327' : 'menu-10327 active-trail';
    $item = $vars['secondary_links'][$name];
    
    $node_type = _isa_apachesolr_facet_node_type(isa_apachesolr_get_node_type());
    if ($node_type == NULL) {
      //Show Interporability Solutions by default on search link
      $node_type = _isa_apachesolr_facet_node_type('asset_release');
      $filter = 'sm_facetbuilder_facet_node_type:"facet_node_type:' . $node_type . '"';
      $node_type = _isa_apachesolr_facet_node_type('projecT_project');
      $filter .= ' sm_facetbuilder_facet_node_type:"facet_node_type:' . $node_type . '"';
    }
    else {
      $filter = 'sm_facetbuilder_facet_node_type:"facet_node_type:' . $node_type . '"';
    }
    $item['href'] = 'search/apachesolr_search';
    $item['query'] = array('filters' => $filter);
    $vars['secondary_links'][$name] = $item;
  }
  if ($active_path = _joinup_get_active_path()) {
    $active_path = drupal_get_normal_path($active_path);
    if ($active_path && $menu_item = menu_get_item($active_path)) {
      menu_set_item(NULL, $menu_item);
    }
  }
}

/**
 * change path of stylesheet for virtual forge
 *
 * @param type $vars
 */
function joinup_change_css_for_vf(&$vars) {
    $tid = isa_toolbox_is_in_virtual_forge();
    if ($tid) {
        $term = taxonomy_get_term($tid);
        $vf_name = $term->name;
        $css = drupal_add_css();
        foreach ($css as $media => $value) {
            if (isset($value['theme'])) {
                foreach ($value['theme'] as $css_path => $preprocess) {
                    $css_new_path = preg_replace('#default#', $vf_name, $css_path);
                    $css[$media]['theme'][$css_new_path] = $preprocess;
                    unset($css[$media]['theme'][$css_path]);
                }
            }
        }
        $vars['css'] = $css;
        $vars['styles'] = drupal_get_css($css);
    }
}

/**
 *
 * @param string $primary_links
 */
function joinup_rewrite_primary_links_vf(&$primary_links) {
    foreach ($primary_links as $id => $value) {
        if (strpos($id, MENU_HOME) !== FALSE) {
            $primary_links[$id]['href'] = 'vf-' . $value['href'];
        } elseif (strpos($id, MENU_COMMUNITY) === FALSE && strpos($id, MENU_SOFTWARE) === FALSE
                && strpos($id, MENU_ASSET) === FALSE && strpos($id, MENU_MYPAGE) === FALSE) {
            unset($primary_links[$id]);
        }
    }
}

/**
 *
 * @param type $vars
 */
function joinup_set_active_primary_links(&$vars) {
    if (arg(0) == 'node' || arg(0) == 'comment' /* && is_numeric(arg(1)) */) {
      //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
      //Set main menu to software on project node type creation
      if ('project' == arg(2)) {
        $vars['primary_links'][MENU_SOFTWARE]['attributes']['class'] .= ' active';
        return;
      }

      $nid = variable_get('current_group', isa_toolbox_get_community_nid());
        if ($nid || $_GET['q'] == 'node/add/project-project') {
            if ($nid) {
                $group = node_load($nid);
                $type = strtoupper($group->group_type);
                if ($group->group_type == ISA_REPOSITORY_TYPE) {
                    //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
                    //Load software context and breadcrum for project
                    $node_context_type = _isa_link_this_page_context_type();
                    switch ($node_context_type) {
                        case 'software':
                          $type = 'SOFTWARE';
                        break;
                        case 'asset':
                          $type = 'ASSET';
                        break;
                        default:
                           $type = 'ASSET';
                        break;
                    }
                }
            } else {
                $type = ($_GET['type'] == 'OSS') ? 'SOFTWARE' : 'ASSET';
            }
            //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
            //Remove active menu link for Repositories
            $vars['primary_links'] = array_map(function($value) {
                if (isset($value['attributes']['class']) && $value['attributes']['class'] == 'active') {
                    unset($value['attributes']['class']);
                }
                return $value;
            }, $vars['primary_links']);
            if (isset($vars['primary_links'][constant('MENU_' . $type)])) {
              $vars['primary_links'][constant('MENU_' . $type)]['attributes']['class'] .= ' active';
            }
        } else {
            $node = menu_get_object();
            if (!$node) {
                if (arg(0) == 'comment' && is_numeric(arg(2))) {
                    if (arg(1) == 'edit') {
                        $comment = _comment_load(arg(2));
                        $node = node_load($comment->nid);
                    } else {
                        $node = node_load(arg(2));
                    }
                }
            }
            if (arg(1) == 'add') {
                $type = arg(2);
            } else {
                $type = $node->type;
            }
            if ($type == ISA_CASE_TYPE) {
                switch (isa_toolbox_get_case_type($node)) {
                    case 1 : $type = ISA_SOFTWARE_TYPE;
                        break;
                    case 2 : $type = ISA_SOFTWARE_TYPE;
                        break;
                }
            }
            switch ($type) {
                case ISA_NEWS_TYPE:
                case ISA_BLOG_TYPE:
                case ISA_NEWSLETTER_TYPE:
                    if (!isset($vars['primary_links'][MENU_NEWS . ' active'])) {
                        $vars['primary_links'][MENU_NEWS]['attributes']['class'] .= ' active';
                    }
                    break;
                case ISA_DISTRIBUTION_TYPE:
                    //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
                    //On distributions set only one main menu
                    $vars['primary_links'] = array_map(function($value) {
                        if ('active' == $value['attributes']['class']) {
                            unset($value['attributes']['class']);
                        }
                        return $value;
                    }, $vars['primary_links']);
                    if ('software' == _isa_link_this_page_context_type()){
                        $vars['primary_links'][MENU_SOFTWARE]['attributes']['class'] .= ' active';
                    }
                    else {
                        if (!isset($vars['primary_links'][MENU_ASSET . ' active'])) {
                            $vars['primary_links'][MENU_ASSET]['attributes']['class'] .= ' actives';
                        }
                    }
                break;
                case ISA_DOCUMENTATION_TYPE:
                case ISA_LICENCE_TYPE:
                case ISA_ITEM_TYPE:
                case ISA_PUBLISHER_TYPE:
                case ISA_CONTACT_POINT_TYPE:
                case ISA_REPOSITORY_TYPE:
                case ISA_ASSET_RELEASE_TYPE:
                case 'asset-release':
                    //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
                    //Set main menu to software releases
                    if ('software' == _isa_link_this_page_context_type()){
                        $vars['primary_links'][MENU_SOFTWARE]['attributes']['class'] .= ' active';
                    }
                    else {
                        if (!isset($vars['primary_links'][MENU_ASSET . ' active'])) {
                            if (!isset($vars['primary_links'][MENU_ASSET])) {
                              $vars['primary_links'][MENU_ASSET] = array('attributes' => array('class' => 'actives'));
                            }
                            else {
                              $vars['primary_links'][MENU_ASSET]['attributes']['class'] .= ' actives';
                            }
                        }
                    }
                    break;
                case ISA_CASE_TYPE:
                case ISA_DOCUMENT_TYPE:
                case ISA_PRESENTATION_TYPE:
                case ISA_VIDEO_TYPE:
                case ISA_FACTSHEET_TYPE:
                    if (!isset($vars['primary_links'][MENU_ELIBRARY . ' active'])) {
                        $vars['primary_links'][MENU_ELIBRARY]['attributes']['class'] .= ' active';
                    }
                    break;
                case ISA_EVENT_TYPE:
                    if (!isset($vars['primary_links'][MENU_EVENT . ' active'])) {
                        $vars['primary_links'][MENU_EVENT]['attributes']['class'] .= ' active';
                    }
                    break;
                case ISA_STUDY_TYPE:
                    if (!isset($vars['primary_links'][MENU_SOFTWARE . ' active'])) {
                        $vars['primary_links'][MENU_SOFTWARE]['attributes']['class'] .= ' active';
                    }
                    break;
                //wiki not in a group is a license wizard
                case ISA_WIKI_TYPE:
                case ISA_SOFTWARE_TYPE:
                case 'data_set':
                case 'software_release_agent':
                case 'software_project_agent':
                case 'project':

                    if (!isset($vars['primary_links'][MENU_SOFTWARE . ' active'])) {
                        $vars['primary_links'][MENU_SOFTWARE]['attributes']['class'] .= ' active';
                    }
                    break;
            }
        }
    }
}

/**
 * Theme function for rendering the relevant nodes into a block.
 *
 * This is provided so that an item list is the default, however a themer can
 * easily override this to make a teaser list or table.
 *
 * @param $nodes
 *   Associative array where the key is the node id and the value is the node title
 * @param $header
 *   Optional string to display at the top of the block
 */
function joinup_relevant_content_block($nodes, $header = FALSE, $delta = NULL) {
    $output = "";
    $output .= "<div class='right-sidebar-colspans-5'>";
    $output .= "<div class='view-content'>";
    $i = 0;
    foreach ($nodes as $node) {
        $node = node_load($node['nid']);
        if ($i++ % 2 == 0) {
            $output .= "<div class='odd clearfix'>";
        } else {
            $output .= "<div class='even clearfix'>";
        }

        // print a div around "created | country"
        isa_toolbox_get_user_country($node);
        $output .= "<div class='colspan-5'>";
        $output .= "<span class='field field-created'>" . date('d F Y', $node->created) . "</span>";
        if (!empty($node->country)) {
            $output .= "<span class='field field-country'> | " . check_plain($node->country) . "</span>";
        }
        $output .= "</div>";

        // print node title with a link to the node
        $output .= "<div class='colspan-5 field field-title'>";
        $output .= "<strong>" . l($node->title, 'node/' . $node->nid) . "</strong>";
        $output .= "</div>";

        $output .= "</div>";
    }
    $output .= "</div>";
    $output .= "</div>";
    return $output;
}

/**
 * Override or insert variables into the "block.tpl.php" templates.
 *
 * @param $vars
 *   An array of variables to pass to the theme template.
 *
 * @see block.tpl.php
 * @ingroup phptemplate
 */
function joinup_preprocess_block(&$vars) {
  // Create the block object.
  $block = $vars['block'];

  // Changes title for Multistep block to the node help field
  if ($block->module == 'multistep') {
    $type = $block->delta;
    $type = node_get_types('type', $type);
    $block->subject = strip_tags($type->help);
  }

  $vars['block_class'] = '';
  $vars['accessibility_class'] = '';
  // Set the block class depending on the content type.
  if ($block->subject) {
    $vars['block_class'] = str_replace(array(" ", "'"), array('-', ''), strtolower($block->subject));
  }
  // Set the accessibility class depending on the block type.
  if ($block->module == 'search' || $block->module == 'user' || $block->module == 'menu') {
    $vars['accessibility_class'] = ' class="accessibility-info"';
  }
  // Change block menu news content
  if ($block->module == 'menu' && $block->delta == 'menu-news-menu') {
    $block->content = drupal_get_form('joinup_menu_news_form');
  }
  // Change block menu news content
  if ($block->module == 'menu' && $block->delta == 'menu-elibrary') {
    $block->content = drupal_get_form('joinup_menu_elibrary_form');
  }

  //Change title of block related content
  if ($block->subject == 'Relevant Content') {
    $block->subject = strip_tags('Related Content');
  }

  if (isset($block->context) && strpos($block->context, 'search_page') !== false) {
    $vars['block_class'] = 'block_apachesolr_search';
  }

  // Set the block heading depending on the homepage and several regions.
  ($block->region == 'highlight' || $block->region == 'header') ? $vars['heading_type'] = 'h2' : $vars['heading_type'] = 'h3';
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-841
  //Remove titles from blocks
  $titles_to_remove = array('home_carousel-block_1', 'Advertisement-block_1');
  if (in_array($block->delta, $titles_to_remove)) {
    unset($vars['block']->subject);
  }
}

/**
 * Process variables for maintenance-page.tpl.php.
 *
 * The $variables array contains the following arguments:
 * - $results
 * - $type
 *
 * @see maintenance-page.tpl.php
 * @see maintenance-page-offline.tpl.php
 */
function joinup_preprocess_maintenance_page(&$variables) {
  global $conf;
  $variables['global_header_title'] = $conf['global_site_header'];
  $variables['breadcrumb'] = l($variables['site_name'], '<front>');
}

/**
 * Override or insert variables into the "node.tpl.php" templates.
 *
 * @param $vars
 *   An array of variables to pass to the theme template.
 *
 * @see node.tpl.php
 * @see template.node.inc
 * @ingroup phptemplate
 */
function joinup_preprocess_node(&$vars) {
    $theme = variable_get('theme_default', NULL);
    $theme_path = drupal_get_path('theme', $theme);
    include_once $theme_path . '/includes/template.node.inc';
    _joinup_preprocess_node($vars);
}

/**
 * Return a themed breadcrumb trail.
 *
 * @param
 *   An array containing the breadcrumb links.
 *
 * @return
 *   A string containing the breadcrumb output.
 *
 * @see page.tpl.php
 */

/**
 * prepare text
 */

function format_text($string){
	$new_string = $string;
	$new_string = str_replace('-', ' ', $new_string);
	$new_string = str_replace('_', ' ', $new_string);
	$new_string = urldecode($new_string);
	$new_string = ucfirst($new_string);
	return $new_string;
}

function fromat_url($url)
{
	$new_url = $url;
	$new_url = urldecode($new_url);
	return $new_url;
}

/**
 * Override theme_breadcrumb().
 */
function joinup_breadcrumb($breadcrumb) {
  global $user;
  $breadcrumb = array();
  $normal_path = trim($_GET['q'], '/');
  $normal_path_parts = explode('/', $normal_path);
  //$normal_path_begin = implode('/', array_slice($normal_path_parts, 0, 2));
  $path_alias = drupal_get_path_alias($normal_path);
  $path_alias_parts = explode('/', $path_alias);
  $referer_uri = referer_uri();

  $i = 0;
  $last = count($path_alias_parts) - 1;

  array_push($breadcrumb, l('Joinup', '<front>'));

  switch ($path_alias_parts[0]) {
    case 'homepage':
      //array_push($breadcrumb, l('Joinup', '<front>'));
      break;
    case 'project':
      array_push($breadcrumb, l('Projects', 'project/all'));
      break;
    case 'community':
      array_push($breadcrumb, l('Communities', 'community/all'));
      if ($last == 1) {
        switch ($path_alias_parts[1]) {
          case 'all':
            array_push($breadcrumb, l('Find Community', 'community/all'));
            break;
          case 'mine':
            array_push($breadcrumb, l('My Communities', 'community/mine'));
            break;
          case 'recommended':
            array_push($breadcrumb, l('Recommended', 'community/recommended'));
            break;
          case 'editor':
            array_push($breadcrumb, l("Editor's choice", 'community/editor'));
            break;
        }
      }
      elseif ($last > 1) {
        switch ($path_alias_parts[2]) {
          case 'home':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Welcome', 'community/' . $path_alias_parts[1] . '/home'));
            break;
          case 'description':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2]));
            break;
          case 'members':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Members list', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2]));
            break;
          case 'metrics':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2]));
            break;
          case 'highlights':
            switch ($path_alias_parts[3]) {
              case 'asset':
                array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
                array_push($breadcrumb, l('Interoperability Solutions', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3] . '/' . $path_alias_parts[4]));
                break;
              case 'software':
                array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
                array_push($breadcrumb, l('Software', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3] . '/' . $path_alias_parts[4]));
                break;
              case 'community':
                array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
                array_push($breadcrumb, l('Communities', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3] . '/' . $path_alias_parts[4]));
                break;
            }
            break;
          case 'forum':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Forums', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            if ($last > 2) {
              $breadcrumb = array();
              $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            }
            break;
          case 'topic':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Forums', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            if ($last > 2) {
              $breadcrumb = array();
              $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            }
            break;
          case 'communications':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Communications', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            break;
          case 'newsandblog':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('News', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            break;
          case 'event':
            $breadcrumb = array();
            $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            //array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            //array_push($breadcrumb, l('Events', 'community/' .$path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            break;
          case 'elibrary':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('e-Library', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            break;
          case 'news':
            $breadcrumb = array();
            $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            break;
          case 'document':
            $breadcrumb = array();
            $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            break;
          case 'wiki':
            $breadcrumb = array();
            $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            break;
          case 'analytical_models':
          case 'analytical':
          case 'analytical_model':
            $breadcrumb = array();
            $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            break;
          case 'og_page':
            $breadcrumb = array();
            $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            //Don't show node type on custom section pages
            unset($breadcrumb[count($breadcrumb) - 2]);
            break;
        }
      }//end of community
      break;
    case 'catalogue':
      //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
      //Load software context and breadcrum for adms_software_project

      if ($last == 1) {
        switch ($path_alias_parts[1]) {
          case 'all':
            array_push($breadcrumb, l('Interoperability Solutions', 'interoperability/search', array('query' => array('filters' => '!bs_current_version:false'))));
            break;
          case 'repository':
            array_push($breadcrumb, l('Federated Repositories', 'catalogue/repositories'));
            break;
        }
      }
      else {
        switch ($path_alias_parts[1]) {
          //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
          //Load software context and breadcrum for project
          case 'project':
            if ((strpos($referer_uri, '/catalogue/repository/') !== false)) {
              array_push($breadcrumb, l('Federated Repositories', 'catalogue/repository'));
              $referer_uri_parts = explode('/', $referer_uri);
              //Refered page asset name
              $j = 0;
              $end = count($referer_uri_parts) - 1;
              $array_asset = '';
              while ($j <= $end) {
                if ($referer_uri_parts[$j] == 'repository') {
                  ++$j;
                  while ($j <= $end) {
                    $array_asset .= "/" . $referer_uri_parts[$j];
                    ++$j;
                  }
                }
                else {
                  ++$j;
                }
              }
              $publisher_name = '';
              $j = 2;
              $end = count($path_alias_parts) - 1;
              while ($j <= $end) {
                $publisher_name .= "/" . $path_alias_parts[$j];
                ++$j;
              }
              array_push($breadcrumb, l(format_text(substr($array_asset, 1)), 'catalogue/repository' . $array_asset));
            }
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'catalogue/project/' . $path_alias_parts[2]));
            $_SESSION['breadcrumb'] = $breadcrumb;
            break;
          case 'asset_release':
            array_push($breadcrumb, l('Interoperability Solutions', 'interoperability/search', array('query' => array('filters' => '!bs_current_version:false'))));
            //Breadcumb when arriving to the page from a link in a repository page
            if ((strpos($referer_uri, '/catalogue/repository/') !== false)) {
              array_pop($breadcrumb);
              //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
              //Software Release context and breadcrumb
              $breadcrumb_path = 'repositories/asset';
              switch (_isa_link_this_page_context_type()) {
                case 'asset';
                  $breadcrumb_path = 'repositories/asset';
                  break;
                case 'software';
                  $breadcrumb_path = 'repositories/software';
                  break;
              }
              array_push($breadcrumb, l('Federated repositories', $breadcrumb_path));
              $referer_uri_parts = explode('/', $referer_uri);
              //Refered page asset name
              $j = 0;
              $end = count($referer_uri_parts) - 1;
              $array_asset = '';
              while ($j <= $end) {
                if ($referer_uri_parts[$j] == 'repository') {
                  ++$j;
                  while ($j <= $end) {
                    $array_asset .= "/" . $referer_uri_parts[$j];
                    ++$j;
                  }
                }
                else {
                  ++$j;
                }
              }
              $publisher_name = '';
              $j = 2;
              $end = count($path_alias_parts) - 1;
              while ($j <= $end) {
                $publisher_name .= "/" . $path_alias_parts[$j];
                ++$j;
              }
              array_push($breadcrumb, l(format_text(substr($array_asset, 1)), 'catalogue/repository' . $array_asset));
            }
            else {
              //Breadcumb anly form software releases
              //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
              //Software Release from project breadcrumb
              if ('software' == _isa_link_this_page_context_type()) {
                array_pop($breadcrumb);
                array_push($breadcrumb, l('Federated repositories', 'repositories/asset'));
                //Get parent adms software project
                //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-893
                //Fix typo in query
                $sql = "SELECT content_field_sw_release.nid FROM content_field_sw_release,node
                                            WHERE node.nid=content_field_sw_release.nid
                                            AND node.type='%s'
                                            AND content_field_sw_release.field_sw_release_nid=%d
                                            GROUP BY content_field_sw_release.nid;";
                $project_nid = db_result(db_query($sql, 'project', arg(1)));
                $sql_name = "SELECT title FROM node WHERE nid=%d";
                if ($project_nid > 0) {
                  $project_name = db_result(db_query($sql_name, $project_nid));
                  $repository_nid = db_result(db_query("SELECT group_nid FROM og_ancestry WHERE nid=%d", $project_nid));
                  $repository_name = db_result(db_query($sql_name, $repository_nid));
                  array_push($breadcrumb, l($repository_name, 'node/' . $repository_nid));
                  array_push($breadcrumb, l($project_name, 'node/' . $project_nid));
                }
                else {
                  $repository_nid = db_result(db_query("SELECT group_nid FROM og_ancestry WHERE nid=%d", arg(1)));
                  $repository_name = db_result(db_query($sql_name, $repository_nid));
                  array_push($breadcrumb, l($repository_name, 'node/' . $repository_nid));
                }
              }
            }
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'catalogue/asset_release/' . $path_alias_parts[2]));
            $_SESSION['breadcrumb'] = $breadcrumb;
            break; //end asset release
          case 'distribution':
            $distribution = explode('/', $_GET['q']);
            if (isset($distribution[1]) && !empty($distribution[1])) {
              $node = node_load($distribution[1]);
            }
            if (!empty($node)) {
              $distribution_tree = _isa_toolbox_distribution_tree($node);
              if ($distribution_tree) {
                $release = node_load($distribution_tree['release_nid']);
                $release_title = $release->title;
                if (strlen($release_title) > 25) {
                  $release_title = substr($release_title, 0, 25);
                  $release_title .='(...)';
                }
                $group = node_load($distribution_tree['repository_nid']);
                if ($group) {
                  if ($group->type == 'repository') {
                    array_push($breadcrumb, l('Federated repositories', 'catalogue/repository'));
                  }
                  else {
                    array_push($breadcrumb, l('Projects', 'catalogue/repository'));
                  }
                  $group_title = $group->title;
                  if (strlen($group_title) > 25) {
                    $group_title = substr($group_title, 0, 25);
                    $group_title .='(...)';
                  }
                  array_push($breadcrumb, l($group_title, $group->path));
                  array_push($breadcrumb, l($release_title, $release->path));
                }
                else {
                  array_push($breadcrumb, l('Interoperability solutions', 'interoperability/search', array('query' => array('filters' => '!bs_current_version:false'))));
                  array_push($breadcrumb, l($release_title, $release->path));
                }
              }
              $distribution_title = format_text($path_alias_parts[2]);
              if (strlen($distribution_title) > 25) {
                $distribution_title = substr($distribution_title, 0, 25);
                $distribution_title .='(...)';
              }
              array_push($breadcrumb, l($distribution_title, $path_alias));
            }

            break; //end distribution
          case 'repository':
            array_push($breadcrumb, l('Federated Repositories', 'catalogue/repository'));
            if ($path_alias_parts[2] && $path_alias_parts[2] != 'all') {
              array_push($breadcrumb, l(format_text($path_alias_parts[2]), $path_alias));
            }
            break;
          case 'publisher':
            if ((strpos($referer_uri, '/repository/') !== false)) {
              $referer_uri_parts = explode('/', $referer_uri);
              //Refered page asset name
              $j = 0;
              $end = count($referer_uri_parts) - 1;
              $array_project = '';
              while ($j <= $end) {
                if ($referer_uri_parts[$j] == 'repository') {
                  ++$j;
                  while ($j <= $end) {
                    $array_project .= "/" . $referer_uri_parts[$j];
                    ++$j;
                  }
                }
                else {
                  ++$j;
                }
              }
              $publisher_name = '';
              $j = 2;
              $end = count($path_alias_parts) - 1;
              while ($j <= $end) {
                $publisher_name .= "/" . $path_alias_parts[$j];
                ++$j;
              }
              array_push($breadcrumb, l('Repositories', 'catalogue/repository'));
              array_push($breadcrumb, l(format_text(substr($array_project, 1)), 'catalogue/repository' . $array_project));
              array_push($breadcrumb, l(format_text(substr($publisher_name, 1)), $path_alias));
            }
            elseif ((strpos($referer_uri, '/distribution/') !== false)) {
              $referer_uri_parts = explode('/', $referer_uri);
              //Refered page asset name
              $j = 0;
              $end = count($referer_uri_parts) - 1;
              $array_asset = '';
              while ($j <= $end) {
                if ($referer_uri_parts[$j] == 'distribution') {
                  ++$j;
                  while ($j <= $end) {
                    $array_asset .= "/" . $referer_uri_parts[$j];
                    ++$j;
                  }
                }
                else {
                  ++$j;
                }
              }
              $publisher_name = '';
              $j = 2;
              $end = count($path_alias_parts) - 1;
              while ($j <= $end) {
                $publisher_name .= "/" . $path_alias_parts[$j];
                ++$j;
              }
              array_push($breadcrumb, l('Interoperability Solutions', 'interoperability/search', array('query' => array('filters' => '!bs_current_version:false'))));
              array_push($breadcrumb, l(format_text(substr($array_asset, 1)), 'catalogue/distribution' . $array_asset));
              array_push($breadcrumb, l(format_text(substr($publisher_name, 1)), $path_alias));
            }
            elseif ((strpos($referer_uri, '/asset_release/') !== false)) {
              $referer_uri_parts = explode('/', $referer_uri);
              //Refered page asset name
              $j = 0;
              $end = count($referer_uri_parts) - 1;
              $array_asset = '';
              while ($j <= $end) {
                if ($referer_uri_parts[$j] == 'asset_release') {
                  ++$j;
                  while ($j <= $end) {
                    $array_asset .= "/" . $referer_uri_parts[$j];
                    ++$j;
                  }
                }
                else {
                  ++$j;
                }
              }
              $publisher_name = '';
              $j = 2;
              $end = count($path_alias_parts) - 1;
              while ($j <= $end) {
                $publisher_name .= "/" . $path_alias_parts[$j];
                ++$j;
              }
              array_push($breadcrumb, l('Interoperability Solutions', 'interoperability/search', array('query' => array('filters' => '!bs_current_version:false'))));
              array_push($breadcrumb, l(format_text(substr($array_asset, 1)), 'catalogue/asset_release' . $array_asset));
              array_push($breadcrumb, l(format_text(substr($publisher_name, 1)), $path_alias));
            }
            break;
          case 'licence':
            if ((strpos($referer_uri, '/distribution/') !== false)) {
              /* $referer_uri_parts = explode('/', $referer_uri);
                //Refered page asset name
                $j=0;
                $end =count($referer_uri_parts) - 1;
                $array_asset = '';
                while($j<=$end){
                if($referer_uri_parts[$j] == 'distribution'){
                ++$j;
                while($j<=$end){
                $array_asset .= "/" . $referer_uri_parts[$j];
                ++$j;
                }
                }else{
                ++$j;
                }
                } */
              $old_breadcrumb = $_SESSION['breadcrumb'];
              $breadcrumb = $old_breadcrumb;

              $publisher_name = '';
              $j = 2;
              $end = count($path_alias_parts) - 1;
              while ($j <= $end) {
                $publisher_name .= "/" . $path_alias_parts[$j];
                ++$j;
              }
              //array_push($breadcrumb, l('Catalogue', 'catalogue/all'));
              //array_push($breadcrumb, l(format_text(substr($array_asset, 1)), 'catalogue/distribution' . $array_asset));
              array_push($breadcrumb, l(format_text(substr($publisher_name, 1)), $path_alias));
            }
            else {
              array_push($breadcrumb, l('Interoperability Solutions', 'interoperability/search', array('query' => array('filters' => '!bs_current_version:false'))));
              array_push($breadcrumb, l('Licence', 'catalogue/licence/all'));
              array_push($breadcrumb, l(format_text($path_alias_parts[2]), $path_alias));
            }
            break;
        }
      }
      break; //end of Catalogue
    case 'asset':
      //$breadcrumb = array();
      //$breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      if ($last == 1) {
        switch ($path_alias_parts[1]) {
          case 'recommended':
            array_push($breadcrumb, l('Recommended', 'asset/recommended'));
            break;
          case 'i_use':
            array_push($breadcrumb, l('Solutions I use', 'asset/i_use'));
            break;
          case 'editor':
            array_push($breadcrumb, l("Editor's choice", 'asset/editor'));
            break;
          case 'all':
            array_push($breadcrumb, l('Projects', 'asset/all'));
            break;
        }
      }
      if ($last > 1) {
        array_push($breadcrumb, l('Projects', 'project/all'));
        switch ($path_alias_parts[2]) {
          case 'home':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Welcome', 'asset/' . $path_alias_parts[1] . '/home'));
            break;
          case 'description':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2]));
            break;
          case 'members':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2]));
            break;
          case 'issue':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/all'));
            if ($last == 3) {
              array_push($breadcrumb, l(format_text($path_alias_parts[3]), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            }
            break;
          case 'asset_release':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(t('Solutions'), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/all'));
            if ($last == 3) {
              array_push($breadcrumb, l(format_text($path_alias_parts[3]), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            }
            break;
          case 'metrics':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(format_text($path_alias_parts[2]), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2]));
            break;
          case 'highlights':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l(t('Highlights'), 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/all'));
            switch ($path_alias_parts[3]) {
              case 'asset':
              case 'software':
                array_push($breadcrumb, l('Interoperability Solution', 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3] . '/' . $path_alias_parts[4]));
                break;
              case 'community':
                array_push($breadcrumb, l('Communities', 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3] . '/' . $path_alias_parts[4]));
                break;
            }
            break;
          case 'forum':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Forums', 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            if ($last == 3) {
              array_push($breadcrumb, l(format_text($path_alias_parts[3]), $path_alias));
            }
            break;
          case 'topic':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Forums', 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            if ($last > 2) {
              $breadcrumb = array();
              $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
            }
            break;
          case 'communications':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'community/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Communications', 'community/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            break;
          case 'newsandblog':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Communications', 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            break;
          case 'news':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Communications', 'asset/' . $path_alias_parts[1] . '/' . 'newsandblog/all'));
            array_push($breadcrumb, l(format_text($path_alias_parts[3]), $path_alias));
            break;
          case 'event':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Communications', 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            if ($last == 3) {
              array_push($breadcrumb, l(format_text($path_alias_parts[3]), $path_alias));
            }
            break;
          case 'elibrary':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Communications', 'asset/' . $path_alias_parts[1] . '/' . $path_alias_parts[2] . '/' . $path_alias_parts[3]));
            break;
          case 'document':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Communications', 'asset/' . $path_alias_parts[1] . '/elibrary/all'));
            array_push($breadcrumb, l(format_text($path_alias_parts[3]), $path_alias));
            break;
          case 'experts':
            array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'asset/' . $path_alias_parts[1] . '/home'));
            array_push($breadcrumb, l('Experts', $path_alias));
            break;
        }
      }
      /* if($last == 1){
        switch ($path_alias_parts[1]){
        case 'experts':
        array_push($breadcrumb, l('Experts', $path_alias));
        break;
        }
        } */
      break; //end of Project
    case 'metrics':

      array_push($breadcrumb, l(format_text($path_alias_parts[0]), $path_alias_parts[0]));
      break; //end of metrics
    // ISAICP-893
    // ADMS.SW - conform import, content management, search, and export features
    case 'software_project_agent':
    case 'software_release_agent':
      if ((strpos($referer_uri, '/catalogue/repository/') !== false)) {
        array_push($breadcrumb, l('Federated repositories', 'repositories/software'));
        $h = $_SERVER['HTTP_HOST'] . base_path();
        $referer = explode($h, $referer_uri);
        $referer = $referer[1];
        $sql = "select src from {url_alias} where dst = '%s'";
        $project_uri = db_result(db_query($sql, $referer));
        $project_nid = explode('/', $project_uri);
        $project_nid = $project_nid[1];
        $project_node = node_load($project_nid);
        array_push($breadcrumb, l($project_node->title, $referer));
      }
      elseif ((strpos($referer_uri, '/catalogue/project/') !== false)) {
        array_push($breadcrumb, l('Federated repositories', 'repositories/software'));
        $h = $_SERVER['HTTP_HOST'] . base_path();
        $referer = explode($h, $referer_uri);
        $referer = $referer[1];
        $sql = "select src from {url_alias} where dst = '%s'";
        $project_uri = db_result(db_query($sql, $referer));
        $project_nid = explode('/', $project_uri);
        $project_nid = $project_nid[1];
        $project_node = node_load($project_nid);
        array_push($breadcrumb, l($project_node->title, $referer));
      }
      $sql_name = "SELECT title FROM node WHERE nid=%d";
      $name = db_result(db_query($sql_name, arg(1)));
      array_push($breadcrumb, l($name, 'node/' . arg(1)));
      break; //end of software_project_agent
    case 'data_set':
      if ((strpos($referer_uri, '/catalogue/repository/') !== false)) {
        array_push($breadcrumb, l('Federated repositories', 'repositories/software'));
        $h = $_SERVER['HTTP_HOST'] . base_path();
        $referer = explode($h, $referer_uri);
        $referer = $referer[1];
        $sql = "select src from {url_alias} where dst = '%s'";
        $project_uri = db_result(db_query($sql, $referer));
        $project_nid = explode('/', $project_uri);
        $project_nid = $project_nid[1];
        $project_node = node_load($project_nid);
        array_push($breadcrumb, l($project_node->title, $referer));
      }
      elseif ((strpos($referer_uri, '/repository/') !== false)) {
        array_push($breadcrumb, l('Federated repositories', 'repositories/software'));
        $h = $_SERVER['HTTP_HOST'] . base_path();
        $referer = explode($h, $referer_uri);
        $referer = $referer[1];
        $sql = "select src from {url_alias} where dst = '%s'";
        $project_uri = db_result(db_query($sql, $referer));
        $project_nid = explode('/', $project_uri);
        $project_nid = $project_nid[1];
        $project_node = node_load($project_nid);
        array_push($breadcrumb, l($project_node->title, $referer));
      }
      elseif ((strpos($referer_uri, '/catalogue/asset_release/') !== false)) {
        array_push($breadcrumb, l('Federated repositories', 'repositories/software'));
        $h = $_SERVER['HTTP_HOST'] . base_path();
        $referer = explode($h, $referer_uri);
        $referer = $referer[1];
        $sql = "select src from {url_alias} where dst = '%s'";
        $project_uri = db_result(db_query($sql, $referer));
        $project_nid = explode('/', $project_uri);
        $project_nid = $project_nid[1];
        $project_node = node_load($project_nid);
        array_push($breadcrumb, l($project_node->title, $referer));
      }
      elseif ((strpos($referer_uri, '/catalogue/project/') !== false)) {
        array_push($breadcrumb, l('Federated repositories', 'repositories/software'));
        $h = $_SERVER['HTTP_HOST'] . base_path();
        $referer = explode($h, $referer_uri);
        $referer = $referer[1];
        $sql = "select src from {url_alias} where dst = '%s'";
        $project_uri = db_result(db_query($sql, $referer));
        $project_nid = explode('/', $project_uri);
        $project_nid = $project_nid[1];
        $project_node = node_load($project_nid);
        array_push($breadcrumb, l($project_node->title, $referer));
      }

      $sql_name = "SELECT title FROM node WHERE nid=%d";
      $name = db_result(db_query($sql_name, arg(1)));
      array_push($breadcrumb, l($name, 'node/' . arg(1)));
      break; //end of data_set
    case 'page':
      switch ($path_alias_parts[1]) {
        case 'about_us':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'ePractice.eu':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'osor.eu':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'semic.eu':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'our_services':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'legal-notice':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'get_involved':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'widget':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
        case 'widget_asset':
          array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
          break;
      }
      break; //end of page/about us
    case 'help':
      array_push($breadcrumb, l(format_text($path_alias_parts[0]), $path_alias));
      break; //end of help
    case 'help_topics':
      array_push($breadcrumb, l('FAQ', $path_alias));
      break; //end of help
    case 'contexthelp_faq':
      array_push($breadcrumb, l('FAQ', 'help_topics'));
      array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
      break; //end of FAQ
    case 'sitemap':
      array_push($breadcrumb, l(format_text($path_alias_parts[0]), $path_alias));
      break; //end of Sitemap
    case 'partners':
      array_push($breadcrumb, l(format_text($path_alias_parts[0]), $path_alias));
      break; //end of Partners
    case 'glossary':
      array_push($breadcrumb, l(format_text($path_alias_parts[0]), $path_alias));
      break; //end of Glossary home
    case 'category':
      if ($path_alias_parts[1] == 'glossary') {
        array_push($breadcrumb, l(format_text($path_alias_parts[1]), 'glossary'));
        array_push($breadcrumb, l(format_text($path_alias_parts[2]), $path_alias));
      }
      break; //end of Glossary tems
    case 'search':
      array_push($breadcrumb, l('Advanced search', $path_alias));
      break; //end of Search
    case 'newsletter':
      array_push($breadcrumb, l(format_text($path_alias_parts[0]), 'news/newsletter'));
      array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
      break; //end of Search
    case 'federated_forge':
      array_push($breadcrumb, l(format_text($path_alias_parts[0]), 'software/federated_forge'));
      array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
      break; //end of Search
    case 'federated_project':
      array_push($breadcrumb, l(format_text($path_alias_parts[0]), 'software/federated_forge'));
      array_push($breadcrumb, l(format_text($path_alias_parts[1]), $path_alias));
      break; //end of
    case 'software':
      $text = $path_alias_parts[1];
      if ($text == 'all' || $text == 'federated_forge' || $text == 'my_oss' || $text == 'i_use' ||
          $text == 'recommended' || $text == 'editor' || $text == 'license-wizard' || $text == 'page') {
        array_push($breadcrumb, l('Software', 'software/all'));
        if ($last == 1) {
          switch ($path_alias_parts[1]) {
            case 'all':
              array_push($breadcrumb, l('Software projects', 'software/all'));
              break;
            case 'federated_forge':
              array_push($breadcrumb, l('Federated Repositories', 'software/federated_forge'));
              break;
            case 'my_oss':
              array_push($breadcrumb, l("My Software Projects", 'software/my_oss'));
              break;
            case 'i_use':
              array_push($breadcrumb, l('Software I use', 'software/i_use'));
              break;
            case 'recommended':
              array_push($breadcrumb, l('Recommended', 'software/recommended'));
              break;
            case 'editor':
              array_push($breadcrumb, l("Editor's choice", 'software/editor'));
              break;
          }
        }
        elseif ($last > 1) {
          switch ($path_alias_parts[1]) {
            case 'license-wizard':
              array_push($breadcrumb, l('License Wizard', 'software/license-wizard/home'));
              if ($path_alias_parts[2] && $path_alias_parts[2] != 'home') {
                array_push($breadcrumb, l(format_text($path_alias_parts[2]), $path_alias));
              }
              break;
            case 'page':
              switch ($path_alias_parts[2]) {
                case 'eupl':
                  array_push($breadcrumb, l('EUPL', 'software/page/eupl'));
                  if ($path_alias_parts[3]) {
                    array_push($breadcrumb, l(format_text($path_alias_parts[3]), $path_alias));
                  }
                  break;
                default:
                  array_push($breadcrumb, l(format_text($path_alias_parts[2]), $path_alias));
                  break;
              }
              break;
          }
        }
      }
      else {
        $breadcrumb = array();
        $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      }
      break; //end of
    case 'admin':
      $breadcrumb = array();
      $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      break; //end of
    case 'node':
      $breadcrumb = array();
      $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      break; //end of
    case 'elibrary':
      $breadcrumb = array();
      $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      break; //end of
    case 'news':
      $breadcrumb = array();
      $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      break; //end of
    case 'event':
      $breadcrumb = array();
      $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      break; //end of
    case 'people':
      $breadcrumb = array();
      $breadcrumb = joinup_breadcrumb_oldfunction($breadcrumb);
      break; //end of
  }
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-796
  //Remove echo <p>
  //print_r($breadcrumb);
  return implode(' &#62; ', $breadcrumb);
}

function joinup_breadcrumb_oldfunction($breadcrumb) {
    global $user;
    // if you cannot find a path in the menu router, then try to add some suffixes
    $suffixes = array('all', 'home');
    $primary_links = menu_primary_links();
    $breadcrumb = array();
    $normal_path = trim($_GET['q'], '/');
    $normal_path_parts = explode('/', $normal_path);
    $normal_path_begin = implode('/', array_slice($normal_path_parts, 0, 2));
    $path_alias = drupal_get_path_alias($normal_path);
    $referer_uri = referer_uri();


    if (strpos($path_alias, 'node/') === 0 || strpos($path_alias, 'user/') === 0) {
        $path_alias_begin = drupal_get_path_alias($normal_path_begin);
        $path_alias_end = implode('/', array_slice($normal_path_parts, 2));
        if ($path_alias_end == '') {
            $path_alias = $path_alias_begin;
        } else {
            $path_alias = implode('/', array($path_alias_begin, $path_alias_end));
        }
    } else {
        $path_alias = drupal_get_path_alias($normal_path);
    }
    $path_alias_parts = explode('/', $path_alias);

    //Cases of My page / people
    if ($path_alias_parts[0] == 'people') {
        if ($path_alias_parts[1] == 'dashboard' ||
                $path_alias_parts[1] === $user->uid) {
            $path_alias_parts[0] = 'people/mypage';
        }
    }
// Case of search pages
    if ($path_alias_parts[0] == 'search' && $path_alias_parts[1] == 'apachesolr_search') {
        $path_alias_parts = array();
        $path_alias_parts[0] = 'search';
    }
// Case for resert password page
    if ($path_alias_parts[0] == 'user' && $path_alias_parts[1] == 'reset') {
        unset($path_alias_parts[4]);
        unset($path_alias_parts[2]);
        unset($path_alias_parts[3]);
    }

    // $i is the number of path parts we use for the current breadcrumb path
    $i = 0;
    $last = count($path_alias_parts) - 1;

    // foreach breadcrumb path, generated the corresponding title and linkA
    foreach ($path_alias_parts as $key => $value) {
        ++$i;
        $part_title = '';
        $part_path = implode('/', array_slice($path_alias_parts, 0, $i));
        if ($value == 'page') {
            --$last;
            continue;
        }
        //$part_path = 'people/mypage';
        // try to find a item in the menu router
        $menu_item = menu_get_item($part_path);

        // try to find a item with a suffix in the menu router
        if (!$menu_item) {
            $modified = false;
            foreach ($suffixes as $key2 => $value2) {
                $menu_item = menu_get_item($part_path . '/' . $value2);
                //specific case for News & blogs in groups
                $menu_item2 = menu_get_item($part_path . 'andblog/' . $value2);
                if ($menu_item) {
                    $part_path .= '/' . $value2;
                    $modified = true;
                    break;
                } elseif ($menu_item2) {
                    $part_path .= 'andblog/' . $value2;
                    $part_title = 'News';
                    $modified = true;
                    break;
                }
            }

            // case for federated project
            // federated forge >> federated forge title >> federated project title
            if ($path_alias_parts[0] == 'federated_project') {

                $node = menu_get_object();
                if ($value == 'federated_project') {
                    $federated_forge = node_load($node->field_fed_project_forge[0]['nid']);
                    $breadcrumb[] = l('Federated forges', 'software/federated_forge');
                    $breadcrumb[] = l($federated_forge->title, $federated_forge->path);
                    ++$last;
                    continue;
                } elseif ($value == 'description') {
                    $part_path = $node->path;
                }
            }
            // case for document and wiki in a group:
            // group >> group name >> Elibrary >> item title
            if (($value == "document" || $value == "wiki" || $value == "legaldocument" || $value == "news" || $value == "event")
				  && isset($path_alias_parts[2])
				  && ($path_alias_parts[2] == 'legaldocument' || $path_alias_parts[2] == 'wiki' || $path_alias_parts[2] == 'document' || $path_alias_parts[2] == 'news' || $path_alias_parts[2] == 'event')) {
                $group_types = array(ISA_COMMUNITY_TYPE, ISA_SOFTWARE_TYPE, ISA_ASSET_TYPE);
                if (in_array($path_alias_parts[0], $group_types)) {
                    $node = menu_get_object();
                    if ($node) {
                        $group = node_load(array_shift($node->og_groups));
                    }
                    if (!$group) {
                        $group = node_load(variable_get('current_group', isa_toolbox_get_community_nid()));
                    }
                    $short_name = isa_links_get_group_short_name($group);
                    $breadcrumb[] = l('Communications', "{$group->group_type}/{$short_name}/communications/all");
                    continue;
                }
            }
            // case for blogs :
            // home >> blog >> blog_title >> edit/delete
            if ($value == 'blog') {
                //$node = menu_get_object();
                $breadcrumb[] = l('Blogs', "news/blog");
                continue;
            }
            // case for topic :
            // forums >> forum name >> topic item
            if ($value == 'topic') {
                $node = menu_get_object();
                $group = node_load(array_shift($node->og_groups));
                $short_name = isa_links_get_group_short_name($group);
                $breadcrumb[] = l('Forums', "{$group->group_type}/{$short_name}/forum/all");
                foreach ($node->taxonomy as $tkey => $taxo) {
                    if ($taxo->vid == variable_get('forum_vid', -1)) {
                        $breadcrumb[] = l("{$taxo->name}", "{$group->group_type}/{$short_name}/forum/{$taxo->name}");
                        $last++;
                    }
                }
                continue;
            }
            // case when view/delete/edit group :
            // group >> group title >> description (>> edit/delete)
            // if no define part title here the breadcrumb display group >> group title >> group title
            $part_path_exp = explode('/', $part_path);
            if ((isset($part_path_exp[2]) && $part_path_exp[2] == 'description') && !isset($part_path_exp[3]) && $part_path_exp[0] != 'federated_project') {
                $part_title = ucfirst($value);
            }
            // check the path is not in the next part of breadcrumb
            if ($modified && $i > 1 && $part_path == implode('/', array_slice($path_alias_parts, 0, $i + 1))) {
                --$last;
                continue;
            }
            // check the path is valid (user/% is valid
            // even if there is no people/% entry in the menu router)
            if (!$menu_item && $i != $last && !(menu_get_item(drupal_get_normal_path($part_path)))) {
                if (//($normal_path_parts[2] == 'delete' || $normal_path_parts[2] == 'edit')&&
                        ($value == 'edit' || $value == 'delete' || $value == 'workflow')) {
                    //$part_title = ucfirst($normal_path_parts[2]);
                    //$part_path = $_GET['q'];
                } else {
                    --$last;
                    continue;
                }
            }
        }

        // use the primary links titles for the first part of breadcrumb
        if ($i == 1) {
            foreach ($primary_links as $key3 => $value3) {
                if ($value3['href'] == $part_path) {
                    $part_title = $value3['title'];// Comunities #############
                    switch($value3['title']){
                    	case 'Home':
                    		$part_title = '';
                    		break;
                    }
                    break;
                }
            }
            // manage pages beginning with 'admin' and similar
            if ($part_title == ''){
            	if($path_alias_parts[0] == 'asset'){
            		$part_title = "Projects";
            		//array_push($breadcrumb, l('Interoperability Solutions', 'catalogue/all'));
            	}elseif($path_alias_parts[0] == 'catalogue'){
            		$part_title = "Catalogue";
            		array_push($breadcrumb, l('Interoperability Solutions', 'interoperability/search', array('query' => array('filters' => '!bs_current_version:false'))));
            	}
            	else{
            		$part_title = ucfirst($path_alias_parts[0]); // Primer  ([0] => Asset) *****************
            	}
            }

            //print_r($path_alias_parts);
            //echo "<p>";
        }
        else {
            if ($value == 'home') {
                //groups homepage
                $breadcrumb[] = l(ucfirst($path_alias_parts[1]), $path_alias);
                $last++;
            } else {
                // if a menu item exists, try to get a view title
                if ($menu_item) {
                    $part_title = isa_toolbox_get_view_title(); //Find comunities ###########
                }
                $menu_item = menu_get_item(drupal_lookup_path('source', $part_path));
// otherwise, get the page title from the path and add a capital letter
                if ($menu_item && $part_title == '') {
                    if ($menu_item['title'] == 'European Union Public Licence (EUPL)') {
                        // only display 'eupl', else it's too long for breadcrumb
                        $part_title = 'EUPL';
                    } elseif ($part_title == '') {
                        $part_title = $menu_item['title']; // nombre de distribucion  3 (ADMS.SW 1.00 )***************
                    }
                } elseif ($part_title == '') {
                	if($value == 'repository'){
                		//array_push($breadcrumb, l('Federated repositories', 'catalogue/repository/all'));
                		$part_title = 'Federated repositories';
                		$part_path = 'catalogue/repository/all';
                	}//elseif($value == 'asset_release'){
                		//$part_title = 'Federated repositories';
                	//	$part_path = 'catalogue/repository/all';
                //	}
                	else{
                		$part_title = ucfirst($value); // before title ( [1] Adms_foss [2] => Asset_release  )***************
                	}
                }
            }
        }
		if($part_path=='asset/all'||$part_path=='software/all'){
		  $part_title = t('Projects');
		  $part_path = 'project/all';
		}
		if(strlen($part_title)>24){
		  $part_title = substr($part_title, 0, 25);
		  $part_title .='(...)';
		}
        $breadcrumb[] = l($part_title, $part_path);
    }


    //'node add' cases to not display Node >> Add in the breadcrumb
    if ($path_alias_parts[0] == 'node' && $path_alias_parts[1] == 'add') {
        $breadcrumb = array();
        $nid = isset($_GET['gids']) ? $_GET['gids'][0] : NULL;
        if (!$nid) {
            $nid = variable_get('current_group', isa_toolbox_get_community_nid());
        }
        if ($nid && is_numeric($nid)) {
            $node = node_load($nid);
            foreach ($primary_links as $key3 => $value3) {
                if ($value3['href'] == "{$node->group_type}/all") {
                    $part_title = $value3['title'];
                    break;
                }
            }
            $breadcrumb[] = l(ucfirst($part_title), "{$node->group_type}/all");
            $short_name = isa_links_get_group_short_name($node);
            $breadcrumb[] = l(ucfirst($short_name), "{$node->group_type}/{$short_name}/home");
        } else {
            $breadcrumb[$last] = $part_title;
        }
    } elseif ($path_alias_parts[0] == 'toboggan') {
        array_pop($breadcrumb);
        $last--;
    }


    if (count($breadcrumb) > 1) {
        //unlink all admin paths if user is not administrator
        if ($normal_path_parts[0] == 'admin' && !isa_toolbox_is_omnipotent()) {
            foreach ($breadcrumb as $key => $item) {
                $breadcrumb[$key] = strip_tags($item);
            }
        } elseif ($normal_path_parts[0] == 'user') {
            //if on a user/* page, set the last breadcrumb part to firstname and lastname
            if (is_numeric($normal_path_parts[1])) {
                if (!isset($normal_path_parts[2])) {
                    global $user;
                    //throw out the uid from the breadcrumb
                    if ($user->uid != $normal_path_parts[1]) {
                        unset($breadcrumb[$last]);
                    }
                } elseif ($normal_path_parts[2] == 'contact') {
                    $breadcrumb[$last] = t('Contact');
                } elseif ($normal_path_parts[2] == 'edit') {
                    if (isset($normal_path_parts[3])) {
                        unset($breadcrumb[$last]);
                        --$last;
                        if ($normal_path_parts[3] == 'profile') {
                            $breadcrumb[$last] = t('Edit profile');
                        } elseif ($normal_path_parts[3] == 'newsletter') {
                            $breadcrumb[$last] = t('My newsletters');
                        }
                    } else {
                        $breadcrumb[$last] = t('Edit account');
                    }
                }
                $breadcrumb[1] = theme('username', $normal_path_parts[1]);
            }
        } elseif ($normal_path_parts[0] == 'people' && is_numeric($normal_path_parts[1])) {
            //replace uid by user firstname & lastname
            $breadcrumb[1] = theme('username', $normal_path_parts[1]);
        } else {
            // if drupal_get_title tells us about a more precise title, then use it
            $drupal_title = drupal_get_title();
            if ($drupal_title != '') {
                if (isset($path_alias_parts[2]) && $path_alias_parts[2] != 'description'
                        && (!isset($normal_path_parts[2]) || ($normal_path_parts[2] != 'edit' && $normal_path_parts[2] != 'delete' && $normal_path_parts[2] != 'workflow'))) {
                    $breadcrumb[$last] = $drupal_title;
                }
            }
        }

        array_unshift($breadcrumb, l('Joinup', '<front>'));

        $breadcrumb[count($breadcrumb) - 1] = strip_tags($breadcrumb[count($breadcrumb) - 1]);
    } else {
        $breadcrumb = array();
        //$breadcrumb[0] = l('Home', '<front>');
        $drupal_title = drupal_get_title();
        if ($drupal_title != '') {
        	if($drupal_title == 'Home'){
        		array_unshift($breadcrumb, l('Joinup', '<front>'));
        	}else {
        		switch($drupal_title){
        			case 'Search':
        				array_unshift($breadcrumb, l('Joinup', '<front>'));
        				array_push($breadcrumb, l('Advanced search', 'search/apachesolr_search'));
        				break;
        		}
        		if($drupal_title != 'Search'){
        			$breadcrumb[0] = $drupal_title;
        		}

        	}

        }
    }


    // special case when breadcrumb like Homme>>Catalogue>>Asset_release>>Description
    if ( //(joinup_title_is_in_breadcrumb(t("Home"), 0, $breadcrumb)===1) &&
    (joinup_title_is_in_breadcrumb(t("Catalogue"), 1, $breadcrumb)===1)

    ) {
        if (joinup_title_is_in_breadcrumb("Asset_release", 2, $breadcrumb)===1)
            unset ($breadcrumb[2]);
    } // replace Asset_release by Asset release in link title
    else if ( (joinup_title_is_in_breadcrumb("Asset_release", sizeof($breadcrumb)-2, $breadcrumb)===1)){
        $word = $breadcrumb[sizeof($breadcrumb)-2];
        $count = null;
        $word =  preg_replace('#Asset_release#', 'Interoperability solution', $word, -1, $count);
        $breadcrumb[sizeof($breadcrumb)-2] = $word;
    }//replace Asset_release by Asset release in link title (with edit)
    else if ( (joinup_title_is_in_breadcrumb("Asset_release", sizeof($breadcrumb)-3, $breadcrumb)===1)){
        $word = $breadcrumb[sizeof($breadcrumb)-3];
        $count = null;
        $word =  preg_replace('#Asset_release#', 'Interoperability solution', $word, -1, $count);
        $breadcrumb[sizeof($breadcrumb)-3] = $word;
    }

    return $breadcrumb;
    //return implode(' &#62; ', $breadcrumb);
}
/**
 * return 1 if title is in link of breadcrumb at the specified index 0 otherwise
 * @param type $title
 * @param type $index
 * @param type $breadcrumb
 * @return type
 */
function joinup_title_is_in_breadcrumb($title, $index, $breadcrumb) {
  $returnValue = 0;
  if (isset($breadcrumb[$index])) {
    $returnValue = preg_match("#\\>$title\\<#", $breadcrumb[$index]);
  }
  return $returnValue;
}

/**
 * Theme preprocess function for field.tpl.php.
 *
 * The $variables array contains the following arguments:
 * - $node
 * - $field
 * - $items
 * - $teaser
 * - $page
 *
 * @see field.tpl.php
 *
 * TODO : this should live in theme/theme.inc, but then the preprocessor
 * doesn't get called when the theme overrides the template. Bug in theme layer ?
 */
function joinup_preprocess_content_field(&$variables) {
    $element = $variables['element'];
    $field = content_fields($element['#field_name'], $element['#node']->type);

    $variables['node'] = $element['#node'];
    $variables['field'] = $field;
    $variables['items'] = array();

    if ($element['#single']) {
        // Single value formatter.
        foreach (element_children($element['items']) as $delta) {
            $variables['items'][$delta] = $element['items'][$delta]['#item'];
            // Use isset() to avoid undefined index message on #children when field values are empty.
            $variables['items'][$delta]['view'] = isset($element['items'][$delta]['#children']) ? $element['items'][$delta]['#children'] : '';
        }
    } else {
        // Multiple values formatter.
        // We display the 'all items' output as $items[0], as if it was the
        // output of a single valued field.
        // Raw values are still exposed for all items.
        foreach (element_children($element['items']) as $delta) {
            $variables['items'][$delta] = $element['items'][$delta]['#item'];
        }
        $variables['items'][0]['view'] = $element['items']['#children'];
    }

    $variables['teaser'] = $element['#teaser'];
    $variables['page'] = $element['#page'];

    $field_empty = TRUE;

    foreach ($variables['items'] as $delta => $item) {
        if (!isset($item['view']) || (empty($item['view']) && (string) $item['view'] !== '0')) {
            $variables['items'][$delta]['empty'] = TRUE;
        } else {
            $field_empty = FALSE;
            $variables['items'][$delta]['empty'] = FALSE;
        }
    }

    $ok = TRUE;

//  if ($element['#field_name']){
//      if (in_array($element['#field_name'], $element['#node']->show_email['fields'])) {
//        $ok = $element['#node']->show_email['check'];
//      }
//
//      if (in_array($element['#field_name'], $element['#node']->show_organization['fields'])) {
//        $ok = $element['#node']->show_organization['check'];
//      }
//
//      if (in_array($element['#field_name'], $element['#node']->show_address['fields'])) {
//        $ok = $element['#node']->show_organization['check'];
//        if ($ok)
//          $ok = $element['#node']->show_address['check'];
//      }
//
//      if (in_array($element['#field_name'], $element['#node']->show_profile['fields'])) {
//        $ok = $element['#node']->show_profile['check'];
//      }
//
//      $preferences = array('field_email_visibility', 'field_organization_visibility', 'field_address_visibility', 'field_profile_visibility');
//      if (in_array($element['#field_name'], $preferences)) {
//        $ok = FALSE;
//      }
//  }


    if ($ok) {
        $additions = array(
            'field_type' => $field['type'],
            'field_name' => $field['field_name'],
            'field_type_css' => strtr($field['type'], '_', '-'),
            'field_name_css' => strtr($field['field_name'], '_', '-'),
            'label' => check_plain(t($field['widget']['label'])),
            'label_display' => $element['#label_display'],
            'field_empty' => $field_empty,
            'template_files' => array(
                'content-field',
                'content-field-' . $element['#field_name'],
                'content-field-' . $element['#node']->type,
                'content-field-' . $element['#field_name'] . '-' . $element['#node']->type,
            ),
        );
        $variables = array_merge($variables, $additions);
    }
    else
        $variables = array();
}

/**
 * Format a fieldgroup using a 'fieldset'.
 *
 * Derived from core's theme_fieldset, with no output if the content is empty.
 */
function joinup_fieldgroup_fieldset($element) {
  if (isset($element['#children'])) {
    $children = $element['#children'];
    $children = strip_tags($children);
    $children = trim($children);
    if (empty($children)) {
      $element['#children'] = $children;
    }
  }
  
  if (empty($element['#children']) && empty($element['#value'])) {
    return '';
  }

  if ($element['#collapsible']) {
    drupal_add_js('misc/collapse.js');

    if (!isset($element['#attributes']['class'])) {
      $element['#attributes']['class'] = '';
    }

    $element['#attributes']['class'] .= ' collapsible';
    if ($element['#collapsed']) {
      $element['#attributes']['class'] .= ' collapsed';
    }
  }
  return '<fieldset' . drupal_attributes($element['#attributes']) . '>' . ($element['#title'] ? '<legend>' . $element['#title'] . '</legend>' : '') . (isset($element['#description']) && $element['#description'] ? '<div class="description">' . $element['#description'] . '</div>' : '') . (!empty($element['#children']) ? $element['#children'] : '') . (isset($element['#value']) ? $element['#value'] : '') . "</fieldset>\n";
}

function joinup_help() {
    $trial = menu_get_active_trail();
    $multiforms = array('news');
    $menu = $trial[1];
    $ok = TRUE;
    if (isset($menu['map'])) {
        foreach ($menu['map'] as $value) {
            if (in_array($value, $multiforms)) {
                $ok = FALSE;
            }
        }
    }

    if ($ok) {
        $help = menu_get_active_help();
        return '<div class="help">' . $help . '</div>';
    }
}

// Function to update appearance of user name (First name + Last name)
function joinup_username($objects, $options = array()) {
    $uid = is_numeric($objects) ? $objects : $objects->uid;

    $myprofile = content_profile_load('profile', $uid);
    if (!$myprofile) {
        // Could it be the anonymous user?
        if ($uid === 0) {
            return variable_get('anonymous', t('Anonymous'));
        }
        // we now need the Drupal username:
        // we avoid user_load because we just need the name and it is rather hard
        // to predict whether or not it will end up loading half the database...
        if (is_numeric($objects)) {
            $name = db_result(db_query('SELECT name FROM {users} WHERE uid = %d', $uid));
        } else {
            $name = $objects->name;
        }
        if (!drupal_strlen(trim($name))) {
            return variable_get('anonymous', t('Anonymous'));
        }
        return $name;
    } else {
        $username = "{$myprofile->field_firstname[0]['value']} {$myprofile->field_lastname[0]['value']}";
        $username = mb_convert_case($username, MB_CASE_TITLE, "UTF-8");
        //$maxlen = 16;
        //if (strlen($username) > $maxlen)
        //  $username = substr($username, 0, $maxlen - 3) . "...";
        return l($username, "user/{$uid}", array('html' => TRUE));
    }
}

/**
 * Definition of the select form for news menu
 * @param type $form_state
 * @return string
 */
function joinup_menu_elibrary_form($form_state) {
    $menu_items_news = menu_tree_all_data('menu-elibrary');
    foreach ($menu_items_news as $key => $value) {
        $menu_news[$value['link']['link_path']] = $value['link']['link_title'];
    }

    $form['list_menu'] = array(
        '#type' => 'select',
        '#title' => t('Content to display'),
        '#options' => $menu_news,
    );
    $form['list_menu']['#default_value'] = arg(0) . '/' . arg(1);

    $form['submit'] = array(
        '#type' => 'submit',
        '#value' => t('Apply')
    );

    return $form;
}

/**
 * Manage submit button for news menu
 *
 * @param type $form
 * @param type $form_state
 */
function joinup_menu_elibrary_form_submit($form, &$form_state) {
    $res = $form_state['values']['list_menu'];
    drupal_goto($res);
}

/**
 * Definition of the select form for news menu
 */
function joinup_menu_news_form($form_state) {
    $menu_items_news = menu_tree_all_data('menu-news-menu');
    foreach ($menu_items_news as $key => $value) {
        $menu_news[$value['link']['link_path']] = $value['link']['link_title'];
    }

    $form['list_menu'] = array(
        '#type' => 'select',
        '#title' => t('Content to display'),
        '#options' => $menu_news,
    );
    $form['list_menu']['#default_value'] = arg(0) . '/' . arg(1);

    $form['submit'] = array(
        '#type' => 'submit',
        '#value' => t('Apply')
    );

    return $form;
}

/**
 * Manage submit button for news menu
 * @param type $form
 * @param type $form_state
 */
function joinup_menu_news_form_submit($form, &$form_state) {
    $res = $form_state['values']['list_menu'];
    drupal_goto($res);
}

/**
 * Implementation of theme_preprocess_comment
 */
function joinup_preprocess_comment(&$vars) {
    $uid = $vars['comment']->uid;
    $profile = content_profile_load('profile', $uid);
    $picture = isa_toolbox_picture_fix($profile, 'profile_photo_small');
    $poster = user_load($uid);
    $name = joinup_username($poster);

    $created = date('F d, Y \a\t G:i', $vars['comment']->timestamp);
    $vars['comment']->created = $created;
    $vars['comment']->picture = $picture;
    $vars['comment']->name = $name;
    $vars['user_company_name'] = $profile->field_company_name['0']['value'];


// set the taxonomy term for users
    ///joinup_set_terms_in_vars($vars, $profile);
    isa_toolbox_create_taxonomy_list($profile, array(variable_get('country_vid', NULL)));
    $country = taxonomy_vocabulary_load(variable_get('country_vid', NULL));
    $vars['user_countries'] = $profile->taxonomy_terms[$country->name];


    $groups = $vars['node']->og_groups;
    $groups_keys = array_keys($groups);
    $group_id = array_shift($groups_keys);
    if (og_is_group_member($group_id, FALSE, $uid)) {
        $user = user_load($uid);
        $group = node_load($group_id);
        if ($group->uid == $uid) {
            $joined_group = $group->created;
        } else {
            $joined_group = $user->og_groups[$group_id]['created'];
        }
        $vars['joined_group'] = date("d/m/Y", $joined_group);
    }
}

/**
 * Override or insert variables into the "box.tpl.php" templates.
 *
 * @param $vars
 *   An array of variables to pass to the theme template.
 *
 * @see box.tpl.php
 * @ingroup phptemplate
 */
function joinup_preprocess_box(&$vars) {
    // Get the node type using the page URL to create a new template file called "box-topic.tpl.php".
    if (module_exists('path')) {
        $path_alias = drupal_get_path_alias($_GET['q']);
        $alias_parts = explode('/', $path_alias);
        $alias_parts_reverse = array_reverse($alias_parts);
        if ($alias_parts_reverse[1]) {
            $node_type = $alias_parts_reverse[1];
        }
        if ($node_type == ISA_LEGALDOCUMENT_TYPE) {
            $vars['title'] = t('Sign the document');
            $vars['template_files'][] = 'comment-wrapper-' . $node_type;
        } elseif ($node_type == 'topic') {
            $vars['template_file'] = 'box-' . $node_type;
            $uid = $vars['user']->uid;
            $profile = content_profile_load('profile', $uid);
            $picture = isa_toolbox_picture_fix($profile, 'profile_photo_small');
            $poster = user_load($uid);
            //joinup_set_terms_in_vars($vars, $profile);
            isa_toolbox_create_taxonomy_list($profile, array(variable_get('country_vid', NULL)));
            $country = taxonomy_vocabulary_load(variable_get('country_vid', NULL));
            $vars['user_countries'] = $profile->taxonomy_terms[$country->name];
            $vars['user_picture'] = $picture;
            $vars['user_name'] = joinup_username($poster);
            $vars['user_company_name'] = $profile->field_company_name['0']['value'];
            $vars['title'] = t('Post new reply');
            $group_id = isa_toolbox_get_community_nid();
            if (og_is_group_member($group_id, FALSE, $uid)) {
                $user = user_load($uid);
                $group = node_load($group_id);
                if ($group->uid == $uid) {
                    $joined_group = $group->created;
                } else {
                    $joined_group = $user->og_groups[$group_id]['created'];
                }
                $vars['joined_group'] = date("d/m/Y", $joined_group);
            }
        } elseif ($node_type == 'issue') {
            $vars['template_file'] = 'box-project_' . $node_type;
            $uid = $vars['user']->uid;
            $profile = content_profile_load('profile', $uid);
            $picture = isa_toolbox_picture_fix($profile, 'profile_photo_small');
            $poster = user_load($uid);
            $vars['user_picture'] = $picture;
            $vars['user_name'] = joinup_username($poster);
        } elseif ($vars['title'] != 'Search results' && $node_type != 'subscriptions') {
            $uid = $vars['user']->uid;
            $profile = content_profile_load('profile', $uid);
            $picture = isa_toolbox_picture_fix($profile, 'profile_photo_small');
            $vars['user_picture'] = $picture;
        }
    }
}

/**
 * Override theme_apachesolr_breadcrumb_uid to return the user firstname + lastname instead of username
 * @param <numeric> $uid
 * @return <string> formated user firstname & lastname
 */
function joinup_apachesolr_breadcrumb_uid($field) {
    return strip_tags(theme('username', $field['#value']));
}

/**
 * Override or insert variables into the "simplenews-newsletter-body.tpl.php" templates.
 *
 * @param $vars
 *   An array of variables to pass to the theme template.
 *
 */
function joinup_preprocess_simplenews_newsletter_body(&$variables) {
    $content = variable_get('newsletters_mail_body', '...');
    $content = token_replace($content, 'node', $variables['node']);
    $variables['content'] = $content;
}

function joinup_preprocess_simplenews_newsletter_footer(&$variables) {
    $content = variable_get('newsletters_mail_footer', '...');
    if ($variables['key'] == 'test') {
        $content .= '- - -' . t('This is a test version of the newsletter.', array(), $variables['language']->language) . '- - -';
    }
    $content = token_replace($content, 'node', $variables['node']);
    $variables['content'] = $content;
}

/*
 * Implementation of theme_form_element
 * Deleted the colon ':' after elements title
 */

function joinup_form_element($element, $value) {
  // This is also used in the installer, pre-database setup.
  $t = get_t();
  $valid_id = !empty($element['#id']);
  
  //change the class of the checkbox for the asset release search
  if (!$valid_id || $element['#id'] != 'edit-current-checkbox') {
    $output = '<div class="form-item"';
  }
  else { //change the class of the checkbox for the asset release search
    $output = '<div class="current-checkbox"';
  }

  if ($valid_id) {
    $output .= ' id="' . $element['#id'] . '-wrapper"';
  }
  $output .= ">\n";
  $required = !empty($element['#required']) ? '<span class="form-required" title="' . $t('This field is required.') . '">*</span>' : '';

  if (!empty($element['#title'])) {
    $title = $element['#title'];
    if ($valid_id) {
      $output .= ' <label for="' . $element['#id'] . '">' . $t('!title !required', array('!title' => filter_xss_admin($title), '!required' => $required)) . "</label>\n";
    }
    else {
      $output .= ' <label>' . $t('!title !required', array('!title' => filter_xss_admin($title), '!required' => $required)) . "</label>\n";
    }
  }

  $output .= " $value\n";

  if (!empty($element['#description'])) {
    $output .= ' <div class="description">' . $element['#description'] . "</div>\n";
  }

  $output .= "</div>\n";

  return $output;
}

/**
 * Use to customize "submitted by" information of a node
 *
 * @param type $comment
 * @return type
 */
function joinup_comment_submitted($comment) {
    $node = node_load($comment->nid);
    if ($node->type == ISA_LEGALDOCUMENT_TYPE) {
        $user = user_load($comment->uid);
        $user_profile = content_profile_load('profile', $comment->uid);
        return t('!username @email@companysigned the document : "@comment_agree"', array(
                    '!username' => theme('username', $comment),
                    '@email' => (isa_toolbox_check_visibility($user_profile, 'email') && !empty($user->mail)) ? '(' . $user->mail . ') ' : '',
                    '@company' => (isa_toolbox_check_visibility($user_profile, 'company') && !empty($user_profile->field_company_name[0]['value'])) ? '(' . $user_profile->field_company_name[0]['value'] . ') ' : '',
                    '@comment_agree' => $comment->subject,
                ));
    }
    return t('Posted by !username on @datetime', array(
                '!username' => theme('username', $comment),
                '@datetime' => format_date($comment->timestamp, 'custom', 'F d, Y \a\t G:i'),
            ));
}

/**
 *
 * @param type $node
 * @return type
 */
function joinup_node_submitted($node) {
    if ($node->type == ISA_TOPIC_TYPE) {
        return t('Posted by !username on @datetime', array(
                    '!username' => theme('username', $node),
                    '@datetime' => format_date($node->created, 'custom', 'F d, Y \a\t G:i'),
                ));
    } elseif ($node->type == ISA_FEDERATED_PROJECT_TYPE) {
        return t('Created on @datetime', array(
                    '@datetime' => format_date($node->created, 'custom', 'F d, Y'),
                ));
    } elseif($node->type == ISA_DISTRIBUTION_TYPE){
        return t('Submitted by !username on @datetime', array(
                    '!username' => theme('username', $node),
                    '@datetime' => format_date($node->changed, 'custom', 'F d, Y'),
                ));
    } else {
        return t('Submitted by !username on @datetime', array(
                    '!username' => theme('username', $node),
                    '@datetime' => format_date($node->created, 'custom', 'F d, Y'),
                ));
    }
}

/**
 * Theme a "you can't post comments" notice.
 *
 * @param $node
 *   The comment node.
 * @ingroup themeable
 */
function joinup_comment_post_forbidden($node) {
    global $user;
    static $authenticated_post_comments;

    if (!$user->uid) {
        if (!isset($authenticated_post_comments)) {
            // We only output any link if we are certain, that users get permission
            // to post comments by logging in. We also locally cache this information.
            $authenticated_post_comments = array_key_exists(DRUPAL_AUTHENTICATED_RID, user_roles(TRUE, 'post comments') + user_roles(TRUE, 'post comments without approval'));
        }

        if ($authenticated_post_comments) {
            // We cannot use drupal_get_destination() because these links
            // sometimes appear on /node and taxonomy listing pages.
            if (variable_get('comment_form_location_' . $node->type, COMMENT_FORM_SEPARATE_PAGE) == COMMENT_FORM_SEPARATE_PAGE) {
                $destination = 'destination=' . rawurlencode("comment/reply/$node->nid#comment-form-title");
            } else {
                $destination = 'destination=' . rawurlencode("node/$node->nid#comment-form-title");
            }

            if (variable_get('user_register', 1)) {
                // Users can register themselves.
                return t('<a id="login-required" href="@login">Login</a> or <a id="register-required" href="@register">register</a> to post comments', array('@login' => url('user/login', array('query' => $destination)), '@register' => url('user/register', array('query' => $destination))));
            } else {
                // Only admins can add new users, no public registration.
                return t('<a href="@login">Login</a> to post comments', array('@login' => url('user/login', array('query' => $destination))));
            }
        }
    }
}

/**
 *
 * @param type $node
 * @return type
 */
function joinup_prepare_vote_rating($node) {
  $nid = isset($node->nid) ? $node->nid : NULL;
  //use translation nid to get always the source rating
  if (is_object($node) && !empty($node->tnid) && $node->tnid != $node->nid) {
    $nid = $node->tnid;
  } else {
    $nid = isset($node->nid) ? $node->nid : NULL;
  }
  
  $vote = fivestar_get_votes('node', $nid);
  $avg = isset($vote['average']['value']) ? $vote['average']['value'] : 0;
  $tot_vote = isset($vote['count']['value']) ? $vote['count']['value'] : 0;
  $rate = round($avg / 20, 2);
  return '<strong>' . $rate . '/5</strong> | ' . $tot_vote . t(' votes');
}

/**
 * if the user has not permission Administer User override theme user administration overview.
 *
 */
function joinup_user_admin_account($form) {
    if (!user_access('administer users') && user_access('manage users')) {

        // remove Operations column
        unset($form['operations']);

        // Overview table:
        $header = array(
            theme('table_select_header_cell'),
            array('data' => t('Username'), 'field' => 'u.name'),
            array('data' => t('Status'), 'field' => 'u.status'),
            t('Roles'),
            array('data' => t('Member for'), 'field' => 'u.created', 'sort' => 'desc'),
            array('data' => t('Last access'), 'field' => 'u.access'),
                //t('Operations')
        );

        $output = drupal_render($form['options']);
        if (isset($form['name']) && is_array($form['name'])) {

            foreach (element_children($form['name']) as $key) {
                $rows[] = array(
                    drupal_render($form['accounts'][$key]),
                    drupal_render($form['name'][$key]),
                    drupal_render($form['status'][$key]),
                    drupal_render($form['roles'][$key]),
                    drupal_render($form['member_for'][$key]),
                    drupal_render($form['last_access'][$key]),
                    drupal_render($form['operations'][$key]),
                );
            }
        } else {
            $rows[] = array(array('data' => t('No users available.'), 'colspan' => '7'));
        }

        $output .= theme('table', $header, $rows);
        if ($form['pager']['#value']) {
            $output .= drupal_render($form['pager']);
        }

        $output .= drupal_render($form);

        return $output;
    } elseif (user_access('administer users')) {
        return theme_user_admin_account($form);
    }
}

/**
 * Process variables for search-results.tpl.php.
 *
 * The $variables array contains the following arguments:
 * - $results
 * - $type
 *
 * @see search-results.tpl.php
 */
function joinup_preprocess_search_result(&$variables) {
  if (!empty($variables['result']) && !empty($variables['result']['node'])) {
    //Add some variables to display in the results page
    $result = $variables['result'];
    $result_node = $result['node'];
    $node = node_load($result_node->nid);
    $result_node->username = l(strip_tags(theme('username', $node->uid)), 'people/' . $node->uid);
    $result_node->creation_date = date('d F Y', $node->created);
    $result_node->teaser = $node->teaser;

    // https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-857
    // Show filtered solr result body
    $page_config = _isa_apachesolr_this_page_config();
    $arg_nbr = is_array($page_config) ? count(explode('/', $_GET['q'])) : count(explode('/', $_GET['q'])) - 1;
    $keys = trim(_isa_apachesolr_search_get_keys($arg_nbr));
    $result_node->body = joinup_format_search_result_body($node->body, $keys, 200);

    // Remove "..." if at the begining of sentence, don't touch the search_excerpt content.
    $matches = array();
    preg_match( '/^...\s{2}(.*)/', $result_node->body , $matches);
    if ($matches[1]) {
      $result_node->body = $matches[1];
    }

    //logo
    $theme = variable_get('theme_default', NULL);
    $theme_path = drupal_get_path('theme', $theme);
    if ($node->type == 'profile') {
      if (!is_null($node->field_photo[0])) {
        $path = $node->field_photo[0]['filepath'];
      }
      else {
        $path = $theme_path . "/images/logo/user.png";
      }
    }
    else {
      $path = $theme_path . "/images/logo/{$node->type}.png";
      // https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-800
      // https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-726
      // use the Repository logo for Interoperability Solution Release in advanced search results (Apache Solr)
      switch ($node->type) {
        case 'asset_release':
          // default logo: same as repository default logo
          $path = isa_toolbox_default_imagefield('field_repository_logo', ISA_REPOSITORY_TYPE);
          $path = $path['filepath'];
          // use (non-default) repository logo, if exists
          if ($node->og_groups && is_array($node->og_groups) && count($node->og_groups)) {
            foreach ($node->og_groups as $og_id) {
              $_repository = node_load($og_id);
              if ($_repository && 'repository' == $_repository->type &&
                $_repository->field_repository_logo && $_repository->field_repository_logo[0] && $_repository->field_repository_logo[0]['filepath']
              ) {
                $path = $_repository->field_repository_logo[0]['filepath'];
                break;
              }
            }
          }
          break;
      }
    }
    $picture = theme_imagecache('profile_photo', $path, $node->type);
    $result_node->picture = $picture;

    //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-797
    //Show downloads links only it the is any release
    //if it is a release, we display the download link
    if ($node->type == ISA_PROJECT_TYPE) {
      $release_id = isa_toolbox_get_last_release($node->nid);
      $release = NULL;
      if ($release_id) {
        $release = node_load($release_id);
        $attributes = array(
          //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-974
          //Link to the distribution section
          'fragment' => 'download-links',
          'attributes' =>
            array('class' => "action-buttons download")
        );
        $result_node->download = l("Download", $release->path, $attributes);
      }
    }
    if ($node->type == ISA_ASSET_RELEASE_TYPE) {
      //Display the version
      $result_node->version = $node->field_asset_version[0]['value']['field_language_textfield_name'][0]['value'];
      $attributes = array(
        //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-950
        //Link to the distribution section
        'fragment' => 'download-links',
        'attributes' =>
          array('class' => "action-buttons download")
      );
      $result_node->download = l("Download", $node->path, $attributes);
    }

    // Get Join/Leave button
    if ($node->type == ISA_COMMUNITY_TYPE) {
      $result_node->join = _isa_link_get_join_link($node);
    }
    $variables['node'] = $result_node;
  }
}

/**
 * Truncate body string to $limit and highlight $keys in string 
 * 
 * @param string $body
 * @param atring $keys
 * @param integer $limit
 * @return string
 */
function joinup_format_search_result_body($body, $keys = '', $limit = 200) {

  //truncate string
  $body = truncate_utf8(strip_tags($body), $limit, FALSE, FALSE);
  //highlight keys in string
  $body = search_excerpt($keys, $body);
  
  return $body; 
}

/**
 * Specific theme for field which need to have a edit remove links
 * @global type $base_url
 * @param type $element
 * @return type
 */
function joinup_textfield($element) {
    global $base_url;
    // dsk($element);
    //indicate here field you want to add links edit and remove
    $customfield =
            array(
                //"edit-field-asset-name",
                "edit-field-asset-distribution",
                "edit-field-asset-contact-point",
                "edit-field-asset-item",
                "edit-field-asset-publisher",
                "edit-field-asset-metadata-publisher",
                "edit-field-asset-homepage-doc",
                "edit-field-asset-documentation",
                "edit-field-asset-related-doc",
                "edit-field-asset-webpage-doc",
                "edit-field-asset-node-reference",
                "edit-field-distribution-publisher",
                "edit-field-distribution-licence",
                "edit-field-repository-publisher",
    );

    $size = empty($element['#size']) ? '' : ' size="' . $element['#size'] . '"';
    $maxlength = empty($element['#maxlength']) ? '' : ' maxlength="' . $element['#maxlength'] . '"';
    $class = array('form-text');
    $extra = '';
    $output = '';

    if ($element['#autocomplete_path'] && menu_valid_path(array('link_path' => $element['#autocomplete_path']))) {
        drupal_add_js('misc/autocomplete.js');
        $class[] = 'form-autocomplete';
        $extra = '<input class="autocomplete" type="hidden" id="' . $element['#id'] . '-autocomplete" value="' . check_url(url($element['#autocomplete_path'], array('absolute' => TRUE))) . '" disabled="disabled" />';
    }
    _form_set_class($element, $class);

    if (isset($element['#field_prefix'])) {
        $output .= '<span class="field-prefix">' . $element['#field_prefix'] . '</span> ';
    }

	///for the specified field add suffix
	static $popups;
	if(!isset($popups['count'])){
		$popups['count'] = -1;
	}
	$regex = implode('|', $customfield);
	if (preg_match("/^(".$regex.")/", $element['#id'])){

		if(!isset($popups['fields'][$element["#parents"]['0']])) {
			$popups['count']++;
		}

		$popups['fields'][$element["#parents"]['0']] = isset($popups['fields'][$element["#parents"][0]])
			? ++$popups['fields'][$element["#parents"][0]]
			: 1;

		$displayElement = "none";
		$popuppath = "#";
		if ($element["#value"] != "") {
			$displayElement = "inline";
			//find nid
			$matches_nid = null;
			//$returnValue = preg_match('/nid:([0-9]+)/', $element["#value"], $matches_nid);
			if ($matches_nid) {
				$popuppath = "$base_url/node/$matches_nid[1]/edit";
			}
		}
		//check the id of the element wich must have edit remove link to
		//send to javascript
		if (strpos($element['#id'], '-nid-nid')) {
			$element_id = str_replace('-nid-nid', '', $element['#id']);

			$lenght = strlen(strstr(strrev($element_id), '-'));
			$element_id = substr($element_id, 0, $lenght);
		}
		$my_settings = array(
			'element_id' => $element_id,
			'base_url' => $base_url
		);
		drupal_add_js(array('isa_toolbox' => $my_settings), 'setting');
        //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-1097
        //Create a correct edit link
		if (!empty($popuppath)) {
            $options = array(
                'query' => array('destination' => $_GET['q'])
            );
            $popuppath = url($popuppath, $options);
		}

		$element['#field_suffix'] = '<a href="' . $popuppath . '" class="popups-form popups-reference popups-reference-'.$popups['count'].'" rel="'. $element['#id'] .'" style="display:' . $displayElement . '"   >Edit</a>
        <a href="#" id="' . $element['#id'] . '_remove' . '" onclick="clearTextFieldBefore(this,\'' . $element['#id'] . '\');return false;" style="display:' . $displayElement . '" >Remove</a>  ';
	}


    $output .= '<input type="text"' . $maxlength . ' name="' . $element['#name'] . '" id="' . $element['#id'] . '"' . $size . ' value="' . check_plain($element['#value']) . '"' . drupal_attributes($element['#attributes']) . ' />';

    if (isset($element['#field_suffix'])) {
        $output .= ' <span class="field-suffix">' . $element['#field_suffix'] . '</span>';
    }

    //Unset the * on the form
    if (isset($element['#field_name']) && $element['#field_name'] == 'field_identifier_content') {
        $element['#required'] = FALSE;
    }

//  dsk($output);
	$element['#validated'] = TRUE;

    return theme('form_element', $element, $output) . $extra;
}

/**
 * Specific theme for select fields
 * @global type $base_url
 * @param type $element
 * @return type
 */
function joinup_select($element) {
    //Unset the * on the form
    if ($element['#title'] == 'Relationship Type') {
        $element['#required'] = FALSE;
    }
    $select = '';
    $size = $element['#size'] ? ' size="' . $element['#size'] . '"' : '';
    _form_set_class($element, array('form-select'));
    $multiple = $element['#multiple'];
    return theme('form_element', $element, '<select name="' . $element['#name'] . '' . ($multiple ? '[]' : '') . '"' . ($multiple ? ' multiple="multiple" ' : '') . drupal_attributes($element['#attributes']) . ' id="' . $element['#id'] . '" ' . $size . '>' . form_select_options($element) . '</select>');
}

global $specific_fields;
$specific_fields = array(
    array("field" => "field_asset_alternative_name", "button_name" => "Add another alternative name"),
    array("field" => "field_asset_description", "button_name" => "Add another description"),
    array("field" => "field_asset_distribution", "button_name" => "Add another distribution"),
    array("field" => "field_asset_documentation", "button_name" => "Add another main documentation"),
    array("field" => "field_asset_identifier", "button_name" => "Add another identifier"),
    array("field" => "field_asset_item", "button_name" => "Add another item"),
    array("field" => "field_asset_last_modification", "button_name" => "Add another lat modification"),
    array("field" => "field_asset_metadata_date", "button_name" => "Add another metadata date"),
    array("field" => "field_asset_metadata_publisher", "button_name" => "Add another metadata publisher"),
    array("field" => "field_asset_name", "button_name" => "Add another translated name"),
    array("field" => "field_asset_node_reference", "button_name" => "Add another reference"),
    array("field" => "field_asset_publisher", "button_name" => "Add another publisher"),
    array("field" => "field_asset_related_doc", "button_name" => "Add another related documentation"),
    array("field" => "field_asset_temporal_coverage", "button_name" => "Add another temporal coverage"),
    array("field" => "field_asset_webpage_doc", "button_name" => "Add another related web page"),
    array("field" => "field_publisher_name", "button_name" => "Add another name"),
    array("field" => "field_licence_name", "button_name" => "Add another name"),
    array("field" => "field_licence_description", "button_name" => "Add another description"),
    array("field" => "field_contact_point_name", "button_name" => "Add another name"),
    array("field" => "field_contact_point_address", "button_name" => "Add another address"),
    array("field" => "field_contact_point_telephone", "button_name" => "Add another telephone"),
    array("field" => "field_contact_point_mail", "button_name" => "Add another mail"),
    array("field" => "field_contact_point_web_page", "button_name" => "Add another web page"),
    array("field" => "field_documentation_title", "button_name" => "Add another title"),
    array("field" => "field_item_label", "button_name" => "Add another label"),
    array("field" => "field_item_description", "button_name" => "Add another description"),
    array("field" => "field_repository_publisher", "button_name" => "Add another publisher"),
    array("field" => "field_repository_name", "button_name" => "Add another repository name"),
    array("field" => "field_repository_description", "button_name" => "Add another description"),
    array("field" => "field_repository_url", "button_name" => "Add another URL"),
    array("field" => "field_repository_schema", "button_name" => "Add another schema"),
        //array("field" => "field_documentation_access_url", "button_name" => "Add another access URL"),
        //array("field" => "field_documentation_access_url1", "button_name" => "Add another file"),
);

/**
 * specific theming for button in multiple flexified change to add more item to add more "param"
 * @param type $element
 */
function joinup_flexifield_multiple_values($element) {
    global $specific_fields;
    _common_multiple_value($element, $specific_fields);
    return theme_flexifield_multiple_values($element);
}

function joinup_content_multiple_values($element) {
    global $specific_fields;
    _common_multiple_value($element, $specific_fields);
    return theme_content_multiple_values($element);
}

function _common_multiple_value(&$element, $specific_fields) {
    foreach ($specific_fields as $field) {

        if ($element["#field_name"] == $field['field']) {
            $element[$field['field'] . "_add_more"]["#value"] = t($field['button_name']);
        }
    }
}


/**
 *
 * @param type $display
 * @return type
 */
function joinup_status_messages($display = NULL) {
  _joinup_exclude_message( array(
      'No posts in this group.',
      'No public posts in this group.'
      ),
  'status');

  return theme_status_messages($display);
}

/**
 *
 * @param type $messages
 * @param type $type
 * @param type $international
 */
function _joinup_exclude_message($messages, $type = "status", $international = TRUE) {
  $messageArr = drupal_set_message();
  $positions = NULL;
  if (count($messageArr) > 0) {
    foreach ($messages as $message) {
      if ($international) {
        $message = t($message);
      }
      if (isset($messageArr[$type]) && count($messageArr[$type]) > 0) {
        $positions = array_keys(preg_grep(sprintf('/%s/', $message), $messageArr[$type]));
        foreach ($positions as $position) {
          if (isset($_SESSION['messages'][$type][intval($position)])) {
            unset($_SESSION['messages'][$type][intval($position)]);
          }
          if (count($_SESSION['messages'][$type]) == 0) {
            unset($_SESSION['messages'][$type]);
          }
        }
      }
    }
  }
}

function joinup_apachesolr_facet_list($items, $display_limit = 0, $delta = '') {
  "created" === $delta ? krsort($items) : FALSE;
  apachesolr_js();
  // theme('item_list') expects a numerically indexed array.
  $items = array_values($items);
  // If there is a limit and the facet count is over the limit, hide the rest.
  if (($display_limit > 0) && (count($items) > $display_limit)) {
    // Split items array into displayed and hidden.
    $hidden_items = array_splice($items, $display_limit);
    foreach ($hidden_items as $hidden_item) {
      if (!is_array($hidden_item)) {
        $hidden_item = array('data' => $hidden_item);
      }
      $hidden_item['class'] = isset($hidden_item['class']) ? $hidden_item['class'] . ' apachesolr-hidden-facet' : 'apachesolr-hidden-facet';
      $items[] = $hidden_item;
    }
  }
  $admin_link = '';
  if (user_access('administer search')) {
    $admin_link = l(t('Configure enabled filters'), 'admin/settings/apachesolr/enabled-filters');
  }
  return theme('item_list', $items, NULL, 'ul', array('class' => 'apachesolr-facet-list')) . $admin_link;
}

/**
 * Implementation of hook_theme().
 */
function joinup_theme($existing, $type, $theme, $path) {
  $hooks['advpoll_voting_binary_form'] = array(
    'template' => 'templates/advpoll/advpoll-display-binary-form',
    'file' => 'modes/binary.inc',
    'render element'=>'form',
    'arguments' => array(
      'form' => NULL,
    )
  );
  return $hooks;
}

/**
 * Returns the themed image to show in recommended view
 *
 * @param int $fid
 * @param string $node_type
 * @param int $nid
 */
function joinup_render_recommended_img($fid,$node_type,$nid){
    $file = field_file_load($fid);
    if(0 == $file['fid']){
        return '';
    }
    $path = $file['filepath'];
    $filename = $file['filename'];
    if(imageapi_image_open($path)){
        imagecache_create_path('profile_photo', $path);
        $preset = imagecache_preset_by_name('profile_photo');
        $dst = imagecache_create_path('profile_photo', $path);
        imagecache_build_derivative($preset['actions'], $path, $dst);
        $img = base_path() ."sites/default/files/imagecache/profile_photo/".$filename;
        return "<img src='$img'>";
    }
    return '';
}

/**
 *  Returns the actived menu item path depending on the current path
 */
function _joinup_get_active_path() {
  global $user;
  
  $active_path = NULL;
  $path = drupal_get_path_alias($_GET['q']);
  $path = explode('/', $path);
  $path[0] = !empty($path[0]) ? $path[0] : '';
  $path[1] = !empty($path[1]) ? $path[1] : '';
  switch ($path[0]) {
    case 'community':
      switch ($path[1]) {
        case 'mine':
          $active_path = 'community/mine';
          break;
        case 'recommended':
          $active_path = 'community/recommended';
          break;
        case 'editor':
          $active_path = 'community/editor';
          break;
        default:
          $active_path = 'community/all';
      }
      break;

    case 'asset':
    case 'software':
      $active_path = 'project/all';
      break;
    case 'people':
      switch ($path[1]) {
        case 'dashboard':
        case $user->uid :
        case 'moderators':
          $active_path = 'people/moderators';
          break;
        case 'recommended':
          $active_path = 'people/recommended';
          break;
        default:
          $active_path = 'people/all';
      }
      break;

    case 'user':
      switch ($path[1]) {
        case $user->uid :
          $active_path = 'people/all';
          break;
        default:
          $active_path = 'people/all';
      }
      break;

    case 'news':
      switch ($path[1]) {
        case 'recommended':
          $active_path = 'news/recommended';
          break;
        case 'editor':
          $active_path = 'news/editor';
          break;
        case 'newsletter':
          $active_path = 'news/newsletter';
          break;
        default:
          $active_path = 'news/all';
      }
      break;

    case 'newsletter':
      $active_path = 'news/newsletter';
      break;

    case 'event':
      switch ($path[1]) {
        case 'recommended':
          $active_path = 'event/recommended';
          break;
        case 'editor':
          $active_path = 'event/editor';
          break;
        case 'archives':
          $active_path = 'event/archives';
          break;
        default:
          $active_path = 'event/all';
      }
      break;

    case 'elibrary':
      switch ($path[1]) {
        case 'case':
          $active_path = 'elibrary/cases';
          break;
        case 'presentation':
          $active_path = 'elibrary/presentation';
          break;
        case 'factsheet':
          $active_path = 'elibrary/factsheet';
          break;
        case 'video':
          $active_path = 'elibrary/video';
          break;
        case 'document':
          $active_path = 'elibrary/document';
          break;
      }
      break;

    case 'catalogue':
      switch ($path[1]) {
        case 'repository':
          $active_path = 'catalogue/repository';
          break;
        case 'asset_release':
        case 'distribution':
          $active_path = 'interoperability/search';
          break;
      }
      break;
  }
  return $active_path;
}

/**
 * Adding classes dinamilcy to menu's entries for GUI
 * @param $link
 * @param $has_children
 * @param string $menu
 * @param bool $in_active_trail
 * @param null $extra_class
 * @return string
 */
function joinup_menu_item($link, $has_children, $menu = '', $in_active_trail = FALSE, $extra_class = NULL) {
  // Construct the navigation links - from theme_menu_item()
  $class = ($menu ? 'expanded' : ($has_children ? 'collapsed' : 'leaf'));
  if (!empty($extra_class)) {
    $class .= ' '. $extra_class;
  }
  if ($in_active_trail) {
    $class .= ' active-trail';
  }

  // Find the ID set on the <a> tag
  if (preg_match('/id="([^\"]+)"/', $link, $matches)) {
    // Set the ID for the <li> tag
    $id = $matches[1];

    // Add the ID in classes
    $class .= ' ' . str_ireplace('menu_item_', 'menu-item_', $id);
  }
  return '<li class="' . $class . '">' . $link . $menu . "</li>\n";
}