<?php
// $Id: block-introduction-details.tpl.php
/**
 * @file block-introduction-details.tpl.php
 *
 * Theme implementation to display introduction details.
 *
 * Available variables:
 * $node->title       : General title
 * $node->picture     : Default picture
 * $node->description : General description
 * $node->rating      : Fire Stars rating
 * $node->taxonomy_terms : Taxonomies
 * $node->group_status   : Group status (moderated or public)
 * $node->user_status    : User status (is a member or not)
 *
 * @see hook_block_introduction_details()
 * @ingroup block
 *
 */
$flags = isset($node->nid) ? flag_get_counts('node', $node->nid) : array();
$vote = joinup_prepare_vote_rating($node);

?>
<div id="introduction" class="details clearfix">
  <?php
  //https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-841
  //Remove image from header message
  ?>
  <div id="introduction-fields" class="clearfix">
    <div id="introduction-fields-left" class="clearfix">
      <div id="introduction-title" class="clearfix">
        <?php if (!empty($node->picture)) : ?>
          <?php print $node->picture; ?>
        <?php endif; ?>
        <div class="<?php if (!empty($class)) print $class ?> block-page-title">
          <span></span>
          <h2 class="page-title"><?php print check_plain($node->title); ?></h2>
          <?php $block = module_invoke('isa_links', 'block', 'view', 'download_button'); ?>
          <?php if (isset($block['content'])) : ?>
            <?php print $block['content']; ?>
          <?php endif; ?>
          <?php if (isset($node->user_status)) : ?>
            <div class="field <?php print $node->user_status['css_class'] ?>">
              <strong><?php print $node->user_status['value']; ?></strong>
            </div>
          <?php endif; ?>
          <?php if (!empty($node->highlights_description)) : ?>
            <div class="page-subtitle"><?php print $node->highlights_description; ?></div>
          <?php endif; ?>
        </div>
      </div>
    </div>
    <div id="introduction-fields-right" class="clearfix">
      <div class="detail-options-title">
        <div class="detail-options-title-left">
          <?php if (!empty($node->rating)) : ?>
            <div class="rating-block">
              <div class="bracket">(</div>
              <div class="field field-rating"><?php echo $node->rating; ?></div>
              <div class="bracket">)</div>
            </div>
            <div class="field field-vote-rating"><?php echo $vote; ?></div>
          <?php endif; ?>
          <?php if (!empty($vote_rating)) : ?>
            <div class="field field-vote-rating"><?php print $vote_rating; ?></div>
          <?php endif; ?>
        </div>
        <?php if (isset($node->type) && !empty($node->type)) : ?>
          <?php $block = module_invoke('addthis', 'block', 'view', 0); ?>
          <?php print $block['content']; ?>
        <?php endif; ?>
        <?php if (isset($flags['editor_choice']) and $flags['editor_choice'] == 1) : ?>
          <div class="detail-data-choice-editor"><?php echo t("Editor's choice"); ?></div>
        <?php endif; ?>
      </div>
      <div class="fields fields-details-after-rating">
        <?php if (isset($node->taxonomy_terms)) : ?>
          <?php foreach ($node->taxonomy_terms as $vocab => $terms) : ?>
            <?php if ($terms) : ?>
              <div class="field field-taxonomy">
                <p><label><?php print ucfirst(t($vocab)); ?>:</label>&nbsp;<?php print $terms; ?></p>
              </div>
            <?php endif; ?>
          <?php endforeach; ?>
        <?php endif; ?>
      </div>
    </div>
  </div>
</div>