<?php
// $Id: node.tpl.php,v 1.4.2.1 2009/08/10 10:48:33 goba Exp $

/**
 * @file
 *
 * Theme implementation to display an asset.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_username().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * --------- Additional variables ---------
 *
 * $taxonomy_terms : array of terms by vocabulary name
 *
 *
 * @see joinup_preprocess_node()
 * @see _joinup_preprocess_project_project()
 * @see _joinup_preprocess_asset()
 *
 *  @ingroup nodes

div class="field field-usage-count"><?php print $i_use_this_project ?></div>
	*/
$node->rating = fivestar_widget_form($node);
?>

<div id="node-<?php print $node->nid; ?><?php if (!$page&&!$teaser) { print '-blockinfo'; } ?>" class="node node-type-<?php print $node->type?> <?php if ($sticky) { print ' sticky'; } ?> <?php if (!$status) { print ' node-unpublished'; } ?> clear-block">
	<div class="node-content">
      <?php if ($page): ?>
		<div class="field field-submitted"><?php print $submitted; ?></div>

		<div class="field field-mission-description">
			<h3 class="page-subtitle-content"><?php print t('Description'); ?></h3>
			<?php print $node->content['og_mission']['#value']; ?>
		</div>
	  <?php else: ?>
		<div id="node-information" class="box information">
			<div class="odd nodes-row-first nodes-row-last clearfix">
				<div class="box-links-select">
					<select class="links-select">
						<?php if (!empty($project['homepage'])): ?>
							<option class="option field-homepage-term" value ="<?php print $project['homepage']; ?>"><?php print t('Homepage'); ?></option>
						<?php endif;?>
						<?php if (!empty($project['documentation'])): ?>
							<option class="option field-homepage-term" value ="<?php print $project['documentation']; ?>"><?php print t('Documentation'); ?></option>
						<?php endif;?>
						<?php if(!empty($project['cvs'])): ?>
							<option class="option field-homepage-term" value ="<?php print $project['cvs']; ?>"><?php print t('Source repository'); ?></option>
						<?php endif;?>
						<?php if (!empty($field_project_common_contact['0']['view'])): ?>
							<option class="option field-homepage-term" value ="<?php print isa_toolbox_protect_email($node->field_project_common_contact['0']['view']); ?>"><?php print t('Email contact'); ?></option>
						<?php endif;?>
						<?php if ($mailing_list): ?>
							<option class="option field-homepage-term" value ="<?php print $mailing_list; ?>"><?php print t('Mailing list'); ?></option>
						<?php endif;?>
						<?php if ($maven_url): ?>
							<option class="option field-homepage-term" value ="<?php print $maven_url; ?>"><?php print t('Maven'); ?></option>
						<?php endif; ?>
						<?php if ($svn_url): ?>
							<option class="option field-homepage-term" value ="<?php print $svn_url; ?>"><?php print t('SVN Directory'); ?></option>
						<?php endif; ?>
						<?php if ($webdir_url): ?>
							<option class="option field-homepage-term" value ="<?php print $webdir_url; ?>"><?php print t('Web directory'); ?></option>
						<?php endif; ?>
						<?php if ($webdav_url): ?>
							<option class="option field-homepage-term" value ="<?php print $webdav_url; ?>"><?php print t('WebDAV'); ?></option>
						<?php endif; ?>
						<?php if ($wiki): ?>
						  <?php foreach ($wiki as $wikipage): ?>
						    <?php if ($wikipage): ?>
							  <option class="option field-homepage-term" value ="<?php print $wikipage; ?>"><?php print t('Wiki'); ?></option>
							<?php endif; ?>
						  <?php endforeach; ?>
						<?php endif; ?>
						<?php if ($bug_database): ?>
						  <?php foreach ($bug_database as $bug_databasepage): ?>
						    <?php if ($bug_databasepage): ?>
							  <option class="option field-homepage-term" value ="<?php print $bug_databasepage; ?>"><?php print t('Bug Database'); ?></option>
						    <?php endif; ?>
						  <?php endforeach; ?>
						<?php endif; ?>
						<?php if (!empty($more_links)): ?>
							<?php foreach ($more_links as $link): ?>
								<?php if ($link): ?>
									<option class="option field-homepage-term" value ="<?php print $link; ?>"><?php print t('Link'); ?></option>
								<?php endif; ?>
							<?php endforeach; ?>
						<?php endif;?>
					</select>
					<input class='links-value' type="text" readonly="readonly"></input>
				</div>
                
                <h3 class="com-side-title"><?php print t('Metadata'); ?></h3>
                <div class="com-property">
                    <span class="com-property-title"><?php print t('Type'); ?>:</span>
                    <span class="com-property-value"><?php print node_get_types('name', $node->type); ?></span>
                </div>
                
                <?php if (!empty($field_project_asset_owner[0]['value'])): ?>
                  <div class="com-property">
                      <span class="com-property-title"><?php print t('Owner(s)'); ?>:</span>
                      <span class="com-property-value"><?php print $field_project_asset_owner[0]['value']; ?></span>
                  </div>
                <?php endif;?>
                
                <?php if (!empty($og_members)): ?>
                    <?php foreach ($og_members as $role => $members): ?>
                        <?php if ($members): ?>
                            <ul class="com-property field field-members-<?php print joinup_clean_css_identifier(strtolower($role)); ?> com-role">
                            <span class="com-ul-title"><?php print t($role); ?></span>
                            <?php foreach ($members as $key=>$member): ?>
                                <?php if ($member): ?>
                                    <li class="com-member field field-members-<?php print joinup_clean_css_identifier(strtolower($role).'-'.$key); ?>">
                                        <a href="/people/<?php print $key; ?>"><?php print $member; ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                    <?php endforeach; ?>
                <?php endif;?>
                
                <?php if (!empty($node->og_description)): ?>
                  <div class="com-property">
                      <div class="com-abstract-title"><?php print t('Abstract'); ?>:</div>
                      <div class="com-abstract-description"><?php print $node->og_description; ?></div>
                  </div>
                <?php endif;?>
                
                <?php if (!empty($repository)): ?>
                  <div class="com-property">
                    <span class="com-property-title"><?php print t('Repository'); ?>:</span>
                    <span class="com-property-value"><?php print $repository; ?></span>
                  </div>
                <?php endif;?>
                
                <?php if (!empty($agent)): ?>
                  <div class="com-property">
                    <span class="com-property-title"><?php print t('Agent'); ?>:</span>
                    <span class="com-property-value"><?php print $agent; ?></span>
                  </div>
                <?php endif;?>
                
                <?php if (!empty($release)): ?>
                  <div class="com-property">
                    <span class="com-property-title"><?php print t('Release'); ?>:</span>
                    <span class="com-property-value"><?php print $release; ?></span>
                  </div>
                <?php endif;?>
                
                <?php if (isset($field_project_common_using[0]['nid'])&&!empty($field_project_common_using[0]['nid'])): ?>
                  <ul class="com-role">
                    <span class="com-ul-title"><?php print t('Related Projects'); ?>:</span>
                      <?php foreach ($field_project_common_using as $related_project): ?>
                          <?php if ($related_project): ?>
                              <li class="field field-related-project-<?php print $related_project['nid']; ?>">
                                <?php print $related_project['view']; ?>
                              </li>
                          <?php endif; ?>
                      <?php endforeach; ?>
                  </ul>
                <?php endif;?>
                
                <?php if (!empty($taxonomy_terms)): ?>
                    <?php foreach ($taxonomy_terms as $vocab => $terms): ?>
                        <?php if ($terms): ?>
                          <div class="com-property">
                            <span class="com-property-title field field-taxonomy-<?php print strtolower($vocab); ?>-term"><?php print t($vocab); ?>:</span>
                            <span class="com-property-value field-taxonomy-<?php print strtolower($vocab); ?>-description"><?php print $terms; ?></span>
                          </div>
                        <?php endif; ?>
                    <?php endforeach; ?>
                <?php endif;?>
					
                <?php if(!empty($node->field_project_soft_sponsor_logo['0']['view'])): ?>
                  <div class="com-property">
                    <div class="com-abstract-title"><?php print t('Sponsor logo'); ?>:</div>
                    <div class="com-abstract-description"><?php print $node->field_project_soft_sponsor_logo['0']['view']; ?></div>
                  </div>
                <?php endif;?>

				
			</div>
			<div class="node-metadata-buttons">
				<a class="links export-metadata" target="_blank" title="Export a description metadata of your repository" href="<?php print base_path()?>asset/description/<?php print $node->nid; ?>/rdf">
					<span>Export metadata</span>
				</a>
			</div>
		</div>
	  <?php endif;?>
	</div>
</div>
