<?php
// $Id: node.tpl.php,v 1.4.2.1 2009/08/10 10:48:33 goba Exp $

/**
 * @defgroup nodes
 * @ingroup templates
 *
 * @file
 *
 * Default theme implementation for node.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_username().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see joinup_preprocess_node()
 * @see _joinup_preprocess_asset_release()
 * @ingroup nodes
 
 *///print_r($node);die();
global $base_url;
$node->rating = fivestar_widget_form($node);
?>
<div id="node-<?php print $node->nid; ?><?php if (!$page&&!$teaser) { print '-blockinfo'; } ?>" class="node<?php print ($sticky? ' sticky':'');?><?php  print (!$status ? ' node-unpublished':'');?> node-type-<?php print $node->type; ?> clear-block">
  <div class="node-content">
    <?php if ($page): ?>
     
      <?php
			//https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-806
			//Deleted Created by and date
		?>
		<div class="rating-node">
			<?php if ($node->rating): ?>
			<div class="bracket">(</div>
			<div class="field field-rating"><?php echo $node->rating;?></div>
			<div class="bracket">)</div>
		<?php endif; ?>

      <div class="field field-vote-rating"><?php print $vote_rating .' | '; ?></div> <?php if ($flags_view): ?>
      <div class="field field-flags-view"><?php print $flags_view; ?></div>
      <?php endif; ?></div>
      <?php if (!empty($i_use_this_asset)) : ?>
        <div class="field field-i-use-this-project"><?php print $i_use_this_asset; ?></div>
      <?php endif; ?>

      <div class="field field-content-body">
        <h3 class="page-subtitle-content"><?php print t('Description'); ?></h3>
        <div class='field-item'><?php print $description; ?></div>
      </div>
	  <div class="terms_keywords">
	  <?php if (!empty($taxonomy_terms_keywords['value'])): ?>
		<h3  class="keywords-subtitle "><?php print $taxonomy_terms_keywords['label']; ?></h3>
		<?php print $taxonomy_terms_keywords['value']; ?>
	  <?php endif; ?>
	  </div>
	  <div class="terms_themes">
	  <?php if (!empty($taxonomy_terms_themes['value'])): ?>
		 <h3  class="keywords-subtitle "><?php print $taxonomy_terms_themes['label']; ?></h3>
		<?php print $taxonomy_terms_themes['value']; ?>
	  <?php endif; ?>
	  </div>
      <?php if (isset($distributions)): ?>
		<div class="distributions-block">
			<h3  class="page-subtitle-distributions"><?php print t('Distributions'); ?></h3>
			<table class="distributions-table">

				<?php foreach ($distributions as $distribution): ?>

				  <tr class="distribution-row">
					<td class="link-distributions" width="75%"><?php print $distribution['link']; ?></td>
					<td class="button-distributions"><?php print $distribution['download']; ?></td>
				  </tr>
				<?php endforeach; ?>
			</table>
        </div>

      <?php endif; ?>

      <?php if (isset($disclaimer)): ?>
      <div class="form-item"><div class="description"><?php print $disclaimer?></div></div>
      <?php endif; ?>

    <?php elseif ($teaser):
   /** ----------- TEASER ---------------*/?>
      <div class="odd nodes-row-first nodes-row-last clearfix">
        <dl class="align-left">
          <dt class="field field-title-term"><?php print t('Title'); ?>:</dt>
          <dd class="field field-title-description"><?php print $title; ?></dd>
          <?php if (!empty($field_id_uri_rendered)): ?>
            <dt class="field field-uri-term"><?php print t('ID (URI)'); ?>:</dt>
            <dd class="field field-uri-description"><?php print $field_id_uri_rendered; ?></dd>
          <?php endif; ?>
          <?php if (!empty($repository_origin)): ?>
            <dt class="field field-origin-term"> <?php print $repository_origin['label']; ?></dt>
            <dd class="field field-origin-description"> <?php print $repository_origin['value']; ?> </dd>
          <?php endif; ?>
          <?php if (!empty($field_asset_distribution_rendered)): ?>
            <dt class="field field-distribution-term"> <?php print t('Distribution'); ?></dt>
            <dd class="field field-distribution-description"> <?php print $field_asset_distribution_rendered ?> </dd>
          <?php endif; ?>
        </dl>
      </div>
	<?php else: ?>
	  	<div id="node-information" class="box information">
			<div class="odd nodes-row-first nodes-row-last clearfix">

              <?php if ((!empty($field_id_uri['0']['value'])) or (!empty($field_repository_url['0']['url']))): ?>
				<div class="box-links-select">
					<select class="links-select">
						<?php if (!empty($field_id_uri['0']['value'])): ?>
							<option class="option field-homepage-term" value ="<?php print $field_id_uri['0']['value']; ?>"><?php print $field_id_uri['label']; ?></option>
						<?php endif;?>
						<?php if (!empty($field_asset_homepage_doc['0']['safe']['title'])): ?>
							<option class="option field-homepage-term" value ="<?php print $field_asset_homepage_doc['0']['safe']['title']; ?>"><?php print $field_asset_homepage_doc['label']; ?></option>
						<?php endif;?>
					</select>
					<input class='links-value' type="text" readonly="readonly"></input>
				</div>
              <?php endif;?>
              
              <h3 class="com-side-title"><?php print t('Metadata'); ?></h3>
              
              <div class="com-property">
                <span class="com-property-title"><?php print t('Type'); ?>:</span>
                <span class="com-property-value"><?php print node_get_types('name', $node->type); ?></span>
              </div>
              
              <?php if (!empty($taxonomy_terms_solutioncategory['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $taxonomy_terms_solutioncategory['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $taxonomy_terms_solutioncategory['value']; ?></div>
                </div>
              <?php endif; ?>
                  
              <?php if (!empty($taxonomy_terms_interoperabilitylevel['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $taxonomy_terms_interoperabilitylevel['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $taxonomy_terms_interoperabilitylevel['value']; ?></div>
                </div>
              <?php endif; ?>
                  
              <?php if (!empty($field_asset_contact_point['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_contact_point['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_contact_point['value']; ?></div>
                  <div id="field_asset_contact_point"></div>
                </div>
              <?php endif; ?>
                  
              <?php if (!empty($field_language_multiple['0']['view'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_language_multiple['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_language_multiple['value']; ?></div>
                </div>
              <?php endif; ?>
                  
              <?php if (!empty($field_asset_publisher['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_publisher['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_publisher['value']; ?></div>
                  <div id="field_asset_publisher"></div>
                </div>
                
              <?php endif; ?>
                  
              <?php if (!empty($field_asset_version['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_version['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_version['value']; ?></div>
                  <div id="field_asset_version"></div>
                </div>
                
              <?php endif; ?>
                  
              <?php if (!empty($field_asset_version_note['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_version_note['label'] ?>:</div>
                  <div class="com-abstract-value">
                    <div class='field-language-textarea'>
                        <?php print $field_asset_version_note[0]['value']['field_language_textarea_name'][0]['value']; ?>
                    </div>
                  </div>
                </div>
              <?php endif; ?>
                  
              <?php if (!empty($field_asset_assessment['0']['safe']['title'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_assessment['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_assessment['value']; ?></div>
                  <div id="field_asset_assessment"></div>  
                </div>

              <?php endif; ?>

              <?php if (!empty($field_asset_identifier['0']['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_identifier['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_identifier['value']; ?></div>
                  <div id="field_prs_reference"></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_temporal_coverage['value'])): ?>
                <div class="com-property">  
                  <div class="com-abstract-title"><?php print $field_asset_temporal_coverage['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_temporal_coverage['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_webpage_doc['0']['safe'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_webpage_doc['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_webpage_doc['value']; ?></div>
                  <div id="field_asset_webpage_doc"></div>  
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_current_reference['0']['safe'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_current_reference['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_current_reference['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_alternative_name['0']['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_alternative_name['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_alternative_name['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_node_reference['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_node_reference['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_node_reference['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($references)): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print t('Related solutions'); ?>:</div>
                  <?php foreach ($references as $reference): ?>
                    <div class="com-abstract-value"><?php print $reference; ?></div>
                  <?php endforeach; ?>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_documentation['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print t("Documentation"); ?></div>
                  <div class="com-abstract-value"><?php print $field_asset_documentation['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_sw_metrics['0']['view'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print t("Metrics") ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_sw_metrics[0]['view']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($taxonomy_terms_solutiontype['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $taxonomy_terms_solutiontype['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $taxonomy_terms_solutiontype['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($taxonomy_terms_status['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $taxonomy_terms_status['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $taxonomy_terms_status['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($date_created['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print$date_created['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $date_created['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_last_modification['value'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print $field_asset_last_modification['label'] ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_last_modification['value']; ?></div>
                </div>
              <?php endif; ?>

              <?php if (!empty($field_asset_sw_logo[0]['nid'])): ?>
                <div class="com-property">
                  <div class="com-abstract-title"><?php print t('Logo'); ?>:</div>
                  <div class="com-abstract-value"><?php print $field_asset_sw_logo[0]['view']; ?></div>
                </div>  
              <?php endif; ?>
                  
			</div>
            
			<div class="node-metadata-buttons">
				<a class="links export-metadata" target="_blank" title="Export a description metadata of your repository" href="<?php print base_path();?>catalogue/asset_release/<?php print $node->nid; ?>/rdf">
					<span>Export metadata</span>
				</a>
			</div>
		</div>
    <?php endif; ?>
  </div>
</div>