<?php
// $Id: node.tpl.php,v 1.4.2.1 2009/08/10 10:48:33 goba Exp $

/**
 * @file
 *
 * Theme implementation to display a community.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_username().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
   * @see joinup_preprocess_node()
 * @see _joinup_preprocess_community()
 *
 * @ingroup nodes
 */

//print_R($node);die();
$node->rating = fivestar_widget_form($node);
?>

<div id="node-<?php print $node->nid; ?><?php if (!$page&&!$teaser) { print '-blockinfo'; } ?>" class="node node-type-<?php print $node->type ?> <?php if ($sticky) { print ' sticky'; } ?> <?php if (!$status) { print ' node-unpublished'; } ?> clear-block">
  <div class="node-content">
      <?php if ($page): ?>
    <?php if ($submitted): ?>
      <div class="field field-submitted"><?php print $submitted ?></div>
    <?php endif; ?>
    <div class="field field-mission-description">
      <h3 class="page-subtitle-content"><?php print t('Description'); ?></h3>
      <?php print $node->content['og_mission']['#value']; ?>
    </div>
    <?php if (!empty($field_community_expectations['0']['value'])): ?>
      <div class="field field-expectations">
        <h3 class="page-subtitle-content"><?php print t('Expectations'); ?></h3>
        <?php print $field_community_expectations['0']['value']; ?>
      </div>
    <?php endif; ?>
    <?php else: ?>
    <div id="node-information" class="box information">
      <div class="odd nodes-row-first nodes-row-last clearfix">

        <?php if (!empty($field_community_url['0']['url']) || $mailing_list): ?>
          <div class="box-links-select">
            <select class="links-select">
              <?php if (!empty($field_community_url['0']['url'])): ?>
                <option class="option field-homepage-term" value ="<?php print $field_community_url['0']['url']; ?>"><?php print $field_community_url['0']['title']?$field_community_url['0']['title']: t('Web'); ?></option>
              <?php endif;?>
              <?php if ($mailing_list): ?>
                <option class="option field-homepage-term" value ="<?php print $mailing_list; ?>"><?php print t('Mailing list'); ?></option>
              <?php endif;?>
            </select>
            <input class='links-value' type="text" readonly="readonly"></input>
          </div>
        <?php endif; ?>
          
        <h3 class="com-side-title"><?php print t('Metadata'); ?></h3>
            
        <div class="com-property-list">
          <?php if (!empty($og_members)): ?>
            <?php foreach ($og_members as $role => $members): ?>
              <?php if ($members): ?>
                <ul class="com-property field field-members-<?php print joinup_clean_css_identifier(strtolower($role)); ?> com-role">
                <span class="com-ul-title"><?php print t($role); ?>:</span>
                <?php foreach ($members as $key=>$member): ?>
                  <?php if ($member): ?>
                    <li class="com-member field field-members-<?php print joinup_clean_css_identifier(strtolower($role).'-'.$key); ?>">
                      <?php print $member; ?>
                    </li>
                  <?php endif; ?>
                <?php endforeach; ?>
                </ul>
              <?php endif; ?>
            <?php endforeach; ?>
          <?php endif;?>
          
          <?php if ($node->og_description): ?>
          <div class="com-property">
            <div class="com-abstract-title"><?php print t('Abstract') ?>:</div>
            <div class="com-abstract-description"><?php print filter_xss($node->og_description); ?></div>
          </div>
          <?php endif; ?>
          
         <div class="com-property">
            <span class="com-property-title"><?php print t('Type'); ?>:</span>
            <span class="com-property-value"><?php print node_get_types('name', $node->type); ?></span>
         </div>

          <div class="com-property">
              <span class="com-property-title"><?php print t('Date of creation') ?>:</span>
              <span class="com-property-value"><?php print date('d F Y',$node->created); ?></span>
          </div>
          
          <?php if (!empty($field_community_sponsor_logo['0']['view'])): ?>
            <div class="com-logo-title"><?php print t('Sponsor logo'); ?>:</div>
            <div class="com-logo-value"><?php print $field_community_sponsor_logo['0']['view']; ?> </div>
          <?php endif; ?>
        </div>
        
      </div>
    </div>
    <?php endif; ?>
  </div>
</div>
