<?php
// $Id: node.tpl.php,v 1.4.2.1 2009/08/10 10:48:33 goba Exp $

/**
 * @defgroup nodes
 * @ingroup templates
 *
 * @file
 *
 * Default theme implementation for node.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_username().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see joinup_preprocess_node()
 * @see _joinup_preprocess_asset_release()
 * @ingroup nodes
 */
$node->rating = fivestar_widget_form($node);
 ?>
<div id="node-<?php print $node->nid; ?>" class="node<?php
if ($sticky) {
  print ' sticky';
}
?><?php
if (!$status) {
  print ' node-unpublished';
}
?> node-type-<?php print $node->type; ?> clear-block">
  <div class="node-content">
    <?php if ($page): ?>
      <?php if ($flags_view): ?>
      <div class="field field-flags-view"><?php print $flags_view; ?></div>
      <?php endif; ?>
      <div class="field field-submitted"><?php print $submitted; ?></div>
      <div class="rating-node">
			<?php if ($node->rating): ?>
			<div class="bracket">(</div>
			<div class="field field-rating"><?php echo $node->rating;?></div>
			<div class="bracket">)</div>

		<?php endif; ?>

      <div class="field field-vote-rating"><?php print $vote_rating; ?></div></div>
	  <div id="node-information" class="box information">
			<div class="odd nodes-row-first nodes-row-last clearfix">
				<?php if (!empty($field_id_uri[0]['view'])||!empty($field_distribution_download_url[0]['view'])): ?>
                  <div class="box-links-select">
                      <select class="links-select">
                          <?php if (!empty($field_id_uri[0]['view'])): ?>
                              <option class="option field-id-uri-term" value ="<?php print $field_id_uri[0]['view']; ?>"><?php print $field_id_uri['label']; ?></option>
                          <?php endif;?>
                          <?php if (!empty($field_distribution_download_url[0]['view'])): ?>
                              <?php print_r($field_distribution_download_url); ?>
                              <option class="option field-id-uri-term" value ="<?php print $field_distribution_download_url[0]['url']; ?>"><?php print $field_distribution_download_url['label']; ?></option>
                          <?php endif;?>
                      </select>
                      <input class='links-value' type="text" readonly="readonly"></input>
                  </div>
				<?php endif;?>
				<div class="colspans-3-5 first last fields">


					<?php if (!empty($field_distribution_access_url1['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-access-url-term"><?php print $field_distribution_access_url1['label']; ?>:</div>
						<div class="field right field-distribution-access-url-description asset-external-download"><?php print $field_distribution_access_url1['value']; ?></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($field_distribution_access_url['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-access-url-term"><?php print $field_distribution_access_url['label']; ?>:</div>
						<div class="field right field-distribution-access-url-description"><?php print $field_distribution_access_url['value']; ?></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($taxonomy_terms_fileformat['value'])): ?>
					<div class="col">
						<div class="field left field-taxonomy-terms-fileformat-term"><?php print $taxonomy_terms_fileformat['label']; ?>:</div>
						<div class="field right field-taxonomy-terms-fileformat-description"><?php print $taxonomy_terms_fileformat['value']; ?></div>
						</div>
					<?php endif; ?>

					<?php if (!empty($field_distribution_sw_checksum['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-sw-checksum-term"><?php print $field_distribution_sw_checksum['label']; ?>:</div>
						<div class="field right field-distribution-sw-checksum-description"><?php print $field_distribution_sw_checksum['value']; ?></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($field_distribution_sw_filesizein['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-sw-filesizein-term"><?php print $field_distribution_sw_filesizein['label']; ?>:</div>
						<div class="field right field-distribution-sw-filesizein-description"><?php print $field_distribution_sw_filesizein['value']; ?></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($field_distribution_sw_identifier['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-sw-identifier-term"><?php print $field_distribution_sw_identifier['label']; ?>:</div>
						<div class="field right field-distribution-sw-identifier-description"><?php print $field_distribution_sw_identifier['value']; ?></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($field_distribution_sw_tagurl['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-sw-tagurl-term"><?php print $field_distribution_sw_tagurl['label']; ?>:</div>
						<div class="field right field-distribution-sw-tagurl-description"><?php print $field_distribution_sw_tagurl['value']; ?></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($field_distribution_licence['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-licence-term"><?php print $field_distribution_licence['label']; ?>:</div>
						<div class="field right field-distribution-licence-description"><?php print $field_distribution_licence['value']; ?></div>
						<div id="field_distribution_licence"></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($field_distribution_publisher['value'])): ?>
					<div class="col">
						<div class="field left field-distribution-publisher-term"><?php print $field_distribution_publisher['label']; ?>:</div>
						<div class="field right field-distribution-publisher-description"><?php print $field_distribution_publisher['value']; ?></div>
						<div id="field_distribution_publisher"></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($taxonomy_terms_status['value'])): ?>
					<div class="col">
						<div class="field left taxonomy-terms-status-term"><?php print $taxonomy_terms_status['label']; ?>:</div>
						<div class="field right taxonomy-terms-status-description"><?php print $taxonomy_terms_status['value']; ?></div>
					</div>
					<?php endif; ?>

					<?php if (!empty($date_created['value'])): ?>
					<div class="col">
						<div class="field left field-created-term"><?php print $date_created['label']; ?>:</div>
						<div class="field right field-created-description"><?php print $date_created['value']; ?></div>
					</div>
					<?php endif; ?>


					<?php if (!empty($field_asset_last_modification['value'])): ?>
					<div class="col">
						<div class="field left field-asset-last-modification-term"><?php print $field_asset_last_modification['label']; ?>:</div>
						<div class="field right field-asset-last-modification-description"><?php print $field_asset_last_modification['value']; ?></div>
					</div>
					<?php endif; ?>

				</div>
			</div>
		</div>

    <?php elseif($teaser):
   /** ----------- TEASER ---------------*/?>
      <div class="odd nodes-row-first nodes-row-last clearfix">
        <dl class="align-left">
          <dt class="field field-name-term"><?php print t('Name'); ?>:</dt>
          <dd class="field field-name-description"><?php print $title_link; ?></dd>
          <dt class="field field-uri-term"><?php print t('ID (URI)'); ?>:</dt>
          <dd class="field field-uri-description"><?php print $field_id_uri_rendered; ?></dd>
          <?php if (!empty($taxonomy_terms)): ?>
            <?php foreach ($taxonomy_terms as $vocab => $terms): ?>
              <?php if ($terms): ?>
                <dt class="field field-taxonomy-<?php print strtolower($vocab); ?>-term"><?php print t($vocab); ?>:</dt>
                <dd class="field field-taxonomy-<?php print strtolower($vocab); ?>-description"><?php print $terms; ?></dd>
              <?php endif; ?>
            <?php endforeach; ?>
          <?php endif; ?>
        </dl>
      </div>
    <?php endif; ?>
  </div>
</div>