<?php
// $Id: node-presentation.tpl.php,v 1.4.2.1 2010/05/09 13:37:33 smillart Exp $

/**
 * @file
 *
 * Theme implementation to display a presentation.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_username().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see joinup_preprocess_node()
 * @see _joinup_preprocess_presentation()
 * @ingroup nodes
 */
$node->rating = fivestar_widget_form($node);
?>
<div id="node-<?php print $node->nid; ?>" class="node<?php if (!$status) { print ' node-unpublished'; } ?> node-type-<?php print $node->type; ?> clear-block">
	<div class="node-content">
		<div class="field field-title">
			<h2><?php print $title ?></h2>
		</div>
		<?php if ($flags_view): ?>
			<div class="field field-flags-view"><?php print $flags_view ?></div>
		<?php endif; ?>
		<div class="field field-submitted"><?php print $submitted;?></div>
		 <div class="rating-node">
			<?php if ($node->rating): ?>
			<div class="bracket">(</div>
			<div class="field field-rating"><?php echo $node->rating;?></div>	
			<div class="bracket">)</div>
		
		<?php endif; ?>	
	
      <div class="field field-vote-rating"><?php print $vote_rating; ?></div></div>
		
		<div class="field field-content-body"><?php print $node->content['body']['#value']; ?></div>
        
   		<div id="node-information" class="box information">
			<h3 class="page-subtitle-content"><?php print t('Information'); ?></h3>
			<div class="odd nodes-row-first nodes-row-last clearfix">
				<dl class="colspans-3-5 first last fields">
					<?php foreach ($presentation_info as $vocab => $terms): ?>
						<?php if ($terms): ?>
							<dt class="field field-presentation-info-term"><?php print t($vocab); ?>:</dt>
							<dd class="field field-presentation-info-description"><?php print $terms; ?></dd>
						<?php endif; ?>
					<?php endforeach; ?>
					<?php if (!empty($original_url['url'])): ?>
						<dt class="field field-original-url-term"><?php print t('Original URL') ?>:</dt>
						<dd class="field field-original-url-description"><a href="<?php print $original_url['url']; ?>"><?php (!empty($original_url['title']))? print $original_url['title'] : print $original_url['url']; ?></a></dd>
					<?php endif; ?>
					<?php 
						if ($taxonomy_terms && !empty ($taxonomy_terms)):?>
					<?php foreach ($taxonomy_terms as $vocab => $terms): ?>
						<?php if ($terms): ?>
							<dt class="field field-taxonomy-<?php print strtolower($vocab); ?>-term"><?php print t($vocab); ?>:</dt>
							<dd class="field field-taxonomy-<?php print strtolower($vocab); ?>-description"><?php print $terms; ?></dd>
						<?php endif; ?>
					<?php endforeach; ?>
					<?php endif; ?>
                    <?php if ($email_contact): ?>
                      <dt class="field field-email"><?php print t('Email contact') ?>:</dt>
                      <dd class="field field-email-description"><?php print $email_contact; ?></dd>
                    <?php endif; ?>
				</dl>
			</div>
		</div>

                                   
		<?php if (isset($field_presentation_upload_files) && !empty ($field_presentation_upload_files) ): ?>
			<div class="field field-presentationation">
				<h3 class="page-subtitle-content"><?php print t('Presentation file(s)'); ?></h3>
					<?php foreach ($field_presentation_upload_files as $key => $view): ?>
						<?php $extension =array();?>    
						<?php if ($view['view']): ?>
							<li>
								<?php 
									print $additional_doc[$key]; 
									$extension = explode(".",$view['filename']);
									if ($extension [count($extension)-1] == "ppt" ||
										$extension [count($extension)-1] == "pptx" ||   
										$extension [count($extension)-1] == "pps" ||
										$extension [count($extension)-1] == "ppsx" ||
										$extension [count($extension)-1] == "pdf" ){
										print $view['view'];
									}
								?>
							</li>
						<?php endif; ?>
					<?php endforeach; ?>
				</ul>
			</div>
		<?php endif; ?>

	</div>
</div>
