<?php
// $Id: node.tpl.php,v 1.4.2.1 2009/08/10 10:48:33 goba Exp $

/**
 * @defgroup nodes
 * @ingroup templates
 * 
 * @file
 *
 * Default theme implementation for node.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_username().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see joinup_preprocess_node()
 * @see _joinup_preprocess_asset_release()
 * @ingroup nodes
 */

global $base_url;
$node->rating = fivestar_widget_form($node);

?>
<div id="node-<?php print $node->nid; ?><?php if (!$page&&!$teaser) { print '-blockinfo'; } ?>" class="node<?php  print (!$status ? ' node-unpublished':'');?> node-type-<?php print $node->type; ?> clear-block">
  <div class="node-content">
    <?php if ($page): ?>
	  <div class="field field-submitted"><?php print $submitted; ?></div>
      <?php if ($flags_view): ?>
      <div class="field field-flags-view"><?php print $flags_view; ?></div>
      <?php endif; ?>
      <?php 
			//https://webgate.ec.europa.eu/CITnet/jira/browse/ISAICP-806
			//Deleted Created by and date 
		?>
      <?php if (!empty($i_use_this_asset)) : ?>
        <div class="field field-i-use-this-project"><?php print $i_use_this_asset; ?></div>
      <?php endif; ?>

      <div class="field field-content-body">
        <h3 class="page-subtitle-content"><?php print t('Description'); ?></h3>
        <div class='field-item'><?php print $description; ?></div>
      </div>
	 
	  <?php if (isset($field_sw_release[0]['nid'])&&!empty($field_sw_release[0]['nid'])): ?>
		<div class="releases-block">
			<h3  class="page-subtitle-releases"><?php print t('Interoperability Solutions'); ?></h3>
			<table class="releases-table">
				<?php foreach ($field_sw_release as $release): ?>
				  <tr class="release-row">
					<td class="link-release" width="75%"><?php print $release['safe']['title']; ?></td>      
					<td class="button-release"><?php print $release['view']; ?></td>
				  </tr>	
				<?php endforeach; ?>
			</table>
        </div>
      <?php endif; ?>
	  
      <?php if (isset($disclaimer)): ?>
      <div class="form-item"><div class="description"><?php print $disclaimer?></div></div>
      <?php endif; ?>

    <?php elseif ($teaser):
   /** ----------- TEASER ---------------*/?>
      <div class="odd nodes-row-first nodes-row-last clearfix">
        <dl class="align-left">
          <dt class="field field-title-term"><?php print t('Title'); ?>:</dt>
          <dd class="field field-title-description"><?php print $title; ?></dd>
          <?php if (!empty($field_id_uri_rendered)): ?>
            <dt class="field field-uri-term"><?php print t('ID (URI)'); ?>:</dt>
            <dd class="field field-uri-description"><?php print $field_id_uri_rendered; ?></dd>
          <?php endif; ?>
          <?php if (!empty($repository_origin)): ?>
            <dt class="field field-origin-term"> <?php print $repository_origin['label']; ?></dt>
            <dd class="field field-origin-description"> <?php print $repository_origin['value']; ?> </dd>
          <?php endif; ?>
          <?php if (!empty($field_asset_distribution_rendered)): ?>
            <dt class="field field-distribution-term"> <?php print t('Distribution'); ?></dt>
            <dd class="field field-distribution-description"> <?php print $field_asset_distribution_rendered ?> </dd>
          <?php endif; ?>
        </dl>
      </div>
	<?php else: ?>
	  	<div id="node-information" class="box information">
			<div class="odd nodes-row-first nodes-row-last clearfix">
				<div class="box-links-select">
				<?php if ((!empty($field_id_uri['0']['value'])) || (!empty($field_sw_project_bug_database['0']['value'])) || (!empty($field_sw_project_wiki['0']['value']))): ?>
					<select class="links-select">
						<?php if (!empty($field_id_uri['0']['value'])): ?>
							<option class="option field-homepage-term" value ="<?php print $field_id_uri['0']['value']; ?>"><?php print $field_id_uri['label']; ?></option>
						<?php endif;?>
						<?php if (!empty($field_sw_project_bug_database['0']['value'])): ?>
							<option class="option field-homepage-term" value ="<?php print $field_sw_project_bug_database['0']['value']; ?>"><?php print $field_sw_project_bug_database['label']; ?></option>
						<?php endif;?>
						<?php if (!empty($field_sw_project_wiki['0']['value'])): ?>
							<option class="option field-homepage-term" value ="<?php print $field_sw_project_wiki['0']['value']; ?>"><?php print $field_sw_project_wiki['label']; ?></option>
						<?php endif;?>
					</select>
					<input class='links-value' type="text" readonly="readonly"></input>
					<?php endif;?>
				</div>
				
				<dl class="colspans-4-4 first last fields">
					<dt class="field node-type"><?php print t('Type'); ?>:</dt>
					<dd class="field node-type-description"><?php print node_get_types('name', $node->type);; ?>&nbsp;</dd>
					<?php if (!empty($field_sw_project_repository['value'])): ?>
						<dt class="field field-asset-release-type-term"><?php print t('Repository') ?>:</dt>
						<dd class="field field-asset-release-type-description"><?php print $field_sw_project_repository['value']; ?></dd>
					<?php endif; ?>
					<?php if (!empty($field_sw_project_agents['value'])): ?>
						<dt class="field field-sw-project-agents-term"><?php print t('Agent') ?>:</dt>
						<dd class="field field-sw-project-agents-description"><?php print $field_sw_project_agents['value']; ?></dd>
						<div id="field_sw_project_agents"></div>
					<?php endif; ?>
					
					
					<?php if (!empty($taxonomy_terms)): ?>
						<?php foreach ($taxonomy_terms as $vocab => $terms): ?>
							<?php if ($terms): ?>
								<dt class="field field-taxonomy-<?php print strtolower($vocab); ?>-term"><?php print t($vocab); ?>:</dt>
								<dd class="field field-taxonomy-<?php print strtolower($vocab); ?>-description"><?php print $terms; ?></dd>
							<?php endif; ?>
						<?php endforeach; ?>
					<?php endif;?>
				</dl>
			</div>
		</div>
    <?php endif; ?>
  </div>
</div>