<?php
namespace ADMSSW;

/**
 * class SoftwareProject
 * 
 */
class SoftwareProject extends \Common\Object {

  /**
   * 
   * @access protected
   */
   /**
   * 
   * @access protected
   */
   protected $code;
   /**
   * Both the dcterms:description and doap:description properties fully cover the ADMS.SW property of the same name. 
   * @access protected
   */
   protected $description;
   /**
   * Both the foaf:homepage and doap:homepage property fully represents the ADMS.SW relationship of the same name. 
   * @access protected
   */
   protected $homepage;
   /**
   * A word or phrase used to succinctly describe the software.
   * @access protected
   */
   protected $keyword;
   /**
   * Both the dcterms:name and doap:name property fully represents the ADMS.SW property of the same name. 
   * @access protected
   */
   protected $name;
   /**
   * The doap:release property fully covers the ADMS.SW property 'release'.
   * @access protected
   */
   protected $release;
   /**
   * contributing person or organisation for the project.
   * @access protected
   */
   protected $contributor;
   /**
   * contributing person or organisation for the project.
   * @access protected
   */
   protected $fundedBy;
   /**
   * software project of which the current project is a descendant .
   * @access protected
   */
   protected $forkOf;
   /**
   * The doap:documenter property fully covers the ADMS.SW property 'developer'.
   * @access protected
   */
   protected $developer;
   /**
   * The doap:documenter property fully covers the ADMS.SW property 'documenter'.
   * @access protected
   */
   protected $documenter;
   /**
   * The doap:maintainer property fully covers the ADMS.SW property 'maintainer'.
   * @access protected
   */
   protected $maintainer;
   /**
   * The doap:helper property fully covers the ADMS.SW property 'helper'.
   * @access protected
   */
   protected $helper;
   /**
   * The doap:tester property fully covers the ADMS.SW property 'tester'.
   * @access protected
   */
   protected $tester;
   /**
   * The doap:translator property fully covers the ADMS.SW property 'translator'.
   * @access protected
   */
   protected $translator;
   /**
   * A data set of metrics about the software project or software release.
   * @access protected
   */
   protected $metrics;
   /**
   * Topic, theme or function of the software. The theme relationship associates a Software Project or Release with a specific Theme (a skos:Concept). 
   * @access protected
   */
   protected $theme;
   /**
   * Intended audience of the software.
   * @access protected
   */
   protected $intendedAudience;
   /**
   * Locale of the software.
   * @access protected
   */
   protected $locale;
   /**
   * User interface type of the software.
   * @access protected
   */
   protected $userInterfaceType;
   /**
   * Programming language of the software.
   * @access protected
   */
   protected $programmingLanguage;
   /**
   * The dcterms:isPartOf property fully represents relationship 'repository origin'.
   * @access protected
   */
   protected $repositoryOrigin;
   /**
   * Operating system of the software.
   * @access protected
   */
   protected $operatingSystem;
   /**
   * Data format that is supported by the software.
   * @access protected
   */
   protected $supportsFormat;
   /**
   * The status of the software project, asset, or package.
   * @access protected
   */
   protected $status; 
   /**
   * Default constructor
   */
  public function __construct(){
    parent::__construct();
  }

}

// end of SoftwareProject