<?php

namespace ADMSx;

/**
 * class AssetRepository
 * 
 */
class ADMSNamespaces{

  /**
   * Contains the defined types of the asset repository that could exist
   * @access protected 
   */
  static $namespaces = array(
      'adms_x' => array(
      	"adms" =>  "http://www.w3.org/ns/adms#",
		"admssw" =>  "http://purl.org/adms/sw/",
		"dcat" =>  "http://www.w3.org/ns/dcat#",
		"dct" =>  "http://purl.org/dc/terms/",
		"doap" =>  "http://usefulinc.com/ns/doap#",
		"foaf" =>  "http://xmlns.com/foaf/0.1/",
		"qb" =>  "http://purl.org/linked-data/cube#",
		"rad" =>  "http://www.w3.org/ns/radion#",
		"rdfs" =>  "http://www.w3.org/2000/01/rdf-schema#",
		"schema" =>  "http://schema.org/",
		"skos" =>  "http://www.w3.org/2004/02/skos/core#",
		"spdx" =>  "http://spdx.org/rdf/terms#",
		'swid' => 'http://standards.iso.org/iso/19770/-2/2009/', 
		'trove' => 'http://sourceforge.net/api/trove/index/rdf#', 
		//'v' => 'http://www.w3.org/2006/vcard/ns#', 
		'vcard' =>  'http://www.w3.org/2006/vcard/ns#',
		'wdrs' => 'http://www.w3.org/2007/05/powder-s#', 
		'xsd' => 'http://www.w3.org/2001/XMLSchema#',
	),
      'adms' => array (
      	'xsd' => 'http://www.w3.org/2001/XMLSchema#',
		'rdf' => 'http://www.w3.org/1999/02/22-rdf-syntax-ns#',
		'owl' => 'http://www.w3.org/2002/07/owl#',
		'dcterms' => 'http://purl.org/dc/terms/',
		'foaf' => 'http://xmlns.com/foaf/0.1/',
		'schema' => 'http://schema.org/',
		'cc'  => 'http://creativecommons.org/ns#',
		'skos' => 'http://www.w3.org/2004/02/skos/core',
		'dcat' => 'http://www.w3.org/ns/dcat#',
		'xhv' => 'http://www.w3.org/1999/xhtml/vocab#',
		'wdrs' => 'http://www.w3.org/2007/05/powder-s#',
		'vann' => 'http://purl.org/vocab/vann/',
		'rdfs' => 'http://www.w3.org/2000/01/rdf-schema#',
		'adms' => 'http://www.w3.org/ns/adms#',
		'rad' => 'http://www.w3.org/ns/radion#',
		'v'  => 'http://www.w3.org/2006/vcard/ns#',
		'spdx' => 'http://spdx.org/rdf/terms#',
		'swid' => 'http://standards.iso.org/iso/19770/-2/2009/',
		'qb'  => 'http://purl.org/linked-data/cube#',
		'admssw' => 'http://purl.org/adms/sw/',
		'dct' => 'http://purl.org/dc/terms/',
		'doap' => 'http://usefulinc.com/ns/doap#',
		),
      'admssw' => array(
      	'admssw' =>  'http://purl.org/adms/sw/',
		'dcterms' =>  'http://purl.org/dc/terms/',
		'doap' =>  'http://usefulinc.com/ns/doap#',
		'foaf' =>  'http://xmlns.com/foaf/0.1/',
		'schema' =>  'http://schema.org/',
		'sf' =>  'http://sourceforge.net/api/sfelements.rdf#',
		'skos' =>  'http://www.w3.org/2004/02/skos/core#',
		'spdx' =>  'http://spdx.org/rdf/terms#',
		'vcard' =>  'http://www.w3.org/2006/vcard/ns#',
		'qb' =>  'http://purl.org/linked-data/cube#',
		),
    );  
  
  static function getNamespaces() {
    return self::$namespaces;
  }

  static function getCombinedNamespaces() {
  	$names = array();
  	array_walk_recursive(self::$namespaces, function($val, $key) use(&$names){
  		$names[$key] = $val;
  	});
    return $names;
  }
  static function getNamespacesToExport() {
  	$names = array();
  	array_walk_recursive(self::$namespaces['adms_x'], function($val, $key) use(&$names){
  		$names[$key] = $val;
  	});
    return $names;
  }
}

