<?php

namespace ADMSx\RdfClasses;

/**
 * class Checksum
 *
 */
class Checksum extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the checksum that could exist
   * @access protected
   */
  public $type = array(
      'admsx' => 'http://spdx.org/rdf/terms#Checksum'
    );
  /**
   * Contains the properties of the Checksum
   * @access protected
   */
  public $properties = array(
    'checksumValue' => array(
      'namespace' => array(
        'admsx' => 'rdfs:literal',
      ),
      'cardinality' => array(1,1),
      'map' => 'literal',
      'node_field' => 'title',
      'value_key' => ''
    ),
    'algorithm' => array(
      'namespace' => array(
        'admsx' => 'spdx:checksumAlgorithm_sha1',
      ),
      'cardinality' => array(1,1),
      'map' => 'property',
      'node_field' => 'field_checksum_algorithm',
      'value_key' => 'value'
    )
  );

  public $content_type = 'checksum';

  public function __construct() {
    parent::__construct();
  }
}
