<?php

namespace ADMSx\RdfClasses;

/**
 * class ContactInformation
 *
 */
class ContactInformation extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the Contact Information that could exist
   * @access protected
   */
  public $type = array(
      'admsx' => 'http://www.w3.org/2006/vcard/ns#VCard',
      'adms_1' => 'http://www.w3.org/2001/vcard/ns#VCard',
      'adms' => 'http://www.w3.org/2001/vcard-rdf/3.0#VCard'
    );

  /**
   * Contains the content types that corresponds ContactInformation entity
   * @access property
   */
  public $content_type = 'contact_point';

  /**
   * Contains the properties of the Contact information
   * @access protected
   */
  public $properties = array(
      'name' => array(
        'namespace' => array(
          'admsx' => 'vcard:formattedName',
          'adms' => 'vcard:label',
        ),
        'cardinality' => array(1,0),
        'type' => '',
        'map' => 'literal',
        'node_field' => 'title',
        'value_key' => '',
        'extra_field' => 'field_contact_point_name'
      ),
      'address' => array(
        'namespace' => array(
          'admsx' => 'vcard:hasAddress'
        ),
        'map' => 'literal',
        'node_field' => 'field_contact_point_address',
        'cardinality' => array(0,0),
        'type' => '',
        'value_key' => 'value',
      ),
      'telephone' => array(
        'namespace' => array(
          'admsx' => 'vcard:telephone'
        ),
        'map' => 'literal',
        'node_field' => 'field_contact_point_telephone',
        'cardinality' => array(0,0),
        'type' => '',
        'value_key' => 'value',
      ),
      'webpage' => array(
        'namespace' => array(
          'admsx' => 'vcard:url'
        ),
        'map' => 'property',
        'node_field' => 'field_contact_point_web_page',
        'cardinality' => array(0,0),
        'type' => '',
        'value_key' => 'url'
      ),
      'email' => array(
        'namespace' => array(
          'admsx' => 'vcard:email',
          'adms' => 'vcard:hasEmail'
        ),
        'map' => 'literal',
        'node_field' => 'field_contact_point_mail',
        'cardinality' => array(0,0),
        'type' => '',
        'value_key' => 'value',
      )
    );

  public function __construct() {
    parent::__construct();
  }
}
