<?php

namespace ADMSx\RdfClasses;

/**
 * class Identifier
 *
 */
class Identifier extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the identifier that could exist
   * @access protected
   */
  public $type = array(
      'admsx' => 'http://www.w3.org/ns/adms#identifier'
    );
  /**
   * Contains the properties of the Period of Time
   * @access protected
   */
  public $properties = array(
    'content' => array(
      'namespace' => array(
        'admsx' => 'skos:notation',
      ),
      'cardinality' => array(0,1),
      'map' => 'property',
      'node_field' => 'field_identifier_content',
      'value_key' => 'value'
    ),
    'identifier' => array(
      'namespace' => array(
        'admsx' => 'dct:type',
      ),
      'cardinality' => array(0,1),
      'map' => 'property',
      'node_field' => 'field_identifier_scheme',
      'value_key' => 'value'
    ),
    'version' => array(
      'namespace' => array(
        'admsx' => 'adms:schemeVersion',
      ),
      'cardinality' => array(0,1),
      'map' => 'property',
      'node_field' => 'field_identifier_scheme_version',
      'value_key' => 'value'
    ),
    'agency' => array(
      'namespace' => array(
        'admsx' => 'adms:schemaAgency',
      ),
      'cardinality' => array(0,1),
      'map' => 'property',
      'node_field' => 'field_identifier_scheme_agency',
      'value_key' => 'value'
    )
  );

  public $content_type = 'identifier';

  public function __construct() {
    parent::__construct();
  }
}
