<?php

namespace ADMSx\RdfClasses;

/**
 * class Licence
 *
 */
class Licence extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the Licence that could exist
   * @access protected
   */
   public $type = array(
    'admsx' => 'http://purl.org/dc/terms/LicenseDocument',
    );
  /**
   * Contains the properties of the Licence
   * @access protected
   */
  public $properties = array(
    'label' => array(
      'namespace' => array(
        'admsx' => 'rdfs:label',
        ),
      'cardinality' => array(1,0),
      'type' => '',
      'map' => 'literal',
      'node_field' => 'title',
      'value_key' => '',
      'extra_language' => array('field_licence_name'),
      'extra_language_type' => 'language_textfield'
      ),
    'description' => array(
      'namespace' => array(
        'admsx' => 'dct:description',
        ),
      'map' => 'literal',
      'node_field' => 'body',
      'cardinality' => array(0,0),
      'type' => '',
      'extra_language' => array('field_licence_description'),
      'extra_language_type' => 'language_textarea'
      ),
    'licencetype' => array(
      'namespace' => array(
        'admsx' => 'dct:type',
        'admssw' => 'dcterms:type',
        'adms' => 'dcterms:type',
      ),
      'cardinality' => array(1,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_LICENCE_TYPE
    ),
    );

  public $content_type = 'licence';


  public function __construct() {
    parent::__construct();
  }
}
