<?php

namespace ADMSx\RdfClasses;

/**
 * class Publisher
 *
 */
class Publisher extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the Publisher that could exist
   * @access public
   */
  public $type = array(
    'admsx' => 'http://purl.org/dc/terms/publisher',
    'admssw' => 'http://purl.org/dc/terms/publisher',
    );
  /**
   * Contains the properties of the Publisher
   * @access protected
   */
  public $properties = array(
      'name' => array(
        'namespace' => array(
          'adms' => 'rdfs:label',
          'admsx' => 'foaf:name',
        ),
        'cardinality' => array(1,0),
        'type' => '',
        'map' => 'literal',
        'node_field' => 'title',
        'value_key' => '',
        'extra_language' => array('field_publisher_name'),
        'extra_language_type' => 'language_textfield'
      ),
      'publisherType' => array(
        'namespace' => array(
          'admsx' => 'dct:type',
          'adms' => 'dcterms:type',
        ),
        'cardinality' => array(0,0),
        'taxonomy_field' => ISA_VID_PUBLISHER_TYPE,
        'map' => 'property',
        'type' => ''
      ),
    );


  public $content_type = 'publisher';

  public function __construct() {
    parent::__construct();
  }

}
