<?php

namespace ADMSx\RdfClasses;

/**
 * class SoftwareIdentifier
 *
 */
class SoftwareIdentifier extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the software identifier that could exist
   * @access protected
   */
  public $type = array(
      'admsx' => 'http://standards.iso.org/iso/19770/-2/2009/software_id'
    );
  /**
   * Contains the properties of the SoftwareIdentifier
   * @access protected
   */
  public $properties = array(
    'uniqueid' => array(
      'namespace' => array(
        'admsx' => 'swid:unique_id',
      ),
      'cardinality' => array(1,0),
      'map' => 'property',
      'node_field' => 'field_sw_identifier_id',
      'value_key' => 'value'
    ),
  );

  public $content_type = 'software_identifier';

  public function __construct() {
    parent::__construct();
  }
}
