<?php

namespace ADMSx\RdfClasses;

/**
 * class AssetRepository
 *
 */
class SoftwareProject extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the asset repository that could exist
   * @access protected
   */
  public $type = array(
    'admsx' => 'http://purl.org/adms/sw/SoftwareProject',
    );

  public $content_type = 'project';

  /**
   * Contains the properties of the Asset Repository
   * @access protected
   */
  public $properties = array(
    'name' => array(
      'namespace' => array(
        'admsx' => 'doap:name',
        ),
      'cardinality' => array(1,0),
      'map' => 'literal',
      'node_field' => 'title',
      'value_key' => '',
      'extra_language' => array('field_sw_project_name'),
      'extra_language_type' => 'language_textfield'
      ),
    'description' => array(
      'namespace' => array(
        'admsx' => 'dct:description',
        'admssw' => 'doap:description',
        'adms' => 'dcterms:description',
        ),
      'map' => 'literal',
      'node_field' => 'body',
      'cardinality' => array(0,0),
      'type' => '',
      'map' => 'literal',
      'value_key' => '',
      'extra_language' => array('field_sw_project_description'),
      'extra_language_type' => 'language_textarea'
      ),
    'logo' => array(
      'namespace' => array(
        'admsx' => 'foaf:logo',
        ),
      'cardinality' => array(0,1),
      'map' => 'property',
      'node_field' => 'field_sw_project_logo',
      'value_key' => 'nid'
      ),
    'release' => array(
      'namespace' => array(
        'admsx' => 'doap:release',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_release',
      'value_key' => 'nid'
      ),
    'contributor' => array(
      'namespace' => array(
        'admsx' => 'schema:contributor',
        'admssw' => 'admssw:contributor'
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'contributor'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'fundedBy' => array(
      'namespace' => array(
        'admsx' => 'admssw:fundedBy',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'fundedby'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'developer' => array(
      'namespace' => array(
        'admsx' => 'doap:developer',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'developer'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'documenter' => array(
      'namespace' => array(
        'admsx' => 'doap:documenter',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'documenter'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'helper' => array(
      'namespace' => array(
        'admsx' => 'doap:helper',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'helper'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'tester' => array(
      'namespace' => array(
        'admsx' => 'doap:tester',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'tester'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'translator' => array(
      'namespace' => array(
        'admsx' => 'doap:translator',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'translator'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'maintainer' => array(
      'namespace' => array(
        'admsx' => 'doap:maintainer',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_agents',
      'value_key' => 'nid',
      'extra_switch' => array('field_sw_project_agent_type' => 'maintainer'),
      'extra_switch_type' => 'agent_node_reference'
      ),
    'metrics' => array(
      'namespace' => array(
        'admsx' => 'admssw:metrics',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_metrics',
      'value_key' => 'nid'
      ),
    'theme' => array(
      'namespace' => array(
        'admsx' => 'admssw:theme',
        'admssw' => 'rad:theme',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_TROVE_TOPIC
      ),
    'intendedAudience' => array(
      'namespace' => array(
        'admsx' => 'admssw:intendedAudience',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_TROVE_INTENDED_AUDIENCE
      ),
    'language' => array(
      'namespace' => array(
        'admsx' => 'dct:language',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_TROVE_LOCALE
      ),
    'userInterfaceType' => array(
      'namespace' => array(
        'admsx' => 'admssw:userInterfaceType',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_TROVE_USER_INTERFACE
      ),
    'programmingLanguage' => array(
      'namespace' => array(
        'admsx' => 'admssw:programmingLanguage',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_TROVE_PROGRAMMING_LANGUAGE
      ),
    'isPartof' => array(
      'namespace' => array(
        'admsx' => 'dcterms:isPartof',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'organic_group_field' => true
      ),
    'operatingSystem' => array(
      'namespace' => array(
        'admsx' => 'schema:operatingSystem',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_TROVE_OPERATING_SYSTEM
      ),
    'solutionCategory' => array(
      'namespace' => array(
        'admsx' => 'dct:type',
        'admssw' => 'dcterms:type',
        ),
      'cardinality' => array(1,1),
      'map' => 'property',
      'taxonomy_field' => ISA_SOLUTION_CATEGORY
      ),
    'status' => array(
      'namespace' => array(
        'admsx' => 'adms:status',
        'admsw' => 'admssw:status',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_TROVE_STATUS
      ),
    'supportsFormat' => array(
      'namespace' => array(
        'admsx' => 'admssw:supportsFormat',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'taxonomy_field' => ISA_VID_FILE_FORMAT
      ),
    'bugDatabase' => array(
      'namespace' => array(
        'admsx' => 'doap:bug-database',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_bug_database',
      'value_key' => 'value'
      ),
    'wiki' => array(
      'namespace' => array(
        'admsx' => 'doap:wiki',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_wiki',
      'value_key' => 'value'
      ),
    'repository' => array(
      'namespace' => array(
        'admsx' => 'doap:repository',
        ),
      'cardinality' => array(0,0),
      'map' => 'property',
      'node_field' => 'field_sw_project_repository',
      'value_key' => 'nid'
      ),
    );

  public function __construct() {
    parent::__construct();
  }
}
