<?php

namespace ADMSx\RdfClasses;

/**
 * class SoftwareProjectAgent
 *
 */
class SoftwareProjectAgent extends \Common\ADMSObject implements \Common\iADMSObject {

  /**
   * Contains the defined types of the SoftwareProjectAgent that could exist
   * @access public
   */
  public $type = array(
    'admsx' => 'http://xmlns.com/foaf/0.1/Agent',
    'admssw' => 'http://purl.org/dc/terms/Agent',

    );
  /**
   * Contains the properties of the SoftwareProjectAgent
   * @access protected
   */
  public $properties = array(
      'name' => array(
        'namespace' => array(
          'adms' => 'rdfs:label',
          'admsx' => 'foaf:name',
        ),
        'cardinality' => array(1,0),
        'type' => '',
        'map' => 'literal',
        'node_field' => 'title',
        'value_key' => '',
        'extra_language' => array('field_sw_project_agent_nam'),
        'extra_language_type' => 'language_textfield'
      ),
      'agentType' => array(
        'namespace' => array(
          'admsx' => 'dct:type',
          'adms' => 'dcterms:type',
        ),
        'cardinality' => array(0,0),
        'map' => 'literal',
        'node_field' => 'field_sw_project_agent_type',
        'value_key' => 'value'
      ),
    );


  public $content_type = 'software_project_agent';

  public function __construct() {
    parent::__construct();
  }

}
