<?php

namespace Common;

class RDFValidator {
  
  private $filename;
  
  function __construct($filename) {
    $this->file=$file;
  }
  
  public function validateFile($filename) {
    if(!$filename){
      $filename = $this->file;
    }
    
    Logger::configure(retrieveLogConfiguration("report_{$filename}.log"));
    //Reading of the property of the repository
    $logger->info("Validating file: '{$filename}'");
    
    try {
    
      // Read the input file (depending on the filetype)
      // application/rdf+xml
      $adapter = \Adapters\AdapterFactory::getAdapter(file_get_mimetype($filename));
    
      if (!is_file(DRUPAL_DIR . $task['filepath'])) {
        throw new \UnexpectedValueException(
            "The input file '{$task['filepath']}' is not reachable.");
      }
      // First check that the XML File is well formed
      //@$doc = simplexml_load_file($file);
      @$doc = simplexml_load_file(DRUPAL_DIR . $task['filepath']);
      if ($doc === FALSE) {
        throw new \UnexpectedValueException(
            "The input file '{$task['filepath']}' is not a valid XML file.");
      }
      $doc = NULL;
    
      $adms = $adapter->load(DRUPAL_DIR . $task['filepath']);
      // Export of the adms objects to Drupal
      // if the export is correct, then I set this file as treated
    
      /**
       * var $adapter DrupalXAdapter
      */
      $adapter = \Adapters\AdapterFactory::getAdapter('drupalx');
      $output = array(
          'repository_id' => $task['repository_id'],
          'user_id' => $task['user_id'],
      );
    
      $result = $adapter->export($adms, $output,false);
      if (!$result) {
        throw new \RuntimeException(
            "The export process to Drupal doesn't end correctly"
        );
      }
    } catch (\Exception $e) {
      $logger->error($e->getMessage());
      $pdos_params[':state'] = 'failed';
      $pdos_params[':result'] = $e->getMessage();
    }
    
  }
}