<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:rss="http://purl.org/rss/1.0/"
xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
xmlns:dcterms="http://purl.org/dc/terms/"
xmlns:admssw="http://purl.org/adms/sw/" 
xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
xmlns:dc="http://purl.org/dc/elements/1.1/"
xmlns:doap="http://usefulinc.com/ns/doap#">
	<xsl:output method="xml" indent="yes" encoding="UTF-8" />

	<xsl:template match="/">
		<rdf:RDF  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
		          xmlns:dcterms="http://purl.org/dc/terms/"
		          xmlns:admssw="http://purl.org/adms/sw/"
		          xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
		          xmlns:doap="http://usefulinc.com/ns/doap#"
		>
		<!--REPOSITORY DATA -->                        
		<xsl:element name="rdf:Description">		

			<xsl:attribute name="rdf:about">
				<xsl:value-of select="rss/channel/link"/>
			</xsl:attribute>
		  
			<xsl:element name="rdf:type" >
				<xsl:attribute name="rdf:resource">
					<xsl:text>http://purl.org/adms/sw/SoftwareRepository</xsl:text>
				</xsl:attribute>
			</xsl:element>
<!--		 	
			<xsl:element name="rdf:type">
				<xsl:attribute name="rdf:resource">
					<xsl:text>http://usefulinc.com/ns/doap#Repository</xsl:text>
				</xsl:attribute>
			</xsl:element>
-->		
			<xsl:if test="rss/channel/link !=''">		
				<xsl:element name="rdfs:label">
					<xsl:attribute name="xml:lang">
						<xsl:text>en</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="rss/channel/title"/>
				</xsl:element>
		    </xsl:if>
			
			<xsl:if test="rss/channel/link !=''">	
				<xsl:element name="admssw:accessURL" >
					<xsl:attribute name="rdf:resource">
						<xsl:value-of select="rss/channel/link"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:if>
			
			<xsl:if test="rss/channel/pubDate !=''">
				<xsl:element name="dcterms:created" >
					<xsl:attribute name="rdf:datatype">
						<xsl:text>http://www.w3.org/2001/XMLSchema#dateTime</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="rss/channel/pubDate"/>
				</xsl:element>
			</xsl:if>

			<xsl:if test="rss/channel/description !=''">
				<xsl:element name="dcterms:description" >
					<xsl:attribute name="xml:lang">
						<xsl:text>en</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="rss/channel/description"/>
				</xsl:element>
			</xsl:if>

		</xsl:element>	


		<xsl:for-each select="rss/channel/item">

			<xsl:element name="rdf:Description">
				
				<xsl:if test="link !=''">
					<xsl:attribute name="rdf:about">
						<xsl:value-of select="link"/>
					</xsl:attribute>
				</xsl:if>
				
				<xsl:element name="rdf:type">
					<xsl:attribute name="rdf:resource">
						<xsl:text>http://purl.org/adms/sw/SoftwareProject</xsl:text>
					</xsl:attribute>
				</xsl:element>
								
				<xsl:if test="//rss/channel/link !=''">
					<xsl:element name="dcterms:isPartOf">
						<xsl:attribute name="rdf:resource">
							<xsl:value-of select="//rss/channel/link"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:if>

				<xsl:if test="title !=''">
					<xsl:element name="doap:name" xmlns:doap="http://usefulinc.com/ns/doap#">
					<xsl:attribute name="xml:lang">
						<xsl:text>en</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="title"/>
					</xsl:element>
				</xsl:if>
				
				<xsl:if test="title !='description'">
					<xsl:element name="doap:description">
					<xsl:attribute name="xml:lang">
						<xsl:text>en</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="description"/>
					</xsl:element>
				</xsl:if>
<!--
				<xsl:if test="title !='description'">
					<xsl:element name="dcterms:description">
						<xsl:attribute name="xml:lang">
							<xsl:text>en</xsl:text>
						</xsl:attribute>
						<xsl:value-of select="description"/>
					</xsl:element>
				</xsl:if>
-->
<!--
				<xsl:if test="link !=''">
					<xsl:element name="doap:homepage">
						<xsl:attribute name="rdf:resource">
							<xsl:value-of select="link"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:if>
-->
				<xsl:if test="dc:date !=''">
					<xsl:element name="dcterms:created" >
						<xsl:attribute name="rdf:datatype">
							<xsl:text>http://www.w3.org/2001/XMLSchema#dateTime</xsl:text>
						</xsl:attribute>
						<xsl:call-template name="FormatDate">
							 <xsl:with-param name="DateTime" select="dc:date"/> 
						</xsl:call-template>
					</xsl:element>
				</xsl:if>
<!--
				<xsl:if test="link !=''">
					<xsl:element name="admssw:identifier">
						<xsl:attribute name="rdf:resource">
							<xsl:value-of select="link"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:if>
-->
			</xsl:element>
		</xsl:for-each>

		</rdf:RDF>
	</xsl:template>

	<xsl:template name="FormatDate">
		<xsl:param name="DateTime" />
	    <!-- new date format 2006-01-14T08:55:22 -->
	    <!-- initial format 2013-06-28T11:53:24+00:00 -->
	    <xsl:variable name="mo">
	      <xsl:value-of select="substring($DateTime,6,2)" />
	    </xsl:variable>
	    <xsl:variable name="day">
	      <xsl:value-of select="substring($DateTime,9,2)" />
	    </xsl:variable>
	    <xsl:variable name="year">
	      <xsl:value-of select="substring($DateTime,1,4)" />
	    </xsl:variable>
	    <xsl:variable name="hh">
	      <xsl:value-of select="substring($DateTime,12,2)" />
	    </xsl:variable>
	    <xsl:variable name="mm">
	      <xsl:value-of select="substring($DateTime,15,2)" />
	    </xsl:variable>
	    <xsl:variable name="ss">
	      <xsl:value-of select="substring($DateTime,18,2)" />
	    </xsl:variable>
	    <!-- 
		<xsl:variable name="timeDifference">
	      <xsl:value-of select="substring($DateTime,27,5)" />
	    </xsl:variable> -->
	    <xsl:value-of select="$year"/>
	    <xsl:value-of select="'-'"/>   
	    <xsl:value-of select="$mo"/>            
	    <!-- 
	    <xsl:choose>
	      <xsl:when test="$mo = 'Jan'">01</xsl:when>
	      <xsl:when test="$mo = 'Feb'">02</xsl:when>
	      <xsl:when test="$mo = 'Mar'">03</xsl:when>
	      <xsl:when test="$mo = 'Apr'">04</xsl:when>
	      <xsl:when test="$mo = 'May'">05</xsl:when>
	      <xsl:when test="$mo = 'Jun'">06</xsl:when>
	      <xsl:when test="$mo = 'Jul'">07</xsl:when>
	      <xsl:when test="$mo = 'Aug'">08</xsl:when>
	      <xsl:when test="$mo = 'Sep'">09</xsl:when>
	      <xsl:when test="$mo = 'Oct'">10</xsl:when>
	      <xsl:when test="$mo = 'Nov'">11</xsl:when>
	      <xsl:when test="$mo = 'Dec'">12</xsl:when>
	    </xsl:choose>
	    -->
	    <xsl:value-of select="'-'"/>
	    <xsl:value-of select="$day"/>
	    <xsl:value-of select="'T'"/>
	    <xsl:value-of select="$hh"/>
	    <xsl:value-of select="':'"/>
	    <xsl:value-of select="$mm"/>
	    <xsl:value-of select="':'"/>
	    <xsl:value-of select="$ss"/>
		<!-- <xsl:value-of select="$timeDifference"/> -->
	</xsl:template>

</xsl:stylesheet>