UPDATE  `node_revisions` SET `body` = '<h1 class="documentFirstHeading"><span id="parent-fieldname-title">Introduction to  the EUPL licence </span></h1> <div class="documentByLine" id="plone-document-byline"><span class="documentAuthor"><br /> </span></div> <p class="documentDescription"><span id="parent-fieldname-description">The EUPL is  the first European Free/Open Source Software (F/OSS) licence. It has been  created on the initiative of the European Commission. It is now approved by the  European Commission in 22 linguistic versions and can be used by anyone for  software distribution. </span></p> <dl class="portlet toc" id="document-toc">     <dt class="portletHeader">Contents</dt>     <dd class="portletItem">     <ol>         <li><a href="#section-0">What  is the EUPL?</a></li>         <li><a href="#section-1">Why  the EUPL?</a></li>         <li><a href="#section-2">Objectives</a></li>         <li><a href="#section-3">Who  may use the EUPL?</a></li>         <li><a href="#section-4">The  role of the IDABC programme</a></li>         <li><a href="#section-5">OSI  certified</a></li>     </ol>     </dd> </dl> <div id="parent-fieldname-text"> <p>The EUPL is the first European Free/Open Source Software (F/OSS) licence. It  has been created on the initiative of the European Commission. It is now  approved by the European Commission in 22 official languages of the European  Union and can be used by anyone for software distribution.</p> <p>Following an intensive preparatory process and a public consultation, it was  approved by the European Commission on 9 January 2007 in three linguistic  versions.</p> <p>By a second Decision of 9 January 2008, the European Commission validated the  EUPL in 22 official languages of the European Union.</p> <p>By a third decision of 9 January 2009, the European Commission adopted a  revised version of the Licence while at the same time validated it in 22&nbsp;  official languages (EUPL v.1.1).</p> <p>The EUPL is a unique legal instrument, as it has been elaborated in respect  of European law requirements and has legal value in 22 European languages.</p> <p>More than 100 other F/OSS licences exist. The purpose of the EUPL is not to  compete with any of these licences, but to encourage first of all, a new wave of  public administrations to embrace the Free/Open Source model to valorise their  software and knowledge, starting with the European Institutions  themselves.</p> The EUPL is compatible with some other copyleft licences,  including the GPLv2. The first applications developed inside the European  Commission or by national public administration have already been published  under the EUPL. <p align="right">[<a href="#what-is-the-eupl" title="What is the EUPL?">top</a>]</p> <a name="section-0"></a> <h2><a name="what-is-the-eupl"></a>What is the EUPL?</h2> <p>EUPL is an acronym&nbsp; for &ldquo;European Union Public Licence&rdquo;.</p> <p>The first EUPL draft (v.0.1) went public in June 2005. A public debate was  then&nbsp; organised by the European Commission (IDABC). The consultation of the  developers and users community was very productive and has lead to many  improvements of the draft licence; 10 out of 15 articles were modified. Based on  the results of these modifications (a detailed report and the draft EUPL v.0.2),  the European Commission&nbsp; elaborated a final version (v.1.0) that was officially  approved on 9 January 2007, in three linguistic versions.</p> <p><br /> By a second Decision of 9 January 2008, the European Commission validated  the EUPL in all the official languages of the European Union.</p> <p>By a third Decision of 9 January 2009, the European Commission clarified  specific points of the&nbsp;EUPL, publishing the version 1.1&nbsp;in all the official  languages of the European Union.</p> <p align="right">[<a href="#what-is-the-eupl" title="What is the EUPL?">top</a>]</p> <a name="section-1"></a> <h2>Why the EUPL?</h2> <p>The purpose of the European Commission is first of all to distribute its own  software under the licence. Some applications developed in the framework of the  IDABC programme, such as CIRCA, or IPM have already been licensed under the EUPL  in 2007. Other European Institutions are also interested in using the new  licence.</p> <p>But why creating a new legal instrument from scratch when more than 100 other  F/OSS licences exist, such as the GPL, the BSD or the OSL? The reason is that in  a detailed legal study no existing licence was found to correspond to the  requirements of the European Commission:</p> <ul>     <li>The Licence should have equal legal value in many languages;</li>     <li>The terminology regarding intellectual property rights had to be conformant  with European law requirements ;</li>     <li>To be valid in all Member States, limitations of liability or warranty had  to be precise, and not formulated &ldquo;to the extend allowed by the law&rdquo; as in most  licences designed with the legal environment of the United States in mind.     <p align="right">[<a href="#what-is-the-eupl" title="What is the EUPL?">top</a>]</p>     </li> </ul> <a name="section-2"></a> <h2>Objectives</h2> <p>The main objective of the European Commission is to distribute widely and  promote the use of software owned by itself and other European Institutions  under an Free/Open Source Licence conform to European law requirements.</p> <p>The EUPL is however written in neutral terms so that a broader use might be  envisaged.</p> <p>In addition, distribution of software should avoid the exclusive  appropriation of the software even after improvement by a third party  (therefore, the EUPL is a &quot;copyleft&quot; licence).</p> <p align="right">[<a href="#what-is-the-eupl" title="What is the EUPL?">top</a>]</p> <a name="section-3"></a> <h2>Who may use the EUPL?</h2> <p>Although the potential users of European Institutions\' software are mostly  other public sector administrations, there is nothing in the EUPL preventing its  broader use. The EUPL could be used by anyone who holds the copyright to a piece  of software. It could become &ndash; in various languages - an adequate legal  interoperability instrument across Europe.</p> <p>Nevertheless, the EUPL purpose is not to compete with other licences. It  might be used primarily by public administrations, either European or national,  that would need a common licensing instrument to mutualise or share software and  knowledge.</p> <p><strong>Is the EUPL compatible with the GPL and other F/OSS  licences?</strong></p> <p>Yes, it is. The EUPL contains a unique compatibility clause and provides for  a list of compatible copyleft licences. The GPL is one of them.</p> <p><strong>For example, how would the interaction between the EUPL and the GPL  play out in the case of CIRCA, an application a already distributed&nbsp; under the  EUPL?</strong></p> <p>A developer may improve CIRCA by integrating a GPL component in it, and then  could license the improved or derivative work under the GPL. A developer will be  also able to integrate CIRCA in existing GPL work called e.g. &ldquo;MY-GPL-PROGRAM&rdquo;  and continue to license this improved work under the GPL licence that he had  chosen originally.</p> <p align="right">[<a href="#what-is-the-eupl" title="What is the EUPL?">top</a>]</p> <a name="section-4"></a> <h2>The role of the IDABC programme</h2> <p>The IDABC programme has constantly supported the objective of widely  distributing its own software, such as CIRCA or IPM.</p> <p>Distribution of software under the EUPL makes possible the growth of a  stronger&nbsp; developers and users community. It also ensures ithe continued  availability of and support for these programs after the expiration of the IDABC  programme.</p> <p>To this end, the European Commission has investigated various alternatives,  submitted the EUPL to public consultation and made appropriate modifications.  The EUPL is one of the instruments to encourage the European Public sector to  develop collaborative initiatives e.g.&nbsp; in the framework of the future Open  Source Repository.</p> <p align="right">[<a href="#what-is-the-eupl" title="What is the EUPL?">top</a>]</p> <a name="section-5"></a> <h2>OSI certified</h2> <p>The EUPL v 1.1 is OSI certified as from March 2009.[<a href="#what-is-the-eupl" title="What is the EUPL?">top</a>]</p> <a name="section-6"></a></div> <p>&nbsp;</p>' WHERE `node_revisions`.`nid` =3049 and `node_revisions`.`vid` =3140 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<p class="documentDescription"><span id="parent-fieldname-description">             </span><strong><span id="parent-fieldname-description">This corresponds to the European Union Public Licence (EUPL)         </span></strong></p> <p>The EUPL implements a common legal framework for open source licensing in Europe, with official value in 22 European languages.&nbsp;</p> <p>It can be used outside Europe as well: as an OSI-approved licence,  the EUPL is considered world-wide as a licence that is fully compliant  with the Open Source Definition. The EUPL is also considered as a &quot;free  software&quot; licence.</p> <p><span style="font-size: 9pt;">Based on European law and terminology, the EUPL has other characteristics, that differentiate it from other open source licences:</span></p> <ul style="font-size: 9pt;">     <li><span class="Apple-style-span" style="font-size: 13px;">The EUPL covers &ldquo;communication to the public&rdquo; (including SaaS &ndash; software as a service, for example e-Government solutions).</span></li>     <li><span class="Apple-style-span" style="font-size: 13px;">The EUPL defines applicable law (of the Member State of the Licensor) and venue.</span></li>     <li><span class="Apple-style-span" style="font-size: 13px;">The EUPL has a realistic approach of warranty and liability (for acceptance in European case law).</span></li>     <li><span class="Apple-style-span" style="font-size: 13px;">The EUPL is based on legal principles, not on fighting against specific business practices (therefore, it is comprehensive and relatively short).</span></li>     <li><span class="Apple-style-span" style="font-size: 13px;">The EUPL is neutral in its approach of intellectual property rights and patents, as long it may be compatible with open source distribution <br />     </span></li> </ul> <p>The EUPL has specific <a href="../page/eupl-guidelines" class="external-link">Guidelines for users and developers</a></p> <p><a href="wiz-0105" class="internal-link" title="Wiz-0105">Back to previous...</a></p>' WHERE `node_revisions`.`nid` =2063 and `node_revisions`.`vid` =3172 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<p class="documentDescription"><span id="parent-fieldname-description">             </span><strong><span id="parent-fieldname-description">You have build your program as a derivative, based on some  existing software component, licensed to you under another licence.         </span></strong></p> <div id="parent-fieldname-text"> <p><span style="font-size: 10pt;">This other licence is not supported by this guide. Please investigate licensing conditions to know how far you can distribute the received code after being integrated in your program.</span></p> <p><span style="font-size: 10pt;">If needed, please post a documented question to the <a title="Contact the OSOR legal support" class="internal-link" href="../../contact">legal expert</a>.</span></p> <p><span style="font-size: 10pt;"><span class="Apple-style-span"><a title="Wiz-03" style="text-decoration: none;" class="internal-link" href="wiz-03">Back to previous&hellip;</a></span></span></p> </div>' WHERE `node_revisions`.`nid` =2079 and `node_revisions`.`vid` =2135 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<h1 class="documentFirstHeading"><span class="documentAuthor"><br /> </span></h1> <p class="documentDescription"><span id="parent-fieldname-description">             Text and preamble of the European Union Public Licence  (EUPL) version 1.1, available in 22 official languages of the European  Union.         </span></p> <p>This page contains all the official versions of the European  Union Public Licence (EUPL)&nbsp; together with a preamble explaining the  purpose of this Free/Open Source Software Licence, together with links  to further information on the licence.</p> <p><br /> &nbsp;</p> <table align="center" class="plain">     <tbody>         <tr>             <td align="left"><strong>BG</strong></td>             <td align="left"><a href="../../system/files/BG/EUPL%20v.1.1%20-%2041f44043543043c43144e43b.pdf" class="document pdf" title="EUPL v.1.1 - ????????"> EUPL v.1.1 - ????????</a></td>             <td align="left"><a href="../../system/files/BG/EUPL%20v.1.1%20-%2041b41842641541d417.pdf" class="document pdf" title="EUPL v.1.1 - ??????">EUPL v.1.1 - ??????</a></td>         </tr>         <tr>             <td align="left"><strong>CS</strong></td>             <td align="left"><a href="../../system/files/CS/EUPL%20v.1.1%20-%20Preambule.pdf" class="document pdf" title="EUPL v.1.1 - Preambule">EUPL v.1.1 - Preambule</a></td>             <td align="left"><a href="../../system/files/CS/EUPL%20v.1.1%20-%20license.pdf" class="document pdf" title="EUPL v.1.1 - license">EUPL v.1.1 - Licence</a></td>         </tr>         <tr>             <td align="left"><strong>DA</strong></td>             <td align="left"><a href="../../system/files/DA/EUPL%20v.1.1%20-%20Forord.pdf" class="document pdf" title="EUPL v.1.1 - Forord">EUPL v.1.1 - Forord</a></td>             <td align="left"><a href="../../system/files/DA/EUPL%20v.1.1%20-%20Licens.pdf" class="document pdf" title="EUPL v.1.1 - Licens">EUPL v.1.1 - Licens</a></td>         </tr>         <tr>             <td align="left"><strong>DE</strong></td>             <td align="left"><a href="../../system/files/DE/EUPL%20v.1.1%20-%20Praambel.pdf" class="document pdf" title="EUPL v.1.1 - Pr&auml;ambel"> EUPL v.1.1 - Pr&auml;ambel</a></td>             <td align="left"><a href="../../system/files/DE/EUPL%20v.1.1%20-%20Lizenz.pdf" class="document pdf" title="EUPL v.1.1 - Lizenz"> EUPL v.1.1 - Lizenz</a></td>         </tr>         <tr>             <td align="left"><strong>ET</strong></td>             <td align="left"><a href="../../system/files/ET/EUPL%20v.1.1%20-%20Preambul.pdf" class="document pdf" title="EUPL v.1.1 - Preambul"> EUPL v.1.1 - Preambul</a></td>             <td align="left"><a href="../../system/files/ET/EUPL%20v.1.1%20-%20Litsents.pdf" class="document pdf" title="EUPL v.1.1 - Litsents"> EUPL v.1.1 - Litsents</a></td>         </tr>         <tr>             <td align="left"><strong>EL</strong></td>             <td align="left"><a href="../../system/files/EL/EUPL%20v.1.1%20-%203a03c13bf3bf3bc3b93bf.pdf" class="document pdf" title="EUPL v.1.1 - &Pi;&rho;&omicron;&omicron;?&mu;&iota;&omicron;">EUPL v.1.1 - &Pi;&rho;&omicron;&omicron;?&mu;&iota;&omicron;</a></td>             <td align="left"><a href="../../system/files/EL/EUPL%20v.1.1%20-%203b43b53b93b1%203a73c13c33b73c2.pdf" class="document pdf" title="EUPL v.1.1 - ?&delta;&epsilon;&iota;&alpha; &Chi;&rho;?&sigma;&eta;&sigmaf;">EUPL v.1.1 - ?&delta;&epsilon;&iota;&alpha; &Chi;&rho;?&sigma;&eta;&sigmaf;</a></td>         </tr>         <tr>             <td align="left"><strong>EN</strong></td>             <td align="left"><a href="../../system/files/EN/EUPL%20v.1.1%20-%20Preamble.pdf" class="document pdf" title="EUPL v.1.1 - Preamble">EUPL v.1.1 - Preamble</a></td>             <td align="left"><a href="../../system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf" class="document pdf" title="EUPL v.1.1 - Licence"> EUPL v.1.1 - Licence</a></td>         </tr>         <tr>             <td align="left"><strong>ES</strong></td>             <td align="left"><a href="../../system/files/ES/EUPL%20v.1.1%20-%20Preambulo.pdf" class="document pdf" title="EUPL v.1.1 - Pre&aacute;mbulo"> EUPL v.1.1 - Pre&aacute;mbulo</a></td>             <td align="left"><a href="../../system/files/ES/EUPL%20v.1.1%20-%20Licencia.pdf" class="document pdf" title="EUPL v.1.1 - Licencia">EUPL v.1.1 - Licencia</a></td>         </tr>         <tr>             <td align="left"><strong>FR</strong></td>             <td align="left"><a href="../../system/files/FR/EUPL%20v.1.1%20-%20Preambule.pdf" class="document pdf" title="EUPL v.1.1 - Pr&eacute;ambule">EUPL v.1.1 - Pr&eacute;ambule</a></td>             <td align="left"><a href="../../system/files/FR/EUPL%20v.1.1%20-%20Licence.pdf" class="document pdf" title="EUPL v.1.1 - Licence">EUPL v.1.1 - Licence</a></td>         </tr>         <tr>             <td align="left"><strong>IT</strong></td>             <td align="left"><a href="../../system/files/IT/EUPL%20v.1.1%20-%20Preambolo.pdf" class="document pdf" title="EUPL v.1.1 - Preambolo">EUPL v.1.1 - Preambolo</a></td>             <td align="left"><a href="../../system/files/IT/EUPL%20v.1.1%20-%20licenza.pdf" class="document pdf" title="EUPL v.1.1 - licenza"> EUPL v.1.1 - Licenza</a></td>         </tr>         <tr>             <td align="left"><strong>LV</strong></td>             <td align="left"><a href="../../system/files/LV/EUPL%20v.1.1%20-%20Preambula.pdf" class="document pdf" title="EUPL v.1.1 - Preambula">EUPL v.1.1 - Preambula</a></td>             <td align="left"><a href="../../system/files/LV/EUPL%20v.1.1%20-%20Licence.pdf" class="document pdf" title="EUPL v.1.1 - Licence">EUPL v.1.1 - Licence</a></td>         </tr>         <tr>             <td align="left"><strong>LT</strong></td>             <td align="left"><a href="../../system/files/LT/EUPL%20v.1.1%20-%20Preambule.pdf" class="document pdf" title="EUPL v.1.1 - Preambule"> EUPL v.1.1 - Preambule</a></td>             <td align="left"><a href="../../system/files/LT/EUPL%20v.1.1%20-%20Licencija.pdf" class="document pdf" title="EUPL v.1.1 - Licencija"> EUPL v.1.1 - Licencija</a></td>         </tr>         <tr>             <td align="left"><strong>HU</strong></td>             <td align="left"><a href="../../system/files/HU/EUPL%20v.1.1%20-%20Preambulum.pdf" class="document pdf" title="EUPL v.1.1 - Preambulum">EUPL v.1.1 - Preambulum</a></td>             <td align="left"><a href="../../system/files/HU/EUPL%20v.1.1%20-%20Licenc.pdf" class="document pdf" title="EUPL v.1.1 - Licenc">EUPL v.1.1 - Licenc</a></td>         </tr>         <tr>             <td align="left"><strong>MT</strong></td>             <td align="left"><a href="../../system/files/MT/EUPL%20v.1.1%20-%20Preambolu.pdf" class="document pdf" title="EUPL v.1.1 - Preambolu">EUPL v.1.1 - Preambolu</a></td>             <td align="left"><a href="../../system/files/MT/EUPL%20v.1.1%20-Licenzja.pdf" class="document pdf" title="EUPL v.1.1 -Licenzja">EUPL v.1.1 - Licenzja&nbsp;</a></td>         </tr>         <tr>             <td align="left"><strong>NL&nbsp;</strong></td>             <td align="left"><a href="../../system/files/NL/EUPL%20v.1.1%20-%20Inleiding.pdf" class="document pdf" title="EUPL v.1.1 - Inleiding">EUPL v.1.1 - Inleiding</a></td>             <td align="left"><a href="../../system/files/NL/EUPL%20v.1.1%20-%20Licentie.pdf" class="document pdf" title="EUPL v.1.1 - Licentie"> EUPL v.1.1 - Licentie</a></td>         </tr>         <tr>             <td align="left"><strong>PL</strong></td>             <td align="left"><a href="../../system/files/PL/EUPL%20v.1.1%20-%20Preambula.pdf" class="document pdf" title="EUPL v.1.1 - Preambula">EUPL v.1.1 - Preambula</a></td>             <td align="left"><a href="../../system/files/PL/EUPL%20v.1.1%20-%20Licencja.pdf" class="document pdf" title="EUPL v.1.1 - Licencja">EUPL v.1.1 - Licencja</a></td>         </tr>         <tr>             <td align="left"><strong>PT</strong></td>             <td align="left"><a href="../../system/files/PT/EUPL%20v.1.1%20-%20Preambulo.pdf" class="document pdf" title="EUPL v.1.1 - Pre&acirc;mbulo"> EUPL v.1.1 - Pre&acirc;mbulo</a></td>             <td align="left"><a href="../../system/files/PT/EUPL%20v.1.1%20-%20licencia.pdf" class="document pdf" title="EUPL v.1.1 - licencia">EUPL v.1.1 - Licen&ccedil;a</a></td>         </tr>         <tr>             <td align="left"><strong>RO&nbsp;</strong></td>             <td align="left"><a href="../../system/files/RO/EUPL%20v.1.1%20-%20Preambul.pdf" class="document pdf" title="EUPL v.1.1 - Preambul">EUPL v.1.1 - Preambul</a></td>             <td align="left"><a href="../../system/files/RO/EUPL%20v.1.1%20-%20Licenta.pdf" class="document pdf" title="EUPL v.1.1 - Licenta">EUPL v.1.1 - Licenta</a></td>         </tr>         <tr>             <td align="left"><strong>SK&nbsp;</strong></td>             <td align="left"><a href="../../system/files/SK/EUPL%20v.1.1%20-%20Preambula.pdf" class="document pdf" title="EUPL v.1.1 - Preambula">EUPL v.1.1 - Preambula</a></td>             <td align="left"><a href="../../system/files/SK/EUPL%20v.1.1%20-%20Licencia.pdf" class="document pdf" title="EUPL v.1.1 - Licencia">EUPL v.1.1- Licencia</a></td>         </tr>         <tr>             <td align="left"><strong>SL</strong></td>             <td align="left"><a href="../../system/files/SL/EUPL%20v.1.1%20-%20Preambula.pdf" class="document pdf" title="EUPL v.1.1 - Preambula"> EUPL v.1.1 - Preambula</a></td>             <td align="left"><a href="../../system/files/SL/EUPL%20v.1.1%20-%20Licenca.pdf" class="document pdf" title="EUPL v.1.1 - Licenca">EUPL v.1.1 - Licenca</a></td>         </tr>         <tr>             <td align="left"><strong>FI</strong></td>             <td align="left"><a href="../../system/files/FI/EUPL%20v.1.1%20-%20Johdanto.pdf" class="document pdf" title="EUPL v.1.1 - Johdanto">EUPL v.1.1 - Johdanto&nbsp;</a></td>             <td align="left"><a href="../../system/files/FI/EUPL%20v.1.1%20-%20Lisenssi.pdf" class="document pdf" title="EUPL v.1.1 - Lisenssi">EUPL v.1.1 - Lisenssi</a></td>         </tr>         <tr>             <td align="left"><strong>SV</strong></td>             <td align="left"><a href="../../system/files/SV/EUPL%20v.1.1%20-%20Motivering.pdf" class="document pdf" title="EUPL v.1.1 - Motivering"> EUPL v.1.1 - Motivering</a></td>             <td align="left"><a href="../../system/files/SV/EUPL%20v.1.1%20-%20Licens.pdf" class="document pdf" title="EUPL v.1.1 - Licens"> EUPL v.1.1 - Licens</a></td>         </tr>     </tbody> </table> <p><strong>Further information:</strong></p> <p>&nbsp;</p> <ul>     <li><a href="./introduction-eupl-licence" class="external-link">General information about the EUPL</a>&nbsp;</li>     <li><a href="./eupl-guidelines" class="external-link">Guidelines for users and developers on &quot;how to use the EUPL&quot; (available in 22 languages)</a></li>     <li><a href="./eupl-compatible-open-source-licences" title="EUPL-compatible licenses">EUPL compatible open source licences</a></li>     <li><a href="./eupl-community" class="external-link">The EUPL community</a></li>     <li><a href="http://ec.europa.eu/idabc/EN/document/7330.html" class="external-link">EUPL v.1.0 (previous version)&nbsp;on the European Commission site </a></li>     <li><a href="http://ec.europa.eu/idabc/EN/document/7778.html" class="external-link">List of the experts having participated to the legal quality verification of the various linguistic versions of the EUPL </a></li>     <li><a href="../../system/files/doc/Docda3d.pdf"><span class="pdf-document">Translation  of the EUPL into the official languages of the European Union - Report  on comments received by&nbsp;the European Commission&nbsp;</span>&nbsp;</a></li>     <li><a href="../../system/files/doc/Doc3ef5.pdf">Study of the compatibility mechanism of the EUPL&nbsp; </a></li>     <li><a href="http://ec.europa.eu/idabc/EN/document/5425.html" class="external-link">Preparations for the EUPL v.1.0</a></li>     <li><a href="http://ec.europa.eu/idabc/EN/document/7311.html" class="external-link">EUPL Workshop</a></li>     <li><a href="./articles-eupl" title="Documentation directory">Articles on EUPL</a></li> </ul> <p>&nbsp;</p>' WHERE `node_revisions`.`nid` =3035 and `node_revisions`.`vid` =3126 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<h1 class="documentFirstHeading"><span id="parent-fieldname-title">EUPL v1.1  Guidelines for users and developers </span></h1> <div class="documentByLine" id="plone-document-byline"><span class="documentAuthor"><br /> </span><span class="documentModified">  </span></div> <p class="documentDescription"><span id="parent-fieldname-description">This page  provides access to the Guidelines for users and developers EUPL v.1.1 (Please  select your language). </span></p> <div id="parent-fieldname-text"> <p><span class="Apple-style-span">Guidelines exist in the following  languages:&nbsp;</span></p> <div align="center"> <table border="1" class="MsoNormalTable">     <tbody>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">BG</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20BG.pdf" title="EUPL guidelines BG" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">CS</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20CS.pdf" title="EUPL guidelines CS" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">DA</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20DA.pdf" title="EUPL guidelines DA" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">DE</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20DE.pdf" title="EUPL guidelines DE" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">ET</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20ET.pdf" title="EUPL guidelines ET" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">EL</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20EL.pdf" title="EUPL guidelines EL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">EN</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20EN.pdf" title="EUPL guidelines EN" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">ES</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20ES.pdf" title="EUPL guidelines ES" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">FR</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20FR.pdf" title="EUPL guidelines FR" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">IT</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20IT.pdf" title="EUPL guidelines IT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">LV</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20LV.pdf" title="EUPL guidelines LV" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">LT</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20LT.pdf" title="EUPL guidelines LT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">HU</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20HU.pdf" title="EUPL guidelines HU" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">MT</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20MT.pdf" title="EUPL guidelines MT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">NL&nbsp;</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20NL.pdf" title="EUPL guidelines NL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">PL</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20PL.pdf" title="EUPL guidelines PL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">PT</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20PT.pdf" title="EUPL guidelines PT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">RO&nbsp;</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20RO.pdf" title="EUPL guidelines RO" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">SK&nbsp;</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20SK.pdf" title="EUPL guidelines SK" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">SL</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20SL.pdf" title="EUPL guidelines SL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">FI</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20FI.pdf" title="EUPL guidelines FI" class="document pdf">EUPL v1.1 Guidelines </a></span></p>             </td>         </tr>         <tr>             <td>             <p><strong><span style="FONT-SIZE: 9pt">SV</span></strong></p>             </td>             <td width="288">             <p><span style="FONT-SIZE: 9pt"><a href="../../system/files/guidelines/EUPL%201.1%20Guidelines%20SV.pdf" title="EUPL guidelines SV" class="document pdf">EUPL v1.1 Guidelines  </a></span></p>             </td>         </tr>     </tbody> </table> </div> <p align="center" style="TEXT-ALIGN: center"><span style="FONT-SIZE: 9pt">&nbsp;</span></p> <p align="center" style="TEXT-ALIGN: center"><span style="FONT-SIZE: 9pt"><span class="Apple-style-span">&nbsp;</span>&nbsp;</span></p> <p>To complement the guidelines in case you want to distribute an application  combining F/OSS components received under various F/OSS licences, please read  the list of EUPL compatible licences</p> </div>' WHERE `node_revisions`.`nid` =3045 and `node_revisions`.`vid` =3136 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<p>&nbsp;</p> <div id="parent-fieldname-text"> <p><span style="FONT-SIZE: 9pt">The EUPL is the licence of choice for  distributing software from the European institutions or agencies and from  several Member States. The EUPL has made such distribution possible on a much  wider scale. The preference for the EUPL is not exclusive of other licences  providing the same rights (the use of another licence may even be compulsory  according to the copyright law, in case the distributed work is a derivative of  a previous work distributed under another licence that is copyleft. This mostly  happens when developing from GPL covered components).</span></p> <p><span style="FONT-SIZE: 9pt">The EUPL is part of the <a href="./european-interoperability-framework">European  Interoperability Framework</a> (EIF v2 published in December 2010) as the legal  framework implemented by the Commission in order to facilitate the sharing of  software components. This is in line with the 2009 Malm&ouml; EU ministerial  declaration: &ldquo;the Open Source model could be promoted for use in eGovernment  projects&rdquo;. </span></p> <p><span style="FONT-SIZE: 9pt">About 30% of OSOR hosted projects are  distributed under the EUPL (January 2011).</span></p> <p><span style="FONT-SIZE: 9pt">The EUPL is used outside OSOR (in other forges  and for other projects).</span></p> <p><span style="FONT-SIZE: 9pt">Within two years of its v1.1 publication and its  certification by the Open Source Initiative (OSI), the EUPL is already widely  used in Member States:</span></p> <ul>     <li><span style="FONT-SIZE: 9pt">The Estonian National Interoperability  Framework (2009) requires that software developments commissioned by the public  sector should be freely used on the basis of the EUPL licence.</span></li>     <li><span style="FONT-SIZE: 9pt">The Spanish Royal Decree 4/2010 implementing  the national interoperability framework states: &ldquo;the EUPL will be procured,  without prejudice of other licences that can guarantee the same  rights&rdquo;.</span></li>     <li><span style="FONT-SIZE: 9pt">The Malta Government policy (2010) states:  &ldquo;Government shall seek to facilitate distribution of OSS Government solutions  under the EUPL.&rdquo;</span></li>     <li><span style="FONT-SIZE: 9pt">The Netherlands (NOiV) licence wizard  recommends the EUPL for software owned by the government.</span></li>     <li><span style="FONT-SIZE: 9pt">The EUPL is widely used by Italian institutions  (i.e. Istat) and regions, by administrations in France, Germany, Belgium,  etc.</span></li> </ul> <p>&nbsp;</p> <p>&nbsp;</p> <p><span style="FONT-SIZE: 9pt">The OSOR team welcomes new information and  questions related to the use of the EUPL, which can be submitted <a href="../../contact">HERE</a>.</span></p> </div>' WHERE `node_revisions`.`nid` =3050 and `node_revisions`.`vid` =3141 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<h1 class="documentFirstHeading"><span id="parent-fieldname-title">EUPL, Open source  licensing, Legal questions </span></h1> <div class="documentByLine" id="plone-document-byline"><span class="documentAuthor"><br /> </span></div> <p class="documentDescription"><span id="parent-fieldname-description">The licence  is the legal instrument allowing you to use, check, modify and distribute  free/open source software (F/OSS or FLOSS). The European Union Public Licence  (EUPL) is certainly one of the prefered licences on OSOR, but it is not the only  one: you may use any other &quot;OSI approved&quot; licences (about 60 models, including  the GPL, LGPL, BSD, Apache, Artistic etc.). The aim of this community is to  address your questions related to F/OSS licensing and to clarify legal issues,  based on questions received by the OSOR team. </span></p> <p>Welcome to all of you!&nbsp; In order to contribute to this EUPL community, you  need&nbsp;to be a registered user of OSOR. This is very easy:&nbsp;if you are not yet  registered please do so by following the link <a href="../../user/register" class="external-link"><font color="#800080">here</font></a>.</p> <p>Then&nbsp;subscribe to the EUPL&nbsp;community by clicking on the icon on the Portlet  &quot;My Community&quot;&nbsp;</p> <h2>Background</h2> <p>The Community\'s genesis<strong> </strong>can be traced&nbsp;to the public forum  organized by the European Commission after the disclosure of the draft EUPL  v.0.1 in June 2005. &ldquo;<em>What are your views on the Licence? Have you comments  on the proposed text or on the principle of a licence that is written with  European legislation in mind?</em>&rdquo; Bernhard Schnittger (IDABC team) asked. This  forum generated controversial opinions: strongly against the initiative, or  strongly in favour of it. It has a substantial impact on the draft: 10 of the 15  articles were modified and compatibility with the GPL was implemented, producing  the EUPL version 1.0 adopted by the European Commission in January 2007 in three  linguistic versions (EN/FR/DE).</p> <p>&nbsp;</p> <p>The next important milestone was the publication of the EUPL in 22 linguistic  versions of equal value. All translation reviewers (two lawyers per Member  State) and guest experts discussed the text in January 2008. This conference and  discussions with&nbsp;OSI produced the EUPL version 1.1, which is certified by OSI  since March 2009.&nbsp;</p> <h2>Objective and focus</h2> <p>The objective of the EUPL community is to maintain the focus on F/OSS  licensing, especially by public sector authorities. It is to exchange opinions  and experiences, to clarify issues, to explore new ideas (the previous EUPL  elaboration process has demonstrated that your opinions are important and will  be taken in consideration).</p> <p>The forum is open to all (lawyers, developers, project leaders, but not  exclusively). Provide the question is relevant to our focus and fairly  presented, there will be no taboo: Has the EUPL its place in the &ldquo;already too  many&rdquo; circle of F/OSS licences? Is maintaining 22 equivalent linguistic versions  sustainable? Should the EUPL compatibility be enlarged to licence X or Y?</p> <p>In the blog,&nbsp;community members&nbsp;will try to provide&nbsp;each other&nbsp;information  related to the EUPL and to F/OSS licensing, that may come from various  sources.</p> <p>Last, let\'s remember that the objective of the EUPL is not to compete or to  replace any existing licence: it is to&nbsp;encourage a new wave of F/OSS licensors,  especially among public administrations in Europe.&nbsp;&nbsp;</p> <h2>EUPL Guidelines</h2> <p>The EUPL guidelines have  been updated for version 1.1&nbsp;</p> <h2>Practical Guide to using Free Software in the Public Sector&nbsp;</h2> <p><font color="#000000"><font face="Verdana, sans-serif"><font size="2" style="FONT-SIZE: 10pt">Thierry Aim&eacute;, member of the team of the French  Ministry for the Budget, Public Accounts and the Civil Service, has authored a  &ldquo;Practical Guide to using Free Software in the Public  Sector&rdquo;.</font></font></font><font color="#000000"><font face="Verdana, sans-serif"><font size="2" style="FONT-SIZE: 10pt"><br /> </font></font></font></p> <p>&nbsp;</p>' WHERE `node_revisions`.`nid` =3052 and `node_revisions`.`vid` =3143 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<!--[if gte mso 9]><xml><o:OfficeDocumentSettings><o:RelyOnVML /><o:AllowPNG /></o:OfficeDocumentSettings></xml><![endif]--><!--[if gte mso 9]><xml><w:WordDocument><w:View>Normal</w:View><w:Zoom>0</w:Zoom><w:TrackMoves /><w:TrackFormatting /><w:HyphenationZone>21</w:HyphenationZone><w:PunctuationKerning /><w:ValidateAgainstSchemas /><w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid><w:IgnoreMixedContent>false</w:IgnoreMixedContent><w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText><w:DoNotPromoteQF /><w:LidThemeOther>FR</w:LidThemeOther><w:LidThemeAsian>X-NONE</w:LidThemeAsian><w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript><w:Compatibility><w:BreakWrappedTables /><w:SnapToGridInCell /><w:WrapTextWithPunct /><w:UseAsianBreakRules /><w:DontGrowAutofit /><w:SplitPgBreakAndParaMark /><w:DontVertAlignCellWithSp /><w:DontBreakConstrainedForcedTables /><w:DontVertAlignInTxbx /><w:Word11KerningPairs /><w:CachedColBalance /></w:Compatibility><m:mathPr><m:mathFont m:val="Cambria Math" /><m:brkBin m:val="before" /><m:brkBinSub m:val="&#45;-" /><m:smallFrac m:val="off" /><m:dispDef /><m:lMargin m:val="0" /><m:rMargin m:val="0" /><m:defJc m:val="centerGroup" /><m:wrapIndent m:val="1440" /><m:intLim m:val="subSup" /><m:naryLim m:val="undOvr" /></m:mathPr></w:WordDocument></xml><![endif]--><!--[if gte mso 9]><xml><w:LatentStyles DefLockedState="false" DefUnhideWhenUsed="true"DefSemiHidden="true" DefQFormat="false" DefPriority="99"LatentStyleCount="267"><w:LsdException Locked="false" SemiHidden="false" UnhideWhenUsed="false"QFormat="true" Name="Normal" /><w:LsdException Locked="false" Priority="9" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="heading 1" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 2" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 3" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 4" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 5" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 6" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 7" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 8" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 9" /><w:LsdException Locked="false" Priority="39" Name="toc 1" /><w:LsdException Locked="false" Priority="39" Name="toc 2" /><w:LsdException Locked="false" Priority="39" Name="toc 3" /><w:LsdException Locked="false" Priority="39" Name="toc 4" /><w:LsdException Locked="false" Priority="39" Name="toc 5" /><w:LsdException Locked="false" Priority="39" Name="toc 6" /><w:LsdException Locked="false" Priority="39" Name="toc 7" /><w:LsdException Locked="false" Priority="39" Name="toc 8" /><w:LsdException Locked="false" Priority="39" Name="toc 9" /><w:LsdException Locked="false" Priority="35" QFormat="true" Name="caption" /><w:LsdException Locked="false" Priority="10" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Title" /><w:LsdException Locked="false" Priority="1" Name="Default Paragraph Font" /><w:LsdException Locked="false" Priority="11" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Subtitle" /><w:LsdException Locked="false" Priority="22" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Strong" /><w:LsdException Locked="false" Priority="20" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Emphasis" /><w:LsdException Locked="false" Priority="59" SemiHidden="false"UnhideWhenUsed="false" Name="Table Grid" /><w:LsdException Locked="false" UnhideWhenUsed="false" Name="Placeholder Text" /><w:LsdException Locked="false" Priority="1" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="No Spacing" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 1" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 1" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 1" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 1" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 1" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 1" /><w:LsdException Locked="false" UnhideWhenUsed="false" Name="Revision" /><w:LsdException Locked="false" Priority="34" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="List Paragraph" /><w:LsdException Locked="false" Priority="29" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Quote" /><w:LsdException Locked="false" Priority="30" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Intense Quote" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 1" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 1" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 1" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 1" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 1" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 1" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 1" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 1" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 2" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 2" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 2" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 2" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 2" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 2" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 2" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 2" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 2" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 2" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 2" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 2" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 2" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 2" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 3" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 3" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 3" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 3" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 3" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 3" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 3" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 3" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 3" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 3" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 3" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 3" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 3" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 3" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 4" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 4" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 4" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 4" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 4" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 4" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 4" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 4" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 4" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 4" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 4" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 4" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 4" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 4" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 5" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 5" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 5" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 5" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 5" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 5" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 5" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 5" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 5" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 5" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 5" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 5" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 5" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 5" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 6" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 6" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 6" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 6" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 6" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 6" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 6" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 6" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 6" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 6" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 6" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 6" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 6" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 6" /><w:LsdException Locked="false" Priority="19" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Subtle Emphasis" /><w:LsdException Locked="false" Priority="21" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Intense Emphasis" /><w:LsdException Locked="false" Priority="31" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Subtle Reference" /><w:LsdException Locked="false" Priority="32" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Intense Reference" /><w:LsdException Locked="false" Priority="33" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Book Title" /><w:LsdException Locked="false" Priority="37" Name="Bibliography" /><w:LsdException Locked="false" Priority="39" QFormat="true" Name="TOC Heading" /></w:LatentStyles></xml><![endif]--><!--[if gte mso 10]><style>/* Style Definitions */table.MsoNormalTable{mso-style-name:"Tableau Normal";mso-tstyle-rowband-size:0;mso-tstyle-colband-size:0;mso-style-noshow:yes;mso-style-priority:99;mso-style-qformat:yes;mso-style-parent:"";mso-padding-alt:0cm 5.4pt 0cm 5.4pt;mso-para-margin-top:0cm;mso-para-margin-right:0cm;mso-para-margin-bottom:12.0pt;mso-para-margin-left:0cm;line-height:12.0pt;mso-pagination:widow-orphan;font-size:11.0pt;font-family:"Arial","sans-serif";mso-ascii-font-family:Arial;mso-ascii-theme-font:minor-latin;mso-fareast-font-family:"Times New Roman";mso-fareast-theme-font:minor-fareast;mso-hansi-font-family:Arial;mso-hansi-theme-font:minor-latin;mso-bidi-font-family:"Times New Roman";mso-bidi-theme-font:minor-bidi;}</style><![endif]--><p><span lang="EN-GB" style="font-size: 10pt; color: black; font-family: &quot;Georgia&quot;,&quot;serif&quot;">This page lists guidelines on Open-Source Software (OSS) that have been compiled by OSS experts for the Open Source Observatory and Repository (OSOR</span>).</p><p><span class="contenttype-document summary"><a href="./guideline-for-public " class="state-published url">Guideline for Public administrations on Procurement and Open Source Software (updated June 2010)</a> </span></p><dl>    <dt><span class="description">Public administrations that consider using open source software may need advise on how and why public agencies can acquire such software. This study, commissioned by the European Commission s part of the &quot;Dissemination of good practice in Open Source Software (GPOSS)&quot; measure under the IDABC programme, tries to respond to this need. </span></dt>    <dt><span class="contenttype-document summary"><a href="./guidelines-public-administrations-partnering-free-software-developers-2005" class="state-published url">Guidelines for Public Administrations on Partnering with Free Software Developers (2005)</a> </span></dt>    <dt><span class="description">Public administrations may be interested in working with free software projects in order to take advantage of their adaptability, low cost and the ability to engage with the large developer community. This document aims to help PAs achieve this successfully.</span> </dt>    <dt><span class="contenttype-document summary"><a href="./partnering-public-administrations-short-guide-oss-developers" class="state-published url">Partnering with Public Administrations: A short guide for OSS developers (2005)</a> </span></dt>    <dt><span class="description">When Free/Libre/Open Source Software (FLOSS) and government are mentioned in the same context, it is usually in relation to public sector use of software. Sometimes, it is related to public sector policies for the promotion of FLOSS. But there are also an increasing number of projects producing customised software for public administrations. This report looks into why FLOSS developers should collaborate with the public sector, and suggests how they should do this. </span></dt>    <dt><span class="contenttype-document summary"><a href="./partnering-open-source-developers-guideline-public-administrations-2005" class="state-published url">Partnering with Open Source Developers: Guideline for public administrations (2005)</a> </span></dt>    <dt><span class="description">Public administrations may be interested in working with free software projects in order to take advantage of their adaptability, low cost and the ability to engage with a large developer community. This guide aims to help PAs achieve this successfully, and helps them to avoid the most common stumbling blocks along the way. </span></dt>    <dt><span class="contenttype-document summary"><a href="./patents-and-open-source-software-what-public-authorities-need-know" class="state-published url">Patents and open source software - What public authorities need to know (2005)</a> </span></dt>    <dt><span class="description">While patents on computer programs are not allowed in European law &quot;as such&quot;, in practice, patents have been granted that cover functionality in many common software applications. They pose a risk to the development and distribution of software. This study discusses the most important issues for public administrations. </span></dt>    <dt><span class="contenttype-document summary"><a href="./open-source-licensing-software-developed-european-commission-applied-circa-solution" class="state-published url">Open Source Licensing of software developed by The European Commission (applied to the CIRCA solution) (2004)</a> </span></dt>    <dt><span class="description">For software developed by the public sector, the adoption of an Open Source licensing policy is a prerequisite to create and reinforce a community of users and developers, which could hopefully generate a continuous steam of improvements, support and new releases. Thi study looks at legal and economic aspects of releasing public sector-developed applications under open source licences.</span> </dt>    <dt><span class="contenttype-document summary"><a href="./open-source-migration-guidelines" class="state-published url">Open Source Migration Guidelines. (2003) </a></span></dt>    <dt><span class="description">These guidelines have been designed to help public administrators decide whether a migration to OSS should be undertaken and describe, in broad technical terms, how such a migration could be carried out. They are based on practical experience of a limited number of publicly available case studies, and cover a wide range of management and technical concerns.</span> </dt>    <dt><span class="contenttype-document summary"><a href="./pooling-open-source-software-2002" class="state-published url">Pooling open source software (2002)</a> </span></dt>    <dt><span class="description">This is independent study recommends the creation of a software clearing house which public administrations can use to share the software they have developed. This facility, which would concentrate on applications specific for the needs of the public sector, could encourage the replication of good practice in e-government services. </span></dt>    <dt><span class="contenttype-document summary"><a href="./study-use-open-source-software-public-sector-2001" class="state-published url">Study on the use of Open Source Software in the public sector (2001)</a> </span></dt>    <dt><span class="description">This study gives an overview of the availability and potential use of FLOSS-based solutions, reflecting the situation in spring 2001. It focuses on FLOSS usage experiences in the public sector of six European countries and the EU administration. Finally, it provides an overview of the FLOSS market structure, describing opportunities and potential problems related to the use of FLOSS solutions. </span></dt></dl>' WHERE `node_revisions`.`nid` =2647 and `node_revisions`.`vid` =2730 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<!--[if gte mso 9]><xml><o:OfficeDocumentSettings><o:RelyOnVML /><o:AllowPNG /></o:OfficeDocumentSettings></xml><![endif]--><!--[if gte mso 9]><xml><w:WordDocument><w:View>Normal</w:View><w:Zoom>0</w:Zoom><w:TrackMoves /><w:TrackFormatting /><w:HyphenationZone>21</w:HyphenationZone><w:PunctuationKerning /><w:ValidateAgainstSchemas /><w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid><w:IgnoreMixedContent>false</w:IgnoreMixedContent><w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText><w:DoNotPromoteQF /><w:LidThemeOther>FR</w:LidThemeOther><!--[if gte mso 9]><xml><o:OfficeDocumentSettings><o:RelyOnVML /><o:AllowPNG /></o:OfficeDocumentSettings></xml><![endif]--><!--[if gte mso 9]><xml><w:WordDocument><w:View>Normal</w:View><w:Zoom>0</w:Zoom><w:TrackMoves /><w:TrackFormatting /><w:HyphenationZone>21</w:HyphenationZone><w:PunctuationKerning /><w:ValidateAgainstSchemas /><w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid><w:IgnoreMixedContent>false</w:IgnoreMixedContent><w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText><w:DoNotPromoteQF /><w:LidThemeOther>FR</w:LidThemeOther><w:LidThemeAsian>X-NONE</w:LidThemeAsian><w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript><w:Compatibility><w:BreakWrappedTables /><w:SnapToGridInCell /><w:WrapTextWithPunct /><w:UseAsianBreakRules /><w:DontGrowAutofit /><w:SplitPgBreakAndParaMark /><w:DontVertAlignCellWithSp /><w:DontBreakConstrainedForcedTables /><w:DontVertAlignInTxbx /><w:Word11KerningPairs /><w:CachedColBalance /></w:Compatibility><m:mathPr><m:mathFont m:val="Cambria Math" /><m:brkBin m:val="before" /><m:brkBinSub m:val="&#45;-" /><m:smallFrac m:val="off" /><m:dispDef /><m:lMargin m:val="0" /><m:rMargin m:val="0" /><m:defJc m:val="centerGroup" /><m:wrapIndent m:val="1440" /><m:intLim m:val="subSup" /><m:naryLim m:val="undOvr" /></m:mathPr></w:WordDocument></xml><![endif]--><!--[if gte mso 9]><xml><w:LatentStyles DefLockedState="false" DefUnhideWhenUsed="true"DefSemiHidden="true" DefQFormat="false" DefPriority="99"LatentStyleCount="267"><w:LsdException Locked="false" SemiHidden="false" UnhideWhenUsed="false"QFormat="true" Name="Normal" /><w:LsdException Locked="false" Priority="9" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="heading 1" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 2" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 3" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 4" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 5" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 6" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 7" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 8" /><w:LsdException Locked="false" Priority="9" QFormat="true" Name="heading 9" /><w:LsdException Locked="false" Priority="39" Name="toc 1" /><w:LsdException Locked="false" Priority="39" Name="toc 2" /><w:LsdException Locked="false" Priority="39" Name="toc 3" /><w:LsdException Locked="false" Priority="39" Name="toc 4" /><w:LsdException Locked="false" Priority="39" Name="toc 5" /><w:LsdException Locked="false" Priority="39" Name="toc 6" /><w:LsdException Locked="false" Priority="39" Name="toc 7" /><w:LsdException Locked="false" Priority="39" Name="toc 8" /><w:LsdException Locked="false" Priority="39" Name="toc 9" /><w:LsdException Locked="false" Priority="35" QFormat="true" Name="caption" /><w:LsdException Locked="false" Priority="10" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Title" /><w:LsdException Locked="false" Priority="1" Name="Default Paragraph Font" /><w:LsdException Locked="false" Priority="11" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Subtitle" /><w:LsdException Locked="false" Priority="22" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Strong" /><w:LsdException Locked="false" Priority="20" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Emphasis" /><w:LsdException Locked="false" Priority="59" SemiHidden="false"UnhideWhenUsed="false" Name="Table Grid" /><w:LsdException Locked="false" UnhideWhenUsed="false" Name="Placeholder Text" /><w:LsdException Locked="false" Priority="1" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="No Spacing" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 1" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 1" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 1" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 1" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 1" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 1" /><w:LsdException Locked="false" UnhideWhenUsed="false" Name="Revision" /><w:LsdException Locked="false" Priority="34" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="List Paragraph" /><w:LsdException Locked="false" Priority="29" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Quote" /><w:LsdException Locked="false" Priority="30" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Intense Quote" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 1" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 1" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 1" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 1" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 1" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 1" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 1" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 1" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 2" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 2" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 2" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 2" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 2" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 2" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 2" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 2" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 2" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 2" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 2" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 2" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 2" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 2" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 3" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 3" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 3" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 3" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 3" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 3" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 3" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 3" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 3" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 3" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 3" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 3" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 3" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 3" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 4" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 4" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 4" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 4" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 4" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 4" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 4" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 4" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 4" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 4" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 4" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 4" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 4" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 4" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 5" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 5" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 5" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 5" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 5" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 5" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 5" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 5" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 5" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 5" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 5" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 5" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 5" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 5" /><w:LsdException Locked="false" Priority="60" SemiHidden="false"UnhideWhenUsed="false" Name="Light Shading Accent 6" /><w:LsdException Locked="false" Priority="61" SemiHidden="false"UnhideWhenUsed="false" Name="Light List Accent 6" /><w:LsdException Locked="false" Priority="62" SemiHidden="false"UnhideWhenUsed="false" Name="Light Grid Accent 6" /><w:LsdException Locked="false" Priority="63" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 1 Accent 6" /><w:LsdException Locked="false" Priority="64" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Shading 2 Accent 6" /><w:LsdException Locked="false" Priority="65" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 1 Accent 6" /><w:LsdException Locked="false" Priority="66" SemiHidden="false"UnhideWhenUsed="false" Name="Medium List 2 Accent 6" /><w:LsdException Locked="false" Priority="67" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 1 Accent 6" /><w:LsdException Locked="false" Priority="68" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 2 Accent 6" /><w:LsdException Locked="false" Priority="69" SemiHidden="false"UnhideWhenUsed="false" Name="Medium Grid 3 Accent 6" /><w:LsdException Locked="false" Priority="70" SemiHidden="false"UnhideWhenUsed="false" Name="Dark List Accent 6" /><w:LsdException Locked="false" Priority="71" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Shading Accent 6" /><w:LsdException Locked="false" Priority="72" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful List Accent 6" /><w:LsdException Locked="false" Priority="73" SemiHidden="false"UnhideWhenUsed="false" Name="Colorful Grid Accent 6" /><w:LsdException Locked="false" Priority="19" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Subtle Emphasis" /><w:LsdException Locked="false" Priority="21" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Intense Emphasis" /><w:LsdException Locked="false" Priority="31" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Subtle Reference" /><w:LsdException Locked="false" Priority="32" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Intense Reference" /><w:LsdException Locked="false" Priority="33" SemiHidden="false"UnhideWhenUsed="false" QFormat="true" Name="Book Title" /><w:LsdException Locked="false" Priority="37" Name="Bibliography" /><w:LsdException Locked="false" Priority="39" QFormat="true" Name="TOC Heading" /></w:LatentStyles></xml><![endif]--><!--[if gte mso 10]><style>/* Style Definitions */table.MsoNormalTable{mso-style-name:"Tableau Normal";mso-tstyle-rowband-size:0;mso-tstyle-colband-size:0;mso-style-noshow:yes;mso-style-priority:99;mso-style-qformat:yes;mso-style-parent:"";mso-padding-alt:0cm 5.4pt 0cm 5.4pt;mso-para-margin-top:0cm;mso-para-margin-right:0cm;mso-para-margin-bottom:12.0pt;mso-para-margin-left:0cm;line-height:12.0pt;mso-pagination:widow-orphan;font-size:11.0pt;font-family:"Arial","sans-serif";mso-ascii-font-family:Arial;mso-ascii-theme-font:minor-latin;mso-fareast-font-family:"Times New Roman";mso-fareast-theme-font:minor-fareast;mso-hansi-font-family:Arial;mso-hansi-theme-font:minor-latin;mso-bidi-font-family:"Times New Roman";mso-bidi-theme-font:minor-bidi;}</style><![endif]--><p><span lang="EN-GB" style="font-size: 10pt; font-family: &quot;Georgia&quot;,&quot;serif&quot;; color: black;">This page lists the case studies Open-Source Software (OSS) that have been compiled by the Open Source Observatory and Repository (OSOR). The case studies contain best practices on Open-Source Software (OSS), showcase success stories and highlight the results of open-source initiatives.<br /><br /></span></p><dl>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./finland-and-sweden-collaborate-using-oss">Finland and Sweden collaborate using OSS</a>&nbsp;</span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">Sweden and Finland  exhibit in this case study exemplary cross-border collaboration based on  open source software for the benefit of the public. Two universities,  one from each country, cooperated in the Open Kvarken project in order  to explore the use of OSS by public administrations. The name of the  project is symbolic, as Kvarken is the name of the Archipelago that  separates (or unites) the two neighbours. The project in three years has  shown interesting examples of OSS use in the public sector and the  operation of two centres of open source knowledge, in Vaasa, Finland and  Ume&aring;, Sweden.  </span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./osor-introducing-open-source-software-communities-europe">OSOR: The more they know the more they share. Introducing Open Source Software communities to Europe\'s public sector</a>&nbsp;</span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">In the early 2000s the  European Commission had realized the potential of open source software  and its communities for the public sector. As the topic gained on  importance the Commission launched the GPOSS portal, which was  essentially a source of providing information regarding open source  software for public administrations. Eventually the GPOSS portal was  replaced by another platform, which allowed for actual cooperation of   projects: OSOR.eu. This platform aimed at introducing public  administrations to open source software and also to the community  dynamics behind the software. It features a variety of projects and has  several partnering websites, which contribute to further expanding the  network.</span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./norwegian-mapping-authority">Norwegian Mapping Authority</a>&nbsp;</span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">The Norwegian Mapping  Authority (Statens Kartverk) is the central organisation for the  provision of mapping images to most public bodies and organisations in  Norway.  After experiencing a vast increase in requests for their  services in 2006 and 2007, the Mapping Authority also had to deal with  an increasingly overstrained IT infrastructure. The licenses for their  infrastructure however were very costly, and acquiring additional  licenses would only increase the financial burden consistently in the  future. The Mapping Authority therefore chose to employ an IT  infrastructure based on open source software solutions, which were free  of licensing costs and which proved to be much better, performance wise.  In the process of introducing the new IT infrastructure, the team had  to build up own expertise in order to maintain a functioning system.  With the help of online communities, this has been a great success for  the Mapping Authority.</span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./swedish-national-police">The Swedish National Police: How to avoid locking yourself in while saving money</a></span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">In 2006 the Swedish  National Police launched a project that led to the implementation and  migration from an ICT  infrastructure based on proprietary products to  an ICT server and database platform based on Open Source software and  open standards. The previous ICT platform was very costly and obliged  the Police to stick with a hand full of vendors. The aim was therefore  to cut costs, avoid vendor lock-in, achieve better performance, and  introduce open standards. Before ideas were realized, a thorough study was conducted to calculate  costs and benefits. This study foresaw cost savings of up to fifty  percent over a five years period  compared to the  proprietary hardware  and software in place at this time, while improving performance at the  same time. Due to the dimensions of this project that affected the entire ICT  infrastructure of the Swedish National Police, it was not always easy to  turn ideas into reality.</span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./open-university-uk-creating-win-win-situation-sharing-code-and-content">The Open University UK: creating a win-win situation by sharing code and content</a>&nbsp;</span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">In 2005 The Open  University (OU) UK, one of Europe\'s largest distance learning  universities, established that it was time to deploy a new Virtual  Learning Environment (VLE), for both The Open University itself as well  as for their OpenLearn project aimed at providing free open educational  resources (OER) to the general public.  A team with different sub-tasks  was formed, which investigated future learning environments and how  learning material was presented and disseminated through those. Next to  this, the OU also researched open learning models, as part of the  OpenLearn project. The team of researchers and technical staff, after  setting out the components required to meet the OU\'s needs the most  appropriate match was determined. The choice fell on the VLE Moodle,  which is an open source product. Today the Moodle VLE has been  successfully implemented at the OU and the OU has further published a  significant amount of their learning material under a Creative Commons  license as courses on the Moodle VLE based OpenLearn website, which are  freely available to anyone interested. The OU continues to collaborate  closely with the Moodle community , as this provides a very large  platform for feedback and information. All the OU\'s development are  given back to the Moodle community, which improves the product for the  OU and the rest of the community. </span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./desktop4education">Desktop4education: Bringing new environments to Austrian schools</a>&nbsp;</span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">In 2003 the secondary  school of Weiz, Austria, started the development of an open source  operating system. The overall objective has been to develop a system  that was easy to maintain, sustainable in the future, and free of  licensing costs: the so called desktop4eduation. Although open source  software is not extensively used in Austrian schools yet, it is becoming  more and more important, as the government tries to promote free  software over proprietary solutions increasingly. Today the  desktop4education project is being frequently used as a reference case  by the Austrian Federal Ministry for Education, Arts and Culture and as  such promoted by them throughout Austria.</span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./airaware-managing-skies-bucharest-using-free-software">AirAware: managing the skies of Bucharest using free software&nbsp;</a></span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">In 2005 the Romanian  National Meteorological Administration (NMA) received EU funding for its  AirAware project. The project\'s objective was to  improve the air  quality monitoring system currently in place and to enhance the system  with forecasting capabilities. For the management of all the information  and the presentation thereof, the team at the NMA developed a portal  that is entirely built on Free/Libre Open Source Software. In the  future, the team is hoping to open the project to the public.</span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./opencimetiere-managing-graves">OpenCimetiere: Managing graves the open way&nbsp;</a></span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">For the management of  their cemeteries the city of Arles, and its neighbouring municipalities  Albi, Tarn and Dadou decided in 2006 that they needed to replace pen and  paper with computers and software. The solution had to be  secure,  adaptable, and fully featured. The IT direction of the city of Arles was  in close contact with the open source initiative OpenMairie, which  presented many software products for the use in the public sector. It  was through this relationship that the four municipalities took the  initiative to start OpenCimetiere, an open source management system for  cemeteries. This was started with an initialization phase in 2006,  followed by a contribution phase in 2007, where the software was further  improved and extended. Today, the software is used by over 300  municipalities inside and outside France, and helps an increasing number  of municipalities all over the world to manage their citizens\' final  resting places efficiently.</span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./frikomport-sharing-code-costs-and-benefits">FriKomPort: Sharing code, costs, and benefits</a>&nbsp;</span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">In 2006 the Norwegian  region of Kongsberg launched a portal to coordinate and administrate  courses and trainings for municipality staff. The solution was developed   with open source tools, as a common effort of all seven municipalities  of the Kongsberg region. Once the project was working successfully,  other municipalities and organisations became interested and wanted to  use the portal as well. The Kongsberg region eventually published  FriKomPort, as the portal was called, as a free software application  under the GPL. The portal today is used by more than 50 organisations,  and practically all users are very confident about the solution. For the  future the FriKomPort leaders hope to share the portal with even more  municipalities by publishing an English version. </span>                      </dd>    <dt>                          <span class="contenttype-document summary">                             <a class="state-published url" href="./eurostat-standards-and-open-source-software-data-interoperability">Eurostat: Standards and open source software for data interoperability</a></span><span class="documentByLine"><span>                                        </span>                                                                                                                                                               </span>                      </dt>    <dd>                                                   <span class="description">Eurostat collects and  publishes huge amounts of data each year, and exchanges many datasets  with other large organisations. This exchange was constantly suffering  from a lack of interoperability, as data needed to be converted from one  organisation\'s convention into another, a process which consumes both  time and money. Different organisations were also using very different  tools to work with the data, which caused further problems. In late  2001, Eurostat got together with a number of EU committees to discuss  the need for greater interoperability within the European public sector.  In 2005, IDABC agreed to fund the SDMX Open DATA Interchange (SODI)  project. Thanks to previous cooperations between Eurostat and other  international institutions, the SDMX standard quickly found a large  group of sponsors, all of which hoped to benefit from the greater  interoperability afforded by using a single standard, and the tools  built on it. These tools were developed by Eurostat and other sponsoring  institutions, and many of them were published under the EUPL license.  The SDMX Converter is an example of the successful development and  publication of a tool that is essential for working with the SDMX  standard. </span>                      </dd></dl><p><span lang="EN-GB" style="font-size: 10pt; font-family: &quot;Georgia&quot;,&quot;serif&quot;; color: black;"><br /></span></p>' WHERE `node_revisions`.`nid` =2648 and `node_revisions`.`vid` =2731 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<p>&nbsp;</p> <p class="documentDescription"><span id="parent-fieldname-description">Frequently  asked questions on the European Union Public License </span></p> <dl class="portlet toc" id="document-toc">     <dt class="portletHeader">Contents</dt>     <dd class="portletItem">     <ol>         <li><a href="#section-0">What is the  EUPL?</a></li>         <li><a href="#section-1">How to use  EUPL?</a></li>         <li><a href="#section-2">Is the  software licensed under the EUPL &ldquo;Open Source&rdquo;?</a></li>         <li><a href="#section-3">Where can I  get the EUPL text in my language?</a></li>         <li><a href="#section-4">What are the  benefits of publishing software under the EUPL?</a></li>         <li><a href="#section-5">Are there  specific development requirements for the EUPL?</a></li>         <li><a href="#section-6">How can I  collaborate to a EUPL project?</a></li>         <li><a href="#section-7">Can we  translate a EUPL licensed application?</a></li>         <li><a href="#section-8">What are the risks  of publishing software under the EUPL?</a>         <ol>             <li><a href="#section-9">Copyright  litigations</a></li>             <li><a href="#section-10">Patent  claims</a></li>             <li><a href="#section-11">Warranty  and Liability claims</a></li>             <li><a href="#section-12">Security  risks</a></li>         </ol>         </li>         <li><a href="#section-13">Why did the  the European Commission create the EUPL?</a></li>         <li><a href="#section-14">What makes  the EUPL unique?</a></li>         <li><a href="#section-15">Were other  licences screened?</a></li>         <li><a href="#section-16">What about  new versions of the EUPL?</a></li>         <li><a href="#section-17">What about  compatibility issues?</a></li>         <li><a href="#section-18">What are  jurisdiction and applicable law?</a></li>         <li><a href="#section-19">Does EUPL  deprive me from intellectual property?</a></li>         <li><a href="#section-20">Is EUPL  software &ldquo;for free&rdquo;?</a></li>         <li><a href="#section-21">Are they  limitations to the use of the software?</a></li>         <li><a href="#section-22">Can I  provide government services on Internet, based on EUPL licensed software?</a></li>         <li><a href="#section-23">Can I make  my own software on EUPL software?</a></li>         <li><a href="#section-24">Can I merge  other software with EUPL software?</a></li>     </ol>     </dd> </dl> <div id="parent-fieldname-text"><a name="section-0"></a> <h2><a name="what-is-the-eupl"></a>What is the EUPL?</h2> <p>The EUPL is a licence, meaning a <strong>contract</strong> between a  <strong>Licensor</strong> (the author of the software) and a  <strong>Licensee</strong> (the user of the software, who can then use it  according to the licence terms). Such licence is compulsory to authorise the  widest possible use of the software: communication, copy, change or  distribution, in full respect of the applicable law. The EUPL licence is &ldquo;Open  Source&rdquo; ensuring freedoms to use, analyse, adapt and redistribute the  software.</p> <a name="section-1"></a> <h2>How to use EUPL?</h2> <p>For detailed advice on</p> <ul>     <li>using software licensed under the EUPL</li>     <li>distributing your own software under the EUPL</li>     <li>please read the <a href="./licence-eupl" class="external-link">European Union Public Licence (EUPL v.1.1)</a><strong> </strong>which is available in 22 European languages (external  website, guidelines are listed below the licences)</li> </ul> <p>&nbsp;</p> <a name="section-2"></a> <h2><a name="faq3"></a>Is the software licensed under the EUPL &ldquo;Open Source&rdquo;?</h2> <p>Yes. EUPL licensing makes software Open Source (or more generally &ldquo;Free /  Libre / Open Source Software &ndash; FLOSS) because the EUPL ensures the following  rights to the licensee:</p> <ul>     <li>Obtain the source code of the software from a free access repository</li>     <li>Use the software in any circumstance and for all usage</li>     <li>Reproduce (copy, duplicate) the software</li>     <li>Modify the original software, and/or make derivative works out of it</li>     <li>Communicate the software to the public (i.e. using it through a public  network or distributing services based on the software via Internet)</li>     <li>Distribute the software or copies thereof to other users (inside or outside  the licensee\'s organisation)</li>     <li>Lend and rent the software or copies thereof</li>     <li>Sub-licence rights in the software or copies thereof.     <p align="right">[<a href="#section-0" class="external-link">top</a>]</p>     </li> </ul> <a name="section-3"></a> <h2><a name="faq4"></a>Where can I get the EUPL text in my language?</h2> <p>The EUPL is approved by the European Commission in 22 linguistic versions  (all current EU languages, except the Irish). All linguistic versions have  identical value. Therefore the EUPL may produce legal effects in any approved  linguistic version.</p> <p>To check all the linguistic versions of the EUPL please visit <a href="./licence-eupl" class="external-link">European Union Public Licence (EUPL v.1.1)</a>.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-4"></a> <h2><a name="faq5"></a>What are the benefits of publishing software under the  EUPL?</h2> <p>As the author of the software, you (or your organisation / administration)  will keep full ownership of the software with a guarantee that your copyright is  publicly known and that your software will never been appropriated by a third  party: all subsequent users will have to respect your copyright and if they  distribute some improvements, you will benefit from it for free.</p> <p>If you develop appropriate communication, organisation and leadership, your  work will be more widely known and it will be both rewarding and motivating for  you or for your team to be recognised as one of the domain experts in the field  (due to the visibility of your work, you may expect to be invited in specialised  workshops or to communicate your experience to other administrations sharing  similar needs). This will both motivate your team and provide you interesting  feedback, in return, or even support from volunteer contributors forming a kind  or &ldquo;community&rdquo; with you and around you.</p> <p>If your software is recognised as best practice (because of the achieved  results, because of your presentations in workshops, in some case because of  national or international recognition or awards), it may gain in visibility,&nbsp;  awarded in relevant events, be quoted in taxonomies of software repositories and  eventually become a reference or a standard. This will maximise your return on  investment and the long term sustainability of your work, by maintaining an  active group of developers and by developing a competitive service ecosystem  around it.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-5"></a> <h2><a name="faq6"></a>Are there specific development requirements for the  EUPL?</h2> <p>There are few specific requirements, in the sense that all software  development models (open or proprietary) share common issues such as security  and quality: you could as well decide to apply EUPL licensing to any existing  software application that you own, without regarding the way it has been  developed.</p> <p>However, there are differences concerning the way the software is  distributed, bundled or packaged and the roles played by participants. If you  want to benefit from the support of an external community, it is always  recommended to apply a number of principles: It is recommended to start with  more than a simple idea: an efficient application kernel, easy to understand and  enrich with new functionalities is a preferred starting point. It is also  recommended to dwell on successful other Open Source standards of existing  projects: sustainability will be better if you build on such success than if you  reinvent everything alone or duplicate what others have done already.</p> <p>Concerning the development of your specific part, take care about:</p> <ol start="1">     <li>A modular design (a solid kernel facilitating the addition of several  modules)</li>     <li>The use of a version control system (which is normally provided on any  &ldquo;software forge&rdquo;)</li>     <li>A clear documentation explaining the objectives, scope, use cases and  interactions according to standards</li>     <li>An open mind team spirit, welcoming external participation, while keeping  control and setting a direction</li>     <li>Good communication and interface with the &quot;developers community&quot;&nbsp;     <p align="right">[<a href="#section-0" class="external-link">top</a>]</p>     </li> </ol> <a name="section-6"></a> <h2><a name="faq7"></a>How can I collaborate to a EUPL project?</h2> <p>By collaborating to an Open Source project, you will offer some of your work  (time, writing work, lines of codes) to this project. By doing this, the EUPL  requires one specific warranty from you: you must be the copyright holder of the  provided work. This warranty is provided in Article 6 of the EUPL: Contributors  warrants that the copyright in the modifications they bring to the work are  owned by (or licensed for that purpose to) them.</p> <p>Therefore, if you are an employee of a public or private organisation, it is  strongly recommended to go to your department head and obtain their green  light.</p> <p>In a second step you should identify yourself and contact the relevant  project manager, present your experience and explain your interest in  collaborating (normally, you or your organisation should have a specific need  that the project could cover). In order to avoid work disorganisation and  duplication, it is important that your role in the project will be known, that  your potential contribution will be defined and communicated to all  stakeholders, knowing who you are and what you are doing or planning to do on  which project module.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-7"></a> <h2><a name="faq8"></a>Can we translate a EUPL licensed application?</h2> <p>Facilitating the translation of EUPL licensed software (for example adapting  an eGovernment application from UK or France to Slovakia or Romania) is one of  the main potential utilities of the &ldquo;common&rdquo; EUPL licence. Adaptation is more  than simple translation on another language: it is called &ldquo;Localisation&rdquo; because  from one State to another, many parameters may vary:</p> <ul>     <li>the role of the stakeholders (depending on the organisation of the  government, of the judiciary etc... ) and the rights attached to these roles;</li>     <li>the conditions of performing a specific operation (age, cost, VAT rate,  pre-requisites);</li>     <li>the required time to perform an operation, etc.</li> </ul> <p>Therefore, before trying to translate any interesting application, it is  recommended to check that it was &ldquo;made for localisation&rdquo;. The software code  should not contain any hard-coded messages or parameters: just the logical  instructions and internal comments (usually in English) allowing readers to  understand. All displayable text and all parameters depending on location should  be stored in external files, with references to both countries and language  because several countries may share the same language (as Austria and Germany)  while in some other several languages are spoken (like in Belgium).</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-8"></a> <h2><a name="faq9"></a>What are the risks of publishing software under the  EUPL?</h2> <p>Risks are extremely low and may be classified in four subcategories:</p> <blockquote><a name="section-9"></a> <h3>Copyright litigations</h3> <p>You (or your developers) have copied parts from other software without  appropriate and compatible licences or without reproducing copyright marks (this  is copyright violation). Although this may happen occasionally (however  generally for internal use and not for public re-distribution), the number of  litigations related to Open Source software copyright is extremely reduced (a  handful in ten years time) because cases are normally solved based on common  agreement. Most existing software copyright litigations involve companies with  conflicting commercial interests. In the case of a public administration  distributing its own software, risk can be mitigated by suspending distribution  during the copyright clarification, and as long as an agreement cannot be  found.</p> <a name="section-10"></a> <h3>Patent claims</h3> <p>What has been said for copyright is also true for other intellectual property  rights (i.e. patents, in the exceptional case it could be applicable). Patents  on computer programs are not allowed in European law &ldquo;as such&rdquo;, but in practice,  patents have been granted that cover functionality in many common software  applications. Patents pose a specific risk to the development of software  because they protect the idea or the method and not simply the form, as  copyright does. It is therefore possible to infring some patent without copying  anything or without even knowing it. However, users are rarely subject to legal  action for patent infringement. Developers and software licensors must almost  always be notified first, prior to legal action seeking damages, thus giving  them an opportunity to replace or remove the functionality that is possibly  patented. The risk is therefore related to higher costs for replacing this  functionality, rather than the direct costs of being subjected to patent  lawsuits. In the practice, risks appear to be higher for proprietary software,  where commercial interests are higher, than for Open Source distribution. Known  software patents, such as MP3 audio or the LZW data compression have halted  software development specific areas, but no Free / Open Source software has yet  been subject to legal action for patent infringement.</p> <p>In conclusion, when public administrations are using or distributing their  own specific software under the EUPL, the risk from legal action related to  patent infringement, while not zero, is very low.</p> <a name="section-11"></a> <h3>Warranty and Liability claims</h3> <p>Liability for such damages are generally excluded by the EUPL licence, to the  extent permissible by applicable law. Exceptions, as spelled out in Article 8 of  the licence, could be your wilful misconduct (for example by distributing a  computer virus) or direct damages to natural persons, which are not likely to  occur regarding public sector software (risks look theoretical, and it seems  that such case has never been met).</p> <a name="section-12"></a> <h3>Security risks</h3> <p>Security issues are to be considered with more attention. If your software is  well written, the publication of the source code should not facilitate security  breaches (intrusion by hackers etc.) as the code should not contain passwords,  nor sensitive or personal data as names or biometrics, or information on  possible back door etc. At the contrary, the Open Source publication of the code  should by the time reinforce software security by allowing a wider community to  screen it for possible bugs.</p> <p>However, if a software is effectively used for critical applications and if  the published source code contains serious security flaws, disclosing the code  will generate real risks of hacking, at least in a first stage, before bug  corrections. Therefore, depending on the sensitive character of the application  and the nature of accessed data, a risk assessment is recommended prior to Open  Source distribution.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> </blockquote><a name="section-13"></a> <h2><a name="faq10"></a>Why did the the European Commission create the EUPL?</h2> <p>EUPL was created by the European Commission under the IDABC programme because  it responded to a need: the Commission had the willingness to distribute the  software produced under the IDABC programme (with applications such as CIRCA, or  IPM). A decision was taken to apply Open Source licensing principles while  submitting possible redistribution to non-appropriation principles: the software  produced by the European Commission had to stay open and non-proprietary.</p> <p>None of the existing Open Source licences (more than 100 models exist) was  satisfactory regarding a series of criteria:</p> <ul>     <li>the specificity of Community and Member State\'s law regarding copyright  principles</li>     <li>the specificity of Community and Member State\'s law regarding warranty and  liability issues</li>     <li>the specificity of Community and Member State\'s law regarding applicable law  and jurisdiction</li>     <li>the requirement to obtain a text legally valid in all the official languages  of the European Union.     <p align="right">[<a href="#section-0" class="external-link">top</a>]</p>     </li> </ul> <a name="section-14"></a> <h2><a name="faq11"></a>What makes the EUPL unique?</h2> <p>The EUPL is unique for several reasons:</p> <ol start="1">     <li>For the first time, a public body&nbsp; of the size of the European Commission  has officially developed and approved a Free/Open Source Licence for the release  of its software, and authorises the use of the Licence by any other stakeholder.</li>     <li>The EUPL has identical value in 22 linguistic versions (all EU languages,  except&nbsp;the Irish). No similar example exists in the world.</li>     <li>The EUPL has considered the specificity and diversity of Member States Law  and the Community Law (copyright terminology, information, warranty, liability,  applicable law and jurisdiction).</li>     <li>The EUPL ensures downstream compatibility issues with the most relevant  other licences (including the most intensively used, the General Public licence  or GPL). Its unique compatibility provisions create a new category of F/OSS  licence: &quot;Copyleft compatible&quot; (other are: &quot;Strong copyleft&quot;, &quot;Weak copyleft&quot;  and &quot;Without copyleft&quot;)&nbsp;&nbsp;     <p align="right">[<a href="#section-0" class="external-link">top</a>]</p>     </li> </ol> <a name="section-15"></a> <h2><a name="faq12"></a>Were other licences screened?</h2> <p>Yes, as the EUPL elaboration that has taken more than two years started with  the evaluation of several existing licences by a team of lawyers and software  practitioners.he result of such investigation was a first report of December  2004 <a href="http://ec.europa.eu/idabc/servlets/Doc?id=24394">&ldquo;Open Source  Licensing of software developed by the European Commission&ldquo;</a> published on the  IDABC web site.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-16"></a> <h2><a name="faq13"></a>What about new versions of the EUPL?</h2> <p>According to Article 13 of the EUPL (which was modified in the EUPL v.1.1),  the European Commission may publish new linguistic versions and/or new versions  of the EUPL, so far this is &ldquo;required and reasonable&rdquo;, and &quot;without reducing the  scope of the rights granted by the Licence&quot;. This means that:</p> <ul>     <li>the European Commission may update the licence to address new legal or  technological issues that would otherwise keep the licence from functioning as  intended.</li>     <li>Any&nbsp;new version will not change the fundamental characteristics of the  licence, such as the freedoms it grants you, the liability exemption, or its  reciprocal (or &ldquo;copyleft&rdquo;) character, meaning that the exclusive appropriation  of the licensed work will not be authorised.</li> </ul> <p>The key word in Article 13 is <strong>reasonable</strong>. The European  Commission (EC) can indeed update the license, e.g. to cope with new or  previously unknown legal problems that would otherwise keep the license from  functioning as intended. However, any such changes must be reasonable, meaning  that <strong>they cannot tamper with basic characteristics</strong> of the  license, such as the freedoms it grants you, the liability exemption, or its  reciprocal character&rdquo;.</p> <p>Each new version of the Licence will be published with a unique version  number.</p> <p>It is important to note that new versions are applicable to the software  already licensed under the EUPL v.1.0, or to software that is licensed without  an explicit version number, or with the explicit provision that later versions  become applicable. As from the publication of the EUPL v.1.1 in January 2009,  new versions (if any, in the future)&nbsp;will not be applicable automatically if the  software was formally licensed &quot;under the EUPL v.1.1&quot;.&nbsp;For such software,&nbsp;the  licence upgrade will be depending on the agreement of the original author (who  keeps control on licensing modifications).</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-17"></a> <h2><a name="faq14"></a>What about compatibility issues?</h2> <p>Compatibility issues are resulting from the merging or integration of your  work with other software components, when the licence of these components  provides that modified works must be distributed under the same licence.  Normally, the EUPL also does this, to protect your software against  &ldquo;appropriation&rdquo;, however this may produce licence conflicts or  &ldquo;incompatibility&rdquo;. Therefore EUPL foresees for &quot;compatible licences&quot;, by  allowing the resulting software to be distributed under the compatible licence  instead of under the EUPL itself.</p> <p>The compatible licences are currently defined by the EUPL as being the  following:</p> <ul>     <li>General Public licence (GPL) v. 2</li>     <li>Open Software licence (OSL) v. 2.1, v. 3.0</li>     <li>Common Public licence v. 1.0</li>     <li>Eclipse Public licence v. 1.0</li>     <li>Cecill v. 2.0</li> </ul> <p>This list will not be reduced (anyway, as soon a merged or combined work will  be validly licensed under a compatible licence, this may not be revoked), but  could be enlarged (e.g. to later versions of the above licences).</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-18"></a> <h2><a name="faq15"></a>What are jurisdiction and applicable law?</h2> <p>The EUPL refers to the jurisdiction of the European Court of Justice in the  case the European Commission is the licensor of the software. By referring to  this exception, the EUPL does not intent to create any discrimination (between  the European Commission and other stakeholders). It just reminds Article 238 of  the Treaty establishing the European Community.</p> <p>According to Article 14 of the EUPL, any litigation resulting from the  interpretation of the licence will be subject to the exclusive jurisdiction of  the competent court where the licensor resides or conducts its primary business.  Without impacting the validity of other EUPL provisions, it cannot be totally  excluded that due to compulsory rules, the &ldquo;court of the residence of the  consumer&rdquo; would consider itself as competent.</p> <p>According to Article 15 of the EUPL, the competent court, whatever it may  eventually be, will take its decision by applying the law of the European Union  country where the Licensor resides or has his registered office. It will be the  Belgian law if the licensor is the European Commission or - for reasons of legal  security - if the Licensor has no residence or registered office inside a  European Union country.</p> <p>By this provision, the EUPL ensures that the competent court will have &ndash; in  any case &ndash; to appreciate the EUPL rights and obligations in consideration of the  law of a European Union country.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-19"></a> <h2><a name="faq16"></a>Does EUPL deprive me from intellectual property?</h2> <p>Does the EUPL preserve your full ownership of your work? Could EUPL licensing  deprive you of potential opportunities (especially if you want to make some  money out of licensing or recover your investment)?</p> <p>By sharing your rights, you will not be deprived from your copyright or  intellectual property. You will keep full ownership of your work, especially if  you are the original author.</p> <p>You may as well decide to undertake new developments, to distribute it or  not, and if you redistribute it to re-licence your software under another  licensing agreement, or even under a proprietary licence.</p> <p>You may even manage two simultaneous distributions: an Open Source one (for  example under the EUPL) and a proprietary one (that may include additional  functionalities and be proposed for commercial fee). The name for this is &ldquo;Dual  licensing&rdquo;.</p> <p>It is a matter of fact that the existence of an Open Source licensed version  will limit the possibility of merchantability of alternative licences: indeed,  if a free Open Source version exists, why would users accept to pay high  licensing costs for a &ldquo;commercial-off-the-shelf&rdquo; solution? Therefore, the  additional fees requested from users in the framework of an alternative licence  are generally justified by a higher warranty and a better level of support  services.</p> <p>A number of software companies operate according to this model (for example  SUN for Star Office/Open Office or MySQL , which presents two versions - open  and proprietary - of its database).</p> <p>In the case of dual licensing, your sole potential issue will be to reduce  forking (the co-existence and competition among different software versions) by  integrating third party FLOSS contributions into the version that is licensed  differently. If the Open Source test bed demonstrates the efficiency and  profitability of a new specific module, you may find a convenient agreement with  the author (you will normally have good contacts with him as member of your  developers community) or decide to rewrite the most useful modules by yourself  (copyright protects the form, not the ideas).</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-20"></a> <h2><a name="faq17"></a>Is EUPL software &ldquo;for free&rdquo;?</h2> <p>As often reminded &ldquo;free software is not for free&rdquo;, meaning that it has  certainly a cost, at least for developing, implementing, training the users and  maintaining it. In the specific case of the EUPL, the rights granted by the  licence are <strong>always</strong> royalty-free (as said in Article 2).</p> <p>This does not restrict the merchantability of additional services related to  the software, for example providing consultancy or support for implementation or  maintenance.</p> <p>Similarly the various stakeholders undertaking a common project may decide to  share investments according to a separate &ldquo;consortium&rdquo; agreement, and to ask for  a contribution in the case new participants would like to join (because they  will then benefit from the support from other members or from the contractors of  the consortium).</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-21"></a> <h2><a name="faq18"></a>Are they limitations to the use of the software?</h2> <p>They are normally not: you can use the software for any purpose (for example  commercial, private or non-profit), in any place or country (inside or outside  the European Union), on any type of computer (from the mobile PC to the main  frame) and for any number of users. You may also use it to provide your services  on a network like the Internet or on your Intranet.</p> <p>The only restrictions are related to modification and re-distribution of the  software:</p> <ul>     <li>if you modify it, keep intact all existing copyright mentions and identify  your own modifications by prominent marks (who did it, when, for what purpose)  with mention of your own copyright</li>     <li>if you redistribute it, ensure that it is done under the EUPL licence, or  under a compatible licence from the list attached to the EUPL (only if this is  compulsory after merging or integrating the software with a component that is  licensed under the compatible licence).     <p align="right">[<a href="#section-0" class="external-link">top</a>]</p>     </li> </ul> <a name="section-22"></a> <h2><a name="faq19"></a>Can I provide government services on Internet, based on  EUPL licensed software?</h2> <p>Yes you can. Indeed, Article 2 of the EUPL provides you the right to  &ldquo;communicate to the public, including the right to make available or display the  Work or copies thereof to the public and perform publicly, as the case may be,  the Work&rdquo;.</p> <p>Therefore, the deployment of the EUPL licensed software via Internet or via  any similar public network is considered as a case of &laquo;distribution&raquo; according  to the licence. This remains true even if the end-users perceive (for example  through their Internet browser) only a selection of functionalities and not the  whole software itself.</p> <p>As soon such communication of EUPL software is done, the licence covers it  (because &ndash; according to Article 10, the licence is accepted by exercising any  rights granted by Article 2). However, this means also that, if you modify or  improve some EUPL licensed software and use it to provide your services on line  to the general public, you have to make your modified source code available on a  repository, in order to allow the original author as well as other members of  the &laquo;developers community &raquo; to benefit from your contributions, as the case  could be.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-23"></a> <h2><a name="faq20"></a>Can I make my own software on EUPL software?</h2> <p>Yes, provide you respect (leave as they are) the existing copyright mentions  related to the part of EUPL licensed code that is used in your own software.</p> <p>If you decide to redistribute or to communicate to the public the resulting  work, you will have to do so under the EUPL provisions (including the  publication of your source code on a repository). Using the modified software to  provide services via Internet is considered as a &laquo; communication to the public  &raquo;.</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> <a name="section-24"></a> <h2><a name="faq21"></a>Can I merge other software with EUPL software?</h2> <p>Yes, you can merge EUPL software or any part or component of it with other  software, provide this other software is yours (developed by you or for you) or  was licensed to you under licensing terms allowing you to do so (which is the  case with all Open Source software).</p> <p>Please note that the question of how far software can be considered as  &ldquo;merged&rdquo; is a matter of case to case appreciation. Merging criteria (or criteria  to consider that a new software is a derivative) are not precisely defined in  the EUPL, because it was not reasonable, due to the diversity of possible  situations.</p> <p>In most cases, simply aggregating, combining or linking software does not  create a derivative.</p> <p>Whenever possible, it is recommended that the different components exchange  parameters or data without merging their source code into a single file. This  would preserve modularity, facilitate future improvements and prevent licence  compatibility issues in the case of re-distribution as the different components  can then be used and possibly be re-distributed under their respective different  licences.</p> <p>If it is not possible to avoid the merging of the different codes within a  single file, you will not encounter problems if you are using the merged  software for your own needs (no distribution outside your organisation).  However, if your intention is to distribute the merged software to third parties  under the EUPL licence or to perform it publicly (for example by providing a  service with it on the Internet), the pre-requisite is to check if the licensing  conditions of the merged software are compatible.</p> <p>To help you, JOINUP publishes a <a href="./eupl-compatible-open-source-licences" title="EUPL-compatible licenses" class="internal-link">list or matrix of licences that  are compatible with the EUPL</a>.</p> <p>There is no problem if you have the copyright of the other software: the  merged software is a derivative work that can be re-distributed under the  EUPL.</p> <p>There is no problem if the other software licensing conditions are permissive  regarding the re-distribution under the EUPL (this would be the case if the  merged component was licensed to you under a BSD or a MIT licence, for  example).</p> <p>At the contrary, if these licensing conditions are restrictive or &ldquo;copyleft&rdquo;  (allowing no re-distribution under any other licence than the original one), you  should check if this licence is included into the EUPL compatibility list. If  this is the case (for example if the other software was licensed to you under  GPL v. 2), there are no problems either: you are authorised to re-distribute the  merged software under the compatible licence.</p> <p>In other cases no re-distribution will be possible without a specific  authorisation from all relevant authors.&nbsp;</p> <p>Some authors distributing components under a &quot;copyleft&quot; licence have  implemented &quot;FOSS exception lists&quot; to authorise the distribution of larger  (combined) derivative works under another FOSS licence. For example Oracle has  included the EUPL in its FOSS exception list (for integrating MySQL components  that are distributed under the Gnu GPLv2).</p> <p align="right">[<a href="#section-0" class="external-link">top</a>]</p> </div> <p>&nbsp;</p>' WHERE `node_revisions`.`nid` =3051 and `node_revisions`.`vid` =3142 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<h1 class="docmentFirstHeading"><span id="parent-fieldname-title">             EUPL-compatible licenses         </span></h1> <p>&nbsp;</p> <p class="documentDescription"><span id="parent-fieldname-description">             This is a global compatibility Matrix between all OSI-approved licenses and the EUPL. This Matrix (July 2011)  is open to comments and improvements          </span></p> <dl style="" class="portlet toc" id="document-toc">     <dt class="portletHeader">Contents</dt>     <dd class="portletItem">     <ol>         <li><a href="#section-0">Disclaimer</a></li>         <li><a href="#section-1">Definitions</a></li>         <li><a href="#section-2">Matrix (OSI-approved licenses in alphabetical order)</a></li>         <li><a href="#section-3">Discussion on &ldquo;Linking&rdquo;</a></li>         <li><a href="#section-4">The EUPL &quot;Downstream&quot; compatibility list</a></li>         <li><a href="#section-5">Notes</a></li>     </ol>     </dd> </dl> <div id="parent-fieldname-text"><a name="section-0"></a> <h2>Disclaimer</h2> <p><br /> The purpose of this Matrix is to clarify compatibility with the  EUPL, seen as the legal possibility to distribute (under the  OSI-approved EUPL) an application that incorporates, or links with,  components covered by another Free/Open Source Software (F/OSS) license.  Due to numerous possibilities, the Matrix does not cover all real  situations (which are not always &ldquo;clear-cut&rdquo; and where more than two  licenses could be relevant). Since European case law is generally  missing, the matrix suggests reasonable guidance without providing a  guarantee that this suggestion will always be followed by a judge, as  the case may be.</p> <p>&nbsp;</p> <p>Most F/OSS incompatibilities result from copyleft conflicts&nbsp;(when  both licenses impose the reuse of the&nbsp;same license in case of  redistribution). The aim and utility of copyleft is to protect the free  software world against appropriation. In our vision, it should not make  distribution difficult or legally impossible when the work is covered by  different F/OSS copyleft licenses. In such case, because of a weak  interest, the risk of litigation is weak also, while not zero.  Therefore, the Matrix is rather &ldquo;liberal&rdquo;, based on factual license  provisions and on comments provided by license stewards. We consider  also that permission to distribute the executable binaries under a  single license solves compatibility issues (as soon distribution is  legally possible, there is no need for a single license covering the  source code). The Matrix is not influenced by ideology (telling the good  and the ugly, urging people to use or to avoid specific licenses). On  OSOR.eu user request, the OSOR team supports legal interoperability and  the prevention of litigation by kindly requesting clarification or  exceptions from the license stewards or from relevant licensors. We  welcome comments (especially from license stewards) and relevant case  law at the <span style="font-size: 11pt;"><a href="../../contact"><font face="Times New Roman" color="#0000ff">contact page</font></a>.</span></p> <a name="section-1"></a> <h2>Definitions</h2> <ul>     <li>Compatibility has two ways:</li> </ul> <blockquote> <ul>     <li><strong>Upstream</strong>, it allows you to merge a work covered  by another F/OSS license into a larger work that you may distribute  under the EUPL. This is the main scope of the Matrix below.</li>     <li><strong>Downstream</strong>,  it allows you to merge the work received under the EUPL into a larger  work that you may distribute under a &ldquo;compatible&rdquo; license. This is the  scope of the EUPL own compatibility list (EUPL #5 compatibility clause  and Appendix that includes GPLv2, OSL, Eclipse, CPL and CeCILL) See  discussion on this list in <a href="#section-4" class="internal-link" title="EUPL-compatible licenses">section 5</a> of this Matrix.</li> </ul> </blockquote> <ul>     <li><strong>F/OSS components</strong> are those covered by an OSI-Approved license (other licenses are not considered in the Matrix).</li> </ul> <ul>     <li>An <strong>Application </strong>is a &ldquo;<strong>larger work</strong>&rdquo;  combining (by incorporation or by linking) F/OSS covered code or  portions thereof with code governed by the EUPL. Outside, making legally  possible a distribution of the larger application under the EUPL, there  is no need and no interest for changing the license of any F/OSS  component &ldquo;taken alone&rdquo; (even after correcting, modifying, translating  it, etc.).</li> </ul> <ul>     <li><strong>Incorporation </strong>is merging all or part of the  received component (in a copy-paste sense, when some original code is  copied) with other software in the application, which becomes a  derivative of the received components according to the applicable  copyright law.</li> </ul> <ul>     <li><strong>Linking </strong>makes two components working in a  single application without merging their source code. The question is:  does it produce a derivative? See <a href="#section-3" class="internal-link" title="EUPL-compatible licenses">discussion on linking</a> at the end of the Matrix.</li> </ul> <blockquote> <ul>     <li><strong>Static linking</strong> combines components through  compilation, copying them into the target application and producing a  merged object file that is a stand-alone executable.</li>     <li><strong>Dynamic linking</strong> combines components at the time the application is loaded (load time) or during execution (run time).</li> </ul> </blockquote> <a name="section-2"></a> <h2><br /> Matrix (OSI-approved licenses in alphabetical order)</h2> <p>&nbsp;</p> <table width="90%" class="plain">     <tbody>         <tr>             <th>License of existing F/OSS Component</th>             <th colspan="3">Distribution of the larger application under the EUPL</th>             <th>Comment and references to F/OSS license provisions</th>         </tr>     </tbody>     <tbody>         <tr>             <td>&nbsp;</td>             <td align="center">&nbsp;Incorporation</td>             <td align="center">Static link</td>             <td align="center">Dynamic link</td>             <td>&nbsp;</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/AFL-3.0" class="external-link">Academic Free License (AFL) v3.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;#1c: you can distribute copies and derivative under any license  that does not contradict the terms and conditions, including Licensor\'s  reserved rights and remedies, in this Academic Free License.<br />             The OSI-approved EUPL is compliant with this requirement.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/APL-1.0" class="external-link">Adaptive Public License v1.0 </a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;As the license is &ldquo;adaptive&rdquo;, please read the terms carefully.  According to # 3.7 you can combine the covered code with other  components &ldquo;not governed by the APL license provided the APL  requirements are fulfilled for the covered portion of the larger work.&rdquo;<br />             The OSI-approved EUPL is compliant with this requirement.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/AGPL-3.0" class="external-link">Affero General Public License v1.0</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>The Affero General Public License is based on the GPL version 2,  with one additional section covering Software as a Service (SaaS) on the  distribution through web services or computer networks (section 2d).<br />             Regarding linking, see comments under the Gnu GPL and discussion at the end of this Matrix.<br />             Although  legally not compatible (for copyleft reasons) the AGPL is very close to  the EUPL (which covers also SaaS). Therefore &ndash; at least in case of  linking &ndash; we recommend asking for an exception with the AGPL licensor.  See notes under the GNU Affero General Public License version 3 which  has succeeded to the AGPL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Apache-2.0" class="external-link">Apache license V1.1, V2</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;Nothing in the Apache V1.1 and 1.2 prohibits re-licensing of a  larger work under the EUPL. They are indeed specific Apache v1.1  requirements (prohibiting some uses of the Apache brand), but these  requirements are not &quot;restrictions added by the EUPL licensor&quot; (they are  inherited from the original Apache licensing). These requirements are  not impacting essential F/OSS freedoms. They are in line and compatible  with article 5 of the EUPL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/APSL-2.0" class="external-link">Apple Public Source license APSL v2.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;#4 Larger Works: You may create a Larger Work by combining Covered  Code with other code not governed by the terms of this License and  distribute the Larger Work as a single product.&nbsp; In each such instance,  You must make sure the requirements of this License are fulfilled for  the Covered Code or any portion thereof.<br />             The OSI-approved EUPL is compliant with this requirement.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Artistic-2.0" class="external-link">Artistic license (Perl foundation)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;In case of incorporation, verbatim copies (including bug fixes)  must reproduce original copyright notices and associated disclaimers  (#3).<br />             You can distribute under the EUPL a modified version (i.e.  integrated/merged in a larger derivative work) provided that you  document how it differs from the Standard Version received. The EUPL is a  royalty-free license that permits recipients to receive the source code  and to freely copy, modify and redistribute the modified version  (requirement #4, ii). These conditions are inherited from the Artistic  license and are not &ldquo;restrictions added by the EUPL licensor&rdquo;: they are  compatible with the EUPL provisions.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/AAL" class="external-link">Attribution Assurance License (AAL)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>This license is adapted from the original BSD license.<br />             See comments under BSD.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/BSL-1.0" class="external-link">Boost Software License v1.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/BSD-3-Clause" class="external-link">BSD license (all versions)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;Nothing in the BSD license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             BSD  requests to retain copyright notices and restrict the use of the BSD  licensor name to promote derivative products. These inherited conditions  / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line  with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/CATOSL-1.1" class="external-link">Computer Associate Trusted Open Source License CATOSL v1.1</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;#3.4 (You) may create a Larger Work by combining the Program with  other software code not governed by the terms of this License, and  distribute the Larger Work as a single product. In such a case (...)  make sure that the requirements of this License are fulfilled for the  Program.<br />             The OSI-approved EUPL is compliant with this requirement.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/CDDL-1.0" class="external-link">Common Development and Distribution License CDDL v1.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;#3.6 You may create a Larger Work by combining Covered Software  with other code not governed by the terms of this License and distribute  the Larger Work as a single product. In such a case, You must make sure  the requirements of this License are fulfilled for the Covered  Software.<br />             The OSI-approved EUPL is compliant with this requirement.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/CPAL-1.0" class="external-link">Common Public Attribution License CPAL v1.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;#3.7 You may create a Larger Work by combining Covered Code with  other code not governed by the terms of this License and distribute the  Larger Work as a single product. In such a case, You must make sure the  requirements of this License are fulfilled for the Covered Code.<br />             The OSI-approved EUPL is compliant with this requirement.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/CUA-OPL-1.0" class="external-link">CUA Office Public License CUA-OPL v1.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;#3.7 You may create a Larger Work by combining Covered Code with  other code not governed by the terms of this License and distribute the  Larger Work as a single product. In such a case, You must make sure the  requirements of this License are fulfilled for the Covered Code.<br />             The OSI-approved EUPL is compliant with this requirement.</td>         </tr>         <tr>             <td><a href="http://www.cecill.info/licences/Licence_CeCILL_V2-en.html" class="external-link">CeCILL v2.0</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO<br />             <br />             <br />             <br />             (but you may distribute the larger work under CeCILL)</strong></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>&nbsp;The CeCILL license is not OSI approved. We cover it here by  exception because it is included in the EUPL &ldquo;downstream&rdquo; compatibility  list (you can distribute under CeCILL a larger derivative work  integrating components covered by the EUPL and by CeCILL).<br />             CeCILL v2.0 ignores reciprocity with the EUPL.<br />             Distribution  under the EUPL would be possible only if the licensor has published a  &ldquo;FLOSS exception list&rdquo; for distributing the larger derivative work under  the EUPL.<br />             There are no examples of such exceptions (probably because  no one requested it so far). As the EUPL has included CeCILL in its own  downstream compatibility list, there would be a good chance to obtain  such exception if requested, but no case was reported.<br />             CeCILL ignores  linking. As CeCILL stewards are FSF followers, we could assume that  they consider static linking in a similar way as for the GPL: covered by  copyleft (without exceptions).<br />             The only CeCILL compatibility permission favors the GPL and says &ldquo;include a code&rdquo; or &ldquo;include the software&rdquo; (#5.3.4).<br />             Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/EPL-1.0" class="external-link">Common Public License (CPL)</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>(See the Eclipse Public License, which has replaced the CPL).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/EPL-1.0" class="external-link">Eclipse Public License (EPL) v1.0</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)<br />             <br />             <br />             You may also distribute the larger work under the EPL</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#3. Any person or entity (called &ldquo;contributor&rdquo;) may distribute the  Program in object code form under the EUPL (&ldquo;its own license  agreement&rdquo;), because the EUPL complies with the requirements of #3b  (disclaimer etc.).<br />             While the executable version of the application  including EPL covered code will be distributed as a whole under the  EUPL, it must be documented that the source code of components covered  by the EPL will stay under this license.<br />             <br />             The EPL is also included  in the EUPL downstream compatibility list (EUPL appendix). Therefore  the EUPL is compatible with the EPL: as far as needed, you may  distribute under the EPL a larger derivative work integrating components  covered by the EUPL and the EPL.<br />             &nbsp;</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/ECL-2.0" class="external-link">Educational Community License ECL v2.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Similar to the Apache 1.2.<br />             Nothing in the license prohibits  re-licensing of a larger work under the EUPL. #4: you may provide ...  different license terms ... for any such Derivative Works as a whole,  provided Your use, reproduction, and distribution of the Work otherwise  complies with the conditions stated in this License.<br />             The OSI-approved EUPL is compliant with this requirement.<br />             Concerning  linking #1 clarifies that Derivative Works shall not include works that  remain separable from, or merely link (or bind by name) to the  interfaces of (the covered software).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/EFL-2.0" class="external-link">Eiffel Forum license v2</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>This is a very permissive license. Similarities with BSD.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Entessa" class="external-link">Entessa Public License v1.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>This is a very permissive license. Similarities with BSD.<br />             License imposes copyright acknowledgements that are compatible with the EUPL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/EUDatagrid" class="external-link">EU Data Grid license</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in this license restricts redistribution of larger works  under the EUPL. Copyright statement and the permission that  &ldquo;Installation, use, reproduction, display, modification and  redistribution of this software, with or without modification, in source  and binary forms, are permitted&rdquo; must be reproduced.<br />             The OSI-approved EUPL is compliant with requirements.</td>         </tr>         <tr>             <td><a href="./licence-eupl" class="external-link">European Union Public Licence <br />             (EUPL v1.0 &amp;<br />             v1.1)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Software that was licensed under EUPL v1.0 is automatically covered  by the EUPL v1.1 (this &ldquo;automatic update&rdquo; was removed from the EUPL v1.1  and is not applicable anymore if the Commission publishes further  versions of the EUPL).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Fair" class="external-link">Fair License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>The license instrument must be retained with the works, so that any entity that uses the works is notified of this instrument.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Frameworx-1.0" class="external-link">Frameworx Open License v1.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#3a: The other license conditions cannot be less favorable...<br />             #3c: They are specific copyright notices to respect.<br />             The EUPL is compliant with these requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/AGPL-3.0" class="external-link">Gnu Affero Public License v3 (AGPLv3)</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>See comments related to the GPLv3.<br />             Requesting for an exception should be facilitated by the fact the EUPL covers &ldquo;software as a service&rdquo; (SaaS) like the AGPL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/GPL-2.0" class="external-link">Gnu GPLv2.0</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO (exceptions exist)<br />             <br />             <br />             <br />             and you may distribute the larger work under the GPLv2</strong></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Only if the licensor has published a &ldquo;FLOSS exception list&rdquo; for  distributing the larger derivative work under other listed FLOSS  licenses, and EUPL is included. <br />             See for example the MySQL FOSS exception list[<a href="#notes" title="Notes">1</a>]&nbsp; .<br />             Exception  will be applicable to all portions of the derivative work that are  &ldquo;independent&rdquo; (not specifically derived from the program obtained under  the GPLv2, which &ndash; taken alone - stays under its primary license).<br />             <br />             The  GPLv2 is also included in the EUPL downstream compatibility list (EUPL  Appendix) - therefore the EUPL is compatible with the GPLv2: you may  distribute under the GPLv2 a larger derivative work integrating  components covered by the EUPL and by the GPLv2.&nbsp;<br />             <br />             Linking: FSF  followers consider static linking as producing a derivative (this is not  confirmed by case law, see &ldquo;Linking discussion&rdquo;). We assume that  licensors using the GPL share this opinion, for extending the protection  of the free software world against appropriation. However, there is no  risk of appropriation when the larger work is licensed under the EUPL.  We recommend asking for exception.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/GPL-3.0" class="external-link">Gnu GPLv3.0</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO (exceptions exist)<br />             <br />             <br />             <br />             and it is legally possible to distribute the larger work under the GPLv3, via the CeCILL roundabout</strong></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Only if the licensor has published a &ldquo;FLOSS exception list&rdquo; for  distributing the larger work under other listed FLOSS licenses, and EUPL  is included. <br />             See for example the Sencha exception list [<a href="#notes" title="Notes">2</a>]  where all identifiable sections of the larger work, which are not  derived from the GPLv3 covered work, and which can reasonably be  considered independent and separate works in themselves, may be  distributed subject to the EUPL.<br />             <br />             The GPLv3 is NOT included in the  EUPL downstream compatibility list (Appendix of the EUPL). However, it  is &quot;legally possible&quot; (without prejudice of a need for it, or not!) to  distribute a larger work integrating components covered by the EUPL and  by the GPLv3. For this, you may use the &quot;CeCILL roundabout&quot;:<br />             1) publish your own specific contribution under CeCILL, or find convenient code covered by CeCILL;<br />             2) combine with the EUPL component and publish the larger work under CeCILL;<br />             3) add the needed GPLv3 components and publish the larger work under the GPLv3.<br />             &nbsp;<br />             This  does not restrict EUPL licensors to provide a specific exception for  integrating their own software in a larger work covered by the GPLv3.<br />             <br />             Linking:  FSF followers consider static linking as producing a derivative (this  is not confirmed by case law, see &ldquo;Linking discussion&rdquo;). We assume that  licensors using the GPL share this opinion, for extending the protection  of the free software world against appropriation. However, there is no  risk of appropriation when the larger work is licensed under the EUPL.  We recommend asking for exception.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/LGPL-2.1" class="external-link">Gnu LGPL v2.1</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>According to the LGPL v2.1, #6, you may produce a work containing  portions of the Library, and distribute that work under terms of your  choice, provided that the terms permit modification of the work for the  customer\'s own use and reverse engineering for debugging such  modifications.<br />             These conditions (including the availability of the source code and all FLOSS freedoms) are fully implemented by the EUPL.<br />             While  the larger derivative work will be distributed under EUPL, the source  code of the used library &lsquo;taken alone&rdquo; (modified or not) stays covered  by the LGPL (this must be documented with prominent notices)</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/LGPL-3.0" class="external-link">Gnu LGPL v3.0</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>According to the LGPL v3, #3, You may convey under the EUPL (&ldquo;terms  of your choice&rdquo;) the object code (&ldquo;executable binaries&rdquo;) of an  application that incorporates material from a header file that is part  of the Library.<br />             While the larger work (binaries) can be distributed  under EUPL, the source code of the used library &lsquo;taken alone&rdquo; (modified  or not) stays covered by the LGPL (this must be documented with  prominent notices).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/IPL-1.0" class="external-link">IBM Public License v1.0</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#3: (You) may choose to distribute the Program in object code form under the EUPL (=own license agreement).<br />             The  OSI-approved EUPL is compliant with the IPL requirements (i.e. it makes  source code available and contains the requested disclaimers).<br />             As a consequence, make it clear that the source code of the IPL covered component will stay covered by the IPL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/IPA" class="external-link">IPA Font License (IPA)</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>This Japanese license is specific to &ldquo;Digital Font Programs&rdquo;  (containing, or used to render or display fonts). Derived programs (any  modification to covered code) must be licensed under IPA (#3.1.3).<br />             Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/ISC" class="external-link">ISC License (ISC)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the ISC license (similar to BSD) restricts redistribution  under any other license (free, as the EUPL, or even non-free).<br />             ISC requests to retain copyright notices.<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/LPPL-1.3c" class="external-link">LaTeX Project Public License (LPPL 1.3c)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>The LaTeX accepts re-distribution under another license: &ldquo;if for any  part of your work you want or need to use *distribution* conditions  that differ significantly from those in this license, then do not refer  to this license... but, instead, distribute your work under a different  license.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/LPL-1.02" class="external-link">Lucent Public License v1.02</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#3 you may&hellip;&ldquo;distribute the program under your own license agreement&rdquo;  providing it complies with F/OSS conditions and disclaimers.<br />             The OSI-approved EUPL is compliant with these requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/MS-PL" class="external-link">Microsoft Public License (Ms-PL)</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#3 D: If you distribute any portion of the software in source code  form, you may do so only under this license by including a complete copy  of this license with your distribution. If you distribute any portion  of the software in compiled or object code form, you may only do so  under a license that complies with this license.<br />             The OSI-approved EUPL is compliant.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/MS-RL" class="external-link">Microsoft Reciprocal License (MS-RL)</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#3 E: If you distribute any portion of the software in source code  form, you may do so only under this license by including a complete copy  of this license with your distribution. If you distribute any portion  of the software in compiled or object code form, you may only do so  under a license that complies with this license.<br />             The OSI-approved EUPL is compliant.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/MirOS" class="external-link">MirOS License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the MirOS license (similar to BSD) restricts  redistribution under any other license (free, as the EUPL, or even  non-free).<br />             The license requests retaining the copyright notices and disclaimer.<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/MIT" class="external-link">MIT License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the MIT license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices. This is in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Motosoto" class="external-link">Motosoto License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#4 g. You may &ldquo;distribute Derivative Works as products under any  other license you select, with the proviso that the requirements of this  License are fulfilled for those portions of the Derivative Works that  consist of the Licensed Product or any Modifications thereto.&rdquo;<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/MPL-1.1" class="external-link">Mozilla Public License 1.1</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#1.8. A larger work combines the MPL Covered Code (or portions  thereof) with other code not governed by the MPL (i.e. code governed by  the EUPL).<br />             #3.7. You may distribute a Larger Work as a single product  under another license (i.e. the EUPL) provided the requirements of the  MPL are fulfilled for the Covered Code.<br />             <br />             Please document  (retaining copyright notices) that the MPL covered code (or portions)  stay covered by the MPL. As an OSI-Approved license, the EUPL grants to  recipients the same freedoms as the MPL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Multics" class="external-link">Multics License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices and historical background. This is in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/NASA-1.3" class="external-link">NASA Open Source Agreement (NOSA v1.3)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#1 Larger Work&quot; means computer software that combines Subject  Software, or portions thereof, with software separate from the Subject  Software that is not governed by the terms of this Agreement.<br />             #3 I:  Larger works may be distributed as a single product &ldquo;not governed by the  terms of this agreement&rdquo; but &ldquo;Subject Software, or portions thereof,  included in the Larger Work is subject to this Agreement.&rdquo;<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/NTP" class="external-link">NTP License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The  license requests retaining the copyright notices, disclaimer and  restricts the use of trademarked names for advertising. This is in line  with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Naumen" class="external-link">Naumen Public License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>This license is made for a specific licensor (Naumen).<br />             Nothing in the license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices, disclaimer and restricts the use of trademarked names. <br />             This is in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/NGPL" class="external-link">Nethack General Public License (NGPL)</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#2b implies that another license can be used:<br />             &ldquo;...work... that in  whole or in part contains or is a derivative of NetHack or any part  thereof, to be licensed at no charge to all third parties on terms  identical to those contained in this License Agreement (except that you  may choose to grant more extensive warranty protection to some or all  third parties, at your option)&rdquo;.<br />             However the word &ldquo;identical&rdquo; seems much stronger than &ldquo;compliant&rdquo;, which is used by many other licenses. <br />             Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix)</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/nokia" class="external-link">Nokia Open Source License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#1 c. A larger work &ldquo;combines Covered Software or portions thereof with code not governed by the terms of this License&rdquo;<br />             #3.7.  You may distribute a larger work as a single product &ldquo;not governed by  the terms of this License&rdquo;, provided &ldquo;the requirements of this License  are fulfilled for the Covered Software&rdquo;.<br />             The OSI-approved EUPL is compliant with requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/NOSL3.0" class="external-link">Non-Profit Open Software License 3.0</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>See comments related to the OSL: without exception, derivatives must be licensed under NPOSL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/OCLC-2.0" class="external-link">OCLC Research Public License 2.0</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#2: A. &quot;Combined Work&quot; results from combining and integrating all or  parts of the Program with other code. A Combined Work may be thought of  as having multiple parents or being result of multiple lines of code  development.<br />             #3 D. &ldquo;Combined Works are subject to the terms of this license&rdquo;.<br />             At  the exception of &ldquo;Aggregates&rdquo; (presence without integration on the same  medium) the OCLC is not interoperable with other F/OSS licenses.<br />             Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/OFL-1.1" class="external-link">Open Font License 1.1 (OFL)</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>The scope of the license is limited to the font software and  specific derivatives. The Font Software may be bundled, redistributed  and/or sold with any software, provided that each copy contains the  copyright notice and this license.<br />             Our interpretation is that a  larger work can be distributed under the EUPL, while the specific font  software source (even modified) will stay covered by the OFL.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/OGTSL" class="external-link">Open Group Test Suite License (OGTSL)</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#4 You may distribute the work in object code, provided that you ... (rename non-standard executables).<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/OSL-3.0" class="external-link">Open Software License<br />             OSL v3.0</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO<br />             <br />             <br />             (but you may distribute the larger work under the OSL)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>The OSL is copyleft (#1.c. states &ldquo;You may distribute derivative  Works under the OSL&rdquo;). Therefore it is implicitly not allowed to  distribute larger derivative works under other licenses (including EUPL,  GPL etc.).<br />             <br />             The OSL is also included in the EUPL downstream  compatibility list (EUPL Appendix) - therefore the EUPL is compatible  with the OSL: you may distribute under the OSL a larger derivative work  integrating components covered by the EUPL and by the OSL.&nbsp;<br />             <br />             As  the EUPL has included the OSL in its own compatibility list, there would  be no reasons for OSL licensors to refuse an exception, but this must  be formally requested.<br />             There are no examples of such exceptions (probably because no one requested it so far).<br />             <br />             Linking:  according to Lawrence Rosen (OSL steward) linking components  (especially if covered by various OSI approved licenses, considering the  market factor impact) does not produce a derivative. We assume that OSL  licensors share this view.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/PHP-3.0" class="external-link">PHP License 3.0</a></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the license restricts the distribution of larger works in binary form under another license (as the EUPL).<br />             Redistributions  must retain the copyright notice, disclaimer and conditions (including  restrictions on the use of &ldquo;PHP&rdquo; in the name of derived products).<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/PostgreSQL" class="external-link">PostgreSQL license </a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td><br />             Nothing in the license restricts the distribution of larger works under another license (as the EUPL).<br />             Redistributions must retain the copyright notice and disclaimer.<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Python-2.0" class="external-link">Python 2.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the license restricts the distribution of larger works under another license (as the EUPL).<br />             Specific changes in Python software must be documented and redistributions must retain the copyright notice and disclaimer.<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/QPL-1.0" class="external-link">Q Public License (QPL v1.0)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in the license, which is considered as &ldquo;non-copyleft&rdquo;  restricts the distribution of larger works under another license (as the  EUPL).<br />             They are specific requirements (to distribute specific modifications of the covered code through patches).<br />             #6 adds conditions in case &ldquo;applications&rdquo; links with the covered software (availability of source code, free redistribution&hellip;)<br />             These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/RPSL-1.0" class="external-link">RealNetworks Public Source License (RPSL v1.0)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td># 1.6 Derivative Work also includes any work which combines any  portion of Covered Code or Modifications with code not otherwise  governed by the terms of this License.<br />             #4 (You may) &ldquo;distribute the  Derivative Work as an integrated product. In each such instance, You  must make sure the requirements of this License are fulfilled for the  Covered Code or any portion thereof, including all Modifications.&rdquo;<br />             The OSI-approved EUPL is compliant with this requirement. <br />             In addition, the covered source code &ldquo;taken alone&rdquo; will stay covered by RSPL.<br />             RPSL inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/RPL-1.5" class="external-link">Reciprocal Public License&nbsp; RPL v1.5</a></td>             <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>             <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>License text states:<br />             # 6.0 ...You hereby agree that any...  Derivative Works, (meaning &ldquo;defined under U.S. copyright law&rdquo;) ... are  governed by the terms of this License... (and) must be Deployed (meaning  distributed) under the terms of this License or a future version of  this License... <br />             Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/RSCPL" class="external-link">Ricoh Source Code Public License (RSCPL v1.0)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#1.6. &quot;Larger Work&quot; means a work which combines Governed Code or  portions thereof with code not governed by the terms of this License.<br />             #3.7.  &ldquo;You may create a Larger Work by combining Governed Code with other  code not governed by the terms of this License and distribute the Larger  Work as a single product. In such a case, You must make sure the  requirements of this License are fulfilled for the Governed Code.&rdquo;<br />             The OSI-approved EUPL is compliant with requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Simple-2.0" class="external-link">Simple Public License v2.0</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>SimPL is a plain language implementation of GPL 2.0. However it  allows relicensing of derived works under &ldquo;substantially similar terms  (such as GPL 2.0), without adding further restrictions to the rights  provided&rdquo;.<br />             In our interpretation, &ldquo;such as&rdquo; does not mean &ldquo;only&rdquo; and the EUPL complies with the requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Sleepycat" class="external-link">Sleepycat License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in this license restricts redistribution under any other license (provide it is F/OSS, as the EUPL).<br />             The  license requests retaining copyright notices and disclaimer, and to  document how to obtain the freely redistributable source code.<br />             The OSI-approved EUPL complies with requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/SPL" class="external-link">Sun Public License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#1.7. &quot;Larger Work&quot; means a work which combines Covered Code or  portions thereof with code not governed by the terms of this License.<br />             #3.7.  &ldquo;You may create a Larger Work by combining Covered Code with other code  not governed by the terms of this License and distribute the Larger  Work as a single product. In such a case, You must make sure the  requirements of this License are fulfilled for the Covered Code.&rdquo;<br />             The OSI-approved EUPL is compliant with requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Watcom-1.0" class="external-link">Sybase Open Watcom Public License (Watcom v1.0)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>#1.5 &quot;Larger Work&quot; means a work which combines Covered Code or  portions thereof with code not governed by the terms of this License.<br />             #4  &ldquo;You may create a Larger Work by combining Covered Code with other code  not governed by the terms of this License and distribute the Larger  Work as a single product. In each such instance, You must make sure the  requirements of this License are fulfilled for the Covered Code or any  portion thereof&rdquo;.<br />             The OSI-approved EUPL is compliant with requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/NCSA" class="external-link">University of Illinois / NCSA Open Source License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices, disclaimer and restricts the use of licensor name.<br />             The OSI-approved EUPL complies with requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/VSL-1.0" class="external-link">Vovida Software License (VSL v1.0)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>This license is for use by a specific licensor (Vovida).<br />             Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices and disclaimer. It restricts the use of licensor and product names.<br />             The OSI-approved EUPL complies with requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/W3C" class="external-link">&nbsp;W3C license</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>This license is for use by a specific licensor (W3C).<br />             Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices and disclaimer, and to notify changes to W3C.<br />             These inherited conditions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/xnet" class="external-link">X.Net license (Xnet)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices &ldquo;in all copies or substantial portions of the software&rdquo;.<br />             These inherited conditions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/ZPL-2.0" class="external-link">Zope Public License (ZPL v2.0)</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices and restricts the use of service marks or trademarks of Zope.<br />             These inherited conditions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>         </tr>         <tr>             <td><a href="http://www.opensource.org/licenses/Zlib" class="external-link">Zlib/libpng License</a></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>             <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />             The license requests retaining the copyright notices.<br />             This condition is in line with the EUPL requirements.</td>         </tr>         <tr>             <td colspan="5">OK= Allowed <br />             OK (Object) = Distribution of binaries of the larger work &ldquo;as a single product&rdquo; under the EUPL is allowed <br />             NO = Not allowed (however, licensor owning full copyright may provide exceptions)<br />             ? = Uncertainties (and no exceptions exist so far)</td>         </tr>     </tbody> </table> <p>&nbsp;</p> <a name="section-3"></a> <h2>Discussion on &ldquo;Linking&rdquo;</h2> <p><br /> A combined application or work is often implemented by linking  various components. From the end user point of view, the application may  look like a single program (it may have a single name, unique  interface, documentation etc.). From the developer point of view, each  component is a separate program, possibly obtained under various primary  licenses.</p> <p>In case these various licenses are &ldquo;free / open source&rdquo; and  &ldquo;copyleft&rdquo;, what kind of linking could you implement to be legally  authorised to distribute the application, under a single license or &ndash;  possibly &ndash; under several licenses?</p> <p>There are two main cases of linking:</p> <ul>     <li>Static linking combines components through compilation, copying  them into the target application and producing a merged object file that  is a stand-alone executable.</li> </ul> <ul>     <li>Dynamic linking uses components at the time the application is loaded (load time) or during execution (run time).</li> </ul> <p>In the above Matrix, we assume that both linking are permitted in two  cases: when incorporation (merging codes in a &ldquo;cut-paste&rdquo; sense) is  authorised and when the distribution of object code under the EUPL is  authorised (because this covers static linking at object code level as  well).</p> <p>&nbsp;</p> <div>From the legal (copyright) point of view, the question of linking  is similar to the incorporation discussion: does linking produce a  derivative of the used components, or not? <ul>     <li>If the answer is &ldquo;NO&rdquo;, each part of the application can be  licensed under its primary license: You may declare &ldquo;My application is  licensed to you under the EUPL, except component X that is licensed  under GPL, component Y that is licensed under the EPL, component Z under  the MPL etc...</li> </ul> <ul>     <li>If the answer is &ldquo;YES&rdquo;, the distribution of the new derivative  could be legally impossible (under any license) as soon a copyleft  conflict exists. Such prohibition may be considered as beneficial (or  protective) for the free software world in case the licensor planned to  use a proprietary license. On the contrary, the prohibition may look  cumbersome and fussy when all relevant licenses are OSI-approved  (providing the same freedoms) and copyleft (protecting against  appropriation).</li> </ul> <p>In Europe there is no case law solving this question. In absence of  case law, we have to be careful. We may assume that a judge will  interpret the copyright law with more flexibility (no derivative created  by linking) in the case of &ldquo;copyleft conflict&rdquo; between two OSI approved  licenses, and more strictly if a proprietary license is used (creation  of a derivative in such case, because in such litigation the  &quot;market-based&quot; factors are looking more important than the pure linking  technique) &ndash; but this is a pure assumption.</p> <p>The recent GPLv3 looks receptive to these &ldquo;market-based&rdquo; factors when  a compilation is not used to limit users&rsquo; freedom, at least in the  specific case of aggregates[<a href="#notes" title="Notes">3</a>]  . We estimate that the requirement that independent sources (compiled  together) should not form a larger program is to understand from  developers&rsquo; point of view: no portion of the code is copied into a  larger program (on the contrary, due to some interface layer, end users  may perceive the independent components as a single application).</p> <p>&nbsp;</p> <p>Instead of European and US case law[<a href="#notes" title="Notes">4</a>] , we may deal with the main F/OSS opinion makers:</p> <ul>     <li>Lawrence Rosen (IP professor and OSI general counsel) says that  the method of linking is mostly irrelevant to the question about whether  a piece of software is or is not a derivative work. For him, a  derivative is made only in the case of incorporation [in a copy-paste  sense] of original code, or in the case of modification, translation or  other change in any way for creating the new program.</li> </ul> <ul>     <li>Other IP specialists believe that static linking may produce  derivative works, while dynamic linking may not, but the question is not  &ldquo;clear-cut&rdquo;. For example, some dynamically linked Linux kernel drivers  are distributed under proprietary licenses, and the Linux author (L.  Torvalds) agrees that such dynamic linking can create derived works in  specific circumstances.</li> </ul> <ul>     <li>The Free Software Foundation and their followers, in their  desire to extend the free-software world by giving it more tools than  the proprietary world, are the most assertive: static linking creates  derivatives and executables which uses a dynamically-linked library may  also be derivatives, except when separate programs just &ldquo;communicate&rdquo;  with one another [<a href="#notes" title="Notes">5</a>]  . Does this interest for &ldquo;protecting and extending free software&rdquo; still  exist when the other license is the EUPL (which is a free, copyleft  software license)? The FSF could answer positively, because - at the  contrary of the OSI - it has a strong GPL centric policy, arguing that  for protecting free software there is little salvation outside their own  GPLs (in fact, the GPLv3 and AGPLv3).</li> </ul> <p>&nbsp;</p> <p>We made the assumption that, by selecting a Gnu license, licensors  follow the FSF position and want to consider that most cases of static  linking create a derivative. A question mark (?) is resulting from the  absence of case law. In all other cases, the proposed Matrix is based on  a &ldquo;liberal&rdquo; assumption, in consideration of the common &ldquo;market  approach&rdquo; shared by all OSI approved licenses, especially when these  licenses are copyleft.</p> <p>&nbsp;</p> </div> <a name="section-4"></a> <h2 style="font-size: 18px;">The EUPL &quot;Downstream&quot; compatibility list</h2> <p class="Default"><font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"><span class="Apple-style-span" style="font-size: 12px;"> </span></font></p> <p><font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"> <font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">The EUPL v1.1 downstream compatibility list was established for the EUPL v1.0 (January 2007). It was drafted based on a September 2006 study of the CRID (Research Centre in Computers and Law &ndash; FUNDP Namur<span style="text-decoration: underline;"> </span></font></font></font></font>[<a href="#notes">6</a>].<font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"><a href="#notes" name="_ftnref1"></a></font></p> <font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"> </font><span class="Apple-style-span" style="font-size: 12px;"><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">The purpose  of the list is to allow mergers between EUPLed code and other copylefted code (when license terms impose to redistribute any larger, merged work under the same &ldquo;inherited&rdquo; license, distribution  becomes legally impossible in case of copyleft conflicts). Therefore the chosen licenses had to be in any case copyleft, and &ldquo;the copyleft effect of the elected licenses should be similar to the EUPL&rsquo;s copyleft and should fulfill the same functions&rdquo;, the authors report </font></font></font></span>[<a href="#notes">7</a>]<span style="text-decoration: underline;">.</span><span class="Apple-style-span" style="font-size: 12px;"><a name="_ftnref2"></a></span><font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"><span class="Apple-style-span" style="font-size: 12px;"> <p><font color="#17365d">&nbsp;</font></p> <p><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">The study proposed the following list:</font></font></font></p> <p align="JUSTIFY"><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">- General Public License (GPL) v. 2</font></font></font></p> <p align="JUSTIFY"><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">- Open Software License (OSL) v. 2.1, v. 3.0</font></font></font></p> <p align="JUSTIFY"><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">- Common Public License (CPL) v. 1.0</font></font></font></p> <p align="JUSTIFY"><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">- Eclipse Public License (EPL) v. 1.0</font></font></font></p> <p align="JUSTIFY"><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">- Cecill v. 2.0</font></font></font></p> </span></font><span class="Apple-style-span" style="font-size: 12px;">The presence of the strong copyleft (OSI-approved) GPL and OSL makes no discussion. The presence of non-OSI-approved CeCILL was interesting because supported by three French public research centres, strong copyleft and &ndash; by the way &ndash; permitting re-licensing under all GPL versions (including the GPLv3 that was published in June 2007) This makes the EUPL compatible, directly or indirectly, with all GPL versions.&nbsp;</span><span class="Apple-style-span" style="font-size: 12px;">What looks more questionnable is the presence of the Eclipse (and of the CPL, but we may forget this one that has now been superseded by the EPL), because according to the Free Software Foundation, the EPL only provides a &ldquo;weaker copyleft&rdquo;.</span><font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"><span class="Apple-style-span" style="font-size: 12px;"> <p><font color="#17365d">&nbsp;</font></p> <p><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">When analyzing copyleft, the study made three categories </font></font></font>[<a href="#notes">8</a>]<span style="text-decoration: underline;">:</span><a name="_ftnref3"></a></p> <p><font color="#76797c"><font face="Lucida Grande, Verdana, Lucida, Helvetica, Arial, sans-serif"><font size="1" style="font-size: 8pt;"><font color="#17365d"><font face="Symbol"><font size="2" style="font-size: 9pt;">&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font></font></font><font color="#17365d">&ldquo;</font><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;"><strong>Weak copyleft&rdquo;&nbsp;</strong></font></font></font><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">when&nbsp;the&nbsp;licence restricts the effect on a file basis (this is the case of the Mozilla Public License and the Common Development and Distribution License).</font></font></font></font></font></font></p> <p><font color="#76797c"><font face="Lucida Grande, Verdana, Lucida, Helvetica, Arial, sans-serif"><font size="1" style="font-size: 8pt;"><font color="#17365d"><font face="Symbol"><font size="2" style="font-size: 9pt;">&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font></font></font><font color="#17365d">&ldquo;</font><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;"><strong>Source only copyleft&rdquo;</strong></font></font></font><font color="#17365d">&nbsp;</font><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">when&nbsp;the&nbsp;licence imposes the redistribution of the source code under the same licence, while the executable code may be governed by another licence (as long as the source code is available and remains under the original licence): the executable version of the derivative work can then be proprietary (this is the case of the EPL)</font></font></font></font></font></font></p> <p><font color="#76797c"><font face="Lucida Grande, Verdana, Lucida, Helvetica, Arial, sans-serif"><font size="1" style="font-size: 8pt;"><font color="#17365d"><font face="Symbol"><font size="2" style="font-size: 9pt;">&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font></font></font><font color="#17365d">&ldquo;</font><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;"><strong>Strong copyleft</strong></font></font></font><font color="#17365d"><font face="Verdana, sans-serif"><font size="2" style="font-size: 9pt;">&rdquo; when the licence does not restrict the copyleft effect to modifications on a file basis, and the executable is to be considered as a derivative work.</font></font></font></font></font></font></p> </span></font><span class="Apple-style-span">Therefore Bastin and Laurent, while not categorizing the EPL copyleft as &ldquo;Strong&rdquo; (without being weak in their mind!) considered that it was &ldquo;similar&rdquo; to the EUPL copyleft on the source code, which is by far the important thing for open source developers because it prohibits source code appropriation. For this reason, other prominent analysts like the German License Centre <a href="http://ifross.org/en/license-center" class="external-link">ifrOSS</a> categorize the EPL as &quot;Strong Copyleft&quot;</span> <div><span class="Apple-style-span" style="font-size: 12px;"><br /> </span></div> <div><span class="Apple-style-span" style="font-size: 12px;">In January 2007, the European Commission published the EUPL and its compatibility list based on their study, and did not change the list when publishing the EUPL v1.1 in 2009.</span><font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"><span class="Apple-style-span" style="font-size: 12px;"> <p><font color="#17365d">&nbsp;</font></p> <p>&nbsp;</p> </span></font> <p>&nbsp;</p> <div><hr width="33%" size="1" align="left" /> <div id="ftn1"> <p class="Default"><font face="Calibri, sans-serif" color="#000000" class="Apple-style-span"><span class="Apple-style-span"><br /> </span></font></p> </div> <div id="ftn3">&nbsp;</div> </div> <div><a name="section-5"></a> <h2><a name="notes"></a>Notes</h2> <ol start="1">     <li><a href="http://www.mysql.com/about/legal/licensing/foss-exception/" class="external-link">http://www.mysql.com/about/legal/licensing/foss-exception/</a></li>     <li><a href="http://www.sencha.com/legal/open-source-faq/open-source-license-exception-for-applications/" class="external-link">http://www.sencha.com/legal/open-source-faq/open-source-license-exception-for-applications/</a></li>     <li>#5  (in fine):&nbsp; &ldquo;A compilation of a covered work with other separate and  independent works, which are not by their nature extensions of the  covered work, and which are not combined with it such as to form a  larger program, in or on a volume of a storage or distribution medium,  is called an &ldquo;aggregate&rdquo; if the compilation and its resulting copyright  are not used to limit the access or legal rights of the compilation\'s  users beyond what the individual works permit. Inclusion of a covered  work in an aggregate does not cause this License to apply to the other  parts of the aggregate.&rdquo;</li>     <li>In the <a href="http://en.wikipedia.org/wiki/Galoob_v._Nintendo" class="external-link">Galoob v. Nintendo</a>  an US court of appeal defined a derivative work as having &quot;\'form\' or  permanence&quot; and noted that &quot;the infringing work must incorporate a  portion of the copyrighted work in some form&quot;, but there have been no  clear court decisions to resolve the case of static/dynamic linking  making a derivative.</li>     <li>This is the reason why the FSF created the <a href="http://en.wikipedia.org/wiki/LGPL" class="external-link">LGPL </a>(which  is nearly identical to the GPL) for adding the permission to allow  linking for the purposes of &quot;using the licensed library&quot;.</li>     <li><span class="Apple-style-span"><span style="font-size: 9pt;">Fabian BASTIN (</span><span style="font-size: 9pt;">CERFACS) and&nbsp;Philippe LAURENT (CRID) <a href="../../system/files/doc/Doc3ef5.pdf" class="document pdf">Study of the compatibility mechanism of the EUPL</a>&nbsp;v. 1.0 -&nbsp;September 2006</span></span></li>     <li><span class="Apple-style-span"><span style="font-size: 9pt;">Op. Cit., p.17</span></span></li>     <li>     <div id="ftn1">     <p class="Default"><font face="Calibri, sans-serif" class="Apple-style-span"><span style="font-size: 9pt;">Op. Cit., p.7</span></font><span class="Apple-style-span">.</span></p>     </div>     </li> </ol> </div> </div> </div> <div class="relatedItems"><fieldset id="relatedItemBox">                     <legend>Related content</legend> <ul class="visualNoMarker">     <li><span class="contenttype-document">                                                                  <a title="Text and preamble of the European Union Public Licence (EUPL) version 1.1, available in 22 official languages of the European Union." class="state-published" href="./licence-eupl">European Union Public Licence (EUPL v.1.1)</a>                             </span></li> </ul> </fieldset></div> <p>&nbsp;</p>' WHERE `node_revisions`.`nid` =3067 and `node_revisions`.`vid` =3158 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<h1 class="documentFirstHeading"><span id="parent-fieldname-title">             Commission\'s Communication on Interoperability         </span></h1> <div class="documentByLine"><span id="parent-fieldname-description">             On the 16th of December 2010, the European Commission has  adopted the Communication &ldquo;Towards interoperability for European public  services&rdquo;, to establish a common approach for Member States public  administrations, to help citizens and businesses to profit fully from  the EU&rsquo;s Single Market.         </span></div> <div id="parent-fieldname-text" class="plain"> <p>Annex II of the communication is the European Interoperability Framework (EIF v2).</p> <p>The EIF is a recommendation,&nbsp;maintained under the ISA programme, in  close cooperation between the Member States and the Commission.</p> <p>The EIF should be taken into account when making decisions on  European public services that support the implementation of EU policy  initiatives and when establishing public services that in the future may  be reused as part of European public services.</p> <p>Interoperability is build on 12 underlaying principles.</p> <p>In particular, the &nbsp;&quot;Reusability principle&quot; (N&deg; 10) means that  &nbsp;public administrations must be willing to share with others their  solutions, concepts, frameworks, specifications, tools and components,  applying the principle of &quot;Openness&quot; (N&deg; 9).</p> <p>The EIF states: Reuse and sharing naturally lead to cooperation using  collaborative platforms: the technical platforms to share open source  <a href="../all">software components</a>, <a href="../../asset/all">semantic assets</a> and best practices, and  the legal framework (the European Union Public Licence EUPL) that the  Commission has also created in order to facilitate the sharing of  software components.</p> <p>&nbsp;</p> </div>' WHERE `node_revisions`.`nid` =3068 and `node_revisions`.`vid` =3159 LIMIT 1;
UPDATE  `node_revisions` SET `body` = '<h3>Principle 1</h3><p>Joinup and its services are exclusively reserved for the  exchange and collaboration on Open Source Software. This means that  software or projects that are not released under recognized OSS licences  will not be admitted on Joinup, or will be removed as the case may  be. The Open Source character of software is defined in the licence,  where the software author(s) or &ldquo;Licensor&rdquo; ensures a number of freedoms  to the licensee:</p><ul>    <li>Freedom to use or run it for any purpose and any number of users</li>    <li>Freedom to study how the software works. Access to the source code is a precondition for this.</li>    <li>Freedom to share,(redistribute) copies of the softwar</li>    <li>Freedom to modify, adapt, improve the software according to  specific needs and to share (redistribute) these modifications. Access  to the source code is a precondition for this.</li></ul><p>The use of the EUPL licence, which is available in all official  European languages and was especially written for use by public sector  in Europe, comes highly recommended. However, any other licence that is  recognized by the OSI (<a href="http://www.opensource.org">Open Source Initiative</a>), or the FSF (<a href="http://www.fsf.org">Free Software Foundation</a>) will be accepted.</p><h3>Principle 2</h3><p>Joinup is reserved for software and projects that are of  particular use for public administrations in Europe, and/or produced by  the public sector.When describing the project, the provider should  explain the link of the project with the public sector (is it owned,  sponsored, funded in research program, aimed to&hellip;) and explain why it may  be useful for other public administrations. This represents a wide  array of possible applications. The reference to public administrations  is not exclusive of other usages: for example a Geographical Information  System may be considered as &ldquo;answering to public sector needs&rdquo; (road  making etc.), even if it can also be useful for private purpose (home  building, truck or property management etc.). Joinup taxonomy will  help project owners to categorise their project according to public  sector needs.The fact that specific sectors (games, entertainment,  religion, genealogy etc.) are not present in the taxonomy may be an  indication that related projects are not targeted to answer to public  sector needs.The reference to Europe is not exclusive either: Joinup  welcomes projects that are initiated and could be downloaded and used  everywhere, provide they may be useful to public administrations in  Europe.The project owner can be a public administration, however it can  be any other person (individual, association, company) developing  software that is of particular use for public administrations.</p><h3>Principle 3</h3><p>Joinup is freely and publicly accessible . Everybody can access Joinup and contribute to hosted projects. Everybody can submit a  project. Joinup management will avoid bureaucracy. No ex-ante  authorisation will be necessary to participate. Respect of Joinup  principles will be checked ex-post by the community of Joinup users and  stakeholders.However, for the use of certain functionalities,  submitting a project or contributing to a specific project,  authentication will be required. Due to the sensitivity of certain  public sector projects, It may happen that a specific project owner will  temporarily restrict the contribution to a restricted group of  developers. This will be the decision of that specific project owner  (and not of Joinup management). When accepting to share your work  with other people, it is recommended not to restrict access more than it  is strictly necessary.</p><h3>Principle 4</h3><p>Distributing software under an open source licence, such as the EUPL  implies that the rights granted by the licence should be royalty-free.  As a consequence, all projects hosted by Joinup shall be free of  royalties. This does not restrict the optional merchantability of  additional services related to the software, for example providing  consultancy or support for implementation or maintenance. Such services  must stay optional, and may not become a condition for downloading,  using or modifying the software.</p><h3>Principle 5</h3><p>The provider must be the author, the copyright owner or have a valid  license for all that is being communicated. The provider will provide  the material in readable/revisable form using open standards and open  formats and will be responsible to publish (or link to) the licensing  terms that are applicable. This is the main guarantee that needs to be  provided to all other Joinup users, in order to avoid later  intellectual property issues.If the software to be released was entirely  written by the provider (or by the employees of the provider\'s  organisation, i.e. the legal entity that will release the software),  then the provider should normally own the exclusive copyright on the  software. In any other situation, the provider needs to check who wrote  the software (or any part of it) and under what terms (or licence, or  service contract) the provider is allowed to reproduce it in the  software and distribute it on Joinup.If the software was written  for the provider by contractors, the provider may have the right to  reuse and re-distribute it, or may even own the software exclusively -  this depends on the terms of the service contract under which the  software was written.The software should be provided in  readable/revisable form using preferably open standards or formats. If  the software is distributed as a binary package (object code), the  readable source code, or link to a repository where this source code is  available should be communicated.The licensing terms (or link to) that  are applicable to your software or to its various components should also  be published. It may happen that the &ldquo;software solution&rdquo; that is  distributed is made from several components, each of them with different  licensing conditions.</p><h3>Principle 6</h3><p>If the user downloads, uses or modifies the work that was put on the  Repository by other persons, the user should always search for, read and  adhere to the terms of the related licence.When adding contributions,  as the case may be, it is possible that own copyright marks are added,  in particular if this contribution is especially important, however,  users should never change existing copyright marks or licensing terms.</p><h3>Principle 7</h3><p>When redistributing to other persons the material found on the  Repository, users will apply the original licensing conditions if it is  requested by the provider that re-distribution under the same licensing  terms is compulsory. While all FLOSS licences authorise redistribution  of the licensed software, several licences are &ldquo;copyleft&rdquo;, meaning that  if a re-distribution is done, this must be under the same licensing  terms.</p><h3>Principle 8</h3><p>No one shall make a commercial use of the Joinup platform, or use it  for any kind of advertisement related to private and / or profitable  services.This rule applies even when some software that will be  available on the Repository may also or eventually be used for  commercial purposes, or generates an ecosystem of commercial services.  As a project owner or the author of a software, it is possible to inform  the Joinup users about contact details and possibly display of the  logo in appropriate format and reasonable resolution.It is permitted to  link Joinup to any other web site which may be commercial or offer  services such as the ones mentioned in Principle 4.However, it is  absolutely non permitted that any advertising material is published on  the Joinup pages (including project pages).</p><h3>Principle 9</h3><p>When facilitating the distribution of the work, Joinup is not  responsible and does not provide any guarantee related to this work. As  the project owner and the licensor, you are the sole responsible of your  work, and will comply with intellectual property rights, criminal law,  data privacy, statutory product liability and any other legal  requirement. This is self-explanatory: when opening a project, the  provider is responsible for its content. The principle of transparency  (publication of the source code, under scrutiny of a wide community)  should reinforce security and the evidence that source code contains no  malicious software, virus, etc. Joinup does not control or validate  the content of your project. The publication and distribution of a  project on Joinup is not, per se, a certification or label of  quality. They are specialised services for obtaining such certification  or label.</p><h3>Principle 10</h3><p>Users and providers should consider all requests or recommendations  from the Joinup Web master concerning the content of the work (or  &ldquo;project pages&rdquo;). This authority can also remove / put off line all  projects, pages or texts that appear &ndash; whether originally or later &ndash; to  be contrary to the Joinup principles. Joinup is not bureaucratic.  It is open to everyone, according to the present Principles. However, if  it appears even after some time, that the software or the content that  was published should be adapted to comply with those principles, the Joinup web master may request the modification or removal of the  content in question.The Joinup web master can also make the unilateral  decision to remove / put off line or set &ldquo;not visible&rdquo; any web page or  project, after notifying the project owner and justifying such decision. Joinup will not be liable for any damage in such case.</p>' WHERE `node_revisions`.`nid` =582;
UPDATE  `node_revisions` SET `body` = '<p>The &ldquo;European Union Public Licence&rdquo; (EUPL) The EUPL is the first European Free/Open Source Software (F/OSS) licence. It has been created on the initiative of the European Commission. It is now approved by the European Commission in 22 official languages of the European Union.</p><ol>   <li><span class="Apple-style-span"><a href="./licence-eupl">Text of the EUPL v1.1</a> (1999) OSI-certified version (in 22 languages)</span></li>    <li><span class="Apple-style-span"><a href="./eupl-guidelines">EUPL Guidelines for users and developers</a> (in 22 languages)</span></li>    <li><span class="Apple-style-span"><a href="./introduction-eupl-licence">Why the EUPL ?</a></span></li>    <li><span class="Apple-style-span"><a title="Impact of the EUPL" class="internal-link" href="./impact-eupl">Impact of the EUPL</a></span></li>    <li><span class="Apple-style-span"><a href="./how-use-eupl">FAQs on the EUPL and how to use it</a></span></li>    <li><span class="Apple-style-span"><a href="./eupl-community">EUPL&nbsp;Community</a></span></li></ol>' WHERE `node_revisions`.`nid` =2567;


UPDATE  `node_revisions` SET `title` = "Ten \"Principles\" of using JoinUp" where `node_revisions`.`nid` = 582;
UPDATE  `node` SET `title` = "Ten \"Principles\" of using JoinUp" where `node`.`nid` = 582;
