/* node 2556 */
UPDATE  `node_revisions` SET `body` = '<dl class="portlet toc" id="document-toc"><ol><li><a href="#section-0">What is semantic interoperability ?<br /></a></li><li><a href="#section-1">Guidelines and studies<br /></a></li><li><a href="#section-2">Publications</a></li><li><a href="#section-3">Code Person<br /></a></li><li><a href="#section-4">Code lists<br /></a></li><li><a href="#section-5">Taxonomies</a></li><li><a href="#section-6">Video Tutorials<br /></a></li></ol><a name="section-0"></a></dl><h3>What is semantic interoperability ?</h3><p>In its reference document, the \'European Interoperability Framework\', the European Commission defines interoperability as the ability of information and communication technology (ICT) systems and the business processes they support to exchange data and to enable the sharing of information and knowledge: \'Semantic Interoperability enables systems to combine received information with other information resources and to process it in a meaningful manner\' . It aims at the mental representations that human beings have of the meaning of any given data.&nbsp;</p><p><a href="practice_aids/what-semantic-interoperability">To know more about semantic interoperability.</a><a name="section-1"></a></p><h3>Guidelines and studies</h3><p>Joinup is producing guidelines and studies related to questions of semantic interoperability.&nbsp;</p><p><a href="practice_aids/guidelines-and-studies">You can download these publications here</a>.<br /><a name="section-2"></a></p><h3>Publications</h3><p>Joinup and its partners inform about their work and current developments in a number of articles and documents.&nbsp;<br /><br />You can download these external publications here.<a name="section-3"></a></p><h3>Core Person</h3><p>As a shared development activity, Joinup and more than 100 of its users have developed a data model for persons that is supposed to be used as a core element for any person-related data exchange in eGovernment projects and public administration in Europe. It is supposed to become the first-ever conformant interoperability asset. Other core concepts will follow.</p><p><a href="practice_aids/core-person">To know more about Core Person</a>.<a name="section-4"></a></p><h3>Code lists</h3><p>In many occasions code lists are used as a major key to interoperability. It is a very economic approach to achieve seamless data exchange across language or domain borders. Joinup outlines its action plan for code lists.</p><p><a href="practice_aids/code-lists">To know more about code lists</a>.<a name="section-6"></a></p><h3>Taxonomies</h3><p>Another focus topic of Joinup, taxonomies are assessed for their potential to create or jeopardise interoperability.</p><p><a href="practice_aids/taxonomies">To know more about taxonomies</a>.<a name="section-7"></a></p><h3>Video Tutorials</h3><p>In cooperation with our partner Videolectures.net we present online lectures and tutorials on semantic interoperability, ontology engineering and related issues.</p><p><a href="practice_aids/video-tutorials">To know more about video tutorials</a>.</p>' WHERE `node_revisions`.`nid` =2556 LIMIT 1;

/* node 19391 */
UPDATE  `node_revisions` SET `body` = '<p><span id="parent-fieldname-description">Text and preamble of the European Union Public Licence (EUPL) version 1.1, available in 22 official languages of the European Union.</span></p><p>This page contains all the official versions of the European Union Public Licence (EUPL)&nbsp; together with a preamble explaining the purpose of this Free/Open Source Software Licence, together with links to further information on the licence.<br />&nbsp;</p><table align="center" class="plain">   <tbody>        <tr>            <td align="left"><strong>BG</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - ????????" href="../../../system/files/BG/EUPL%20v.1.1%20-%2041f44043543043c43144e43b.pdf">EUPL v.1.1 - ????????</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - ??????" href="../../../system/files/BG/EUPL%20v.1.1%20-%2041b41842641541d417.pdf">EUPL v.1.1 - ??????</a></td>        </tr>        <tr>            <td align="left"><strong>CS</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambule" href="../../../system/files/CS/EUPL%20v.1.1%20-%20Preambule.pdf">EUPL v.1.1 - Preambule</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - license" href="../../../system/files/CS/EUPL%20v.1.1%20-%20license.pdf">EUPL v.1.1 - Licence</a></td>        </tr>        <tr>            <td align="left"><strong>DA</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Forord" href="../../../system/files/DA/EUPL%20v.1.1%20-%20Forord.pdf">EUPL v.1.1 - Forord</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licens" href="../../../system/files/DA/EUPL%20v.1.1%20-%20Licens.pdf">EUPL v.1.1 - Licens</a></td>        </tr>        <tr>            <td align="left"><strong>DE</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Pr&auml;ambel" href="../../../system/files/DE/EUPL%20v.1.1%20-%20Praambel.pdf">EUPL v.1.1 - Pr&auml;ambel</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Lizenz" href="../../../system/files/DE/EUPL%20v.1.1%20-%20Lizenz.pdf">EUPL v.1.1 - Lizenz</a></td>        </tr>        <tr>            <td align="left"><strong>ET</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambul" href="../../../system/files/ET/EUPL%20v.1.1%20-%20Preambul.pdf">EUPL v.1.1 - Preambul</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Litsents" href="../../../system/files/ET/EUPL%20v.1.1%20-%20Litsents.pdf">EUPL v.1.1 - Litsents</a></td>        </tr>        <tr>            <td align="left"><strong>EL</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - &Pi;&rho;&omicron;&omicron;?&mu;&iota;&omicron;" href="../../../system/files/EL/EUPL%20v.1.1%20-%203a03c13bf3bf3bc3b93bf.pdf">EUPL v.1.1 - &Pi;&rho;&omicron;&omicron;?&mu;&iota;&omicron;</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - ?&delta;&epsilon;&iota;&alpha; &Chi;&rho;?&sigma;&eta;&sigmaf;" href="../../../system/files/EL/EUPL%20v.1.1%20-%203b43b53b93b1%203a73c13c33b73c2.pdf">EUPL v.1.1 - ?&delta;&epsilon;&iota;&alpha; &Chi;&rho;?&sigma;&eta;&sigmaf;</a></td>        </tr>        <tr>            <td align="left"><strong>EN</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preamble" href="../../../system/files/EN/EUPL%20v.1.1%20-%20Preamble.pdf">EUPL v.1.1 - Preamble</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licence" href="../../../system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf">EUPL v.1.1 - Licence</a></td>        </tr>        <tr>            <td align="left"><strong>ES</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Pre&aacute;mbulo" href="../../../system/files/ES/EUPL%20v.1.1%20-%20Preambulo.pdf">EUPL v.1.1 - Pre&aacute;mbulo</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licencia" href="../../../system/files/ES/EUPL%20v.1.1%20-%20Licencia.pdf">EUPL v.1.1 - Licencia</a></td>        </tr>        <tr>            <td align="left"><strong>FR</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Pr&eacute;ambule" href="../../../system/files/FR/EUPL%20v.1.1%20-%20Preambule.pdf">EUPL v.1.1 - Pr&eacute;ambule</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licence" href="../../../system/files/FR/EUPL%20v.1.1%20-%20Licence.pdf">EUPL v.1.1 - Licence</a></td>        </tr>        <tr>            <td align="left"><strong>IT</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambolo" href="../../../system/files/IT/EUPL%20v.1.1%20-%20Preambolo.pdf">EUPL v.1.1 - Preambolo</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - licenza" href="../../../system/files/IT/EUPL%20v.1.1%20-%20licenza.pdf">EUPL v.1.1 - Licenza</a></td>        </tr>        <tr>            <td align="left"><strong>LV</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambula" href="../../../system/files/LV/EUPL%20v.1.1%20-%20Preambula.pdf">EUPL v.1.1 - Preambula</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licence" href="../../../system/files/LV/EUPL%20v.1.1%20-%20Licence.pdf">EUPL v.1.1 - Licence</a></td>        </tr>        <tr>            <td align="left"><strong>LT</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambule" href="../../../system/files/LT/EUPL%20v.1.1%20-%20Preambule.pdf">EUPL v.1.1 - Preambule</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licencija" href="../../../system/files/LT/EUPL%20v.1.1%20-%20Licencija.pdf">EUPL v.1.1 - Licencija</a></td>        </tr>        <tr>            <td align="left"><strong>HU</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambulum" href="../../../system/files/HU/EUPL%20v.1.1%20-%20Preambulum.pdf">EUPL v.1.1 - Preambulum</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licenc" href="../../../system/files/HU/EUPL%20v.1.1%20-%20Licenc.pdf">EUPL v.1.1 - Licenc</a></td>        </tr>        <tr>            <td align="left"><strong>MT</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambolu" href="../../../system/files/MT/EUPL%20v.1.1%20-%20Preambolu.pdf">EUPL v.1.1 - Preambolu</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 -Licenzja" href="../../../system/files/MT/EUPL%20v.1.1%20-Licenzja.pdf">EUPL v.1.1 - Licenzja&nbsp;</a></td>        </tr>        <tr>            <td align="left"><strong>NL&nbsp;</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Inleiding" href="../../../system/files/NL/EUPL%20v.1.1%20-%20Inleiding.pdf">EUPL v.1.1 - Inleiding</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licentie" href="../../../system/files/NL/EUPL%20v.1.1%20-%20Licentie.pdf">EUPL v.1.1 - Licentie</a></td>        </tr>        <tr>            <td align="left"><strong>PL</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambula" href="../../../system/files/PL/EUPL%20v.1.1%20-%20Preambula.pdf">EUPL v.1.1 - Preambula</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licencja" href="../../../system/files/PL/EUPL%20v.1.1%20-%20Licencja.pdf">EUPL v.1.1 - Licencja</a></td>        </tr>        <tr>            <td align="left"><strong>PT</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Pre&acirc;mbulo" href="../../../system/files/PT/EUPL%20v.1.1%20-%20Preambulo.pdf">EUPL v.1.1 - Pre&acirc;mbulo</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - licencia" href="../../../system/files/PT/EUPL%20v.1.1%20-%20licencia.pdf">EUPL v.1.1 - Licen&ccedil;a</a></td>        </tr>        <tr>            <td align="left"><strong>RO&nbsp;</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambul" href="../../../system/files/RO/EUPL%20v.1.1%20-%20Preambul.pdf">EUPL v.1.1 - Preambul</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licenta" href="../../../system/files/RO/EUPL%20v.1.1%20-%20Licenta.pdf">EUPL v.1.1 - Licenta</a></td>        </tr>        <tr>            <td align="left"><strong>SK&nbsp;</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambula" href="../../../system/files/SK/EUPL%20v.1.1%20-%20Preambula.pdf">EUPL v.1.1 - Preambula</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licencia" href="../../../system/files/SK/EUPL%20v.1.1%20-%20Licencia.pdf">EUPL v.1.1- Licencia</a></td>        </tr>        <tr>            <td align="left"><strong>SL</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Preambula" href="../../../system/files/SL/EUPL%20v.1.1%20-%20Preambula.pdf">EUPL v.1.1 - Preambula</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licenca" href="../../../system/files/SL/EUPL%20v.1.1%20-%20Licenca.pdf">EUPL v.1.1 - Licenca</a></td>        </tr>        <tr>            <td align="left"><strong>FI</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Johdanto" href="../../../system/files/FI/EUPL%20v.1.1%20-%20Johdanto.pdf">EUPL v.1.1 - Johdanto&nbsp;</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Lisenssi" href="../../../system/files/FI/EUPL%20v.1.1%20-%20Lisenssi.pdf">EUPL v.1.1 - Lisenssi</a></td>        </tr>        <tr>            <td align="left"><strong>SV</strong></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Motivering" href="../../../system/files/SV/EUPL%20v.1.1%20-%20Motivering.pdf">EUPL v.1.1 - Motivering</a></td>            <td align="left"><a class="document pdf" title="EUPL v.1.1 - Licens" href="../../../system/files/SV/EUPL%20v.1.1%20-%20Licens.pdf">EUPL v.1.1 - Licens</a></td>        </tr>    </tbody></table><p><strong>Further information:</strong></p><ul>    <li><a class="external-link" href="./introduction-eupl-licence">General information about the EUPL</a>&nbsp;</li>    <li><a class="external-link" href="./eupl-guidelines">Guidelines for users and developers on &quot;how to use the EUPL&quot; (available in 22 languages)</a></li>    <li><a title="EUPL-compatible licenses" href="./eupl-compatible-open-source-licences">EUPL compatible open source licences</a></li>    <li><a class="external-link" href="./eupl-community">The EUPL community</a></li>    <li><a href="http://ec.europa.eu/idabc/en/document/7330.html">EUPL v.1.0 (previous version)&nbsp;on the European Commission site </a></li>    <li><a href="http://ec.europa.eu/idabc/en/document/7778.html">List of the experts having participated to the legal quality verification of the various linguistic versions of the EUPL </a></li>    <li><a href="../../../system/files/doc/Docda3d.pdf"><span class="pdf-document">Translation of the EUPL into the official languages of the European Union - Report on comments received by&nbsp;the European Commission&nbsp;</span>&nbsp;</a></li>    <li><a href="../../../system/files/doc/Doc3ef5.pdf">Study of the compatibility mechanism of the EUPL&nbsp; </a></li>    <li><a class="external-link" href="http://ec.europa.eu/idabc/EN/document/5425.html">Preparations for the EUPL v.1.0</a></li>    <li><a class="external-link" href="http://ec.europa.eu/idabc/EN/document/7311.html">EUPL Workshop</a></li>    <li><a title="Documentation directory" href="./articles-eupl">Articles on EUPL</a></li></ul><p>&nbsp;</p>' WHERE `node_revisions`.`nid` = 19391 LIMIT 1;
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/licence-eupl' WHERE `url_alias`.`dst` = 'software/page/licence-eupl' LIMIT 1;

/* node 19392 */
UPDATE  `node_revisions` SET `body` = '<div class="documentByLine" id="plone-document-byline"><span id="parent-fieldname-description">This page provides access to the Guidelines for users and developers EUPL v.1.1 (Please select your language). </span></div><div id="parent-fieldname-text"><p><span class="Apple-style-span">Guidelines exist in the following languages:&nbsp;</span></p><div align="center"><table border="1" class="MsoNormalTable">    <tbody>        <tr>            <td>            <p><strong><span style="font-size: 9pt">BG</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20BG.pdf" title="EUPL guidelines BG" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">CS</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20CS.pdf" title="EUPL guidelines CS" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">DA</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20DA.pdf" title="EUPL guidelines DA" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">DE</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20DE.pdf" title="EUPL guidelines DE" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">ET</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20ET.pdf" title="EUPL guidelines ET" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">EL</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20EL.pdf" title="EUPL guidelines EL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">EN</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20EN.pdf" title="EUPL guidelines EN" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">ES</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20ES.pdf" title="EUPL guidelines ES" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">FR</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20FR.pdf" title="EUPL guidelines FR" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">IT</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20IT.pdf" title="EUPL guidelines IT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">LV</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20LV.pdf" title="EUPL guidelines LV" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">LT</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20LT.pdf" title="EUPL guidelines LT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">HU</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20HU.pdf" title="EUPL guidelines HU" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">MT</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20MT.pdf" title="EUPL guidelines MT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">NL&nbsp;</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20NL.pdf" title="EUPL guidelines NL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">PL</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20PL.pdf" title="EUPL guidelines PL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">PT</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20PT.pdf" title="EUPL guidelines PT" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">RO&nbsp;</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20RO.pdf" title="EUPL guidelines RO" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">SK&nbsp;</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20SK.pdf" title="EUPL guidelines SK" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">SL</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20SL.pdf" title="EUPL guidelines SL" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">FI</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20FI.pdf" title="EUPL guidelines FI" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>        <tr>            <td>            <p><strong><span style="font-size: 9pt">SV</span></strong></p>            </td>            <td width="288">            <p><span style="font-size: 9pt"><a href="../../../system/files/guidelines/EUPL%201.1%20Guidelines%20SV.pdf" title="EUPL guidelines SV" class="document pdf">EUPL v1.1 Guidelines </a></span></p>            </td>        </tr>    </tbody></table></div><p>To complement the guidelines in case you want to distribute an application combining F/OSS components received under various F/OSS licences, please read the list of EUPL compatible licences.</p></div>' WHERE `node_revisions`.`nid` =19392 LIMIT 1;
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/eupl-guidelines' WHERE `url_alias`.`dst` = 'software/page/eupl-guidelines' LIMIT 1;

/* node 19393 */
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/introduction-eupl-licence' WHERE `url_alias`.`dst` = 'software/page/introduction-eupl-licence' LIMIT 1;

/* node 19394 */
UPDATE  `node_revisions` SET `body` = '<p><span style="font-size: 9pt">The EUPL is the licence of choice for distributing software from the European institutions or agencies and from several Member States. The EUPL has made such distribution possible on a much wider scale. The preference for the EUPL is not exclusive of other licences providing the same rights (the use of another licence may even be compulsory according to the copyright law, in case the distributed work is a derivative of a previous work distributed under another licence that is copyleft. This mostly happens when developing from GPL covered components).</span></p><div id="parent-fieldname-text"><p><span style="font-size: 9pt">The EUPL is part of the <a href="./european-interoperability-framework">European Interoperability Framework</a> (EIF v2 published in December 2010) as the legal framework implemented by the Commission in order to facilitate the sharing of software components. This is in line with the 2009 Malm&ouml; EU ministerial declaration: &ldquo;the Open Source model could be promoted for use in eGovernment projects&rdquo;. </span></p><p><span style="font-size: 9pt">About 30% of&nbsp;Joinup hosted projects are distributed under the EUPL (January 2011).</span></p><p><span style="font-size: 9pt">The EUPL is used outside&nbsp;Joinup (in other forges and for other projects).</span></p><p><span style="font-size: 9pt">Within two years of its v1.1 publication and its certification by the Open Source Initiative (OSI), the EUPL is already widely used in Member States:</span></p><ul>   <li><span style="font-size: 9pt">The Estonian National Interoperability Framework (2009) requires that software developments commissioned by the public sector should be freely used on the basis of the EUPL licence.</span></li>   <li><span style="font-size: 9pt">The Spanish Royal Decree 4/2010 implementing the national interoperability framework states: &ldquo;the EUPL will be procured, without prejudice of other licences that can guarantee the same rights&rdquo;.</span></li>   <li><span style="font-size: 9pt">The Malta Government policy (2010) states: &ldquo;Government shall seek to facilitate distribution of OSS Government solutions under the EUPL.&rdquo;</span></li>   <li><span style="font-size: 9pt">The Netherlands (NOiV) licence wizard recommends the EUPL for software owned by the government.</span></li>   <li><span style="font-size: 9pt">The EUPL is widely used by Italian institutions (i.e. Istat) and regions, by administrations in France, Germany, Belgium, etc.</span></li></ul><p><span style="font-size: 9pt">The&nbsp;Joinup team welcomes new information and questions related to the use of the EUPL, which can be submitted <a href="../../../contact">HERE</a>.</span></p></div>' WHERE `node_revisions`.`nid` =19394 LIMIT 1;
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/impact-eupl' WHERE `url_alias`.`dst` = 'software/page/impact-eupl' LIMIT 1;

/* node 19398 */
UPDATE  `node_revisions` SET `body` = '<h1 class="documentFirstHeading"><span id="parent-fieldname-title">             Commission\'s Communication on Interoperability         </span></h1><div class="documentByLine"><span id="parent-fieldname-description">             On the 16th of December 2010, the European Commission has  adopted the Communication &ldquo;Towards interoperability for European public  services&rdquo;, to establish a common approach for Member States public  administrations, to help citizens and businesses to profit fully from  the EU&rsquo;s Single Market.         </span></div><div id="parent-fieldname-text" class="plain"><p>Annex II of the communication is the European Interoperability Framework (EIF v2).</p><p>The EIF is a recommendation,&nbsp;maintained under the ISA programme, in  close cooperation between the Member States and the Commission.</p><p>The EIF should be taken into account when making decisions on  European public services that support the implementation of EU policy  initiatives and when establishing public services that in the future may  be reused as part of European public services.</p><p>Interoperability is build on 12 underlaying principles.</p><p>In particular, the &nbsp;&quot;Reusability principle&quot; (N&deg; 10) means that  &nbsp;public administrations must be willing to share with others their  solutions, concepts, frameworks, specifications, tools and components,  applying the principle of &quot;Openness&quot; (N&deg; 9).</p><p>The EIF states: Reuse and sharing naturally lead to cooperation using  collaborative platforms: the technical platforms to share open source  <a href="../../all">software components</a>, <a href="../../../asset/all">semantic assets</a> and best practices, and  the legal framework (the European Union Public Licence EUPL) that the  Commission has also created in order to facilitate the sharing of  software components.</p><p>&nbsp;</p></div>' WHERE `node_revisions`.`nid` =19398 LIMIT 1;
UPDATE `url_alias` SET `dst` = 'software/page/eupl/european-interoperability-framework' WHERE `url_alias`.`pid` =36989 LIMIT 1 ;

/* node 19395 */
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/how-use-eupl' WHERE `url_alias`.`dst` = 'software/page/how-use-eupl' LIMIT 1;

/* node 19396*/
UPDATE  `node_revisions` SET `body` = '<h3><span id="parent-fieldname-title">EUPL, Open source licensing, Legal questions </span><span class="documentAuthor"><br /></span></h3><p class="documentDescription"><span id="parent-fieldname-description">The licence is the legal instrument allowing you to use, check, modify and distribute free/open source software (F/OSS or FLOSS). The European Union Public Licence (EUPL) is certainly one of the prefered licences on Joinup, but it is not the only one: you may use any other &quot;OSI approved&quot; licences (about 60 models, including the GPL, LGPL, BSD, Apache, Artistic etc.). The aim of this community is to address your questions related to F/OSS licensing and to clarify legal issues, based on questions received by the Joinup team. </span></p><p>Welcome to all of you!&nbsp; In order to contribute to this EUPL community, you need&nbsp;to be a registered user of Joinup. This is very easy:&nbsp;if you are not yet registered please do so by following the link <a href="../../../user/register" class="external-link"><font color="#800080">here</font></a>.</p><p>Then&nbsp;subscribe to the EUPL&nbsp;community by clicking on the icon on the Portlet &quot;My Community&quot;&nbsp;</p><h3>Background</h3><p>The Community\'s genesis<strong> </strong>can be traced&nbsp;to the public forum organized by the European Commission after the disclosure of the draft EUPL v.0.1 in June 2005. &ldquo;<em>What are your views on the Licence? Have you comments on the proposed text or on the principle of a licence that is written with European legislation in mind?</em>&rdquo; Bernhard Schnittger (IDABC team) asked. This forum generated controversial opinions: strongly against the initiative, or strongly in favour of it. It has a substantial impact on the draft: 10 of the 15 articles were modified and compatibility with the GPL was implemented, producing the EUPL version 1.0 adopted by the European Commission in January 2007 in three linguistic versions (EN/FR/DE).</p><p>The next important milestone was the publication of the EUPL in 22 linguistic versions of equal value. All translation reviewers (two lawyers per Member State) and guest experts discussed the text in January 2008. This conference and discussions with&nbsp;OSI produced the EUPL version 1.1, which is certified by OSI since March 2009.&nbsp;</p><h3>Objective and focus</h3><p>The objective of the EUPL community is to maintain the focus on F/OSS licensing, especially by public sector authorities. It is to exchange opinions and experiences, to clarify issues, to explore new ideas (the previous EUPL elaboration process has demonstrated that your opinions are important and will be taken in consideration).</p><p>The forum is open to all (lawyers, developers, project leaders, but not exclusively). Provide the question is relevant to our focus and fairly presented, there will be no taboo: Has the EUPL its place in the &ldquo;already too many&rdquo; circle of F/OSS licences? Is maintaining 22 equivalent linguistic versions sustainable? Should the EUPL compatibility be enlarged to licence X or Y?</p><p>In the blog,&nbsp;community members&nbsp;will try to provide&nbsp;each other&nbsp;information related to the EUPL and to F/OSS licensing, that may come from various sources.</p><p>Last, let\'s remember that the objective of the EUPL is not to compete or to replace any existing licence: it is to&nbsp;encourage a new wave of F/OSS licensors, especially among public administrations in Europe.&nbsp;&nbsp;</p><h3>EUPL Guidelines</h3><p><a href="./eupl-guidelines">The EUPL guidelines have been updated for version 1.1&nbsp;</a></p><h3>Practical Guide to using Free Software in the Public Sector&nbsp;</h3><p>Thierry Aim&eacute;, member of the team of the French Ministry for the Budget, Public Accounts and the Civil Service, has authored a &quot;Practical Guide to using Free Software in the Public Sector&quot;.&nbsp;</p>' WHERE `node_revisions`.`nid` =19396 LIMIT 1;
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/eupl-community' WHERE `url_alias`.`dst` = 'software/page/eupl-community' LIMIT 1;

/* node 19397 */
UPDATE  `node_revisions` SET `body` = '<h1 class="documentFirstHeading"><span id="parent-fieldname-title">EUPL-compatible licenses </span></h1><p class="documentDescription"><span id="parent-fieldname-description">This is a global compatibility Matrix between all OSI-approved licenses and the EUPL. This Matrix (July 2011) is open to comments and improvements </span></p><dl class="portlet toc" id="document-toc">    <dt class="portletHeader">Contents </dt>    <dd class="portletItem">    <ol>        <li><a href="#section-0">Disclaimer</a></li>        <li><a href="#section-1">Definitions</a></li>        <li><a href="#section-2">Matrix (OSI-approved licenses in alphabetical order)</a></li>        <li><a href="#section-3">Discussion on &ldquo;Linking&rdquo;</a></li>        <li><a href="#section-4">The EUPL &quot;Downstream&quot; compatibility list</a></li>        <li><a href="#section-5">Notes</a></li>    </ol>    </dd></dl><div id="parent-fieldname-text"><a name="section-0"></a><h2>Disclaimer</h2><p>The purpose of this Matrix is to clarify compatibility with the EUPL, seen as the legal possibility to distribute (under the OSI-approved EUPL) an application that incorporates, or links with, components covered by another Free/Open Source Software (F/OSS) license. Due to numerous possibilities, the Matrix does not cover all real situations (which are not always &ldquo;clear-cut&rdquo; and where more than two licenses could be relevant). Since European case law is generally missing, the matrix suggests reasonable guidance without providing a guarantee that this suggestion will always be followed by a judge, as the case may be.</p><div>Most F/OSS incompatibilities result from copyleft conflicts&nbsp;(when both licenses impose the reuse of the&nbsp;same license in case of redistribution). The aim and utility of copyleft is to protect the free software world against appropriation. In our vision, it should not make distribution difficult or legally impossible when the work is covered by different F/OSS copyleft licenses. In such case, because of a weak interest, the risk of litigation is weak also, while not zero. Therefore, the Matrix is rather &ldquo;liberal&rdquo;, based on factual license provisions and on comments provided by license stewards. We consider also that permission to distribute the executable binaries under a single license solves compatibility issues (as soon distribution is legally possible, there is no need for a single license covering the source code). The Matrix is not influenced by ideology (telling the good and the ugly, urging people to use or to avoid specific licenses). On Joinup user request, the Joinup team supports legal interoperability and the prevention of litigation by kindly requesting clarification or exceptions from the license stewards or from relevant licensors. We welcome comments (especially from license stewards) and relevant case law at the <a href="../../../contact">contact page</a>.</div><div>&nbsp;</div><div>&nbsp;<a name="section-1"></a></div><h2>Definitions</h2><ul>    <li>Compatibility has two ways:</li></ul><blockquote><ul>    <li><strong>Upstream</strong>, it allows you to merge a work covered by another F/OSS license into a larger work that you may distribute under the EUPL. This is the main scope of the Matrix below.</li></ul><ul>    <li><strong>Downstream</strong>, it allows you to merge the work received under the EUPL into a larger work that you may distribute under a &ldquo;compatible&rdquo; license. This is the scope of the EUPL own compatibility list (EUPL #5 compatibility clause and Appendix that includes GPLv2, OSL, Eclipse, CPL and CeCILL) See discussion on this list in <a href="#section-4" title="EUPL-compatible licenses" class="internal-link">section 5</a> of this Matrix.</li></ul></blockquote><ul>    <li><strong>F/OSS components</strong> are those covered by an OSI-Approved license (other licenses are not considered in the Matrix).</li></ul><ul>    <li>An <strong>Application </strong>is a &ldquo;<strong>larger work</strong>&rdquo; combining (by incorporation or by linking) F/OSS covered code or portions thereof with code governed by the EUPL. Outside, making legally possible a distribution of the larger application under the EUPL, there is no need and no interest for changing the license of any F/OSS component &ldquo;taken alone&rdquo; (even after correcting, modifying, translating it, etc.).</li></ul><ul>    <li><strong>Incorporation </strong>is merging all or part of the received component (in a copy-paste sense, when some original code is copied) with other software in the application, which becomes a derivative of the received components according to the applicable copyright law.</li></ul><ul>    <li><strong>Linking </strong>makes two components working in a single application without merging their source code. The question is: does it produce a derivative? See <a href="#section-3" title="EUPL-compatible licenses" class="internal-link">discussion on linking</a> at the end of the Matrix.</li></ul><blockquote><ul>    <li><strong>Static linking</strong> combines components through compilation, copying them into the target application and producing a merged object file that is a stand-alone executable.</li></ul><ul>    <li><strong>Dynamic linking</strong> combines components at the time the application is loaded (load time) or during execution (run time).</li></ul></blockquote><a name="section-2"></a><h2><br />Matrix (OSI-approved licenses in alphabetical order)</h2><table width="90%" class="plain">    <tbody>        <tr>            <th>License of existing F/OSS Component</th>            <th colspan="3">Distribution of the larger application under the EUPL</th>            <th>Comment and references to F/OSS license provisions</th>        </tr>    </tbody>    <tbody>        <tr>            <td>&nbsp;</td>            <td align="center">&nbsp;Incorporation</td>            <td align="center">Static link</td>            <td align="center">Dynamic link</td>            <td>&nbsp;</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/AFL-3.0" class="external-link">Academic Free License (AFL) v3.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;#1c: you can distribute copies and derivative under any license that does not contradict the terms and conditions, including Licensor\'s reserved rights and remedies, in this Academic Free License.<br />            The OSI-approved EUPL is compliant with this requirement.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/APL-1.0" class="external-link">Adaptive Public License v1.0 </a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;As the license is &ldquo;adaptive&rdquo;, please read the terms carefully. According to # 3.7 you can combine the covered code with other components &ldquo;not governed by the APL license provided the APL requirements are fulfilled for the covered portion of the larger work.&rdquo;<br />            The OSI-approved EUPL is compliant with this requirement.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/AGPL-3.0" class="external-link">Affero General Public License v1.0</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>The Affero General Public License is based on the GPL version 2, with one additional section covering Software as a Service (SaaS) on the distribution through web services or computer networks (section 2d).<br />            Regarding linking, see comments under the Gnu GPL and discussion at the end of this Matrix.<br />            Although legally not compatible (for copyleft reasons) the AGPL is very close to the EUPL (which covers also SaaS). Therefore &ndash; at least in case of linking &ndash; we recommend asking for an exception with the AGPL licensor. See notes under the GNU Affero General Public License version 3 which has succeeded to the AGPL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Apache-2.0" class="external-link">Apache license V1.1, V2</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;Nothing in the Apache V1.1 and 1.2 prohibits re-licensing of a larger work under the EUPL. They are indeed specific Apache v1.1 requirements (prohibiting some uses of the Apache brand), but these requirements are not &quot;restrictions added by the EUPL licensor&quot; (they are inherited from the original Apache licensing). These requirements are not impacting essential F/OSS freedoms. They are in line and compatible with article 5 of the EUPL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/APSL-2.0" class="external-link">Apple Public Source license APSL v2.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;#4 Larger Works: You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product.&nbsp; In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.<br />            The OSI-approved EUPL is compliant with this requirement.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Artistic-2.0" class="external-link">Artistic license (Perl foundation)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;In case of incorporation, verbatim copies (including bug fixes) must reproduce original copyright notices and associated disclaimers (#3).<br />            You can distribute under the EUPL a modified version (i.e. integrated/merged in a larger derivative work) provided that you document how it differs from the Standard Version received. The EUPL is a royalty-free license that permits recipients to receive the source code and to freely copy, modify and redistribute the modified version (requirement #4, ii). These conditions are inherited from the Artistic license and are not &ldquo;restrictions added by the EUPL licensor&rdquo;: they are compatible with the EUPL provisions.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/AAL" class="external-link">Attribution Assurance License (AAL)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>This license is adapted from the original BSD license.<br />            See comments under BSD.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/BSL-1.0" class="external-link">Boost Software License v1.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/BSD-3-Clause" class="external-link">BSD license (all versions)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;Nothing in the BSD license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            BSD requests to retain copyright notices and restrict the use of the BSD licensor name to promote derivative products. These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/CATOSL-1.1" class="external-link">Computer Associate Trusted Open Source License CATOSL v1.1</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;#3.4 (You) may create a Larger Work by combining the Program with other software code not governed by the terms of this License, and distribute the Larger Work as a single product. In such a case (...) make sure that the requirements of this License are fulfilled for the Program.<br />            The OSI-approved EUPL is compliant with this requirement.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/CDDL-1.0" class="external-link">Common Development and Distribution License CDDL v1.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;#3.6 You may create a Larger Work by combining Covered Software with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Software.<br />            The OSI-approved EUPL is compliant with this requirement.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/CPAL-1.0" class="external-link">Common Public Attribution License CPAL v1.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;#3.7 You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.<br />            The OSI-approved EUPL is compliant with this requirement.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/CUA-OPL-1.0" class="external-link">CUA Office Public License CUA-OPL v1.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;#3.7 You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.<br />            The OSI-approved EUPL is compliant with this requirement.</td>        </tr>        <tr>            <td><a href="http://www.cecill.info/licences/Licence_CeCILL_V2-en.html" class="external-link">CeCILL v2.0</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO<br />            <br />            <br />            <br />            (but you may distribute the larger work under CeCILL)</strong></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>&nbsp;The CeCILL license is not OSI approved. We cover it here by exception because it is included in the EUPL &ldquo;downstream&rdquo; compatibility list (you can distribute under CeCILL a larger derivative work integrating components covered by the EUPL and by CeCILL).<br />            CeCILL v2.0 ignores reciprocity with the EUPL.<br />            Distribution under the EUPL would be possible only if the licensor has published a &ldquo;FLOSS exception list&rdquo; for distributing the larger derivative work under the EUPL.<br />            There are no examples of such exceptions (probably because no one requested it so far). As the EUPL has included CeCILL in its own downstream compatibility list, there would be a good chance to obtain such exception if requested, but no case was reported.<br />            CeCILL ignores linking. As CeCILL stewards are FSF followers, we could assume that they consider static linking in a similar way as for the GPL: covered by copyleft (without exceptions).<br />            The only CeCILL compatibility permission favors the GPL and says &ldquo;include a code&rdquo; or &ldquo;include the software&rdquo; (#5.3.4).<br />            Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/EPL-1.0" class="external-link">Common Public License (CPL)</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>(See the Eclipse Public License, which has replaced the CPL).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/EPL-1.0" class="external-link">Eclipse Public License (EPL) v1.0</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)<br />            <br />            <br />            You may also distribute the larger work under the EPL</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#3. Any person or entity (called &ldquo;contributor&rdquo;) may distribute the Program in object code form under the EUPL (&ldquo;its own license agreement&rdquo;), because the EUPL complies with the requirements of #3b (disclaimer etc.).<br />            While the executable version of the application including EPL covered code will be distributed as a whole under the EUPL, it must be documented that the source code of components covered by the EPL will stay under this license.<br />            <br />            The EPL is also included in the EUPL downstream compatibility list (EUPL appendix). Therefore the EUPL is compatible with the EPL: as far as needed, you may distribute under the EPL a larger derivative work integrating components covered by the EUPL and the EPL.<br />            &nbsp;</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/ECL-2.0" class="external-link">Educational Community License ECL v2.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Similar to the Apache 1.2.<br />            Nothing in the license prohibits re-licensing of a larger work under the EUPL. #4: you may provide ... different license terms ... for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.<br />            The OSI-approved EUPL is compliant with this requirement.<br />            Concerning linking #1 clarifies that Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of (the covered software).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/EFL-2.0" class="external-link">Eiffel Forum license v2</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>This is a very permissive license. Similarities with BSD.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Entessa" class="external-link">Entessa Public License v1.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>This is a very permissive license. Similarities with BSD.<br />            License imposes copyright acknowledgements that are compatible with the EUPL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/EUDatagrid" class="external-link">EU Data Grid license</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in this license restricts redistribution of larger works under the EUPL. Copyright statement and the permission that &ldquo;Installation, use, reproduction, display, modification and redistribution of this software, with or without modification, in source and binary forms, are permitted&rdquo; must be reproduced.<br />            The OSI-approved EUPL is compliant with requirements.</td>        </tr>        <tr>            <td><a href="./licence-eupl" class="external-link">European Union Public Licence <br />            (EUPL v1.0 &amp;<br />            v1.1)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Software that was licensed under EUPL v1.0 is automatically covered by the EUPL v1.1 (this &ldquo;automatic update&rdquo; was removed from the EUPL v1.1 and is not applicable anymore if the Commission publishes further versions of the EUPL).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Fair" class="external-link">Fair License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>The license instrument must be retained with the works, so that any entity that uses the works is notified of this instrument.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Frameworx-1.0" class="external-link">Frameworx Open License v1.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#3a: The other license conditions cannot be less favorable...<br />            #3c: They are specific copyright notices to respect.<br />            The EUPL is compliant with these requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/AGPL-3.0" class="external-link">Gnu Affero Public License v3 (AGPLv3)</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>See comments related to the GPLv3.<br />            Requesting for an exception should be facilitated by the fact the EUPL covers &ldquo;software as a service&rdquo; (SaaS) like the AGPL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/GPL-2.0" class="external-link">Gnu GPLv2.0</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO (exceptions exist)<br />            <br />            <br />            <br />            and you may distribute the larger work under the GPLv2</strong></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Only if the licensor has published a &ldquo;FLOSS exception list&rdquo; for distributing the larger derivative work under other listed FLOSS licenses, and EUPL is included. <br />            See for example the MySQL FOSS exception list[<a href="#notes" title="Notes">1</a>]&nbsp; .<br />            Exception will be applicable to all portions of the derivative work that are &ldquo;independent&rdquo; (not specifically derived from the program obtained under the GPLv2, which &ndash; taken alone - stays under its primary license).<br />            <br />            The GPLv2 is also included in the EUPL downstream compatibility list (EUPL Appendix) - therefore the EUPL is compatible with the GPLv2: you may distribute under the GPLv2 a larger derivative work integrating components covered by the EUPL and by the GPLv2.&nbsp;<br />            <br />            Linking: FSF followers consider static linking as producing a derivative (this is not confirmed by case law, see &ldquo;Linking discussion&rdquo;). We assume that licensors using the GPL share this opinion, for extending the protection of the free software world against appropriation. However, there is no risk of appropriation when the larger work is licensed under the EUPL. We recommend asking for exception.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/GPL-3.0" class="external-link">Gnu GPLv3.0</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO (exceptions exist)<br />            <br />            <br />            <br />            and it is legally possible to distribute the larger work under the GPLv3, via the CeCILL roundabout</strong></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Only if the licensor has published a &ldquo;FLOSS exception list&rdquo; for distributing the larger work under other listed FLOSS licenses, and EUPL is included. <br />            See for example the Sencha exception list [<a href="#notes" title="Notes">2</a>] where all identifiable sections of the larger work, which are not derived from the GPLv3 covered work, and which can reasonably be considered independent and separate works in themselves, may be distributed subject to the EUPL.<br />            <br />            The GPLv3 is NOT included in the EUPL downstream compatibility list (Appendix of the EUPL). However, it is &quot;legally possible&quot; (without prejudice of a need for it, or not!) to distribute a larger work integrating components covered by the EUPL and by the GPLv3. For this, you may use the &quot;CeCILL roundabout&quot;:<br />            1) publish your own specific contribution under CeCILL, or find convenient code covered by CeCILL;<br />            2) combine with the EUPL component and publish the larger work under CeCILL;<br />            3) add the needed GPLv3 components and publish the larger work under the GPLv3.<br />            &nbsp;<br />            This does not restrict EUPL licensors to provide a specific exception for integrating their own software in a larger work covered by the GPLv3.<br />            <br />            Linking: FSF followers consider static linking as producing a derivative (this is not confirmed by case law, see &ldquo;Linking discussion&rdquo;). We assume that licensors using the GPL share this opinion, for extending the protection of the free software world against appropriation. However, there is no risk of appropriation when the larger work is licensed under the EUPL. We recommend asking for exception.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/LGPL-2.1" class="external-link">Gnu LGPL v2.1</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>According to the LGPL v2.1, #6, you may produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer\'s own use and reverse engineering for debugging such modifications.<br />            These conditions (including the availability of the source code and all FLOSS freedoms) are fully implemented by the EUPL.<br />            While the larger derivative work will be distributed under EUPL, the source code of the used library &lsquo;taken alone&rdquo; (modified or not) stays covered by the LGPL (this must be documented with prominent notices)</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/LGPL-3.0" class="external-link">Gnu LGPL v3.0</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>According to the LGPL v3, #3, You may convey under the EUPL (&ldquo;terms of your choice&rdquo;) the object code (&ldquo;executable binaries&rdquo;) of an application that incorporates material from a header file that is part of the Library.<br />            While the larger work (binaries) can be distributed under EUPL, the source code of the used library &lsquo;taken alone&rdquo; (modified or not) stays covered by the LGPL (this must be documented with prominent notices).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/IPL-1.0" class="external-link">IBM Public License v1.0</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#3: (You) may choose to distribute the Program in object code form under the EUPL (=own license agreement).<br />            The OSI-approved EUPL is compliant with the IPL requirements (i.e. it makes source code available and contains the requested disclaimers).<br />            As a consequence, make it clear that the source code of the IPL covered component will stay covered by the IPL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/IPA" class="external-link">IPA Font License (IPA)</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>This Japanese license is specific to &ldquo;Digital Font Programs&rdquo; (containing, or used to render or display fonts). Derived programs (any modification to covered code) must be licensed under IPA (#3.1.3).<br />            Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/ISC" class="external-link">ISC License (ISC)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the ISC license (similar to BSD) restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            ISC requests to retain copyright notices.<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/LPPL-1.3c" class="external-link">LaTeX Project Public License (LPPL 1.3c)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>The LaTeX accepts re-distribution under another license: &ldquo;if for any part of your work you want or need to use *distribution* conditions that differ significantly from those in this license, then do not refer to this license... but, instead, distribute your work under a different license.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/LPL-1.02" class="external-link">Lucent Public License v1.02</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#3 you may&hellip;&ldquo;distribute the program under your own license agreement&rdquo; providing it complies with F/OSS conditions and disclaimers.<br />            The OSI-approved EUPL is compliant with these requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/MS-PL" class="external-link">Microsoft Public License (Ms-PL)</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#3 D: If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.<br />            The OSI-approved EUPL is compliant.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/MS-RL" class="external-link">Microsoft Reciprocal License (MS-RL)</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#3 E: If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.<br />            The OSI-approved EUPL is compliant.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/MirOS" class="external-link">MirOS License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the MirOS license (similar to BSD) restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices and disclaimer.<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/MIT" class="external-link">MIT License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the MIT license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices. This is in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Motosoto" class="external-link">Motosoto License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#4 g. You may &ldquo;distribute Derivative Works as products under any other license you select, with the proviso that the requirements of this License are fulfilled for those portions of the Derivative Works that consist of the Licensed Product or any Modifications thereto.&rdquo;<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/MPL-1.1" class="external-link">Mozilla Public License 1.1</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#1.8. A larger work combines the MPL Covered Code (or portions thereof) with other code not governed by the MPL (i.e. code governed by the EUPL).<br />            #3.7. You may distribute a Larger Work as a single product under another license (i.e. the EUPL) provided the requirements of the MPL are fulfilled for the Covered Code.<br />            <br />            Please document (retaining copyright notices) that the MPL covered code (or portions) stay covered by the MPL. As an OSI-Approved license, the EUPL grants to recipients the same freedoms as the MPL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Multics" class="external-link">Multics License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices and historical background. This is in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/NASA-1.3" class="external-link">NASA Open Source Agreement (NOSA v1.3)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#1 Larger Work&quot; means computer software that combines Subject Software, or portions thereof, with software separate from the Subject Software that is not governed by the terms of this Agreement.<br />            #3 I: Larger works may be distributed as a single product &ldquo;not governed by the terms of this agreement&rdquo; but &ldquo;Subject Software, or portions thereof, included in the Larger Work is subject to this Agreement.&rdquo;<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/NTP" class="external-link">NTP License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices, disclaimer and restricts the use of trademarked names for advertising. This is in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Naumen" class="external-link">Naumen Public License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>This license is made for a specific licensor (Naumen).<br />            Nothing in the license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices, disclaimer and restricts the use of trademarked names. <br />            This is in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/NGPL" class="external-link">Nethack General Public License (NGPL)</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#2b implies that another license can be used:<br />            &ldquo;...work... that in whole or in part contains or is a derivative of NetHack or any part thereof, to be licensed at no charge to all third parties on terms identical to those contained in this License Agreement (except that you may choose to grant more extensive warranty protection to some or all third parties, at your option)&rdquo;.<br />            However the word &ldquo;identical&rdquo; seems much stronger than &ldquo;compliant&rdquo;, which is used by many other licenses. <br />            Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix)</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/nokia" class="external-link">Nokia Open Source License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#1 c. A larger work &ldquo;combines Covered Software or portions thereof with code not governed by the terms of this License&rdquo;<br />            #3.7. You may distribute a larger work as a single product &ldquo;not governed by the terms of this License&rdquo;, provided &ldquo;the requirements of this License are fulfilled for the Covered Software&rdquo;.<br />            The OSI-approved EUPL is compliant with requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/NOSL3.0" class="external-link">Non-Profit Open Software License 3.0</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>See comments related to the OSL: without exception, derivatives must be licensed under NPOSL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/OCLC-2.0" class="external-link">OCLC Research Public License 2.0</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#2: A. &quot;Combined Work&quot; results from combining and integrating all or parts of the Program with other code. A Combined Work may be thought of as having multiple parents or being result of multiple lines of code development.<br />            #3 D. &ldquo;Combined Works are subject to the terms of this license&rdquo;.<br />            At the exception of &ldquo;Aggregates&rdquo; (presence without integration on the same medium) the OCLC is not interoperable with other F/OSS licenses.<br />            Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/OFL-1.1" class="external-link">Open Font License 1.1 (OFL)</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>The scope of the license is limited to the font software and specific derivatives. The Font Software may be bundled, redistributed and/or sold with any software, provided that each copy contains the copyright notice and this license.<br />            Our interpretation is that a larger work can be distributed under the EUPL, while the specific font software source (even modified) will stay covered by the OFL.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/OGTSL" class="external-link">Open Group Test Suite License (OGTSL)</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#4 You may distribute the work in object code, provided that you ... (rename non-standard executables).<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/OSL-3.0" class="external-link">Open Software License<br />            OSL v3.0</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO<br />            <br />            <br />            (but you may distribute the larger work under the OSL)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>The OSL is copyleft (#1.c. states &ldquo;You may distribute derivative Works under the OSL&rdquo;). Therefore it is implicitly not allowed to distribute larger derivative works under other licenses (including EUPL, GPL etc.).<br />            <br />            The OSL is also included in the EUPL downstream compatibility list (EUPL Appendix) - therefore the EUPL is compatible with the OSL: you may distribute under the OSL a larger derivative work integrating components covered by the EUPL and by the OSL.&nbsp;<br />            <br />            As the EUPL has included the OSL in its own compatibility list, there would be no reasons for OSL licensors to refuse an exception, but this must be formally requested.<br />            There are no examples of such exceptions (probably because no one requested it so far).<br />            <br />            Linking: according to Lawrence Rosen (OSL steward) linking components (especially if covered by various OSI approved licenses, considering the market factor impact) does not produce a derivative. We assume that OSL licensors share this view.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/PHP-3.0" class="external-link">PHP License 3.0</a></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>OK (object)</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the license restricts the distribution of larger works in binary form under another license (as the EUPL).<br />            Redistributions must retain the copyright notice, disclaimer and conditions (including restrictions on the use of &ldquo;PHP&rdquo; in the name of derived products).<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/PostgreSQL" class="external-link">PostgreSQL license </a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td><br />            Nothing in the license restricts the distribution of larger works under another license (as the EUPL).<br />            Redistributions must retain the copyright notice and disclaimer.<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Python-2.0" class="external-link">Python 2.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the license restricts the distribution of larger works under another license (as the EUPL).<br />            Specific changes in Python software must be documented and redistributions must retain the copyright notice and disclaimer.<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/QPL-1.0" class="external-link">Q Public License (QPL v1.0)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in the license, which is considered as &ldquo;non-copyleft&rdquo; restricts the distribution of larger works under another license (as the EUPL).<br />            They are specific requirements (to distribute specific modifications of the covered code through patches).<br />            #6 adds conditions in case &ldquo;applications&rdquo; links with the covered software (availability of source code, free redistribution&hellip;)<br />            These inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/RPSL-1.0" class="external-link">RealNetworks Public Source License (RPSL v1.0)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td># 1.6 Derivative Work also includes any work which combines any portion of Covered Code or Modifications with code not otherwise governed by the terms of this License.<br />            #4 (You may) &ldquo;distribute the Derivative Work as an integrated product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof, including all Modifications.&rdquo;<br />            The OSI-approved EUPL is compliant with this requirement. <br />            In addition, the covered source code &ldquo;taken alone&rdquo; will stay covered by RSPL.<br />            RPSL inherited conditions / restrictions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/RPL-1.5" class="external-link">Reciprocal Public License&nbsp; RPL v1.5</a></td>            <td bgcolor="#ff0000" align="center">&nbsp;<strong>NO</strong></td>            <td bgcolor="#ffc000" align="center">&nbsp;<strong>?</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>License text states:<br />            # 6.0 ...You hereby agree that any... Derivative Works, (meaning &ldquo;defined under U.S. copyright law&rdquo;) ... are governed by the terms of this License... (and) must be Deployed (meaning distributed) under the terms of this License or a future version of this License... <br />            Regarding static linking, this is depending on how far you create a derivative (see discussion at the end of this Matrix).</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/RSCPL" class="external-link">Ricoh Source Code Public License (RSCPL v1.0)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#1.6. &quot;Larger Work&quot; means a work which combines Governed Code or portions thereof with code not governed by the terms of this License.<br />            #3.7. &ldquo;You may create a Larger Work by combining Governed Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Governed Code.&rdquo;<br />            The OSI-approved EUPL is compliant with requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Simple-2.0" class="external-link">Simple Public License v2.0</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>SimPL is a plain language implementation of GPL 2.0. However it allows relicensing of derived works under &ldquo;substantially similar terms (such as GPL 2.0), without adding further restrictions to the rights provided&rdquo;.<br />            In our interpretation, &ldquo;such as&rdquo; does not mean &ldquo;only&rdquo; and the EUPL complies with the requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Sleepycat" class="external-link">Sleepycat License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in this license restricts redistribution under any other license (provide it is F/OSS, as the EUPL).<br />            The license requests retaining copyright notices and disclaimer, and to document how to obtain the freely redistributable source code.<br />            The OSI-approved EUPL complies with requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/SPL" class="external-link">Sun Public License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#1.7. &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.<br />            #3.7. &ldquo;You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.&rdquo;<br />            The OSI-approved EUPL is compliant with requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Watcom-1.0" class="external-link">Sybase Open Watcom Public License (Watcom v1.0)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>#1.5 &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.<br />            #4 &ldquo;You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof&rdquo;.<br />            The OSI-approved EUPL is compliant with requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/NCSA" class="external-link">University of Illinois / NCSA Open Source License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices, disclaimer and restricts the use of licensor name.<br />            The OSI-approved EUPL complies with requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/VSL-1.0" class="external-link">Vovida Software License (VSL v1.0)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>This license is for use by a specific licensor (Vovida).<br />            Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices and disclaimer. It restricts the use of licensor and product names.<br />            The OSI-approved EUPL complies with requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/W3C" class="external-link">&nbsp;W3C license</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>This license is for use by a specific licensor (W3C).<br />            Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices and disclaimer, and to notify changes to W3C.<br />            These inherited conditions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/xnet" class="external-link">X.Net license (Xnet)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices &ldquo;in all copies or substantial portions of the software&rdquo;.<br />            These inherited conditions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/ZPL-2.0" class="external-link">Zope Public License (ZPL v2.0)</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices and restricts the use of service marks or trademarks of Zope.<br />            These inherited conditions are not &ldquo;added&rdquo; by the EUPL licensor and are in line with the EUPL requirements.</td>        </tr>        <tr>            <td><a href="http://www.opensource.org/licenses/Zlib" class="external-link">Zlib/libpng License</a></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td bgcolor="#92d050" align="center">&nbsp;<strong>OK</strong></td>            <td>Nothing in this license restricts redistribution under any other license (free, as the EUPL, or even non-free).<br />            The license requests retaining the copyright notices.<br />            This condition is in line with the EUPL requirements.</td>        </tr>        <tr>            <td colspan="5">OK= Allowed <br />            OK (Object) = Distribution of binaries of the larger work &ldquo;as a single product&rdquo; under the EUPL is allowed <br />            NO = Not allowed (however, licensor owning full copyright may provide exceptions)<br />            ? = Uncertainties (and no exceptions exist so far)</td>        </tr>    </tbody></table><p>&nbsp;</p><a name="section-3"></a><h2>Discussion on &ldquo;Linking&rdquo;</h2><p>A combined application or work is often implemented by linking various components. From the end user point of view, the application may look like a single program (it may have a single name, unique interface, documentation etc.). From the developer point of view, each component is a separate program, possibly obtained under various primary licenses.</p><p>In case these various licenses are &ldquo;free / open source&rdquo; and &ldquo;copyleft&rdquo;, what kind of linking could you implement to be legally authorised to distribute the application, under a single license or &ndash; possibly &ndash; under several licenses?</p><p>There are two main cases of linking:</p><ul>    <li>Static linking combines components through compilation, copying them into the target application and producing a merged object file that is a stand-alone executable.</li></ul><ul>    <li>Dynamic linking uses components at the time the application is loaded (load time) or during execution (run time).</li></ul><p>In the above Matrix, we assume that both linking are permitted in two cases: when incorporation (merging codes in a &ldquo;cut-paste&rdquo; sense) is authorised and when the distribution of object code under the EUPL is authorised (because this covers static linking at object code level as well).</p><div>From the legal (copyright) point of view, the question of linking is similar to the incorporation discussion: does linking produce a derivative of the used components, or not?<ul>    <li>If the answer is &ldquo;NO&rdquo;, each part of the application can be licensed under its primary license: You may declare &ldquo;My application is licensed to you under the EUPL, except component X that is licensed under GPL, component Y that is licensed under the EPL, component Z under the MPL etc...</li></ul><ul>    <li>If the answer is &ldquo;YES&rdquo;, the distribution of the new derivative could be legally impossible (under any license) as soon a copyleft conflict exists. Such prohibition may be considered as beneficial (or protective) for the free software world in case the licensor planned to use a proprietary license. On the contrary, the prohibition may look cumbersome and fussy when all relevant licenses are OSI-approved (providing the same freedoms) and copyleft (protecting against appropriation).</li></ul><p>In Europe there is no case law solving this question. In absence of case law, we have to be careful. We may assume that a judge will interpret the copyright law with more flexibility (no derivative created by linking) in the case of &ldquo;copyleft conflict&rdquo; between two OSI approved licenses, and more strictly if a proprietary license is used (creation of a derivative in such case, because in such litigation the &quot;market-based&quot; factors are looking more important than the pure linking technique) &ndash; but this is a pure assumption.</p><p>The recent GPLv3 looks receptive to these &ldquo;market-based&rdquo; factors when a compilation is not used to limit users&rsquo; freedom, at least in the specific case of aggregates[<a href="#notes" title="Notes">3</a>] . We estimate that the requirement that independent sources (compiled together) should not form a larger program is to understand from developers&rsquo; point of view: no portion of the code is copied into a larger program (on the contrary, due to some interface layer, end users may perceive the independent components as a single application).</p><p>Instead of European and US case law[<a href="#notes" title="Notes">4</a>] , we may deal with the main F/OSS opinion makers:</p><ul>    <li>Lawrence Rosen (IP professor and OSI general counsel) says that the method of linking is mostly irrelevant to the question about whether a piece of software is or is not a derivative work. For him, a derivative is made only in the case of incorporation [in a copy-paste sense] of original code, or in the case of modification, translation or other change in any way for creating the new program.</li></ul><ul>    <li>Other IP specialists believe that static linking may produce derivative works, while dynamic linking may not, but the question is not &ldquo;clear-cut&rdquo;. For example, some dynamically linked Linux kernel drivers are distributed under proprietary licenses, and the Linux author (L. Torvalds) agrees that such dynamic linking can create derived works in specific circumstances.</li></ul><ul>    <li>The Free Software Foundation and their followers, in their desire to extend the free-software world by giving it more tools than the proprietary world, are the most assertive: static linking creates derivatives and executables which uses a dynamically-linked library may also be derivatives, except when separate programs just &ldquo;communicate&rdquo; with one another [<a href="#notes" title="Notes">5</a>] . Does this interest for &ldquo;protecting and extending free software&rdquo; still exist when the other license is the EUPL (which is a free, copyleft software license)? The FSF could answer positively, because - at the contrary of the OSI - it has a strong GPL centric policy, arguing that for protecting free software there is little salvation outside their own GPLs (in fact, the GPLv3 and AGPLv3).</li></ul><p>We made the assumption that, by selecting a Gnu license, licensors follow the FSF position and want to consider that most cases of static linking create a derivative. A question mark (?) is resulting from the absence of case law. In all other cases, the proposed Matrix is based on a &ldquo;liberal&rdquo; assumption, in consideration of the common &ldquo;market approach&rdquo; shared by all OSI approved licenses, especially when these licenses are copyleft.</p><p>&nbsp;</p></div><a name="section-4"></a><h2 style="font-size: 18px">The EUPL &quot;Downstream&quot; compatibility list</h2><p><font size="2">The EUPL v1.1 downstream compatibility list was established for the EUPL v1.0 (January 2007). It was drafted based on a September 2006 study of the CRID (Research Centre in Computers and Law &ndash; FUNDP Namur)</font><a href="#notes"><font size="2"><span><span style="color: #17365d">[6]</span></span></font></a></p><div style="margin: 0cm 0cm 12pt"><span><font size="2">The purpose of the list is to allow mergers between EUPLed code and other copylefted code (when license terms impose to redistribute any larger, merged work under the same &ldquo;inherited&rdquo; license, distribution becomes legally impossible in case of copyleft conflicts). Therefore the chosen licenses had to be in any case copyleft, and &ldquo;the copyleft effect of the elected licenses should be similar to the EUPL&rsquo;s copyleft and should fulfill the same functions&rdquo;, the authors report&nbsp;</font><a href="#notes"><font color="#0000ff"><font size="2"><span>[7]</span></font></font></a></span></div><div style="margin: 0cm 0cm 12pt"><font size="2">The study proposed the following list:</font></div><ul>    <li><font size="2">General Public License (GPL) v. 2</font></li>    <li><font size="2">Open Software License (OSL) v. 2.1, v. 3.0</font></li>    <li><font size="2">Common Public License (CPL) v. 1.0</font></li>    <li><font size="2">Eclipse Public License (EPL) v. 1.0</font></li>    <li><span><span style="font: 7pt \'Times New Roman\'">&nbsp;</span></span><font size="2">Cecill v. 2.0</font></li></ul><div><span><font size="2">The presence of the strong copyleft (OSI-approved) GPL and OSL makes no discussion. The presence of non-OSI-approved CeCILL was interesting because supported by three French public research centres, strong copyleft and &ndash; by the way &ndash; permitting re-licensing under all GPL versions (including the GPLv3 that was published in June 2007) This makes the EUPL compatible, directly or indirectly, with all GPL versions.&nbsp;What looks more questionnable is the presence of the Eclipse (and of the CPL, but we may forget this one that has now been superseded by the EPL), because according to the Free Software Foundation, the EPL only provides a &ldquo;weaker copyleft&rdquo;.<span style="color: #17365d"> </span></font></span></div><div>&nbsp;</div><div style="margin: 0cm 0cm 12pt"><font size="2">When analyzing copyleft, the study made three categories</font><a href="file:///C:/Documents%20and%20Settings/schmitzp/My%20Documents/EUPL%20&amp;amp;%20FOSS/New%20OSOR%20legal%20section/EUPL%20compatibility%20matrix/General%20EUPL%20compatibility%20Matrix%20v043.docx"><font size="2"><span><span style="color: #17365d">[8]</span></span></font></a></div><ul>    <li><font size="2"><font size="2"><strong><span style="color: #17365d">Weak copyleft </span></strong>when&nbsp;the&nbsp;licence restricts the effect on a file basis (this is the case of the Mozilla Public License and the Common Development and Distribution License).</font></font><font size="2">:</font></li>    <li><font size="2"><strong><span style="color: #17365d">Source only copyleft</span></strong>&nbsp;when&nbsp;the&nbsp;licence imposes the redistribution of the source code under the same licence, while the executable code may be governed by another licence (as long as the source code is available and remains under the original licence): the executable version of the derivative work can then be proprietary (this is the case of the EPL)</font></li>    <li><font size="2"><strong><span style="color: #17365d">Strong copyleft</span></strong> when the licence does not restrict the copyleft effect to modifications on a file basis, and the executable is to be considered as a derivative work.</font></li></ul><div>&nbsp;</div><div><span><font size="2">Therefore Bastin and Laurent, while not categorizing the EPL copyleft as &ldquo;Strong&rdquo; (without being weak in their mind!) considered that it was &ldquo;similar&rdquo; to the EUPL copyleft on the source code, which is by far the important thing for open source developers because it prohibits source code appropriation. For this reason, other prominent analysts like the German License Centre </font><a href="http://ifross.org/en/license-center"><font size="2" color="#0000ff">ifrOSS</font></a><font size="2"> categorize the EPL as &quot;Strong Copyleft&quot;</font></span></div><div style="margin: 0cm 0cm 12pt"><span><font size="2">In January 2007, the European Commission published the EUPL and its compatibility list based on their study, and did not change the list when publishing the EUPL v1.1 in 2009.<span style="color: #17365d"> </span></font></span></div><div><span style="font-size: 12px" class="Apple-style-span"><br /></span></div><div><span style="font-size: 12px" class="Apple-style-span">In January 2007, the European Commission published the EUPL and its compatibility list based on their study, and did not change the list when publishing the EUPL v1.1 in 2009.</span><font face="Verdana, sans-serif" color="#17365d" class="Apple-style-span"><span style="font-size: 12px" class="Apple-style-span"><p><font color="#17365d">&nbsp;</font></p></span></font><div><div id="ftn3">&nbsp;</div></div><div><a name="section-5"></a><h2><a name="notes"></a>Notes</h2><ol>    <li><a href="http://www.mysql.com/about/legal/licensing/foss-exception/" class="external-link">http://www.mysql.com/about/legal/licensing/foss-exception/</a></li>    <li><a href="http://www.sencha.com/legal/open-source-faq/open-source-license-exception-for-applications/" class="external-link">http://www.sencha.com/legal/open-source-faq/open-source-license-exception-for-applications/</a></li>    <li>#5 (in fine):&nbsp; &ldquo;A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an &ldquo;aggregate&rdquo; if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation\'s users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.&rdquo;</li>    <li>In the <a href="http://en.wikipedia.org/wiki/Galoob_v._Nintendo" class="external-link">Galoob v. Nintendo</a> an US court of appeal defined a derivative work as having &quot;\'form\' or permanence&quot; and noted that &quot;the infringing work must incorporate a portion of the copyrighted work in some form&quot;, but there have been no clear court decisions to resolve the case of static/dynamic linking making a derivative.</li>    <li>This is the reason why the FSF created the <a href="http://en.wikipedia.org/wiki/LGPL" class="external-link">LGPL </a>(which is nearly identical to the GPL) for adding the permission to allow linking for the purposes of &quot;using the licensed library&quot;.</li>    <li><span class="Apple-style-span"><span style="font-size: 9pt">Fabian BASTIN (</span><span style="font-size: 9pt">CERFACS) and&nbsp;Philippe LAURENT (CRID) <a href="../../../system/files/doc/Doc3ef5.pdf" class="document pdf">Study of the compatibility mechanism of the EUPL</a>&nbsp;v. 1.0 -&nbsp;September 2006</span></span></li>    <li><span class="Apple-style-span"><span style="font-size: 9pt">Op. Cit., p.17</span></span></li>    <li>    <div id="ftn1">    <p class="Default"><font face="Calibri, sans-serif" class="Apple-style-span"><span style="font-size: 9pt">Op. Cit., p.7</span></font><span class="Apple-style-span">.</span></p>    </div>    </li></ol></div></div></div><div class="relatedItems"><fieldset id="relatedItemBox"><legend>Related content</legend><ul class="visualNoMarker">    <li><span class="contenttype-document"><a href="./licence-eupl" title="Text and preamble of the European Union Public Licence (EUPL) version 1.1, available in 22 official languages of the European Union." class="state-published">European Union Public Licence (EUPL v.1.1)</a> </span></li></ul></fieldset></div><p>&nbsp;</p>' WHERE `node_revisions`.`nid` =19397 LIMIT 1;
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/eupl-compatible-open-source-licences' WHERE `url_alias`.`dst` = 'software/page/eupl-compatible-open-source-licences' LIMIT 1;

/* node =19400 */
UPDATE  `node_revisions` SET `body` = '<h2>General purpose guidelines</h2><ul>    <li><strong>Thierry Aim&eacute;</strong> and al., A practical guide to using free software in the public sector&nbsp;(in <a href="../../../sites/default/files/doc/FAQ-LL-V131-EN.pdf">English</a> and <a href="../../../sites/default/files/doc/FAQ-LL-V131-FR.pdf" class="external-link">French</a>)</li>    <li><span style="font-size: 13px" class="Apple-style-span"><span style="font-size: 10pt"><strong>Rishab A. Ghosh</strong> and al. <a href="../../../sites/default/files/guidelines/OSS-procurement-guideline-public-final-June2010-EUPL-FINAL.pdf" class="external-link">Guidelines on public procurement of open source software</a> (in English)</span></span></li>    <li><span style="font-size: 13px" class="Apple-style-span"><strong>Cenatic guide</strong>&ndash; </span><span style="font-size: 13px" class="Apple-style-span"><a href="../../../sites/default/files/doc/infcenatic01.pdf" class="external-link">Software de fuentes abiertas para el desarrollo de la Administraci&oacute;n P&uacute;blica Espa&ntilde;ola</a> </span><span style="font-size: 13px" class="Apple-style-span">(in Spanish)</span></li>    <li><span style="font-size: 13px" class="Apple-style-span"><span style="font-size: 10pt"><strong>Jean-Paul Triaille and Fran&ccedil;ois Coppens</strong>, for the Joint Research Center of the European Commission (JRC) &ndash; &ldquo;<a href="../../../sites/default/files/guidelines/OSS guidelines v DIGIT -2.pdf" title="JRC OSS guidelines" class="internal-link">Open Source Software Guidelines</a>&rdquo; (in English). This guide has been developed by JRC for internal use, but they were kind enough to share it with&nbsp;Joinup users. However, the EUPL compatibility matrix should be updated: please refer to the&nbsp;Joinup list of <a href="./eupl-compatible-open-source-licences" title="EUPL-compatible licenses" class="internal-link">EUPL compatible licences</a></span></span></li>    <li><span class="apple-style-span"><strong><span style="font-size: 10pt">Ghosh, Glott, Gerloff, Schmitz, Aisola, Boujraf</span></strong></span><span class="apple-style-span"><span style="font-size: 10pt">, &quot;Study on the effect on the development of the information society of European public bodies making their own software available as open source&quot; - <a href="../../../sites/default/files/doc/PS-OSS Final report.pdf"><span class="internal-link">OSS impact study</span></a>.</span></span></li></ul><h2><span style="font-size: 20px" class="Apple-style-span">Guidelines and analysis related to the EUPL</span></h2><ul>    <li><span style="font-size: 10pt"><strong>Patrice-Emmanuel Schmitz</strong>, &quot;The European Union Public Licence &ndash;&nbsp;</span>Guidelines for users and developers EUPL v.1.1&quot; (<a href="./eupl-guidelines" title="Guidelines" class="internal-link">available in 22 languages</a>). Guidelines are complemented by a <a href="./eupl-compatible-open-source-licences" title="EUPL-compatible licenses" class="internal-link">List of EUPL compatible licences</a> (in English).</li>    <li><strong>Fabio Bravo</strong>, <a href="../../../sites/default/files/doc/ebook4.pdf" class="external-link">Software &ldquo;Open Source&rdquo; e Pubblica Amministrazione </a>(L&rsquo;esperienza europea e quella italiana tra diritto d&rsquo;autore, appalti pubblici e diritto dei contratti. La EUPL), Bologna, 2009 (in Italian)</li>    <li><strong><a href="http://www.eupl.it/" class="external-link">www.eupl.it</a></strong> This Italian web site is dedicated to the EUPL (in Italian, English and other languages)</li>    <li><strong>Ernest Park</strong>, <a href="http://olex.openlogic.com/wazi/2009/eupl-gplv3-license-comparison/" class="external-link">Freedom and choice in Open Source Licensing: Comparing the EUPL 1.1 and the GPL v3</a> (in English)</li>    <li><span style="font-size: 10pt"><strong>Prof. Dr. Andreas Wiebe</strong>, LL.M. &amp; <strong>Dr. Roman Heidinge</strong>r, M.A, &quot;<a href="../../../sites/default/files/doc/EUPL-V11Broschuere-20090423WEB.pdf" class="external-link">The European Union Public Licence - EUPL V1.1 Kommentar</a>&quot; (in German)</span></li>    <li><span style="font-size: 13px" class="Apple-style-span"><span style="font-size: 10pt"><strong>Patrice-Emmanuel Schmitz</strong>, &quot;The EUPL interoperability - </span><span style="font-size: 10pt"><a href="../../../sites/default/files/doc/EUPL Interoperability.pdf" title="EUPL interoperability" class="internal-link">The EUPL interoperability - Which FOSS components in EUPL solutions?</a>&quot;</span><span style="font-size: 10pt"> </span><span style="font-size: 10pt">(in English)</span></span></li>    <li><span style="font-size: 13px" class="Apple-style-span"><strong><span style="font-size: 10pt">Prof Petros Stagkos</span></strong><span style="font-size: 10pt">, <a href="../../../sites/default/files/doc/Docf773.pdf" class="external-link"><em>&quot;</em>The European public licence for the use of free software. A mature step forward of the European Union in the context of a globalised society of information and knowledge<em>&quot;</em></a> (in Greek)</span></span></li>    <li><span style="font-size: 13px" class="Apple-style-span"><strong><span style="font-size: 10pt">Kostas Ko&iuml;kas</span></strong><span style="font-size: 10pt">, (European Commission), formal legal advisor for the IDABC programme, <a href="../../../sites/default/files/doc/Doccd5e.pdf" class="external-link">&quot;The European Union Public Licence. First European licence of free software&quot;</a> (in Greek)</span></span></li>    <li><span style="font-size: 13px" class="Apple-style-span"><span style="font-size: 10pt"><strong>Rowan Wilson,</strong> (OSS-Watch, Oxford University), &quot;<a href="http://www.oss-watch.ac.uk/resources/eupl.xml" class="external-link">The European Union Public Licence - An overview</a>&quot; (in English)</span></span></li>    <li><span style="font-size: 13px" class="Apple-style-span"><span style="font-size: 10pt"><strong>Marina Markellou,</strong> <a href="../../../sites/default/files/doc/Marina Markellou - EUPL - 2007.pdf" title="EUPL - vers un dialogue harmonieux entre copyright et copyleft" class="internal-link">&quot;EUPL: vers un dialogue harmonieux entre &quot;copyright&quot; et &quot;copyleft&quot;</a> in &quot;Revue Lamy de droit intellectuel&quot; June 2007. (in French)&nbsp;</span></span></li>    <li><span style="font-size: 10pt">    <p><strong><span style="font-size: 10pt">Marina Markellou</span><span style="font-size: 10pt">,</span></strong><span style="font-size: 10pt">&nbsp;<em>&quot;</em><a href="../../../sites/default/files/doc/Doce956.pdf" class="external-link">The European Union Public Licence under the Greek IP law</a>&quot; (in Greek)</span></p>    </span></li></ul><p>&nbsp;<span style="display: none" id="1316514314893E">&nbsp;</span></p>' WHERE `node_revisions`.`nid` =19400 LIMIT 1;
UPDATE  `url_alias` SET `dst` = 'software/page/eupl/articles-eupl' WHERE `url_alias`.`dst` = 'software/page/articles-eupl' LIMIT 1;

/* node 2567 */
UPDATE  `node_revisions` SET `body` = '<p>The &ldquo;European Union Public Licence&rdquo; (EUPL) The EUPL is the first European Free/Open Source Software (F/OSS) licence. It has been created on the initiative of the European Commission. It is now approved by the European Commission in 22 official languages of the European Union.</p><ol>    <li><span class="Apple-style-span"><a href="./eupl/licence-eupl">Text of the EUPL v1.1</a> (1999) OSI-certified version (in 22 languages)</span></li>    <li><span class="Apple-style-span"><a href="./eupl/eupl-guidelines">EUPL Guidelines for users and developers</a> (in 22 languages)</span></li>    <li><span class="Apple-style-span"><a href="./eupl/introduction-eupl-licence">Why the EUPL ?</a></span></li>    <li><span class="Apple-style-span"><a class="internal-link" title="Impact of the EUPL" href="./eupl/impact-eupl">Impact of the EUPL</a></span></li>    <li><span class="Apple-style-span"><a href="./eupl/how-use-eupl">FAQs on the EUPL and how to use it</a></span></li>    <li><span class="Apple-style-span"><a href="./eupl/eupl-community">EUPL&nbsp;Community</a></span></li></ol>' WHERE `node_revisions`.`nid` =2567 LIMIT 1;

/* node 2550 */
UPDATE  `node_revisions` SET `body` = '<p style="border-bottom: medium none; border-left: medium none; background: none transparent scroll repeat 0% 0%; border-top: medium none; border-right: medium none" class="BlockText2">Joinup&nbsp; supports and encourages the collaborative development and re-use of publicly-financed, free, libre and Open-Source Software (F/OSS) applications developments for use in European public administrations. It is a platform for exchanging information, experiences and F/OSS-based code. It also promotes and links to the work of national repositories, encouraging the emergence of a pan-European federation of Open-Source Software repositories.</p>
<p style="border-bottom: medium none; border-left: medium none; background: none transparent scroll repeat 0% 0%; border-top: medium none; border-right: medium none" class="BlockText2">To this end, Joinup&nbsp; provides a number of services to support public administrations in finding, choosing, developing and sharing feedback on Open-Source Software. While much information is available to all users, please kindly note, that some of our services below require you to register in order to take full benefit of them.&nbsp;</p>
<h3>GET IN CONTACT</h3>
<p style="border-bottom: medium none; border-left: medium none; background: none transparent scroll repeat 0% 0%; border-top: medium none; border-right: medium none" class="BlockText2">Get in contact with users with a similar interest in Open-Source Software:</p>
<ul>
    <li><strong><a href="../../people/all">People</a></strong>: find people, explore their user profile, and send them a message.</li>
    <li><strong><a href="../../community/all">Communities</a></strong>:&nbsp;discuss and share best practices on Open-Source Software.</li>
    <li><strong><a href="http://www.linkedin.com/groups?gid=2600644&amp;trk=myg_ugrp_ovr ">LinkedIn</a>, <a href="http://twitter.com/#!/OSOReu">Twitter</a>, and <a href="http://www.facebook.com/osoreu">Facebook</a></strong>: follow us on LinkedIn, Twitter, and Facebook.</li>
</ul>
<h3>SHARE and LEARN</h3>
<p style="border-bottom: medium none; border-left: medium none; background: none transparent scroll repeat 0% 0%; border-top: medium none; border-right: medium none" class="BlockText2">Share information and learn about Open-Source Software in public administrations via:</p>
<ul>
    <li><strong><a href="../../news/all">News</a> and <a href="../../event/all">events</a></strong>: read and contribute your own news items and events about Open-Source Software across Europe.</li>
    <li><strong><a href="../../news/newsletter">Newsletter</a></strong>: subscribe to our periodic newsletter on Open-Source Software. You can unsubscribe from our newsletters by editing your settings in &ldquo;My Page&rdquo;.</li>
    <li><strong>OSS <a href="../../software/page/case-studies">Case studies </a>and <a href="../../software/page/guidelines">guidelines</a></strong>: consult case studies and expert guidelines related to the usage of Open-Source Software by public administrations.</li>
</ul>
<h3>FIND and RE-USE</h3>
<p style="border-bottom: medium none; border-left: medium none; background: none transparent scroll repeat 0% 0%; border-top: medium none; border-right: medium none" class="BlockText2">Find and reuse Open-Source Software developed on the platform and the federated forges via:</p>
<ul>
    <li><strong><a href="../../software/all">Find software</a></strong>: find re-usable open source applications that are hosted by Joinup&nbsp; or other, national repositories around Europe (federated forges).</li>
    <li><strong><a href="page/widget">Search Widget</a></strong>:&nbsp;embed our Search Widget in your own website, allowing your visitors to search for projects hosted either by Joinup or one of the federated repositories.</li>
</ul>
<h3>DEVELOP and CONTRIBUTE</h3>
<p style="border-bottom: medium none; border-left: medium none; background: none transparent scroll repeat 0% 0%; border-top: medium none; border-right: medium none" class="BlockText2">Develop open-source software via:</p>
<ul>
    <li><strong><a href="../../node/add/project-project?type=OSS">Project hosting</a></strong>: propose your Open-Source Software project to be hosted on the&nbsp;Joinup platform. The platform Moderator will evaluate whether it abides the 10 principles for Open-Source Software.</li>
    <li><strong><a href="../../software/page/virtual_forge">Virtual Forge</a></strong>:&nbsp;a Virtual Forge is a website that provides a view on a set of Open-Source Software projects hosted on Joinup, but with a customised look and feel and a separate domain name. It allows providing a branded Open-Source Software development environment by reusing the infrastructure of the Joinup platform. You can propose your own Virtual Forge, the platform Moderator will verify whether it abides the 10 principles for virtual forges.</li>
    <li><strong>Version control </strong>(SVN): keep track of the contributions (commits) of developers to the source code repository (subversion).&nbsp; An SVN repository is automatically created once we accept your project;</li>
    <li><strong>Issue tracker</strong>: keep track of issues filed by developers and users.</li>
    <li><strong>Release management</strong>: upload a new release of your software and keep track of users who download it.</li>
    <li><strong>Documents</strong>: upload and share documents within your OSS project.</li>
    <li><strong>Forum</strong>: discuss both with the user and development community.</li>
    <li><strong>Wiki</strong>: create and edit wiki pages within your project.</li>
    <li><strong>Metrics</strong>: inform users and developers about the level of activity in your project performed.</li>
    <li><strong>Mailing lists</strong>: create one or multiple mailing lists to communicate with your developer community.<b><br />
    </b>     &nbsp;</li>
</ul>
<h3>A Search Widget</h3>
<p>Dear All,</p>
<p>The JoinUP team has developed a widget, that can be included in your  website, allowing your visitors to search for projects hosted either by JoinuP. The search results are displayed in English, in a  new window.&nbsp;</p>
<h2>How can I implement it?</h2>
<p>The widget is composed of 3 different parts which are:</p>
<ol>
    <li>The HTML page</li>
    <li>The css file which is entirely customizable (please just leave the JoinUp logo)</li>
    <li>The java script which passes the parameters of the search.</li>
</ol>
<p>In order to make the widget work on your website please follow these simple instructions:</p>
<ol>
    <li>Download the <a href="/isa/sites/default/files/widget/widgetjoinup.zip">zip file</a></li>
    <li>Place the files somewhere in the Document Root of your web server.</li>
    <li>Include the html code, which you can find in the zip file, in your website</li>
    <li>Change the css path, the javascript path and the JoinUP logo path as per your configuration.</li>
</ol>
<div class="block"><strong><code><span class="red">#Change the path to point to your css location</span></code></strong><code><span class="red"><br />
&lt;link href=&quot;css/main.css&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot;&gt;  <strong>#Change the path to point to your java-script location</strong><br />
&lt;script src=&quot;js/search.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;  &lt;div id=&quot;stylized&quot; class=&quot;myform&quot;&gt;<br />
&lt;b class=&quot;rtop&quot;&gt;&lt;b class=&quot;r1&quot;&gt;&lt;/b&gt;&lt;b class=&quot;r2&quot;&gt;&lt;/b&gt;&lt;b class=&quot;r3&quot;&gt;&lt;/b&gt;&lt;b class=&quot;r4&quot;&gt;&lt;/b&gt;&lt;/b&gt;<br />
&lt;div class=&quot;title&quot;&gt;<br />
&lt;div id=&quot;top&quot;&gt;<br />
<strong>#Change the path to point to your image location</strong><br />
&lt;div&gt;Search on JoinUp &lt;img src=&quot;img/1251192308_zoom in.png&quot; width=&quot;25&quot; height=&quot;25&quot; /&gt;&lt;/div&gt;<br />
&lt;/div&gt;&lt;/div&gt;<br />
&lt;div class=&quot;line&quot;&gt;<br />
&lt;form method=&quot;post&quot; name=&quot;form&quot; class=&quot;margin&quot; id=&quot;form&quot; &gt;<br />
&lt;p align=&quot;center&quot;&gt;<br />
&lt;br /&gt;<br />
Search projects in &lt;a href=&quot;#&quot; title=&quot;JoinUp&quot; onclick=&quot;joinup_popup();&quot;&gt;JoinUp&lt;/a&gt; around Europe  &lt;/p&gt;<br />
&lt;input type=&quot;text&quot; name=&quot;inputbox&quot; id=&quot;inputbox&quot; /&gt;<br />
&lt;button type=&quot;submit&quot; onClick=&quot;testResults(this.form)&quot;&gt;Search&lt;/button&gt;	<br />
&lt;div align=&quot;right&quot;&gt;&lt;a href=&quot;http://www.joinup.ec.europa.eu&quot; title=&quot;JoinUp&quot; target=&quot;_blank&quot;&gt;<br />
<br />
&lt;img src=&quot;JOINUP_LOGO_75_powered.jpg&quot; width=&quot;75&quot; height=&quot;37&quot; border=0/&gt;&lt;/a&gt;<br />
&lt;span class=&quot;style5&quot;&gt;&lt;/span&gt;&lt;/span&gt;&lt;/div&gt;<br />
&lt;div class=&quot;spacer&quot;&gt;&lt;/div&gt;<br />
&lt;/form&gt;<br />
&lt;/div&gt;<br />
&lt;b class=&quot;rbottom&quot;&gt;&lt;b class=&quot;r4&quot;&gt;&lt;/b&gt;&lt;b class=&quot;r3&quot;&gt;&lt;/b&gt;&lt;b class=&quot;r2&quot;&gt;&lt;/b&gt;&lt;b class=&quot;r1&quot;&gt;&lt;/b&gt;&lt;/b&gt;<br />
&lt;/div&gt;	<br />
</span>
<p><code> </code></p>
<p><code><img width="206" height="239" alt="" src="/isa/sites/default/files/widget/widget.png" /></code></p>
<code> </code>  </code></div>' where `node_revisions`.nid = 2550; 



